#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(simd_skcipher_create_compat, "_gpl", "");
KSYMTAB_FUNC(simd_skcipher_free, "_gpl", "");
KSYMTAB_FUNC(simd_register_skciphers_compat, "_gpl", "");
KSYMTAB_FUNC(simd_unregister_skciphers, "_gpl", "");
KSYMTAB_FUNC(simd_register_aeads_compat, "_gpl", "");
KSYMTAB_FUNC(simd_unregister_aeads, "_gpl", "");

SYMBOL_CRC(simd_skcipher_create_compat, 0x49931169, "_gpl");
SYMBOL_CRC(simd_skcipher_free, 0xefe73979, "_gpl");
SYMBOL_CRC(simd_register_skciphers_compat, 0xb51d8b40, "_gpl");
SYMBOL_CRC(simd_unregister_skciphers, 0xec5bbf96, "_gpl");
SYMBOL_CRC(simd_register_aeads_compat, 0xcd2e15c5, "_gpl");
SYMBOL_CRC(simd_unregister_aeads, 0xc12dacdb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xabce9fcb, "crypto_skcipher_encrypt" },
	{ 0x1e487f8d, "cryptd_alloc_aead" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb4bdebf9, "cryptd_aead_child" },
	{ 0x73dd54eb, "irq_fpu_usable" },
	{ 0xcf6ed430, "crypto_register_aead" },
	{ 0x3b5b47f7, "crypto_unregister_aead" },
	{ 0x37a0cba, "kfree" },
	{ 0xa167fede, "crypto_register_aeads" },
	{ 0xc29100cf, "pcpu_hot" },
	{ 0xe59e7176, "crypto_aead_setauthsize" },
	{ 0x2a34f84b, "crypto_aead_decrypt" },
	{ 0x53456a91, "crypto_skcipher_setkey" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x53ea8d30, "crypto_unregister_aeads" },
	{ 0x5253d8e0, "cryptd_skcipher_child" },
	{ 0x5582c8ff, "crypto_skcipher_decrypt" },
	{ 0x2d9ca49c, "cryptd_alloc_skcipher" },
	{ 0x3141553c, "crypto_aead_setkey" },
	{ 0xbf4f51db, "crypto_register_skcipher" },
	{ 0xb3ff4032, "crypto_aead_encrypt" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x78215d34, "cryptd_aead_queued" },
	{ 0x6c2e3320, "strncmp" },
	{ 0xe0de2ca5, "crypto_unregister_skcipher" },
	{ 0xef87fee0, "crypto_register_skciphers" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb963a443, "cryptd_skcipher_queued" },
	{ 0x30650c2e, "cryptd_free_aead" },
	{ 0x8b5417ce, "__kmalloc_cache_noprof" },
	{ 0x9b645add, "crypto_unregister_skciphers" },
	{ 0x727069d4, "cryptd_free_skcipher" },
	{ 0xdb14c1b3, "kmalloc_caches" },
	{ 0x26ef9b8f, "module_layout" },
};

MODULE_INFO(depends, "cryptd");


MODULE_INFO(srcversion, "F70643DDB8B3C26A0417513");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
