#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ahci_ignore_sss, "_gpl", "");
KSYMTAB_DATA(ahci_shost_groups, "_gpl", "");
KSYMTAB_DATA(ahci_sdev_groups, "_gpl", "");
KSYMTAB_DATA(ahci_ops, "_gpl", "");
KSYMTAB_DATA(ahci_pmp_retry_srst_ops, "_gpl", "");
KSYMTAB_FUNC(ahci_save_initial_config, "_gpl", "");
KSYMTAB_FUNC(ahci_start_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_stop_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_start_fis_rx, "_gpl", "");
KSYMTAB_FUNC(ahci_reset_controller, "_gpl", "");
KSYMTAB_FUNC(ahci_reset_em, "_gpl", "");
KSYMTAB_FUNC(ahci_init_controller, "_gpl", "");
KSYMTAB_FUNC(ahci_dev_classify, "_gpl", "");
KSYMTAB_FUNC(ahci_fill_cmd_slot, "_gpl", "");
KSYMTAB_FUNC(ahci_kick_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_check_ready, "_gpl", "");
KSYMTAB_FUNC(ahci_do_softreset, "_gpl", "");
KSYMTAB_FUNC(ahci_do_hardreset, "_gpl", "");
KSYMTAB_FUNC(ahci_handle_port_intr, "_gpl", "");
KSYMTAB_FUNC(ahci_qc_issue, "_gpl", "");
KSYMTAB_FUNC(ahci_error_handler, "_gpl", "");
KSYMTAB_FUNC(ahci_port_resume, "_gpl", "");
KSYMTAB_FUNC(ahci_print_info, "_gpl", "");
KSYMTAB_FUNC(ahci_set_em_messages, "_gpl", "");
KSYMTAB_FUNC(ahci_host_activate, "_gpl", "");

SYMBOL_CRC(ahci_ignore_sss, 0xea50dad3, "_gpl");
SYMBOL_CRC(ahci_shost_groups, 0xd587f810, "_gpl");
SYMBOL_CRC(ahci_sdev_groups, 0x13e7118a, "_gpl");
SYMBOL_CRC(ahci_ops, 0xe7253340, "_gpl");
SYMBOL_CRC(ahci_pmp_retry_srst_ops, 0xd60bb929, "_gpl");
SYMBOL_CRC(ahci_save_initial_config, 0x7062f340, "_gpl");
SYMBOL_CRC(ahci_start_engine, 0x5ea6d2cf, "_gpl");
SYMBOL_CRC(ahci_stop_engine, 0x94591aad, "_gpl");
SYMBOL_CRC(ahci_start_fis_rx, 0xb9643106, "_gpl");
SYMBOL_CRC(ahci_reset_controller, 0xc171775d, "_gpl");
SYMBOL_CRC(ahci_reset_em, 0x3987c663, "_gpl");
SYMBOL_CRC(ahci_init_controller, 0xc96ea27d, "_gpl");
SYMBOL_CRC(ahci_dev_classify, 0x5a5dd992, "_gpl");
SYMBOL_CRC(ahci_fill_cmd_slot, 0xb81dcae5, "_gpl");
SYMBOL_CRC(ahci_kick_engine, 0xb9bc06fa, "_gpl");
SYMBOL_CRC(ahci_check_ready, 0xbec11e20, "_gpl");
SYMBOL_CRC(ahci_do_softreset, 0x083309e7, "_gpl");
SYMBOL_CRC(ahci_do_hardreset, 0xf432048a, "_gpl");
SYMBOL_CRC(ahci_handle_port_intr, 0x6b370d1d, "_gpl");
SYMBOL_CRC(ahci_qc_issue, 0xcd8e4914, "_gpl");
SYMBOL_CRC(ahci_error_handler, 0xe4926863, "_gpl");
SYMBOL_CRC(ahci_port_resume, 0x86af2615, "_gpl");
SYMBOL_CRC(ahci_print_info, 0x4574615c, "_gpl");
SYMBOL_CRC(ahci_set_em_messages, 0xe705a841, "_gpl");
SYMBOL_CRC(ahci_host_activate, 0x2d770345, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf02b5c29, "__pm_runtime_resume" },
	{ 0x485e2c78, "__pm_runtime_idle" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbd15f4cc, "ata_link_next" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x13cc0a5c, "ata_wait_register" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x434272d, "ata_dev_set_feature" },
	{ 0x8556423f, "_dev_info" },
	{ 0xa26886f5, "ata_msleep" },
	{ 0x9b58f6e9, "sata_link_scr_lpm" },
	{ 0x8aed66f2, "_dev_err" },
	{ 0xd238decc, "ata_std_postreset" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0xf4a1a3e0, "ata_std_qc_defer" },
	{ 0x8268b518, "sata_pmp_qc_defer_cmd_switch" },
	{ 0xf9a482f9, "msleep" },
	{ 0xb2e89a51, "_dev_warn" },
	{ 0x9742e4c9, "__dynamic_dev_dbg" },
	{ 0x6ac04c0b, "ata_port_classify" },
	{ 0x130414f, "ata_qc_complete_multiple" },
	{ 0x6b515b64, "ata_port_freeze" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x86435303, "sata_pmp_error_handler" },
	{ 0xa43a0ac9, "ata_host_start" },
	{ 0x2fe72d70, "devm_request_threaded_irq" },
	{ 0xfe70c62b, "ata_port_desc" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xc2630767, "ata_host_register" },
	{ 0x7705c0ce, "ata_host_activate" },
	{ 0xb090787d, "ata_dummy_port_ops" },
	{ 0xbb8bd544, "acpi_storage_d3" },
	{ 0x42635d55, "pm_suspend_global_flags" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xbf625cd0, "devm_kmalloc" },
	{ 0xc31538c8, "dmam_alloc_attrs" },
	{ 0xf2a3ccb2, "dev_driver_string" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x9c0f1d0d, "devm_kfree" },
	{ 0x9371ea58, "sata_deb_timing_normal" },
	{ 0xbc79eb0b, "sata_deb_timing_hotplug" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0x7707e942, "sata_link_hardreset" },
	{ 0x2c3e4c2c, "ata_wait_after_reset" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x2e60bace, "memcpy" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x20f28baf, "sata_lpm_ignore_phy_events" },
	{ 0x68ca55a6, "ata_ehi_clear_desc" },
	{ 0x398a4dfc, "ata_ehi_push_desc" },
	{ 0xc38e98b9, "sata_async_notification" },
	{ 0xd2a0087d, "ata_link_abort" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xdf333dbc, "ata_port_abort" },
	{ 0xf8f3a0fb, "ata_ratelimit" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xbb267503, "param_ops_int" },
	{ 0xf30da266, "param_ops_bool" },
	{ 0x70f1bcfa, "sata_pmp_port_ops" },
	{ 0x23fc4855, "dev_attr_sw_activity" },
	{ 0x3f9d026c, "dev_attr_unload_heads" },
	{ 0x24ade895, "dev_attr_ncq_prio_supported" },
	{ 0xfa7e54c2, "dev_attr_ncq_prio_enable" },
	{ 0x6bd5373e, "dev_attr_link_power_management_policy" },
	{ 0x225d9311, "dev_attr_em_message_type" },
	{ 0xd99e92da, "dev_attr_em_message" },
	{ 0x26ef9b8f, "module_layout" },
};

MODULE_INFO(depends, "libata");


MODULE_INFO(srcversion, "9A7C9ED3F9F2BE88064C951");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
