#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(bmc150_regmap_conf, "_gpl", "IIO_BMC150");
KSYMTAB_FUNC(bmc150_accel_core_probe, "_gpl", "IIO_BMC150");
KSYMTAB_FUNC(bmc150_accel_core_remove, "_gpl", "IIO_BMC150");
KSYMTAB_DATA(bmc150_accel_pm_ops, "_gpl", "IIO_BMC150");

SYMBOL_CRC(bmc150_regmap_conf, 0x58285d9a, "_gpl");
SYMBOL_CRC(bmc150_accel_core_probe, 0x7aed68d9, "_gpl");
SYMBOL_CRC(bmc150_accel_core_remove, 0xcc220403, "_gpl");
SYMBOL_CRC(bmc150_accel_pm_ops, 0x74d62346, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x759b91a7, "regmap_write" },
	{ 0xdfbfc566, "regmap_get_device" },
	{ 0x8aed66f2, "_dev_err" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0x38b267ef, "iio_get_time_ns" },
	{ 0x54e141e8, "iio_trigger_poll" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x1798311, "regmap_update_bits_base" },
	{ 0x9742e4c9, "__dynamic_dev_dbg" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xf02b5c29, "__pm_runtime_resume" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xf3b8c88a, "__pm_runtime_suspend" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xd8995a00, "regmap_read" },
	{ 0x2cf8f7e6, "iio_buffer_enabled" },
	{ 0x2f91360, "regmap_bulk_read" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb20e0a08, "iio_device_get_current_mode" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x222115dd, "regmap_raw_read" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x2818f024, "iio_push_to_buffers" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x3f61ba4f, "iio_push_event" },
	{ 0x79f56f9c, "iio_trigger_notify_done" },
	{ 0x3132e4ef, "iio_device_unregister" },
	{ 0x48571895, "__pm_runtime_disable" },
	{ 0x2bbf5c28, "__pm_runtime_set_status" },
	{ 0x4f2c2655, "iio_trigger_unregister" },
	{ 0xb3278323, "iio_triggered_buffer_cleanup" },
	{ 0xd29f4388, "regulator_bulk_disable" },
	{ 0x124af3e5, "devm_iio_device_alloc" },
	{ 0x5db5cb0a, "is_acpi_device_node" },
	{ 0x535bb09f, "iio_read_mount_matrix" },
	{ 0xa21b7c5d, "devm_regulator_bulk_get" },
	{ 0x1c6a2b63, "regulator_bulk_enable" },
	{ 0xf9a482f9, "msleep" },
	{ 0x7f91078e, "acpi_device_hid" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xff8e82aa, "dev_err_probe" },
	{ 0x72a8d6f9, "__mutex_init" },
	{ 0xdf76bbeb, "iio_pollfunc_store_time" },
	{ 0xb5ae96ea, "iio_triggered_buffer_setup_ext" },
	{ 0x2fe72d70, "devm_request_threaded_irq" },
	{ 0xf6e0b95d, "iio_device_id" },
	{ 0xb335e763, "__devm_iio_trigger_alloc" },
	{ 0x4d200fbd, "iio_trigger_register" },
	{ 0x6e8123eb, "pm_runtime_enable" },
	{ 0x69a17caa, "pm_runtime_set_autosuspend_delay" },
	{ 0x295f8de2, "__pm_runtime_use_autosuspend" },
	{ 0xb8b4f270, "__iio_device_register" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0x1f38ecf9, "iio_read_acpi_mount_matrix" },
	{ 0x5bfc5d61, "__dev_fwnode" },
	{ 0x358a1cfb, "fwnode_irq_get_byname" },
	{ 0x74f54740, "iio_read_const_attr" },
	{ 0xf83c4d62, "iio_show_mount_matrix" },
	{ 0x26ef9b8f, "module_layout" },
};

MODULE_INFO(depends, "industrialio,industrialio-triggered-buffer");


MODULE_INFO(srcversion, "5D01F7D683BD022960F2DB7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
