#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(bmp280_chip_info, "", "IIO_BMP280");
KSYMTAB_DATA(bme280_chip_info, "", "IIO_BMP280");
KSYMTAB_DATA(bmp380_chip_info, "", "IIO_BMP280");
KSYMTAB_DATA(bmp580_chip_info, "", "IIO_BMP280");
KSYMTAB_DATA(bmp180_chip_info, "", "IIO_BMP280");
KSYMTAB_DATA(bmp085_chip_info, "", "IIO_BMP280");
KSYMTAB_FUNC(bmp280_common_probe, "", "IIO_BMP280");
KSYMTAB_DATA(bmp280_dev_pm_ops, "", "");
KSYMTAB_DATA(bmp180_regmap_config, "", "IIO_BMP280");
KSYMTAB_DATA(bmp280_regmap_config, "", "IIO_BMP280");
KSYMTAB_DATA(bme280_regmap_config, "", "IIO_BMP280");
KSYMTAB_DATA(bmp380_regmap_config, "", "IIO_BMP280");
KSYMTAB_DATA(bmp580_regmap_config, "", "IIO_BMP280");

SYMBOL_CRC(bmp280_chip_info, 0xe8c18453, "");
SYMBOL_CRC(bme280_chip_info, 0x9f24a597, "");
SYMBOL_CRC(bmp380_chip_info, 0x75ce6525, "");
SYMBOL_CRC(bmp580_chip_info, 0x8d0c2e93, "");
SYMBOL_CRC(bmp180_chip_info, 0x94a0a188, "");
SYMBOL_CRC(bmp085_chip_info, 0x910c37ee, "");
SYMBOL_CRC(bmp280_common_probe, 0x3356dd87, "");
SYMBOL_CRC(bmp280_dev_pm_ops, 0x6eb36fcd, "");
SYMBOL_CRC(bmp180_regmap_config, 0xd7d7ea49, "");
SYMBOL_CRC(bmp280_regmap_config, 0x3d51372b, "");
SYMBOL_CRC(bme280_regmap_config, 0x1099819b, "");
SYMBOL_CRC(bmp380_regmap_config, 0xd20381ca, "");
SYMBOL_CRC(bmp580_regmap_config, 0xdc7f3d4f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x759b91a7, "regmap_write" },
	{ 0x2fe72d70, "devm_request_threaded_irq" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x98fe1143, "gpiod_set_value" },
	{ 0x9cb7e9bd, "devm_nvmem_register" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x305d8544, "devm_iio_triggered_buffer_setup_ext" },
	{ 0x65b45cb, "complete" },
	{ 0x69a17caa, "pm_runtime_set_autosuspend_delay" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x2818f024, "iio_push_to_buffers" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x3a9af33f, "devm_gpiod_get_optional" },
	{ 0xdb64f249, "__module_get" },
	{ 0xb7c122de, "get_device" },
	{ 0xf6e0b95d, "iio_device_id" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2bbf5c28, "__pm_runtime_set_status" },
	{ 0x945eb81c, "add_device_randomness" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6e8123eb, "pm_runtime_enable" },
	{ 0xd29f4388, "regulator_bulk_disable" },
	{ 0x8556423f, "_dev_info" },
	{ 0x8aed66f2, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x5ead2379, "irq_get_irq_data" },
	{ 0x41d17f4a, "iio_trigger_poll_nested" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0xa398e199, "__devm_iio_device_register" },
	{ 0x72a8d6f9, "__mutex_init" },
	{ 0x124af3e5, "devm_iio_device_alloc" },
	{ 0xb2e89a51, "_dev_warn" },
	{ 0xce7fc8fc, "regulator_bulk_set_supply_names" },
	{ 0x16ac0649, "devm_iio_trigger_register" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1c6a2b63, "regulator_bulk_enable" },
	{ 0xa21b7c5d, "devm_regulator_bulk_get" },
	{ 0x38b267ef, "iio_get_time_ns" },
	{ 0xe1708c6a, "fwnode_property_present" },
	{ 0x1eb64646, "div64_s64" },
	{ 0xd8995a00, "regmap_read" },
	{ 0xe95531ca, "regmap_bulk_write" },
	{ 0xf02b5c29, "__pm_runtime_resume" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0xa6a7a2ad, "div_s64_rem" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x2f91360, "regmap_bulk_read" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1798311, "regmap_update_bits_base" },
	{ 0xff8e82aa, "dev_err_probe" },
	{ 0x79f56f9c, "iio_trigger_notify_done" },
	{ 0xf3b8c88a, "__pm_runtime_suspend" },
	{ 0xb905e6eb, "__devm_add_action" },
	{ 0xdf76bbeb, "iio_pollfunc_store_time" },
	{ 0x295f8de2, "__pm_runtime_use_autosuspend" },
	{ 0x48571895, "__pm_runtime_disable" },
	{ 0xb335e763, "__devm_iio_trigger_alloc" },
	{ 0x5a833445, "fwnode_irq_get" },
	{ 0x485e2c78, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x5bfc5d61, "__dev_fwnode" },
	{ 0x26ef9b8f, "module_layout" },
};

MODULE_INFO(depends, "industrialio-triggered-buffer,industrialio");


MODULE_INFO(srcversion, "A4B62FB367F080DF07184F6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
