#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(wm97xx_reg_read, "_gpl", "");
KSYMTAB_FUNC(wm97xx_reg_write, "_gpl", "");
KSYMTAB_FUNC(wm97xx_read_aux_adc, "_gpl", "");
KSYMTAB_FUNC(wm97xx_get_gpio, "_gpl", "");
KSYMTAB_FUNC(wm97xx_set_gpio, "_gpl", "");
KSYMTAB_FUNC(wm97xx_config_gpio, "_gpl", "");
KSYMTAB_FUNC(wm97xx_set_suspend_mode, "_gpl", "");
KSYMTAB_FUNC(wm97xx_register_mach_ops, "_gpl", "");
KSYMTAB_FUNC(wm97xx_unregister_mach_ops, "_gpl", "");
KSYMTAB_DATA(wm9705_codec, "_gpl", "");
KSYMTAB_DATA(wm9712_codec, "_gpl", "");
KSYMTAB_DATA(wm9713_codec, "_gpl", "");

SYMBOL_CRC(wm97xx_reg_read, 0x949645e4, "_gpl");
SYMBOL_CRC(wm97xx_reg_write, 0xee7eeaa6, "_gpl");
SYMBOL_CRC(wm97xx_read_aux_adc, 0x7117bdda, "_gpl");
SYMBOL_CRC(wm97xx_get_gpio, 0x019aeb39, "_gpl");
SYMBOL_CRC(wm97xx_set_gpio, 0x73cde437, "_gpl");
SYMBOL_CRC(wm97xx_config_gpio, 0x3d44b518, "_gpl");
SYMBOL_CRC(wm97xx_set_suspend_mode, 0xce483619, "_gpl");
SYMBOL_CRC(wm97xx_register_mach_ops, 0xc26e914a, "_gpl");
SYMBOL_CRC(wm97xx_unregister_mach_ops, 0x333b3403, "_gpl");
SYMBOL_CRC(wm9705_codec, 0x92cfe129, "_gpl");
SYMBOL_CRC(wm9712_codec, 0x8f71fc73, "_gpl");
SYMBOL_CRC(wm9713_codec, 0x43dbfced, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc59c71c3, "platform_device_put" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xed60aeb5, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xbf625cd0, "devm_kmalloc" },
	{ 0xd053b274, "platform_driver_unregister" },
	{ 0x9981062f, "devm_input_allocate_device" },
	{ 0x51dde73, "param_array_ops" },
	{ 0x9742e4c9, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xc35aa6b4, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x8556423f, "_dev_info" },
	{ 0xdf14baea, "device_wakeup_disable" },
	{ 0x8aed66f2, "_dev_err" },
	{ 0xa9f79b13, "device_wakeup_enable" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x4e08af23, "platform_device_unregister" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0xb789f40, "platform_device_add" },
	{ 0x671ee208, "platform_device_alloc" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x72a8d6f9, "__mutex_init" },
	{ 0xb2e89a51, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x254b6301, "input_event" },
	{ 0x90e6f252, "input_set_abs_params" },
	{ 0x3e020dca, "__platform_driver_register" },
	{ 0x2b666179, "input_device_enabled" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xbb267503, "param_ops_int" },
	{ 0x26ef9b8f, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "AE412AEBD9BEE5A35B893A1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
