#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(saa7134_tuner_callback, "", "");
KSYMTAB_DATA(saa7134_devlist_lock, "", "");
KSYMTAB_DATA(saa7134_devlist, "", "");
KSYMTAB_FUNC(saa7134_stop_streaming, "_gpl", "");
KSYMTAB_FUNC(saa7134_ts_register, "", "");
KSYMTAB_FUNC(saa7134_ts_unregister, "", "");
KSYMTAB_FUNC(saa7134_set_gpio, "", "");
KSYMTAB_DATA(saa7134_boards, "", "");
KSYMTAB_DATA(saa7134_dmasound_init, "", "");
KSYMTAB_DATA(saa7134_dmasound_exit, "", "");
KSYMTAB_FUNC(saa7134_pgtable_free, "", "");
KSYMTAB_FUNC(saa7134_pgtable_build, "", "");
KSYMTAB_FUNC(saa7134_pgtable_alloc, "", "");
KSYMTAB_FUNC(saa7134_set_dmabits, "", "");
KSYMTAB_FUNC(saa7134_ts_buffer_init, "_gpl", "");
KSYMTAB_FUNC(saa7134_ts_buffer_prepare, "_gpl", "");
KSYMTAB_FUNC(saa7134_ts_queue_setup, "_gpl", "");
KSYMTAB_FUNC(saa7134_ts_start_streaming, "_gpl", "");
KSYMTAB_FUNC(saa7134_ts_stop_streaming, "_gpl", "");
KSYMTAB_DATA(saa7134_ts_qops, "_gpl", "");
KSYMTAB_FUNC(saa_dsp_writel, "", "");
KSYMTAB_FUNC(saa7134_tvaudio_setmute, "", "");
KSYMTAB_FUNC(saa7134_vb2_buffer_queue, "_gpl", "");
KSYMTAB_FUNC(saa7134_enum_input, "_gpl", "");
KSYMTAB_FUNC(saa7134_g_input, "_gpl", "");
KSYMTAB_FUNC(saa7134_s_input, "_gpl", "");
KSYMTAB_FUNC(saa7134_querycap, "_gpl", "");
KSYMTAB_FUNC(saa7134_s_std, "_gpl", "");
KSYMTAB_FUNC(saa7134_g_std, "_gpl", "");
KSYMTAB_FUNC(saa7134_querystd, "_gpl", "");
KSYMTAB_FUNC(saa7134_g_tuner, "_gpl", "");
KSYMTAB_FUNC(saa7134_s_tuner, "_gpl", "");
KSYMTAB_FUNC(saa7134_g_frequency, "_gpl", "");
KSYMTAB_FUNC(saa7134_s_frequency, "_gpl", "");

SYMBOL_CRC(saa7134_tuner_callback, 0x04e83446, "");
SYMBOL_CRC(saa7134_devlist_lock, 0xc242f0e4, "");
SYMBOL_CRC(saa7134_devlist, 0x1211df5d, "");
SYMBOL_CRC(saa7134_stop_streaming, 0x1e13d222, "_gpl");
SYMBOL_CRC(saa7134_ts_register, 0x43f177e3, "");
SYMBOL_CRC(saa7134_ts_unregister, 0xdef25ec4, "");
SYMBOL_CRC(saa7134_set_gpio, 0x8fdf41a5, "");
SYMBOL_CRC(saa7134_boards, 0x730c4be3, "");
SYMBOL_CRC(saa7134_dmasound_init, 0xbf516318, "");
SYMBOL_CRC(saa7134_dmasound_exit, 0xe0081a5e, "");
SYMBOL_CRC(saa7134_pgtable_free, 0x27772f57, "");
SYMBOL_CRC(saa7134_pgtable_build, 0x7bf311e5, "");
SYMBOL_CRC(saa7134_pgtable_alloc, 0xa0b40c38, "");
SYMBOL_CRC(saa7134_set_dmabits, 0x9b53a048, "");
SYMBOL_CRC(saa7134_ts_buffer_init, 0x6e6454e5, "_gpl");
SYMBOL_CRC(saa7134_ts_buffer_prepare, 0xcd7305cf, "_gpl");
SYMBOL_CRC(saa7134_ts_queue_setup, 0xa480fd3b, "_gpl");
SYMBOL_CRC(saa7134_ts_start_streaming, 0xee19c14e, "_gpl");
SYMBOL_CRC(saa7134_ts_stop_streaming, 0xabbe7fed, "_gpl");
SYMBOL_CRC(saa7134_ts_qops, 0x60d20fbe, "_gpl");
SYMBOL_CRC(saa_dsp_writel, 0xd36e551c, "");
SYMBOL_CRC(saa7134_tvaudio_setmute, 0x63c45cbe, "");
SYMBOL_CRC(saa7134_vb2_buffer_queue, 0xbf9506a7, "_gpl");
SYMBOL_CRC(saa7134_enum_input, 0x87e3e9d2, "_gpl");
SYMBOL_CRC(saa7134_g_input, 0x64841e48, "_gpl");
SYMBOL_CRC(saa7134_s_input, 0x6563dfa8, "_gpl");
SYMBOL_CRC(saa7134_querycap, 0x2e48bc14, "_gpl");
SYMBOL_CRC(saa7134_s_std, 0x01b492ba, "_gpl");
SYMBOL_CRC(saa7134_g_std, 0xd6082ec2, "_gpl");
SYMBOL_CRC(saa7134_querystd, 0x12ffe1d2, "_gpl");
SYMBOL_CRC(saa7134_g_tuner, 0x78330881, "_gpl");
SYMBOL_CRC(saa7134_s_tuner, 0x20777c3f, "_gpl");
SYMBOL_CRC(saa7134_g_frequency, 0x65c35eba, "_gpl");
SYMBOL_CRC(saa7134_s_frequency, 0xbb6f2f91, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x62a45b3, "vb2_queue_init" },
	{ 0x8bbd1a86, "cpu_latency_qos_remove_request" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x425b6812, "vb2_dma_sg_memops" },
	{ 0xf5e6da51, "v4l2_ctrl_poll" },
	{ 0x4cf16614, "video_ioctl2" },
	{ 0x608f82fc, "media_device_unregister" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xba732e77, "pci_enable_device" },
	{ 0xf9846399, "vb2_ioctl_streamoff" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x538c148d, "v4l2_ctrl_radio_filter" },
	{ 0x327de242, "vb2_ioctl_expbuf" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xf90fbe6, "media_device_pci_init" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xdc09cd26, "v4l2_ctrl_add_handler" },
	{ 0xbb14121f, "__pci_register_driver" },
	{ 0x276044f3, "v4l2_ctrl_handler_init_class" },
	{ 0xedc03953, "iounmap" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x51dde73, "param_array_ops" },
	{ 0xb6f2d8e4, "cpu_latency_qos_add_request" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x86981c14, "__media_device_register" },
	{ 0x4ebbf8c0, "vb2_ioctl_querybuf" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xf0daf295, "i2c_transfer_buffer_flags" },
	{ 0xdc14eda7, "pci_pci_problems" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x3485e30e, "v4l2_fh_open" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xd31af7b, "pci_unregister_driver" },
	{ 0xe51b77db, "vb2_video_unregister_device" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xafca42e, "wake_up_process" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x5921e537, "v4l2_ctrl_handler_setup" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2dcf990f, "video_devdata" },
	{ 0x738803e6, "strnlen" },
	{ 0xb72b0ae8, "const_pcpu_hot" },
	{ 0x1e898350, "i2c_del_adapter" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x1e628666, "vb2_plane_cookie" },
	{ 0xc8de0fa4, "media_device_register_entity" },
	{ 0xfe9936d9, "media_device_cleanup" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x7d764e80, "rc_keyup" },
	{ 0x495ff423, "vb2_ioctl_dqbuf" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xd78c6b70, "v4l2_ctrl_new_custom" },
	{ 0x89df32df, "rc_keydown_notimeout" },
	{ 0x24d273d1, "add_timer" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xbb28388f, "v4l2_fh_release" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0x2a4a1b88, "rc_register_device" },
	{ 0x61e69931, "dma_alloc_attrs" },
	{ 0x9778c196, "ir_raw_event_store_edge" },
	{ 0x615375d7, "vb2_buffer_done" },
	{ 0xb117d3c7, "v4l2_ctrl_subscribe_event" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x7c7f624c, "media_entity_pads_init" },
	{ 0xde80cd09, "ioremap" },
	{ 0x54aa02c1, "video_unregister_device" },
	{ 0xa7a0171f, "kthread_stop" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x72a8d6f9, "__mutex_init" },
	{ 0xcde518e0, "i2c_new_client_device" },
	{ 0xf3bd6f4b, "vb2_ioctl_qbuf" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0xdb4a3c22, "freezing_slow_path" },
	{ 0x35089ecb, "vb2_fop_mmap" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x9ecf2e9f, "video_device_alloc" },
	{ 0x9c604ed1, "rc_free_device" },
	{ 0xd51f1b5a, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9210bb20, "vb2_fop_read" },
	{ 0x114c1871, "v4l2_device_register" },
	{ 0x26665456, "param_ops_string" },
	{ 0xd227888c, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x14c1c720, "kthread_create_on_node" },
	{ 0x36835b6e, "rc_allocate_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8f26e8cb, "media_entity_setup_link" },
	{ 0xb9857234, "dma_free_attrs" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf30da266, "param_ops_bool" },
	{ 0xdd7559be, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xe54e55bd, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x8b5417ce, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xff3b70f2, "vb2_ioctl_streamon" },
	{ 0xf32f3440, "v4l2_mc_create_media_graph" },
	{ 0xa53d95f9, "vb2_fop_poll" },
	{ 0x1e0f834f, "v4l2_ctrl_new_std" },
	{ 0xf2a353ac, "v4l2_i2c_tuner_addrs" },
	{ 0xabe3d406, "v4l2_ctrl_handler_free" },
	{ 0x256bf0ac, "i2c_transfer" },
	{ 0x6d824116, "v4l2_device_unregister" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x6102ffb0, "dma_set_mask" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0xda13b504, "video_device_release" },
	{ 0x9fde1bdf, "v4l2_ctrl_log_status" },
	{ 0x35044ef9, "v4l2_i2c_new_subdev" },
	{ 0x625d097b, "pci_read_config_byte" },
	{ 0x3b093d25, "media_device_unregister_entity" },
	{ 0x77358855, "iomem_resource" },
	{ 0xbb267503, "param_ops_int" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xad0c0014, "_vb2_fop_release" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2b13131f, "rc_unregister_device" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xb3fb85db, "v4l2_event_unsubscribe" },
	{ 0xdb14c1b3, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0x744b0bcd, "vb2_ioctl_reqbufs" },
	{ 0x26ef9b8f, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,videobuf2-dma-sg,videodev,mc,videobuf2-common,rc-core,tveeprom");

MODULE_ALIAS("pci:v00001131d00007134sv00001131sd00002001bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001131sd00002001bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00001131sd00006752bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00001131sd00004E85bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv0000153Bsd00001142bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv0000153Bsd00001143bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv0000153Bsd00001158bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv0000153Bsd00001162bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00005169sd00000138bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00005168sd00000138bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00004E42sd00000138bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007130sv00005168sd00000138bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007130sv00004E42sd00000138bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00005168sd00000212bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv000014C0sd00001212bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00004E42sd00000212bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00005168sd00000214bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00005168sd00005214bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001489sd00000214bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv000016BEsd00000003bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv000016BEsd00005000bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007130sv00001048sd0000226Bbc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007130sv00001048sd0000226Abc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007130sv00001048sd0000226Cbc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00001043sd00004842bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001043sd00004845bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00001043sd00004830bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001043sd00004843bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00001043sd00004840bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00001131sd0000FE01bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00001894sd0000FE01bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00001894sd0000A006bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00001131sd00007133bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007130sv00001131sd00002001bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv0000185Bsd0000C100bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007130sv0000102Bsd000048D0bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00001461sd0000A70Bbc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001461sd0000A7A1bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001461sd0000A7A2bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007130sv00001461sd00002115bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007130sv00001461sd0000A115bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007130sv00001461sd00002108bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007130sv00001461sd000010FFbc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00001461sd0000D6EEbc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00001461sd0000B7E9bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007130sv00001461sd0000050Cbc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv000011BDsd0000002Bbc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv000011BDsd0000002Dbc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00001019sd00004CB4bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001019sd00004CB5bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00001019sd00004CB6bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv000012ABsd00000800bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007130sv0000153Bsd00001152bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007130sv0000185Bsd0000C100bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00001461sd00009715bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00001461sd0000A70Abc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv0000185Bsd0000C200bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00001540sd00009524bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00005168sd00000502bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00005168sd00000306bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001461sd0000F31Fbc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001461sd0000F11Dbc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001461sd00004155bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001461sd00004255bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007130sv00001131sd00002004bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001421sd00000350bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001421sd00000351bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001421sd00000370bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001421sd00001370bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00004E42sd00000502bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001043sd00000210bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00001043sd00000210bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00000000sd00004091bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00005456sd00007135bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00001131sd00002004bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv0000185Bsd0000C900bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007130sv0000185Bsd0000C901bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001435sd00007350bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001435sd00007330bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001461sd00001044bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001131sd00004EE9bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv000011BDsd0000002Ebc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001043sd00004862bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001131sd00002018bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001462sd00006231bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001462sd00008624bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv0000153Bsd00001160bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00005168sd00000319bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00001461sd00002C05bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00005168sd00000301bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00000331sd00001421bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv000017DEsd00007201bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv000017DEsd00007250bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv000017DEsd00007350bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv000017DEsd00007352bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv000017DEsd0000A134bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00001461sd00007360bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00001461sd00006360bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv000016BEsd00000005bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00005168sd00000300bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00004E42sd00000300bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00001489sd00000301bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00005168sd00000304bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00005168sd00003306bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00005168sd00003502bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00005168sd00003307bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv000016BEsd00000007bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv000016BEsd00000008bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv000016BEsd0000000Dbc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001461sd00002C05bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001489sd00000502bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007130sv00000919sd00002003bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00001461sd00002C00bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00001043sd00004860bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv000011BDsd0000002Fbc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001461sd00009715bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00001461sd0000A11Bbc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001043sd00004876bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00000070sd00006700bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00000070sd00006701bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00000070sd00006702bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00000070sd00006703bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00000070sd00006704bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00000070sd00006705bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00000070sd00006706bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00000070sd00006707bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00000070sd00006708bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00000070sd00006709bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00000070sd0000670Abc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv0000153Bsd00001172bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007130sv00001131sd00002342bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007130sv00001131sd00002341bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007130sv00003016sd00002344bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007130sv00001131sd0000230Fbc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007130sv00001A7Fsd00002008bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00001A7Fsd00002108bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv0000153Bsd00001175bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001461sd0000F31Ebc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00004E42sd00000306bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001043sd00004871bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001043sd00004857bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00000919sd00002003bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007130sv00001131sd00002304bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001461sd0000F01Dbc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007130sv00000000sd00004016bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00000000sd00004036bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00000000sd00004037bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007130sv00000000sd00004050bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007130sv00000000sd00004051bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00000000sd00004070bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00000000sd00004071bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00000000sd00004090bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007130sv00000000sd0000505Bbc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007130sv00000000sd00005051bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007130sv00005ACEsd00005050bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00000000sd00005071bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00000000sd0000507Bbc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00005ACEsd00005070bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00005ACEsd00005090bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00000000sd00005201bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00005ACEsd00006070bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00005ACEsd00006071bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00005ACEsd00006072bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00005ACEsd00006073bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00005ACEsd00006090bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00005ACEsd00006091bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00005ACEsd00006092bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00005ACEsd00006093bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00005ACEsd00006190bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00005ACEsd00006193bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00005ACEsd00006191bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00004E42sd00003502bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001822sd00000022bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv000016BEsd00000010bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001462sd00008625bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001461sd0000F436bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001461sd0000F936bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001461sd0000A836bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv0000185Bsd0000C900bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001421sd00000380bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00005169sd00001502bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00005ACEsd00006290bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001461sd0000F636bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001461sd0000F736bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001043sd00004878bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001043sd000048CDbc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv000017DEsd00007128bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv000017DEsd0000B136bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001461sd0000F31Dbc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007130sv0000185Bsd0000C900bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00005ACEsd00007595bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv000019D1sd00000138bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001131sd00002004bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00001043sd00004847bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007130sv0000107Dsd00006655bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv000013C2sd00002804bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00005ACEsd00007190bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00005ACEsd00007090bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007135sv0000185Bsd0000C900bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00005ACEsd00005030bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007130sv00005ACEsd00005010bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv000017DEsd0000D136bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00006000sd00000811bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00006000sd00000911bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001461sd00002055bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001905sd00007007bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007130sv00001461sd0000A10Abc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007130sv0000107Dsd00006F3Abc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001779sd000013CFbc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv0000107Dsd00006F2Ebc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00001131sd00000000bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007130sv00001131sd00000000bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007130sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007135sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "3148E2A0249A587A0FB91FE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
