#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rtsx_usb_transfer_data, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_read_ppbuf, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_write_ppbuf, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_ep0_write_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_ep0_read_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_add_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_send_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_get_rsp, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_get_card_status, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_write_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_read_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_switch_clock, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_card_exclusive_check, "_gpl", "");

SYMBOL_CRC(rtsx_usb_transfer_data, 0xe437a2ff, "_gpl");
SYMBOL_CRC(rtsx_usb_read_ppbuf, 0xdd9b19d2, "_gpl");
SYMBOL_CRC(rtsx_usb_write_ppbuf, 0x95a0a261, "_gpl");
SYMBOL_CRC(rtsx_usb_ep0_write_register, 0x267a39cb, "_gpl");
SYMBOL_CRC(rtsx_usb_ep0_read_register, 0xce71c966, "_gpl");
SYMBOL_CRC(rtsx_usb_add_cmd, 0xe7b5908e, "_gpl");
SYMBOL_CRC(rtsx_usb_send_cmd, 0x7c2b5433, "_gpl");
SYMBOL_CRC(rtsx_usb_get_rsp, 0xa26e889e, "_gpl");
SYMBOL_CRC(rtsx_usb_get_card_status, 0x04a6430d, "_gpl");
SYMBOL_CRC(rtsx_usb_write_register, 0x1cb3ebc7, "_gpl");
SYMBOL_CRC(rtsx_usb_read_register, 0x920f6e5e, "_gpl");
SYMBOL_CRC(rtsx_usb_switch_clock, 0xf8becd2a, "_gpl");
SYMBOL_CRC(rtsx_usb_card_exclusive_check, 0xa79dcef4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x34aa7c3c, "usb_bulk_msg" },
	{ 0xbf61147f, "usb_sg_init" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x24d273d1, "add_timer" },
	{ 0xd492dfa3, "usb_sg_wait" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x9742e4c9, "__dynamic_dev_dbg" },
	{ 0xba433a0f, "usb_control_msg" },
	{ 0x6ebf9468, "usb_register_driver" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0x75b2aaef, "device_for_each_child" },
	{ 0xf02b5c29, "__pm_runtime_resume" },
	{ 0x6089f397, "mfd_remove_devices" },
	{ 0x37a0cba, "kfree" },
	{ 0x725f23b5, "usb_sg_cancel" },
	{ 0x5ec3e3d0, "usb_deregister" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdb14c1b3, "kmalloc_caches" },
	{ 0x8b5417ce, "__kmalloc_cache_noprof" },
	{ 0x2e60bace, "memcpy" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6f84c573, "mutex_trylock" },
	{ 0xbf625cd0, "devm_kmalloc" },
	{ 0x72a8d6f9, "__mutex_init" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x6cb61c51, "mfd_add_devices" },
	{ 0x62ab5afb, "usb_enable_autosuspend" },
	{ 0xbb267503, "param_ops_int" },
	{ 0x26ef9b8f, "module_layout" },
};

MODULE_INFO(depends, "usbcore");

MODULE_ALIAS("usb:v0BDAp0129d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BDAp0139d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BDAp0140d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "8B54AA5A59BA0DE59F004C7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
