#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(at803x_debug_reg_read, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_mask, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_write, "_gpl", "");
KSYMTAB_FUNC(at803x_set_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_get_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_ack_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_config_intr, "_gpl", "");
KSYMTAB_FUNC(at803x_handle_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_read_specific_status, "_gpl", "");
KSYMTAB_FUNC(at803x_config_mdix, "_gpl", "");
KSYMTAB_FUNC(at803x_prepare_config_aneg, "_gpl", "");
KSYMTAB_FUNC(at803x_read_status, "_gpl", "");
KSYMTAB_FUNC(at803x_get_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_set_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_fault_length, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_start, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_wait_for_completion, "_gpl", "");
KSYMTAB_FUNC(qca808x_cable_test_get_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_enable, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_brightness_set, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_blink_set, "_gpl", "");

SYMBOL_CRC(at803x_debug_reg_read, 0x2562cd56, "_gpl");
SYMBOL_CRC(at803x_debug_reg_mask, 0xa3503987, "_gpl");
SYMBOL_CRC(at803x_debug_reg_write, 0x2b46d87a, "_gpl");
SYMBOL_CRC(at803x_set_wol, 0xc93a3551, "_gpl");
SYMBOL_CRC(at803x_get_wol, 0x8a6ee67f, "_gpl");
SYMBOL_CRC(at803x_ack_interrupt, 0xa0244a0d, "_gpl");
SYMBOL_CRC(at803x_config_intr, 0x7b44e9ea, "_gpl");
SYMBOL_CRC(at803x_handle_interrupt, 0xef149517, "_gpl");
SYMBOL_CRC(at803x_read_specific_status, 0xb586231e, "_gpl");
SYMBOL_CRC(at803x_config_mdix, 0xde78fe30, "_gpl");
SYMBOL_CRC(at803x_prepare_config_aneg, 0x949560dc, "_gpl");
SYMBOL_CRC(at803x_read_status, 0xa7ac2940, "_gpl");
SYMBOL_CRC(at803x_get_tunable, 0x57e022e9, "_gpl");
SYMBOL_CRC(at803x_set_tunable, 0xb5ec551a, "_gpl");
SYMBOL_CRC(at803x_cdt_fault_length, 0xede3878a, "_gpl");
SYMBOL_CRC(at803x_cdt_start, 0x6e3c3663, "_gpl");
SYMBOL_CRC(at803x_cdt_wait_for_completion, 0xbb1f1a8a, "_gpl");
SYMBOL_CRC(qca808x_cable_test_get_status, 0x4d596ac3, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_enable, 0x96737e59, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_status, 0x57bb03e0, "_gpl");
SYMBOL_CRC(qca808x_led_reg_brightness_set, 0xec3632fb, "_gpl");
SYMBOL_CRC(qca808x_led_reg_blink_set, 0x6467fbe0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3835c6d9, "mdiobus_write" },
	{ 0x2caaeb45, "mdiobus_read" },
	{ 0x4e72f23b, "phy_write_mmd" },
	{ 0xa0604859, "phy_modify" },
	{ 0xd4ecc054, "phy_trigger_machine" },
	{ 0xcbbc41c3, "phy_error" },
	{ 0xb7834789, "phy_modify_changed" },
	{ 0xc4092ee2, "genphy_update_link" },
	{ 0x4676ccf7, "genphy_read_lpa" },
	{ 0xe9a120e5, "phy_resolve_aneg_pause" },
	{ 0x548ad82a, "phy_init_hw" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8aed66f2, "_dev_err" },
	{ 0x75462aae, "phy_read_mmd" },
	{ 0xd1d42be0, "ethnl_cable_test_result_with_src" },
	{ 0x21e166d6, "ethnl_cable_test_fault_length_with_src" },
	{ 0xc87b3434, "phy_modify_mmd" },
	{ 0xb3cc6b99, "genphy_soft_reset" },
	{ 0x26ef9b8f, "module_layout" },
};

MODULE_INFO(depends, "libphy");


MODULE_INFO(srcversion, "7713A75A3D1ED6CE6391A77");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
