#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mt76_set_irq_mask, "_gpl", "");
KSYMTAB_FUNC(mt76_mmio_init, "_gpl", "");
KSYMTAB_FUNC(__mt76_poll, "_gpl", "");
KSYMTAB_FUNC(____mt76_poll_msec, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_alloc, "_gpl", "");
KSYMTAB_FUNC(mt76_get_min_avg_rssi, "_gpl", "");
KSYMTAB_FUNC(__mt76_worker_fn, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mac_txdone, "_gpl", "");
KSYMTAB_FUNC(__traceiter_mac_txdone, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_mac_txdone, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_mac_txdone, "_gpl", "");
KSYMTAB_DATA(__tracepoint_dev_irq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_dev_irq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_dev_irq, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_dev_irq, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_put_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76_put_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_free_pending_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_rx_poll, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_attach, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_cleanup, "_gpl", "");
KSYMTAB_DATA(mt76_rates, "_gpl", "");
KSYMTAB_FUNC(mt76_set_stream_caps, "_gpl", "");
KSYMTAB_FUNC(mt76_alloc_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_register_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_unregister_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_create_page_pool, "_gpl", "");
KSYMTAB_FUNC(mt76_alloc_device, "_gpl", "");
KSYMTAB_FUNC(mt76_register_device, "_gpl", "");
KSYMTAB_FUNC(mt76_unregister_device, "_gpl", "");
KSYMTAB_FUNC(mt76_free_device, "_gpl", "");
KSYMTAB_FUNC(mt76_rx, "_gpl", "");
KSYMTAB_FUNC(mt76_has_tx_pending, "_gpl", "");
KSYMTAB_FUNC(mt76_update_survey_active_time, "_gpl", "");
KSYMTAB_FUNC(mt76_update_survey, "_gpl", "");
KSYMTAB_FUNC(mt76_update_channel, "_gpl", "");
KSYMTAB_FUNC(mt76_get_survey, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_key_setup, "", "");
KSYMTAB_FUNC(mt76_rx_signal, "", "");
KSYMTAB_FUNC(mt76_rx_poll_complete, "_gpl", "");
KSYMTAB_FUNC(__mt76_sta_remove, "_gpl", "");
KSYMTAB_FUNC(mt76_sta_state, "_gpl", "");
KSYMTAB_FUNC(mt76_sta_pre_rcu_remove, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_init, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_cleanup, "_gpl", "");
KSYMTAB_FUNC(mt76_get_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76_init_sar_power, "_gpl", "");
KSYMTAB_FUNC(mt76_get_sar_power, "_gpl", "");
KSYMTAB_FUNC(mt76_csa_finish, "_gpl", "");
KSYMTAB_FUNC(mt76_csa_check, "_gpl", "");
KSYMTAB_FUNC(mt76_set_tim, "_gpl", "");
KSYMTAB_FUNC(mt76_insert_ccmp_hdr, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rate, "_gpl", "");
KSYMTAB_FUNC(mt76_sw_scan, "_gpl", "");
KSYMTAB_FUNC(mt76_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(mt76_get_antenna, "_gpl", "");
KSYMTAB_FUNC(mt76_init_queue, "_gpl", "");
KSYMTAB_FUNC(mt76_calculate_default_rate, "_gpl", "");
KSYMTAB_FUNC(mt76_ethtool_worker, "_gpl", "");
KSYMTAB_FUNC(mt76_ethtool_page_pool_stats, "_gpl", "");
KSYMTAB_FUNC(mt76_phy_dfs_state, "_gpl", "");
KSYMTAB_FUNC(mt76_queues_read, "_gpl", "");
KSYMTAB_FUNC(mt76_seq_puts_array, "_gpl", "");
KSYMTAB_FUNC(mt76_register_debugfs_fops, "_gpl", "");
KSYMTAB_FUNC(mt76_get_of_data_from_mtd, "_gpl", "");
KSYMTAB_FUNC(mt76_get_of_data_from_nvmem, "_gpl", "");
KSYMTAB_FUNC(mt76_eeprom_override, "_gpl", "");
KSYMTAB_FUNC(mt76_find_power_limits_node, "_gpl", "");
KSYMTAB_FUNC(mt76_find_channel_node, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rate_power_limits, "_gpl", "");
KSYMTAB_FUNC(mt76_eeprom_init, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_check_agg_ssn, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_lock, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_unlock, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_done, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_add, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_get, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_check, "_gpl", "");
KSYMTAB_FUNC(__mt76_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76_tx, "_gpl", "");
KSYMTAB_FUNC(mt76_release_buffered_frames, "_gpl", "");
KSYMTAB_FUNC(mt76_txq_schedule, "_gpl", "");
KSYMTAB_FUNC(mt76_txq_schedule_all, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_worker_run, "_gpl", "");
KSYMTAB_FUNC(mt76_stop_tx_queues, "_gpl", "");
KSYMTAB_FUNC(mt76_wake_tx_queue, "_gpl", "");
KSYMTAB_FUNC(mt76_ac_to_hwq, "_gpl", "");
KSYMTAB_FUNC(mt76_skb_adjust_pad, "_gpl", "");
KSYMTAB_FUNC(mt76_queue_tx_complete, "_gpl", "");
KSYMTAB_FUNC(__mt76_set_tx_blocked, "_gpl", "");
KSYMTAB_FUNC(mt76_token_consume, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_token_consume, "_gpl", "");
KSYMTAB_FUNC(mt76_token_release, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_token_release, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_aggr_start, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_aggr_stop, "_gpl", "");
KSYMTAB_FUNC(__mt76_mcu_msg_alloc, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_get_response, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_rx_event, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_send_and_get_msg, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_skb_send_and_get_msg, "_gpl", "");
KSYMTAB_FUNC(__mt76_mcu_send_firmware, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_release_rx_buf, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_offload_disable, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_reset_complete, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_net_setup_tc, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_dma_reset, "_gpl", "");
KSYMTAB_FUNC(mt76_pci_disable_aspm, "_gpl", "");
KSYMTAB_FUNC(mt76_pci_aspm_supported, "_gpl", "");

SYMBOL_CRC(mt76_set_irq_mask, 0xa72e0890, "_gpl");
SYMBOL_CRC(mt76_mmio_init, 0x2e3789be, "_gpl");
SYMBOL_CRC(__mt76_poll, 0x3095d52d, "_gpl");
SYMBOL_CRC(____mt76_poll_msec, 0xd8724e63, "_gpl");
SYMBOL_CRC(mt76_wcid_alloc, 0xe40b66ef, "_gpl");
SYMBOL_CRC(mt76_get_min_avg_rssi, 0x11294dc2, "_gpl");
SYMBOL_CRC(__mt76_worker_fn, 0x1ec57b4f, "_gpl");
SYMBOL_CRC(__tracepoint_mac_txdone, 0x17ee919d, "_gpl");
SYMBOL_CRC(__traceiter_mac_txdone, 0x06f5953f, "_gpl");
SYMBOL_CRC(__SCK__tp_func_mac_txdone, 0xc6315d8e, "_gpl");
SYMBOL_CRC(__SCT__tp_func_mac_txdone, 0xbb31a266, "_gpl");
SYMBOL_CRC(__tracepoint_dev_irq, 0x70577545, "_gpl");
SYMBOL_CRC(__traceiter_dev_irq, 0x284c513a, "_gpl");
SYMBOL_CRC(__SCK__tp_func_dev_irq, 0x805fc13a, "_gpl");
SYMBOL_CRC(__SCT__tp_func_dev_irq, 0xe45628cb, "_gpl");
SYMBOL_CRC(mt76_get_rxwi, 0x7a228ca3, "_gpl");
SYMBOL_CRC(mt76_put_txwi, 0x620a31d3, "_gpl");
SYMBOL_CRC(mt76_put_rxwi, 0xc74fa087, "_gpl");
SYMBOL_CRC(mt76_free_pending_rxwi, 0x17d778cb, "_gpl");
SYMBOL_CRC(mt76_dma_rx_poll, 0x7438be01, "_gpl");
SYMBOL_CRC(mt76_dma_attach, 0xb1618d76, "_gpl");
SYMBOL_CRC(mt76_dma_cleanup, 0x87f2952e, "_gpl");
SYMBOL_CRC(mt76_rates, 0x17f568e9, "_gpl");
SYMBOL_CRC(mt76_set_stream_caps, 0x78f0a777, "_gpl");
SYMBOL_CRC(mt76_alloc_phy, 0xfd49b392, "_gpl");
SYMBOL_CRC(mt76_register_phy, 0x3523403a, "_gpl");
SYMBOL_CRC(mt76_unregister_phy, 0x57a27882, "_gpl");
SYMBOL_CRC(mt76_create_page_pool, 0xcaa13780, "_gpl");
SYMBOL_CRC(mt76_alloc_device, 0x78ddd9f7, "_gpl");
SYMBOL_CRC(mt76_register_device, 0x6eb8e1ea, "_gpl");
SYMBOL_CRC(mt76_unregister_device, 0x38ef95ec, "_gpl");
SYMBOL_CRC(mt76_free_device, 0x102ba3b8, "_gpl");
SYMBOL_CRC(mt76_rx, 0x820bca71, "_gpl");
SYMBOL_CRC(mt76_has_tx_pending, 0xa6e2281a, "_gpl");
SYMBOL_CRC(mt76_update_survey_active_time, 0x2cd9a129, "_gpl");
SYMBOL_CRC(mt76_update_survey, 0x03d4370f, "_gpl");
SYMBOL_CRC(mt76_update_channel, 0xd491b1e2, "_gpl");
SYMBOL_CRC(mt76_get_survey, 0x8392273b, "_gpl");
SYMBOL_CRC(mt76_wcid_key_setup, 0x1edd5758, "");
SYMBOL_CRC(mt76_rx_signal, 0x327a9822, "");
SYMBOL_CRC(mt76_rx_poll_complete, 0xf20a3c99, "_gpl");
SYMBOL_CRC(__mt76_sta_remove, 0x3b5f6b86, "_gpl");
SYMBOL_CRC(mt76_sta_state, 0xb5cad992, "_gpl");
SYMBOL_CRC(mt76_sta_pre_rcu_remove, 0xdaa37262, "_gpl");
SYMBOL_CRC(mt76_wcid_init, 0x4379db45, "_gpl");
SYMBOL_CRC(mt76_wcid_cleanup, 0xd58ac09f, "_gpl");
SYMBOL_CRC(mt76_get_txpower, 0xfdde13e4, "_gpl");
SYMBOL_CRC(mt76_init_sar_power, 0x7554586e, "_gpl");
SYMBOL_CRC(mt76_get_sar_power, 0x5d8b92e6, "_gpl");
SYMBOL_CRC(mt76_csa_finish, 0xda7c87c9, "_gpl");
SYMBOL_CRC(mt76_csa_check, 0x54cd80c4, "_gpl");
SYMBOL_CRC(mt76_set_tim, 0x30d44554, "_gpl");
SYMBOL_CRC(mt76_insert_ccmp_hdr, 0x4f2ff75b, "_gpl");
SYMBOL_CRC(mt76_get_rate, 0xc9c5fbe9, "_gpl");
SYMBOL_CRC(mt76_sw_scan, 0x2fa20070, "_gpl");
SYMBOL_CRC(mt76_sw_scan_complete, 0x3d8ce963, "_gpl");
SYMBOL_CRC(mt76_get_antenna, 0xd8997bab, "_gpl");
SYMBOL_CRC(mt76_init_queue, 0x8efc3a4e, "_gpl");
SYMBOL_CRC(mt76_calculate_default_rate, 0xb288829b, "_gpl");
SYMBOL_CRC(mt76_ethtool_worker, 0xab9d88b8, "_gpl");
SYMBOL_CRC(mt76_ethtool_page_pool_stats, 0xc6bda716, "_gpl");
SYMBOL_CRC(mt76_phy_dfs_state, 0x87ec1892, "_gpl");
SYMBOL_CRC(mt76_queues_read, 0x9f0ffa3a, "_gpl");
SYMBOL_CRC(mt76_seq_puts_array, 0x719dd473, "_gpl");
SYMBOL_CRC(mt76_register_debugfs_fops, 0xaa4406fd, "_gpl");
SYMBOL_CRC(mt76_get_of_data_from_mtd, 0x0c10aff7, "_gpl");
SYMBOL_CRC(mt76_get_of_data_from_nvmem, 0x695c9392, "_gpl");
SYMBOL_CRC(mt76_eeprom_override, 0x862d40a8, "_gpl");
SYMBOL_CRC(mt76_find_power_limits_node, 0x24e0803b, "_gpl");
SYMBOL_CRC(mt76_find_channel_node, 0x233ba71d, "_gpl");
SYMBOL_CRC(mt76_get_rate_power_limits, 0xa4c236bb, "_gpl");
SYMBOL_CRC(mt76_eeprom_init, 0x9106464d, "_gpl");
SYMBOL_CRC(mt76_tx_check_agg_ssn, 0x64186ee4, "_gpl");
SYMBOL_CRC(mt76_tx_status_lock, 0xc9c211ad, "_gpl");
SYMBOL_CRC(mt76_tx_status_unlock, 0x48fa0b43, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_done, 0x59057561, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_add, 0x6e493b0f, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_get, 0x4580ca70, "_gpl");
SYMBOL_CRC(mt76_tx_status_check, 0x5b7498ba, "_gpl");
SYMBOL_CRC(__mt76_tx_complete_skb, 0xe86d30e6, "_gpl");
SYMBOL_CRC(mt76_tx, 0x5accf5bd, "_gpl");
SYMBOL_CRC(mt76_release_buffered_frames, 0x62c5b4d7, "_gpl");
SYMBOL_CRC(mt76_txq_schedule, 0xa0676356, "_gpl");
SYMBOL_CRC(mt76_txq_schedule_all, 0x21d98e02, "_gpl");
SYMBOL_CRC(mt76_tx_worker_run, 0xab45e348, "_gpl");
SYMBOL_CRC(mt76_stop_tx_queues, 0x137eb7ab, "_gpl");
SYMBOL_CRC(mt76_wake_tx_queue, 0xc3823ef7, "_gpl");
SYMBOL_CRC(mt76_ac_to_hwq, 0xc6634315, "_gpl");
SYMBOL_CRC(mt76_skb_adjust_pad, 0x691002f9, "_gpl");
SYMBOL_CRC(mt76_queue_tx_complete, 0x5c2b47b5, "_gpl");
SYMBOL_CRC(__mt76_set_tx_blocked, 0x97008f5a, "_gpl");
SYMBOL_CRC(mt76_token_consume, 0xfd67f43b, "_gpl");
SYMBOL_CRC(mt76_rx_token_consume, 0x4e5bf5ed, "_gpl");
SYMBOL_CRC(mt76_token_release, 0x1bb6cf0a, "_gpl");
SYMBOL_CRC(mt76_rx_token_release, 0xea9de85d, "_gpl");
SYMBOL_CRC(mt76_rx_aggr_start, 0x637ea5b5, "_gpl");
SYMBOL_CRC(mt76_rx_aggr_stop, 0xfbad4947, "_gpl");
SYMBOL_CRC(__mt76_mcu_msg_alloc, 0xc7889cb3, "_gpl");
SYMBOL_CRC(mt76_mcu_get_response, 0xcee84168, "_gpl");
SYMBOL_CRC(mt76_mcu_rx_event, 0x130bc500, "_gpl");
SYMBOL_CRC(mt76_mcu_send_and_get_msg, 0xc1784eba, "_gpl");
SYMBOL_CRC(mt76_mcu_skb_send_and_get_msg, 0x77ee93bb, "_gpl");
SYMBOL_CRC(__mt76_mcu_send_firmware, 0x891735ce, "_gpl");
SYMBOL_CRC(mt76_wed_release_rx_buf, 0x2a310631, "_gpl");
SYMBOL_CRC(mt76_wed_offload_disable, 0xda4fd8c4, "_gpl");
SYMBOL_CRC(mt76_wed_reset_complete, 0x4958cfc1, "_gpl");
SYMBOL_CRC(mt76_wed_net_setup_tc, 0x96e93659, "_gpl");
SYMBOL_CRC(mt76_wed_dma_reset, 0xc3a382f7, "_gpl");
SYMBOL_CRC(mt76_pci_disable_aspm, 0x02b8f406, "_gpl");
SYMBOL_CRC(mt76_pci_aspm_supported, 0x2cc629fb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7c0db2d, "ieee80211_sta_register_airtime" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x54b30cf5, "pcie_capability_read_word" },
	{ 0xc11e8df8, "__skb_pad" },
	{ 0x8285f1b1, "page_pool_get_stats" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x24cfe937, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x1c702a43, "__ieee80211_schedule_txq" },
	{ 0x4a662805, "debugfs_attr_write" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0xbf625cd0, "devm_kmalloc" },
	{ 0x8145b23, "of_node_put" },
	{ 0x3ea8af1a, "skb_put" },
	{ 0x13224bfa, "of_property_read_variable_u32_array" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x58da2888, "page_pool_alloc_frag" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xcf76b2c2, "consume_skb" },
	{ 0x8235805b, "memmove" },
	{ 0xf65417c4, "netif_napi_add_weight" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc31538c8, "dmam_alloc_attrs" },
	{ 0x44b384b3, "trace_raw_output_prep" },
	{ 0x6b8bf149, "netif_receive_skb_list" },
	{ 0xd37e8fce, "skb_dequeue" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x8cd69df1, "__trace_trigger_soft_disabled" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x6697bc54, "ieee80211_free_hw" },
	{ 0x23a75825, "dma_unmap_page_attrs" },
	{ 0xf24aa150, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x6c74418e, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xab680947, "ieee80211_tx_status_ext" },
	{ 0xe3f07350, "debugfs_create_blob" },
	{ 0x6be67180, "trace_event_raw_init" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc29100cf, "pcpu_hot" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0x608dc9e6, "page_pool_destroy" },
	{ 0xf9c3f811, "ieee80211_register_hw" },
	{ 0xc2c5d9a0, "led_classdev_unregister" },
	{ 0xea514e55, "__ieee80211_create_tpt_led_trigger" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xac8d7f23, "ieee80211_sta_eosp" },
	{ 0xeaeccd74, "ieee80211_get_hdrlen_from_skb" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xa6a5ac82, "__netif_napi_del" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xfcadc7d2, "kthread_park" },
	{ 0x364033c4, "sched_set_fifo_low" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x79defbe1, "kthread_should_park" },
	{ 0xc5809439, "of_get_property" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xafca42e, "wake_up_process" },
	{ 0xf2a3ccb2, "dev_driver_string" },
	{ 0x128e9245, "trace_event_buffer_commit" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xd0ee3abe, "dma_map_page_attrs" },
	{ 0x85540ebc, "nvmem_cell_put" },
	{ 0xb5bc27f5, "napi_complete_done" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x589ab4bf, "ieee80211_get_tx_rates" },
	{ 0x72cd6fd3, "ieee80211_send_bar" },
	{ 0x7d547232, "cfg80211_reg_check_beaconing" },
	{ 0xcce27038, "ieee80211_get_key_rx_seq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4292364c, "schedule" },
	{ 0x61e94681, "ieee80211_sta_uapsd_trigger" },
	{ 0x2b758fc0, "of_get_next_child" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xaa7d8aa7, "debugfs_create_devm_seqfile" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x738803e6, "strnlen" },
	{ 0x6a1ce4a4, "__alloc_skb" },
	{ 0x9af842d, "idr_get_next" },
	{ 0xb72b0ae8, "const_pcpu_hot" },
	{ 0x9f644301, "pci_disable_link_state" },
	{ 0x8556423f, "_dev_info" },
	{ 0x69adc804, "napi_gro_receive" },
	{ 0x60bad66a, "of_get_mac_address" },
	{ 0x23f1d7a6, "page_pool_ethtool_stats_get_count" },
	{ 0x181bba9, "skb_queue_tail" },
	{ 0xe9a7fe16, "nvmem_cell_read" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x73c90389, "page_pool_ethtool_stats_get" },
	{ 0x9b82b6e9, "kthread_unpark" },
	{ 0xe4b9d3d1, "dev_set_threaded" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0x5a6ee894, "of_get_child_by_name" },
	{ 0x89eddc1f, "debugfs_attr_read" },
	{ 0x23679939, "__iowrite32_copy" },
	{ 0x8345007d, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4ba95ff6, "ieee80211_queue_delayed_work" },
	{ 0xd294f070, "devm_kmemdup" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x900d9662, "perf_trace_run_bpf_submit" },
	{ 0x8aed66f2, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x4fc1293f, "of_prop_next_string" },
	{ 0x94227096, "debugfs_create_file_unsafe" },
	{ 0x6ccabd23, "idr_alloc" },
	{ 0xf664597d, "simple_attr_release" },
	{ 0xedbdb486, "ieee80211_calc_rx_airtime" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8836f7b0, "ieee80211_find_sta_by_ifaddr" },
	{ 0xefd06a56, "ieee80211_next_txq" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x463f51e3, "pcie_capability_clear_and_set_word_locked" },
	{ 0x420eabe4, "mem_section" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0x2a164ec6, "skb_push" },
	{ 0xb23efaee, "napi_enable" },
	{ 0xdb9526df, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0x5f329ef5, "seq_putc" },
	{ 0xaad37845, "trace_event_reg" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0xc8742a95, "ieee80211_sta_pspoll" },
	{ 0x16d4194c, "free_netdev" },
	{ 0x3f060887, "__ioread32_copy" },
	{ 0x5f557c4d, "wiphy_read_of_freq_limits" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x522168ea, "of_find_property" },
	{ 0xcab2021e, "page_pool_put_unrefed_netmem" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xa7a0171f, "kthread_stop" },
	{ 0x953b1b05, "ieee80211_free_txskb" },
	{ 0x77c10300, "led_classdev_register_ext" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x72a8d6f9, "__mutex_init" },
	{ 0x4e38ae4a, "of_device_is_available" },
	{ 0x616b5cb1, "ieee80211_alloc_hw_nm" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x9c9f5573, "idr_destroy" },
	{ 0x18c57ce6, "ieee80211_tx_dequeue" },
	{ 0x6089cafd, "ieee80211_rx_list" },
	{ 0xa81eee0c, "page_pool_create" },
	{ 0x2bc95bd4, "memset" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xef3b5f08, "debugfs_create_u32" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x14c1c720, "kthread_create_on_node" },
	{ 0x2f79714e, "bpf_trace_run3" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x790e5106, "alloc_netdev_dummy" },
	{ 0xc61733ca, "trace_event_buffer_reserve" },
	{ 0xabc9315d, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x244c93c3, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x8309d6c4, "ieee80211_unregister_hw" },
	{ 0x2a81d390, "napi_build_skb" },
	{ 0x887032f, "seq_write" },
	{ 0x41620cdc, "radix_tree_tagged" },
	{ 0x8b5417ce, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x33556f36, "of_nvmem_cell_get" },
	{ 0xec527739, "seq_printf" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x540897d6, "skb_add_rx_frag_netmem" },
	{ 0x1d7e0ed8, "page_address" },
	{ 0xb67e7d9, "ieee80211_sta_ps_transition" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x591db4e5, "debugfs_create_u8" },
	{ 0xe8d4bf81, "debugfs_create_dir" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xdb14c1b3, "kmalloc_caches" },
	{ 0xc440ae57, "ieee80211_csa_finish" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x26ef9b8f, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "DEBEA6ECF81D53836B300C1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
