#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfd5330c1, "usb_put_intf" },
	{ 0x714d30da, "usb_alloc_urb" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0xa4d89082, "usb_free_urb" },
	{ 0x3ea8af1a, "skb_put" },
	{ 0x2fe4a682, "usb_alloc_coherent" },
	{ 0xcf76b2c2, "consume_skb" },
	{ 0x8235805b, "memmove" },
	{ 0xd37e8fce, "skb_dequeue" },
	{ 0x6697bc54, "ieee80211_free_hw" },
	{ 0x6b114286, "request_firmware" },
	{ 0x6ebf9468, "usb_register_driver" },
	{ 0x2e60bace, "memcpy" },
	{ 0xa899d810, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0xf9c3f811, "ieee80211_register_hw" },
	{ 0x866c7c1d, "ieee80211_emulate_change_chanctx" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x9742e4c9, "__dynamic_dev_dbg" },
	{ 0xd21dfac, "usb_get_intf" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x85711b14, "ieee80211_handle_wake_tx_queue" },
	{ 0x70f7896, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xabc8d03c, "ieee80211_tx_status_irqsafe" },
	{ 0x34aa7c3c, "usb_bulk_msg" },
	{ 0xc551a031, "usb_reset_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x912a3adb, "usb_kill_anchored_urbs" },
	{ 0xb047ac2e, "usb_submit_urb" },
	{ 0x8556423f, "_dev_info" },
	{ 0x181bba9, "skb_queue_tail" },
	{ 0xeaadae11, "usb_queue_reset_device" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x8aed66f2, "_dev_err" },
	{ 0x5614b417, "usb_free_coherent" },
	{ 0xdedcc704, "skb_pull" },
	{ 0x24d273d1, "add_timer" },
	{ 0x49bafd58, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0x2a164ec6, "skb_push" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0xba433a0f, "usb_control_msg" },
	{ 0xff857444, "ieee80211_wake_queues" },
	{ 0x72a8d6f9, "__mutex_init" },
	{ 0x616b5cb1, "ieee80211_alloc_hw_nm" },
	{ 0x5ec3e3d0, "usb_deregister" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x2bc95bd4, "memset" },
	{ 0xb2e89a51, "_dev_warn" },
	{ 0xec6ad8b9, "ieee80211_emulate_add_chanctx" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0x2212e5d7, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xdc923ed1, "__netdev_alloc_skb" },
	{ 0x880097d5, "ieee80211_stop_queues" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x8309d6c4, "ieee80211_unregister_hw" },
	{ 0xd138aa33, "usb_reset_configuration" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x8b5417ce, "__kmalloc_cache_noprof" },
	{ 0x621a6f14, "usb_kill_urb" },
	{ 0xe7b041f0, "ieee80211_beacon_get_tim" },
	{ 0x97d539b9, "mutex_destroy" },
	{ 0xb82421e0, "ieee80211_emulate_remove_chanctx" },
	{ 0xf9a482f9, "msleep" },
	{ 0xdb14c1b3, "kmalloc_caches" },
	{ 0xa9b71fd, "ieee80211_rx_irqsafe" },
	{ 0x26ef9b8f, "module_layout" },
};

MODULE_INFO(depends, "usbcore,mac80211,cfg80211");

MODULE_ALIAS("usb:v16C1p1CDEd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2EF5p0008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2EF5p000Ad*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "4F3ADC1C109210982350729");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
