#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rt2800_mcu_request, "_gpl", "");
KSYMTAB_FUNC(rt2800_wait_csr_ready, "_gpl", "");
KSYMTAB_FUNC(rt2800_wait_wpdma_ready, "_gpl", "");
KSYMTAB_FUNC(rt2800_disable_wpdma, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_txwi_rxwi_size, "_gpl", "");
KSYMTAB_FUNC(rt2800_check_firmware, "_gpl", "");
KSYMTAB_FUNC(rt2800_load_firmware, "_gpl", "");
KSYMTAB_FUNC(rt2800_write_tx_data, "_gpl", "");
KSYMTAB_FUNC(rt2800_process_rxwi, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone_entry, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone, "_gpl", "");
KSYMTAB_FUNC(rt2800_txstatus_timeout, "_gpl", "");
KSYMTAB_FUNC(rt2800_txstatus_pending, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone_nostatus, "_gpl", "");
KSYMTAB_FUNC(rt2800_watchdog, "_gpl", "");
KSYMTAB_FUNC(rt2800_write_beacon, "_gpl", "");
KSYMTAB_FUNC(rt2800_clear_beacon, "_gpl", "");
KSYMTAB_FUNC(rt2800_rfkill_poll, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_shared_key, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_pairwise_key, "_gpl", "");
KSYMTAB_FUNC(rt2800_sta_add, "_gpl", "");
KSYMTAB_FUNC(rt2800_sta_remove, "_gpl", "");
KSYMTAB_FUNC(rt2800_pre_reset_hw, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_filter, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_intf, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_erp, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_ant, "_gpl", "");
KSYMTAB_FUNC(rt2800_gain_calibration, "_gpl", "");
KSYMTAB_FUNC(rt2800_vco_calibration, "_gpl", "");
KSYMTAB_FUNC(rt2800_config, "_gpl", "");
KSYMTAB_FUNC(rt2800_link_stats, "_gpl", "");
KSYMTAB_FUNC(rt2800_reset_tuner, "_gpl", "");
KSYMTAB_FUNC(rt2800_link_tuner, "_gpl", "");
KSYMTAB_FUNC(rt2800_enable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800_disable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800_efuse_detect, "_gpl", "");
KSYMTAB_FUNC(rt2800_read_eeprom_efuse, "_gpl", "");
KSYMTAB_FUNC(rt2800_probe_hw, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_key_seq, "_gpl", "");
KSYMTAB_FUNC(rt2800_set_rts_threshold, "_gpl", "");
KSYMTAB_FUNC(rt2800_conf_tx, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_tsf, "_gpl", "");
KSYMTAB_FUNC(rt2800_ampdu_action, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_survey, "_gpl", "");

SYMBOL_CRC(rt2800_mcu_request, 0x448c5b1b, "_gpl");
SYMBOL_CRC(rt2800_wait_csr_ready, 0xa57d9ecc, "_gpl");
SYMBOL_CRC(rt2800_wait_wpdma_ready, 0x6ddbdf8d, "_gpl");
SYMBOL_CRC(rt2800_disable_wpdma, 0x7f97fa2a, "_gpl");
SYMBOL_CRC(rt2800_get_txwi_rxwi_size, 0x59c244f0, "_gpl");
SYMBOL_CRC(rt2800_check_firmware, 0xf8c59099, "_gpl");
SYMBOL_CRC(rt2800_load_firmware, 0xa8fe7e03, "_gpl");
SYMBOL_CRC(rt2800_write_tx_data, 0x238e259f, "_gpl");
SYMBOL_CRC(rt2800_process_rxwi, 0x4406bf31, "_gpl");
SYMBOL_CRC(rt2800_txdone_entry, 0x86058ad7, "_gpl");
SYMBOL_CRC(rt2800_txdone, 0x9d351d9d, "_gpl");
SYMBOL_CRC(rt2800_txstatus_timeout, 0x583dba2a, "_gpl");
SYMBOL_CRC(rt2800_txstatus_pending, 0x92a35c8b, "_gpl");
SYMBOL_CRC(rt2800_txdone_nostatus, 0xc7710509, "_gpl");
SYMBOL_CRC(rt2800_watchdog, 0x4cc19398, "_gpl");
SYMBOL_CRC(rt2800_write_beacon, 0x7ce52670, "_gpl");
SYMBOL_CRC(rt2800_clear_beacon, 0x759c6476, "_gpl");
SYMBOL_CRC(rt2800_rfkill_poll, 0x83a7dcfd, "_gpl");
SYMBOL_CRC(rt2800_config_shared_key, 0x5d3bc678, "_gpl");
SYMBOL_CRC(rt2800_config_pairwise_key, 0xfaa38a1b, "_gpl");
SYMBOL_CRC(rt2800_sta_add, 0x2df03677, "_gpl");
SYMBOL_CRC(rt2800_sta_remove, 0x2475d134, "_gpl");
SYMBOL_CRC(rt2800_pre_reset_hw, 0xf9f1fc3d, "_gpl");
SYMBOL_CRC(rt2800_config_filter, 0x5f8249bc, "_gpl");
SYMBOL_CRC(rt2800_config_intf, 0x727b497d, "_gpl");
SYMBOL_CRC(rt2800_config_erp, 0x9073c3a6, "_gpl");
SYMBOL_CRC(rt2800_config_ant, 0xae80c50e, "_gpl");
SYMBOL_CRC(rt2800_gain_calibration, 0xa62bea54, "_gpl");
SYMBOL_CRC(rt2800_vco_calibration, 0x2c41669e, "_gpl");
SYMBOL_CRC(rt2800_config, 0x47523a74, "_gpl");
SYMBOL_CRC(rt2800_link_stats, 0x9aa497db, "_gpl");
SYMBOL_CRC(rt2800_reset_tuner, 0x6ee3444d, "_gpl");
SYMBOL_CRC(rt2800_link_tuner, 0x8ecb630b, "_gpl");
SYMBOL_CRC(rt2800_enable_radio, 0x72ef09c6, "_gpl");
SYMBOL_CRC(rt2800_disable_radio, 0xa928dfd9, "_gpl");
SYMBOL_CRC(rt2800_efuse_detect, 0x439fcdce, "_gpl");
SYMBOL_CRC(rt2800_read_eeprom_efuse, 0xea3fcf5a, "_gpl");
SYMBOL_CRC(rt2800_probe_hw, 0xa5f81ad8, "_gpl");
SYMBOL_CRC(rt2800_get_key_seq, 0x6d3207bc, "_gpl");
SYMBOL_CRC(rt2800_set_rts_threshold, 0x514bdc5a, "_gpl");
SYMBOL_CRC(rt2800_conf_tx, 0x8b84c440, "_gpl");
SYMBOL_CRC(rt2800_get_tsf, 0xef239732, "_gpl");
SYMBOL_CRC(rt2800_ampdu_action, 0x33e03a89, "_gpl");
SYMBOL_CRC(rt2800_get_survey, 0x3b0f7afe, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0x8aed66f2, "_dev_err" },
	{ 0xa8ec7d34, "crc_ccitt" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x6ec58895, "rt2x00lib_txdone_nomatch" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x2bf6c28, "rt2x00lib_txdone" },
	{ 0x9742e4c9, "__dynamic_dev_dbg" },
	{ 0xbc77e675, "rt2x00queue_get_entry" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x74e4878, "rt2x00lib_get_bssidx" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x91f6fcb4, "rt2x00mac_conf_tx" },
	{ 0xded1373d, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0xb2e89a51, "_dev_warn" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2a164ec6, "skb_push" },
	{ 0x25d7b154, "dev_kfree_skb_any_reason" },
	{ 0xc11e8df8, "__skb_pad" },
	{ 0x4c5afd10, "rt2x00lib_txdone_noinfo" },
	{ 0x9d81e86c, "ieee80211_restart_hw" },
	{ 0xdedcc704, "skb_pull" },
	{ 0x8556423f, "_dev_info" },
	{ 0x896946d2, "rt2x00lib_set_mac_address" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x37a0cba, "kfree" },
	{ 0xec4d9e3a, "clk_get_sys" },
	{ 0x2e1ca751, "clk_put" },
	{ 0x877f4446, "param_ops_uint" },
	{ 0x26ef9b8f, "module_layout" },
};

MODULE_INFO(depends, "rt2x00lib,mac80211");


MODULE_INFO(srcversion, "D9A7D0CBEF09083DB527B76");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
