#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nvme_fc_register_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_register_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rescan_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_set_remoteport_devloss, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rcv_ls_req, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_io_getuuid, "_gpl", "");

SYMBOL_CRC(nvme_fc_register_localport, 0xdbdd4aad, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_localport, 0x3884f8b8, "_gpl");
SYMBOL_CRC(nvme_fc_register_remoteport, 0x0d12e564, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_remoteport, 0xfca9dc99, "_gpl");
SYMBOL_CRC(nvme_fc_rescan_remoteport, 0x3e33ac54, "_gpl");
SYMBOL_CRC(nvme_fc_set_remoteport_devloss, 0x8a9cf5a7, "_gpl");
SYMBOL_CRC(nvme_fc_rcv_ls_req, 0xbb0e18a6, "_gpl");
SYMBOL_CRC(nvme_fc_io_getuuid, 0xcc8a2d78, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa06c05d5, "nvme_remove_admin_tag_set" },
	{ 0xbf76c12a, "nvme_sync_io_queues" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0x771e59ab, "nvme_uninit_ctrl" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x3781be3c, "ida_destroy" },
	{ 0xc405ef5d, "nvme_complete_rq" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xf890dee5, "nvmf_free_options" },
	{ 0x6fe0a82, "nvmf_subsystem_reset" },
	{ 0xcf9094f, "blk_mq_tagset_wait_completed_request" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xf872a3e7, "nvme_stop_keep_alive" },
	{ 0x62bab849, "blk_mq_complete_request_remote" },
	{ 0x23a75825, "dma_unmap_page_attrs" },
	{ 0x1485a65, "nvme_setup_cmd" },
	{ 0x63f9f312, "nvme_start_ctrl" },
	{ 0x324c765e, "nvme_alloc_admin_tag_set" },
	{ 0x9afba16d, "nvmf_connect_io_queue" },
	{ 0xfba7ddd2, "match_u64" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa56e1a52, "sg_free_table_chained" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x64b62862, "nvme_wq" },
	{ 0x27e6f304, "nvmf_reg_read32" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x7f6d6986, "nvme_delete_ctrl" },
	{ 0xb7c122de, "get_device" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xb1578271, "nvme_should_fail" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf2a3ccb2, "dev_driver_string" },
	{ 0x97c2454c, "nvmf_get_address" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xd0ee3abe, "dma_map_page_attrs" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xd46b54dd, "flush_delayed_work" },
	{ 0x70f7896, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x4292364c, "schedule" },
	{ 0x4dbd9a0b, "nvme_remove_io_tag_set" },
	{ 0xe3a1a3be, "nvme_cleanup_cmd" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x98689877, "nvme_mpath_start_request" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xeb78f469, "nvmf_unregister_transport" },
	{ 0xd89538ed, "blkcg_get_fc_appid" },
	{ 0xad2712ff, "put_device" },
	{ 0x738803e6, "strnlen" },
	{ 0xef9a7d7c, "nvme_change_ctrl_state" },
	{ 0x8556423f, "_dev_info" },
	{ 0x764a7f5d, "nvme_init_ctrl" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xd58bbbcb, "nvme_delete_wq" },
	{ 0xb20d37d7, "nvme_alloc_io_tag_set" },
	{ 0x484c71ca, "nvme_fail_nonready_command" },
	{ 0xd0bb8010, "kobject_uevent_env" },
	{ 0x8345007d, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8aed66f2, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xcbe63a76, "device_create" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x420eabe4, "mem_section" },
	{ 0x85a93f27, "blk_sync_queue" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0xcc56519e, "blkcg_set_fc_appid" },
	{ 0xf3dd38ab, "__blk_rq_map_sg" },
	{ 0x6573f300, "ida_free" },
	{ 0x1f896bc4, "nvmf_reg_read64" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x34621d4f, "class_unregister" },
	{ 0x49224181, "nvme_reset_wq" },
	{ 0xbae150ce, "nvmf_connect_admin_queue" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x8da6928c, "nvme_enable_ctrl" },
	{ 0xe636775d, "nvme_unquiesce_admin_queue" },
	{ 0xb2e89a51, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd1d3c67e, "nvme_unquiesce_io_queues" },
	{ 0x2c06c7ba, "blk_mq_update_nr_hw_queues" },
	{ 0x71efa23f, "nvmf_reg_write32" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x7ca38805, "nvmf_should_reconnect" },
	{ 0x244c93c3, "__dma_sync_single_for_device" },
	{ 0xde5817bd, "nvme_complete_async_event" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xd5c783ea, "device_destroy" },
	{ 0x8b5417ce, "__kmalloc_cache_noprof" },
	{ 0xb6219d2, "nvme_set_queue_count" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0x5889e4cf, "nvmf_register_transport" },
	{ 0x55c7686c, "blk_mq_start_request" },
	{ 0x8141c6a2, "nvme_quiesce_io_queues" },
	{ 0x813db89e, "blk_mq_tagset_busy_iter" },
	{ 0x288aec65, "nvme_stop_ctrl" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xae7b30b7, "dma_unmap_sg_attrs" },
	{ 0x899b24f9, "nvme_init_ctrl_finish" },
	{ 0x349cba85, "strchr" },
	{ 0x14c359f2, "nvme_reset_ctrl" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x9e229c49, "sg_alloc_table_chained" },
	{ 0xcbbbaddc, "nvme_quiesce_admin_queue" },
	{ 0xe49baa9d, "class_register" },
	{ 0xfca74a14, "__nvme_check_ready" },
	{ 0xdb14c1b3, "kmalloc_caches" },
	{ 0x76806f8d, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd86325e6, "nvme_add_ctrl" },
	{ 0x26ef9b8f, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,nvme-fabrics");


MODULE_INFO(srcversion, "D06B96223D6EBD06EE7A951");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
