#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(pmt_telem_get_next_endpoint, "_gpl", "INTEL_PMT_TELEMETRY");
KSYMTAB_FUNC(pmt_telem_register_endpoint, "_gpl", "INTEL_PMT_TELEMETRY");
KSYMTAB_FUNC(pmt_telem_unregister_endpoint, "_gpl", "INTEL_PMT_TELEMETRY");
KSYMTAB_FUNC(pmt_telem_get_endpoint_info, "_gpl", "INTEL_PMT_TELEMETRY");
KSYMTAB_FUNC(pmt_telem_read, "_gpl", "INTEL_PMT_TELEMETRY");
KSYMTAB_FUNC(pmt_telem_read32, "_gpl", "INTEL_PMT_TELEMETRY");
KSYMTAB_FUNC(pmt_telem_find_and_register_endpoint, "_gpl", "INTEL_PMT_TELEMETRY");

SYMBOL_CRC(pmt_telem_get_next_endpoint, 0xd71cecee, "_gpl");
SYMBOL_CRC(pmt_telem_register_endpoint, 0xc00fb45a, "_gpl");
SYMBOL_CRC(pmt_telem_unregister_endpoint, 0xbc988fa4, "_gpl");
SYMBOL_CRC(pmt_telem_get_endpoint_info, 0xcf702052, "_gpl");
SYMBOL_CRC(pmt_telem_read, 0x957a043e, "_gpl");
SYMBOL_CRC(pmt_telem_read32, 0x0cc6a9cd, "_gpl");
SYMBOL_CRC(pmt_telem_find_and_register_endpoint, 0x9120181b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbf625cd0, "devm_kmalloc" },
	{ 0xb9704631, "memcpy_fromio" },
	{ 0x37a0cba, "kfree" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x47a381c0, "auxiliary_driver_unregister" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb5ab9c0, "intel_pmt_is_early_client_hw" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0x260c0666, "intel_pmt_dev_destroy" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0x3c453e5f, "xa_destroy" },
	{ 0xf5d073e8, "xa_find" },
	{ 0x8b5417ce, "__kmalloc_cache_noprof" },
	{ 0x40378f08, "__auxiliary_driver_register" },
	{ 0x42737b5e, "xa_find_after" },
	{ 0x68b6c495, "intel_pmt_dev_create" },
	{ 0xdb14c1b3, "kmalloc_caches" },
	{ 0x6409f651, "pmt_telem_read_mmio" },
	{ 0x26ef9b8f, "module_layout" },
};

MODULE_INFO(depends, "pmt_class");

MODULE_ALIAS("auxiliary:intel_vsec.telemetry");

MODULE_INFO(srcversion, "CF3F14EB0E193A62C63C1D6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
