#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ufshcd_dump_regs, "_gpl", "");
KSYMTAB_FUNC(ufshcd_enable_irq, "_gpl", "");
KSYMTAB_FUNC(ufshcd_disable_irq, "_gpl", "");
KSYMTAB_FUNC(ufshcd_delay_us, "_gpl", "");
KSYMTAB_FUNC(ufshcd_is_hba_active, "_gpl", "");
KSYMTAB_FUNC(ufshcd_opp_config_clks, "_gpl", "");
KSYMTAB_FUNC(ufshcd_hold, "_gpl", "");
KSYMTAB_FUNC(ufshcd_release, "_gpl", "");
KSYMTAB_FUNC(ufshcd_clkgate_delay_set, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dme_configure_adapt, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dme_set_attr, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dme_get_attr, "_gpl", "");
KSYMTAB_FUNC(ufshcd_uic_change_pwr_mode, "_gpl", "");
KSYMTAB_FUNC(ufshcd_link_recovery, "_gpl", "");
KSYMTAB_FUNC(ufshcd_uic_hibern8_enter, "_gpl", "");
KSYMTAB_FUNC(ufshcd_uic_hibern8_exit, "_gpl", "");
KSYMTAB_FUNC(ufshcd_auto_hibern8_update, "_gpl", "");
KSYMTAB_FUNC(ufshcd_config_pwr_mode, "_gpl", "");
KSYMTAB_FUNC(ufshcd_make_hba_operational, "_gpl", "");
KSYMTAB_FUNC(ufshcd_hba_stop, "_gpl", "");
KSYMTAB_FUNC(ufshcd_hba_enable, "_gpl", "");
KSYMTAB_FUNC(ufshcd_update_evt_hist, "_gpl", "");
KSYMTAB_FUNC(ufshcd_fixup_dev_quirks, "_gpl", "");
KSYMTAB_FUNC(ufshcd_get_vreg, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_suspend, "", "");
KSYMTAB_FUNC(ufshcd_system_resume, "", "");
KSYMTAB_FUNC(ufshcd_runtime_suspend, "", "");
KSYMTAB_FUNC(ufshcd_runtime_resume, "", "");
KSYMTAB_FUNC(ufshcd_remove, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_freeze, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_restore, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_thaw, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dealloc_host, "_gpl", "");
KSYMTAB_FUNC(ufshcd_alloc_host, "", "");
KSYMTAB_FUNC(ufshcd_init, "_gpl", "");
KSYMTAB_FUNC(ufshcd_resume_complete, "_gpl", "");
KSYMTAB_FUNC(__ufshcd_suspend_prepare, "_gpl", "");
KSYMTAB_FUNC(ufshcd_suspend_prepare, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_config_mac, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_queue_cfg_addr, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_read_cqis, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_write_cqis, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_poll_cqe_lock, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_make_queues_operational, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_enable, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_enable_esi, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_config_esi, "_gpl", "");

SYMBOL_CRC(ufshcd_dump_regs, 0xa8a2824b, "_gpl");
SYMBOL_CRC(ufshcd_enable_irq, 0x5477aadd, "_gpl");
SYMBOL_CRC(ufshcd_disable_irq, 0x6adfc271, "_gpl");
SYMBOL_CRC(ufshcd_delay_us, 0x723b1abf, "_gpl");
SYMBOL_CRC(ufshcd_is_hba_active, 0x0772a2ed, "_gpl");
SYMBOL_CRC(ufshcd_opp_config_clks, 0x4bc03620, "_gpl");
SYMBOL_CRC(ufshcd_hold, 0x51b033a8, "_gpl");
SYMBOL_CRC(ufshcd_release, 0x0112cad0, "_gpl");
SYMBOL_CRC(ufshcd_clkgate_delay_set, 0xa1b4a17a, "_gpl");
SYMBOL_CRC(ufshcd_dme_configure_adapt, 0x37ff8b6b, "_gpl");
SYMBOL_CRC(ufshcd_dme_set_attr, 0x6e0340ce, "_gpl");
SYMBOL_CRC(ufshcd_dme_get_attr, 0x0842e078, "_gpl");
SYMBOL_CRC(ufshcd_uic_change_pwr_mode, 0xa90586c5, "_gpl");
SYMBOL_CRC(ufshcd_link_recovery, 0xb95febd4, "_gpl");
SYMBOL_CRC(ufshcd_uic_hibern8_enter, 0x21f3cfe6, "_gpl");
SYMBOL_CRC(ufshcd_uic_hibern8_exit, 0xee38dee5, "_gpl");
SYMBOL_CRC(ufshcd_auto_hibern8_update, 0x03ed5566, "_gpl");
SYMBOL_CRC(ufshcd_config_pwr_mode, 0x35b43c06, "_gpl");
SYMBOL_CRC(ufshcd_make_hba_operational, 0x65259684, "_gpl");
SYMBOL_CRC(ufshcd_hba_stop, 0x4613f2dd, "_gpl");
SYMBOL_CRC(ufshcd_hba_enable, 0xbce2ea5e, "_gpl");
SYMBOL_CRC(ufshcd_update_evt_hist, 0x41819e7f, "_gpl");
SYMBOL_CRC(ufshcd_fixup_dev_quirks, 0x3cfa66d9, "_gpl");
SYMBOL_CRC(ufshcd_get_vreg, 0xe738fc8d, "_gpl");
SYMBOL_CRC(ufshcd_system_suspend, 0x5ba02de1, "");
SYMBOL_CRC(ufshcd_system_resume, 0xb5c953af, "");
SYMBOL_CRC(ufshcd_runtime_suspend, 0xcc6201d8, "");
SYMBOL_CRC(ufshcd_runtime_resume, 0xa53ce2a4, "");
SYMBOL_CRC(ufshcd_remove, 0x758d6a20, "_gpl");
SYMBOL_CRC(ufshcd_system_freeze, 0x91ee8385, "_gpl");
SYMBOL_CRC(ufshcd_system_restore, 0x75194cd1, "_gpl");
SYMBOL_CRC(ufshcd_system_thaw, 0xecf21cfe, "_gpl");
SYMBOL_CRC(ufshcd_dealloc_host, 0x5a4e36a9, "_gpl");
SYMBOL_CRC(ufshcd_alloc_host, 0x2f86bf8b, "");
SYMBOL_CRC(ufshcd_init, 0xf255559b, "_gpl");
SYMBOL_CRC(ufshcd_resume_complete, 0x43235bbc, "_gpl");
SYMBOL_CRC(__ufshcd_suspend_prepare, 0xc80bb56d, "_gpl");
SYMBOL_CRC(ufshcd_suspend_prepare, 0xf17f3469, "_gpl");
SYMBOL_CRC(ufshcd_mcq_config_mac, 0xfed81865, "_gpl");
SYMBOL_CRC(ufshcd_mcq_queue_cfg_addr, 0x61932135, "_gpl");
SYMBOL_CRC(ufshcd_mcq_read_cqis, 0x04537069, "_gpl");
SYMBOL_CRC(ufshcd_mcq_write_cqis, 0x667aee40, "_gpl");
SYMBOL_CRC(ufshcd_mcq_poll_cqe_lock, 0x2bb34a87, "_gpl");
SYMBOL_CRC(ufshcd_mcq_make_queues_operational, 0x35f808a9, "_gpl");
SYMBOL_CRC(ufshcd_mcq_enable, 0x1c12978d, "_gpl");
SYMBOL_CRC(ufshcd_mcq_enable_esi, 0xe57cb58c, "_gpl");
SYMBOL_CRC(ufshcd_mcq_config_esi, 0xf39b81a0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8bbd1a86, "cpu_latency_qos_remove_request" },
	{ 0xea5d5812, "scsi_dma_map" },
	{ 0x3447e7ef, "scsi_print_sense_hdr" },
	{ 0x458f51df, "regulator_enable" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xedfbbe16, "blk_crypto_reprogram_all_keys" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xc5b27f55, "__init_rwsem" },
	{ 0x24cfe937, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x64163caf, "bpf_trace_run4" },
	{ 0x5ba9c87f, "blk_crypto_keyslot_index" },
	{ 0x2fe72d70, "devm_request_threaded_irq" },
	{ 0x4a662805, "debugfs_attr_write" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0xbf625cd0, "devm_kmalloc" },
	{ 0xece0c41d, "bsg_setup_queue" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0xe76d7dfb, "scsi_autopm_put_device" },
	{ 0xcc82e56c, "scsi_device_get" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xf94635a2, "bsg_remove_queue" },
	{ 0xfc1fe868, "dev_set_name" },
	{ 0x59c5c518, "bsg_job_done" },
	{ 0x65b45cb, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xc31538c8, "dmam_alloc_attrs" },
	{ 0x44b384b3, "trace_raw_output_prep" },
	{ 0x5d893843, "scsi_remove_host" },
	{ 0xae8db488, "bpf_trace_run6" },
	{ 0x69a17caa, "pm_runtime_set_autosuspend_delay" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x8cd69df1, "__trace_trigger_soft_disabled" },
	{ 0x5e91ae12, "blk_pm_runtime_init" },
	{ 0x6c74418e, "trace_event_printf" },
	{ 0x80bb3d69, "scsi_report_bus_reset" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x43e091eb, "sysfs_remove_groups" },
	{ 0xf3ca5c82, "hwmon_notify_event" },
	{ 0xcb45425e, "pm_runtime_get_if_active" },
	{ 0x9dfb9c84, "dev_pm_opp_find_freq_floor_indexed" },
	{ 0xbfc97bdc, "up" },
	{ 0xd10fe2c6, "device_initialize" },
	{ 0x27b9dc75, "devfreq_recommended_opp" },
	{ 0x627344fc, "sysfs_create_groups" },
	{ 0x6be67180, "trace_event_raw_init" },
	{ 0x24c0c03d, "trace_print_symbols_seq" },
	{ 0x2e60bace, "memcpy" },
	{ 0xc065f450, "scsi_dma_unmap" },
	{ 0xb6f2d8e4, "cpu_latency_qos_add_request" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xc29100cf, "pcpu_hot" },
	{ 0x8aba9764, "seq_lseek" },
	{ 0x7c3815e2, "cpu_latency_qos_request_active" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe27bb409, "bpf_trace_run2" },
	{ 0xe86fa14e, "__scsi_iterate_devices" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0xb7c122de, "get_device" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x9742e4c9, "__dynamic_dev_dbg" },
	{ 0xd9497d10, "trace_print_hex_seq" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x74e9d584, "devm_clk_get" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xfea0a2e, "blk_mq_alloc_tag_set" },
	{ 0x17980286, "scsi_device_set_state" },
	{ 0x9d703c48, "devfreq_add_device" },
	{ 0xf2a3ccb2, "dev_driver_string" },
	{ 0x128e9245, "trace_event_buffer_commit" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x2bbf5c28, "__pm_runtime_set_status" },
	{ 0xf5f370e0, "async_schedule_node" },
	{ 0x668b595, "_kstrtoul" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0xb0417678, "blk_crypto_register" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0x3ee0d3bf, "param_get_uint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xad2712ff, "put_device" },
	{ 0x1c0ac545, "blk_mq_unquiesce_tagset" },
	{ 0x58427322, "dev_pm_opp_put" },
	{ 0x25698fd, "blk_mq_free_request" },
	{ 0x929b1ca8, "device_property_read_u32_array" },
	{ 0xd4db9b04, "devm_regulator_get" },
	{ 0x45d665f, "dev_pm_opp_get_freq_indexed" },
	{ 0x8556423f, "_dev_info" },
	{ 0x43f81957, "clk_round_rate" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0x111e234, "scsi_device_put" },
	{ 0x56e961eb, "device_create_file" },
	{ 0xf8cee8e4, "blk_mq_quiesce_tagset" },
	{ 0x89eddc1f, "debugfs_attr_read" },
	{ 0x3ab09149, "regulator_set_load" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x900d9662, "perf_trace_run_bpf_submit" },
	{ 0x94f0e83, "down_write" },
	{ 0x9c0f1d0d, "devm_kfree" },
	{ 0x8aed66f2, "_dev_err" },
	{ 0x47d8325e, "devfreq_remove_device" },
	{ 0xcb987acf, "scsi_host_put" },
	{ 0xbd0650de, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x511465d6, "device_add" },
	{ 0xd4034828, "system_freezable_wq" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xf664597d, "simple_attr_release" },
	{ 0x2f4cdb26, "hwmon_device_register_with_info" },
	{ 0x81599078, "dev_pm_opp_add_dynamic" },
	{ 0x32a460e8, "down" },
	{ 0x631a77f2, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xec367815, "dev_pm_opp_remove" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0x26d5bb0c, "cpu_latency_qos_update_request" },
	{ 0x4233d95a, "sdev_prefix_printk" },
	{ 0x1ee72f96, "scsi_scan_host" },
	{ 0x121abfb0, "debugfs_remove" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0xaad37845, "trace_event_reg" },
	{ 0xa2ca3f42, "device_link_remove" },
	{ 0x330a7f46, "blk_mq_alloc_request" },
	{ 0x4189169, "driver_unregister" },
	{ 0x975d1b8b, "blk_mq_free_tag_set" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x72a8d6f9, "__mutex_init" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xbf3d80c5, "blk_put_queue" },
	{ 0xab0e9e58, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0xad658e28, "dev_pm_opp_set_opp" },
	{ 0x7afa21a3, "dmam_free_coherent" },
	{ 0x2bc95bd4, "memset" },
	{ 0xb2e89a51, "_dev_warn" },
	{ 0xae8e1252, "regulator_count_voltages" },
	{ 0x2303ec4c, "scsi_is_host_device" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xef3b5f08, "debugfs_create_u32" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x3a6ee7c4, "bpf_trace_run10" },
	{ 0xcf448fd, "scsi_device_quiesce" },
	{ 0x463c69fc, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x33e83648, "scsi_autopm_get_device" },
	{ 0x18c54b9e, "dma_set_coherent_mask" },
	{ 0xbce73b0e, "scsi_print_command" },
	{ 0x49f78ca1, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xfd05ec2d, "__scsi_register_driver" },
	{ 0x4cf2aa82, "pm_runtime_forbid" },
	{ 0xb6e6c112, "param_set_uint_minmax" },
	{ 0x88980a91, "blk_mq_freeze_queue" },
	{ 0x9ef62c4d, "pm_runtime_allow" },
	{ 0xc61733ca, "trace_event_buffer_reserve" },
	{ 0xf02b5c29, "__pm_runtime_resume" },
	{ 0x82fb3d16, "devfreq_suspend_device" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xfb2f8a4, "mktime64" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf30da266, "param_ops_bool" },
	{ 0x6f0b8d1, "blk_mq_destroy_queue" },
	{ 0x6ab625e3, "scsi_execute_cmd" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x8b5417ce, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x88cac0fe, "blk_mq_alloc_queue" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xec527739, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0x27bfd7a9, "devm_blk_crypto_profile_init" },
	{ 0x23dd209b, "hwmon_device_unregister" },
	{ 0x62a4348b, "debugfs_create_file_full" },
	{ 0x88d2eaac, "blk_mq_unfreeze_queue" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x813db89e, "blk_mq_tagset_busy_iter" },
	{ 0xd364d680, "scsi_done" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x55fc36b1, "single_release" },
	{ 0x564cee2e, "sg_copy_from_buffer" },
	{ 0x6102ffb0, "dma_set_mask" },
	{ 0x9a27b045, "sbitmap_weight" },
	{ 0xe9acfc1, "regulator_disable" },
	{ 0xff8e82aa, "dev_err_probe" },
	{ 0xae7b30b7, "dma_unmap_sg_attrs" },
	{ 0xc1b7f63e, "scsi_remove_device" },
	{ 0x7c4a2e5a, "scsi_add_host_with_dma" },
	{ 0xd0d8621b, "strlen" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x841bea6b, "single_open" },
	{ 0x8ad08977, "scsi_host_alloc" },
	{ 0x66a7e88f, "__scsi_add_device" },
	{ 0x8f4045be, "devfreq_resume_device" },
	{ 0xe8d4bf81, "debugfs_create_dir" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x735470d7, "device_link_add" },
	{ 0x815588a6, "clk_enable" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x6def8741, "sg_copy_to_buffer" },
	{ 0x4dc0300, "up_read" },
	{ 0x4129ca6f, "scsi_change_queue_depth" },
	{ 0x485e2c78, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xdb14c1b3, "kmalloc_caches" },
	{ 0x7ac1254b, "local_clock" },
	{ 0xcd12c809, "device_remove_file" },
	{ 0x76806f8d, "dma_map_sg_attrs" },
	{ 0x41431619, "wait_for_completion_io_timeout" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x92b57248, "flush_work" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x26ef9b8f, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "E4C735A48A4FB4BD94C9866");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
