#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(usbip_debug_flag, "_gpl", "");
KSYMTAB_DATA(dev_attr_usbip_debug, "_gpl", "");
KSYMTAB_FUNC(usbip_dump_urb, "_gpl", "");
KSYMTAB_FUNC(usbip_dump_header, "_gpl", "");
KSYMTAB_FUNC(usbip_recv, "_gpl", "");
KSYMTAB_FUNC(usbip_pack_pdu, "_gpl", "");
KSYMTAB_FUNC(usbip_header_correct_endian, "_gpl", "");
KSYMTAB_FUNC(usbip_alloc_iso_desc_pdu, "_gpl", "");
KSYMTAB_FUNC(usbip_recv_iso, "_gpl", "");
KSYMTAB_FUNC(usbip_pad_iso, "_gpl", "");
KSYMTAB_FUNC(usbip_recv_xbuff, "_gpl", "");
KSYMTAB_FUNC(usbip_start_eh, "_gpl", "");
KSYMTAB_FUNC(usbip_stop_eh, "_gpl", "");
KSYMTAB_FUNC(usbip_event_add, "_gpl", "");
KSYMTAB_FUNC(usbip_event_happened, "_gpl", "");
KSYMTAB_FUNC(usbip_in_eh, "_gpl", "");

SYMBOL_CRC(usbip_debug_flag, 0x78b72f44, "_gpl");
SYMBOL_CRC(dev_attr_usbip_debug, 0x6f74c21d, "_gpl");
SYMBOL_CRC(usbip_dump_urb, 0x081c7091, "_gpl");
SYMBOL_CRC(usbip_dump_header, 0xe1ea0586, "_gpl");
SYMBOL_CRC(usbip_recv, 0x60a2d81e, "_gpl");
SYMBOL_CRC(usbip_pack_pdu, 0xb4f867f0, "_gpl");
SYMBOL_CRC(usbip_header_correct_endian, 0xd02753dc, "_gpl");
SYMBOL_CRC(usbip_alloc_iso_desc_pdu, 0x9abb3c15, "_gpl");
SYMBOL_CRC(usbip_recv_iso, 0x495cd3b8, "_gpl");
SYMBOL_CRC(usbip_pad_iso, 0x9204e81c, "_gpl");
SYMBOL_CRC(usbip_recv_xbuff, 0x618928b8, "_gpl");
SYMBOL_CRC(usbip_start_eh, 0x22652487, "_gpl");
SYMBOL_CRC(usbip_stop_eh, 0xb6bdd339, "_gpl");
SYMBOL_CRC(usbip_event_add, 0x3a036ba5, "_gpl");
SYMBOL_CRC(usbip_event_happened, 0xc358fabc, "_gpl");
SYMBOL_CRC(usbip_in_eh, 0xcf167cdf, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa88143d5, "param_ops_ulong" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x8235805b, "memmove" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x37a0cba, "kfree" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x9742e4c9, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb72b0ae8, "const_pcpu_hot" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8aed66f2, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0x3aac80d0, "iov_iter_kvec" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x77ae495d, "usb_speed_string" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x8b5417ce, "__kmalloc_cache_noprof" },
	{ 0x17dfbc09, "sock_recvmsg" },
	{ 0x1d7e0ed8, "page_address" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xdb14c1b3, "kmalloc_caches" },
	{ 0x26ef9b8f, "module_layout" },
};

MODULE_INFO(depends, "usb-common");


MODULE_INFO(srcversion, "FB47B719EEEB813331CE05C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
