#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(vfio_pci_core_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_disable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_close_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_finish_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_register_dev_region, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioctl, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioctl_feature, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_read, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_write, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_mmap, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_request, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_match, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_init_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_release_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_register_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_unregister_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_aer_err_detected, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_sriov_configure, "_gpl", "");
KSYMTAB_DATA(vfio_pci_core_err_handlers, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_set_params, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_iowrite8, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_iowrite16, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_iowrite32, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioread8, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioread16, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioread32, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_do_io_rw, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_setup_barmap, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_range_intersect_range, "_gpl", "");

SYMBOL_CRC(vfio_pci_core_enable, 0xe56f0639, "_gpl");
SYMBOL_CRC(vfio_pci_core_disable, 0x508ee00e, "_gpl");
SYMBOL_CRC(vfio_pci_core_close_device, 0x43c66545, "_gpl");
SYMBOL_CRC(vfio_pci_core_finish_enable, 0x27f373b8, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_dev_region, 0xbd2ae033, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl, 0xd513359f, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl_feature, 0xcc31912d, "_gpl");
SYMBOL_CRC(vfio_pci_core_read, 0xcb2403b7, "_gpl");
SYMBOL_CRC(vfio_pci_core_write, 0xf7459e2e, "_gpl");
SYMBOL_CRC(vfio_pci_core_mmap, 0x089aee27, "_gpl");
SYMBOL_CRC(vfio_pci_core_request, 0xb64edaaa, "_gpl");
SYMBOL_CRC(vfio_pci_core_match, 0xb49df382, "_gpl");
SYMBOL_CRC(vfio_pci_core_init_dev, 0xdbc0b8d2, "_gpl");
SYMBOL_CRC(vfio_pci_core_release_dev, 0x0e7da5bb, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_device, 0x848c31ae, "_gpl");
SYMBOL_CRC(vfio_pci_core_unregister_device, 0x8aa1d2ac, "_gpl");
SYMBOL_CRC(vfio_pci_core_aer_err_detected, 0x9a47fbf2, "_gpl");
SYMBOL_CRC(vfio_pci_core_sriov_configure, 0x60d937ea, "_gpl");
SYMBOL_CRC(vfio_pci_core_err_handlers, 0xc95f2688, "_gpl");
SYMBOL_CRC(vfio_pci_core_set_params, 0x4cf699b8, "_gpl");
SYMBOL_CRC(vfio_pci_core_iowrite8, 0x6718ba61, "_gpl");
SYMBOL_CRC(vfio_pci_core_iowrite16, 0x59a47a05, "_gpl");
SYMBOL_CRC(vfio_pci_core_iowrite32, 0x8614a7df, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioread8, 0xf9c744b1, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioread16, 0x33eb8510, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioread32, 0xb05ed95c, "_gpl");
SYMBOL_CRC(vfio_pci_core_do_io_rw, 0xb744abe7, "_gpl");
SYMBOL_CRC(vfio_pci_core_setup_barmap, 0x664885b5, "_gpl");
SYMBOL_CRC(vfio_pci_core_range_intersect_range, 0x153ed5cd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6046813f, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13110126, "request_resource" },
	{ 0x4ed0c133, "vmf_insert_pfn" },
	{ 0xc5b27f55, "__init_rwsem" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x8681c106, "pci_read_vpd" },
	{ 0x2e6f71cc, "bus_unregister_notifier" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xe7d54e38, "pci_request_selected_regions" },
	{ 0x86179eec, "pci_release_selected_regions" },
	{ 0x90f14632, "pci_user_write_config_byte" },
	{ 0xba732e77, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x4383e7c7, "pci_bus_max_busnr" },
	{ 0x982dd567, "pci_check_and_mask_intx" },
	{ 0x92bf3905, "pci_iomap" },
	{ 0x51f16cdb, "vfio_info_cap_shift" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xb9aec04e, "pci_alloc_irq_vectors" },
	{ 0x5b8cfda, "vfio_set_irqs_validate_and_prepare" },
	{ 0x55100dc6, "pci_enable_atomic_ops_to_root" },
	{ 0xe2e8065e, "memdup_user" },
	{ 0x442251fd, "pci_dev_put" },
	{ 0x5d1e977a, "iommu_group_get" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x754646a1, "vfio_virqfd_disable" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x5ab90e3c, "fget" },
	{ 0xedc03953, "iounmap" },
	{ 0x8329c852, "pci_num_vf" },
	{ 0x2e60bace, "memcpy" },
	{ 0xda5c616e, "unmap_mapping_range" },
	{ 0x96bf932e, "pci_user_read_config_dword" },
	{ 0x37a0cba, "kfree" },
	{ 0x50237bc6, "pci_user_read_config_word" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xb46f4f6c, "pci_probe_reset_bus" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0x95978d6, "pci_probe_reset_slot" },
	{ 0x6a9ab9bf, "pci_set_power_state" },
	{ 0x4a988271, "pci_irq_vector" },
	{ 0xf2c53d53, "pci_write_msi_msg" },
	{ 0x89485687, "iommu_group_put" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x9742e4c9, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xefc4b56d, "down_read_trylock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbd504f55, "pci_read_config_dword" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x848d372e, "iowrite8" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0x594bf15b, "ioport_map" },
	{ 0x82b971d0, "pci_intx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x21a1a44e, "pci_user_write_config_word" },
	{ 0x9f8f5b53, "bus_register_notifier" },
	{ 0x8556423f, "_dev_info" },
	{ 0x37e890c5, "vfio_file_is_group" },
	{ 0x7bf01f64, "pci_msix_can_alloc_dyn" },
	{ 0x98f31c48, "vfio_file_has_dev" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x2bd441d0, "pci_clear_master" },
	{ 0xdc2b761, "__pci_reset_function_locked" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0x69e683de, "uuid_gen" },
	{ 0xd489ef29, "fput" },
	{ 0x94f0e83, "down_write" },
	{ 0xbd0650de, "up_write" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc61a4fc9, "xa_load" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x418873cc, "irq_bypass_register_producer" },
	{ 0xe62ed31d, "pci_write_vpd" },
	{ 0xc3b9b86e, "vfio_virqfd_enable" },
	{ 0x83947007, "vga_client_register" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0xe6aa1f3c, "pci_read_config_word" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x7557198b, "aperture_remove_conflicting_pci_devices" },
	{ 0xceaf345, "vfio_unregister_group_dev" },
	{ 0xf8263678, "pci_map_rom" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x72a8d6f9, "__mutex_init" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x204862d5, "pci_store_saved_state" },
	{ 0xabb7c7c2, "get_cached_msi_msg" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xd3a8fb8a, "pci_iounmap" },
	{ 0xc7b98c74, "pci_restore_state" },
	{ 0xb19b445, "ioread8" },
	{ 0x2bc95bd4, "memset" },
	{ 0xb2e89a51, "_dev_warn" },
	{ 0xfc39e32f, "ioport_unmap" },
	{ 0x46c4265c, "pcie_get_mps" },
	{ 0x956c6cd2, "pci_dev_trylock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x7b8df303, "down_write_trylock" },
	{ 0x463c69fc, "down_read" },
	{ 0x6a2ea4eb, "vga_put" },
	{ 0xf655355, "vfio_info_add_capability" },
	{ 0xd8e14b7e, "pci_dev_driver" },
	{ 0xb815fad1, "__xa_insert" },
	{ 0x85aea03b, "xa_erase" },
	{ 0x6f452715, "vfio_find_device_in_devset" },
	{ 0xf6e772c3, "irq_bypass_unregister_producer" },
	{ 0x4ff7b0c0, "_dev_notice" },
	{ 0x4cf2aa82, "pm_runtime_forbid" },
	{ 0x9ef62c4d, "pm_runtime_allow" },
	{ 0x16c0e93a, "pci_reset_bus" },
	{ 0xf02b5c29, "__pm_runtime_resume" },
	{ 0xcde5246, "vfio_register_group_dev" },
	{ 0x25237df0, "vfio_assign_device_set" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0x7458acea, "pci_user_read_config_byte" },
	{ 0x335b1e66, "pci_try_reset_function" },
	{ 0xf5d073e8, "xa_find" },
	{ 0xa3b85e66, "pci_get_class" },
	{ 0x8b5417ce, "__kmalloc_cache_noprof" },
	{ 0x3990e847, "pci_user_write_config_dword" },
	{ 0x296b624f, "pcie_capability_read_dword" },
	{ 0x8190f8d2, "pci_load_and_free_saved_state" },
	{ 0x8dd0279d, "pci_disable_sriov" },
	{ 0x22deb2a6, "vfio_device_set_open_count" },
	{ 0x8d6e7a84, "pci_disable_device" },
	{ 0x28ca80fe, "pci_match_id" },
	{ 0xced872d9, "boot_cpu_data" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x17b885a2, "pci_check_and_unmask_intx" },
	{ 0x2ba05973, "pcie_set_readrq" },
	{ 0x511e50e3, "pci_walk_bus" },
	{ 0xef07a67c, "pci_msix_alloc_irq_at" },
	{ 0x42737b5e, "xa_find_after" },
	{ 0x7cd6bc42, "vga_get" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xac13bfe3, "pci_unmap_rom" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0x625d097b, "pci_read_config_byte" },
	{ 0xc5e74216, "release_resource" },
	{ 0xd0d8621b, "strlen" },
	{ 0x4480355a, "vga_set_legacy_decoding" },
	{ 0x97d539b9, "mutex_destroy" },
	{ 0xa3375fe3, "pci_dev_unlock" },
	{ 0xa96e4470, "pci_write_config_word" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0x24b5e1b, "pci_free_irq_vectors" },
	{ 0xed075aea, "pci_enable_sriov" },
	{ 0x4dc0300, "up_read" },
	{ 0x485e2c78, "__pm_runtime_idle" },
	{ 0xb1a0251c, "vfio_virqfd_flush_thread" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x1c6c579c, "pci_bus_type" },
	{ 0xdb14c1b3, "kmalloc_caches" },
	{ 0x50c7fc54, "krealloc_noprof" },
	{ 0x26ef9b8f, "module_layout" },
};

MODULE_INFO(depends, "vfio");


MODULE_INFO(srcversion, "D0C09AFAB83EF88803010BD");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
