#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(u128_div, "_gpl", "");
KSYMTAB_FUNC(mean_and_variance_get_mean, "_gpl", "");
KSYMTAB_FUNC(mean_and_variance_get_variance, "_gpl", "");
KSYMTAB_FUNC(mean_and_variance_get_stddev, "_gpl", "");
KSYMTAB_FUNC(mean_and_variance_weighted_update, "_gpl", "");
KSYMTAB_FUNC(mean_and_variance_weighted_get_mean, "_gpl", "");
KSYMTAB_FUNC(mean_and_variance_weighted_get_variance, "_gpl", "");
KSYMTAB_FUNC(mean_and_variance_weighted_get_stddev, "_gpl", "");
KSYMTAB_FUNC(six_trylock_ip, "_gpl", "");
KSYMTAB_FUNC(six_relock_ip, "_gpl", "");
KSYMTAB_FUNC(six_lock_ip_waiter, "_gpl", "");
KSYMTAB_FUNC(six_unlock_ip, "_gpl", "");
KSYMTAB_FUNC(six_lock_downgrade, "_gpl", "");
KSYMTAB_FUNC(six_lock_tryupgrade, "_gpl", "");
KSYMTAB_FUNC(six_trylock_convert, "_gpl", "");
KSYMTAB_FUNC(six_lock_increment, "_gpl", "");
KSYMTAB_FUNC(six_lock_wakeup_all, "_gpl", "");
KSYMTAB_FUNC(six_lock_counts, "_gpl", "");
KSYMTAB_FUNC(six_lock_readers_add, "_gpl", "");
KSYMTAB_FUNC(six_lock_exit, "_gpl", "");
KSYMTAB_FUNC(__six_lock_init, "_gpl", "");
KSYMTAB_FUNC(bch2_run_thread_with_stdout, "_gpl", "");

SYMBOL_CRC(u128_div, 0x136151cf, "_gpl");
SYMBOL_CRC(mean_and_variance_get_mean, 0x68ddf28c, "_gpl");
SYMBOL_CRC(mean_and_variance_get_variance, 0xb1cacd27, "_gpl");
SYMBOL_CRC(mean_and_variance_get_stddev, 0x65a7626a, "_gpl");
SYMBOL_CRC(mean_and_variance_weighted_update, 0xb91715f2, "_gpl");
SYMBOL_CRC(mean_and_variance_weighted_get_mean, 0xb3fd2cf8, "_gpl");
SYMBOL_CRC(mean_and_variance_weighted_get_variance, 0x3c42b603, "_gpl");
SYMBOL_CRC(mean_and_variance_weighted_get_stddev, 0xc436648c, "_gpl");
SYMBOL_CRC(six_trylock_ip, 0xeb777388, "_gpl");
SYMBOL_CRC(six_relock_ip, 0x674b0fa5, "_gpl");
SYMBOL_CRC(six_lock_ip_waiter, 0xc1397b56, "_gpl");
SYMBOL_CRC(six_unlock_ip, 0xd166fb1b, "_gpl");
SYMBOL_CRC(six_lock_downgrade, 0x23375704, "_gpl");
SYMBOL_CRC(six_lock_tryupgrade, 0x916b81e1, "_gpl");
SYMBOL_CRC(six_trylock_convert, 0x961c43bb, "_gpl");
SYMBOL_CRC(six_lock_increment, 0x928af08e, "_gpl");
SYMBOL_CRC(six_lock_wakeup_all, 0x17a65c16, "_gpl");
SYMBOL_CRC(six_lock_counts, 0x8c7a06c2, "_gpl");
SYMBOL_CRC(six_lock_readers_add, 0x911f58dc, "_gpl");
SYMBOL_CRC(six_lock_exit, 0x6002b3c6, "_gpl");
SYMBOL_CRC(__six_lock_init, 0x487648d4, "_gpl");
SYMBOL_CRC(bch2_run_thread_with_stdout, 0x2971d0f9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xabce9fcb, "crypto_skcipher_encrypt" },
	{ 0x44f0efc6, "__bio_release_pages" },
	{ 0xe2c91056, "generic_shutdown_super" },
	{ 0x16352275, "bio_associate_blkg" },
	{ 0xf452e63a, "percpu_free_rwsem" },
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0xf0247e3, "__min_heap_pop" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x33d9cac7, "vfs_fsync_range" },
	{ 0xc73f377d, "setattr_prepare" },
	{ 0xb45578b8, "memscan" },
	{ 0x16b7e286, "filemap_migrate_folio" },
	{ 0x2494f740, "bdev_file_open_by_path" },
	{ 0xd6f9fa40, "shrinker_alloc" },
	{ 0x185ce39d, "file_check_and_advance_wb_err" },
	{ 0x515efaa5, "try_module_get" },
	{ 0x1ffa0779, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc9825415, "percpu_ref_is_zero" },
	{ 0xc5b27f55, "__init_rwsem" },
	{ 0x506dff1a, "__genradix_free" },
	{ 0xbd20e8f1, "d_instantiate" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xcdd99245, "make_vfsgid" },
	{ 0x9f1941ec, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x23522089, "clear_inode" },
	{ 0x64163caf, "bpf_trace_run4" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xbcf4cb50, "stack_trace_save_tsk" },
	{ 0xdfb800d9, "idr_find" },
	{ 0x3d6831bc, "mempool_kvfree" },
	{ 0x877f4446, "param_ops_uint" },
	{ 0xf312a496, "percpu_down_write" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x1cd560d2, "discard_new_inode" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4aaa4756, "bio_copy_data" },
	{ 0x66555d7b, "sysfs_create_file_ns" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0x15bed7a5, "LZ4_decompress_safe_partial" },
	{ 0x4ad2616e, "__folio_batch_release" },
	{ 0x48402c7f, "folio_unlock" },
	{ 0x7934c51b, "vmalloc_to_page" },
	{ 0x8235805b, "memmove" },
	{ 0x7ce18c9f, "from_kqid" },
	{ 0x1dad5729, "user_path_create" },
	{ 0xca7ee9b2, "fault_in_writeable" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x6a2cf5a7, "filemap_map_pages" },
	{ 0x65b45cb, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xbdf4b96f, "percpu_ref_init" },
	{ 0x442bb390, "inode_sb_list_add" },
	{ 0x44b384b3, "trace_raw_output_prep" },
	{ 0x665e2513, "zstd_max_clevel" },
	{ 0x349085ad, "user_path_locked_at" },
	{ 0x9c69e5f3, "__min_heap_sift_up" },
	{ 0x5a930383, "init_special_inode" },
	{ 0x4c31ea36, "unregister_filesystem" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xae8db488, "bpf_trace_run6" },
	{ 0xf263a4cf, "iov_iter_single_seg_count" },
	{ 0x9cb71594, "device_unregister" },
	{ 0x6499ca92, "copy_from_user_nofault" },
	{ 0x2bd8a8bb, "blk_fill_rwbs" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xda2680d7, "generic_error_remove_folio" },
	{ 0x8cd69df1, "__trace_trigger_soft_disabled" },
	{ 0xf8a2742, "raid6_2data_recov" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xc890c008, "zlib_deflateEnd" },
	{ 0x85aa4108, "nop_posix_acl_access" },
	{ 0x8589c2da, "nop_posix_acl_default" },
	{ 0x957118, "d_make_root" },
	{ 0x6c74418e, "trace_event_printf" },
	{ 0x7968252f, "__posix_acl_chmod" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x858a122e, "__put_task_struct" },
	{ 0xd63fafc2, "div64_u64_rem" },
	{ 0xbfc97bdc, "up" },
	{ 0x85613f9d, "closure_wait" },
	{ 0xe4b1f9b, "kobject_init" },
	{ 0x56fe1620, "sysctl_hung_task_timeout_secs" },
	{ 0x952413db, "fsnotify" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xfb1bcdf1, "d_splice_alias" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x424d2905, "prepare_to_wait" },
	{ 0x3b65396d, "fd_install" },
	{ 0xe65cb52d, "current_time" },
	{ 0x7daece67, "quota_send_warning" },
	{ 0x6be67180, "trace_event_raw_init" },
	{ 0x2582aee2, "fiemap_prep" },
	{ 0x2e60bace, "memcpy" },
	{ 0x414975dd, "__genradix_prealloc" },
	{ 0xa3107e94, "from_vfsuid" },
	{ 0xb66e5e18, "ihold" },
	{ 0x8399228, "page_get_link" },
	{ 0x175494bf, "inode_dio_wait" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x4622ef77, "truncate_pagecache_range" },
	{ 0x94961283, "vunmap" },
	{ 0x37a0cba, "kfree" },
	{ 0xc9c37ad, "invalidate_inode_pages2_range" },
	{ 0x1fb95123, "finish_open" },
	{ 0x6bbc96d1, "iput" },
	{ 0xc777a06b, "kset_unregister" },
	{ 0xc29100cf, "pcpu_hot" },
	{ 0xd35a6d31, "mempool_kmalloc" },
	{ 0x2d599e3c, "iter_file_splice_write" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xfc1d0a7d, "call_srcu" },
	{ 0xe27bb409, "bpf_trace_run2" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x955ee96c, "crc64_be" },
	{ 0x3a375ec6, "out_of_line_wait_on_bit" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x603f1f33, "atomic64_inc_return_cx8" },
	{ 0xdb64f249, "__module_get" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0x53456a91, "crypto_skcipher_setkey" },
	{ 0xdaf65445, "vsnprintf" },
	{ 0xf2c43f3f, "zlib_deflate" },
	{ 0xd05d4042, "filemap_alloc_folio_noprof" },
	{ 0x35a88f28, "zlib_inflateInit2" },
	{ 0x756cb6dd, "register_filesystem" },
	{ 0x35ed7f31, "__tracepoint_contention_end" },
	{ 0x979fed5f, "bdev_thaw" },
	{ 0x716045d4, "sync_inode_metadata" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xfebde058, "mempool_free" },
	{ 0xd499c42e, "percpu_ref_kill_and_confirm" },
	{ 0x7933c9db, "filemap_add_folio" },
	{ 0xdc06c648, "path_put" },
	{ 0xefc4b56d, "down_read_trylock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x9451bf96, "__closure_sync" },
	{ 0x203702c2, "kthread_use_mm" },
	{ 0x8b15345, "vfs_setpos" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7ea66374, "bio_iov_iter_get_pages" },
	{ 0x3090f0, "user_path_at" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x2046a88b, "make_vfsuid" },
	{ 0x863724e6, "d_prune_aliases" },
	{ 0xafca42e, "wake_up_process" },
	{ 0xe97d647c, "shrinker_free" },
	{ 0x128e9245, "trace_event_buffer_commit" },
	{ 0x69495a75, "crypto_destroy_tfm" },
	{ 0x6a037cf1, "mempool_kfree" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x8d7d53c8, "errname" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x452060a9, "d_mark_dontcache" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x668b595, "_kstrtoul" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x21957e1, "raid6_datap_recov" },
	{ 0x268c4223, "inode_newsize_ok" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x766b9c0b, "lock_two_nondirectories" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0xbc435770, "dump_stack" },
	{ 0x3e39be58, "mnt_want_write_file" },
	{ 0x70f7896, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x605790dc, "fiemap_fill_next_extent" },
	{ 0x25b84e3, "get_state_synchronize_srcu" },
	{ 0x822e81a7, "make_kprojid" },
	{ 0x6879ed21, "__genradix_iter_peek_prev" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xcb77a31d, "zstd_is_error" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4292364c, "schedule" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe9f7149c, "zlib_deflate_workspacesize" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6315c42c, "zstd_get_params" },
	{ 0x40d04664, "console_trylock" },
	{ 0xc5070875, "make_kuid" },
	{ 0x18c491d8, "truncate_inode_pages_final" },
	{ 0x128853de, "__kmalloc_large_noprof" },
	{ 0x64e98c2a, "fs_kobj" },
	{ 0xb5465091, "__min_heap_full" },
	{ 0xd1cd5282, "srcu_barrier" },
	{ 0x567da106, "bio_add_folio" },
	{ 0x87ab46cc, "__filemap_set_wb_err" },
	{ 0x738803e6, "strnlen" },
	{ 0x81ee81f0, "percpu_ref_reinit" },
	{ 0x3f2e5ae7, "shrinker_register" },
	{ 0x115960f1, "__filemap_get_folio" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xd875584a, "__genradix_ptr" },
	{ 0xb72b0ae8, "const_pcpu_hot" },
	{ 0x6fec5a41, "__free_pages" },
	{ 0x2bf86dde, "poll_state_synchronize_srcu" },
	{ 0x9f984513, "strrchr" },
	{ 0xfbcb0b03, "bit_wait" },
	{ 0x48b43f48, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0xc81e3f36, "submit_bio" },
	{ 0x84cf7212, "mnt_drop_write_file" },
	{ 0x69c0c81c, "module_put" },
	{ 0x78aad82d, "__destroy_inode" },
	{ 0x26ba1146, "sysfs_create_link" },
	{ 0x7ce14c10, "copy_page_from_iter_atomic" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xae451ba0, "__min_heap_peek" },
	{ 0xda9496b5, "inode_init_once" },
	{ 0x55a97084, "bioset_exit" },
	{ 0xeff2c0b1, "file_write_and_wait_range" },
	{ 0xa8594193, "__kmap_local_page_prot" },
	{ 0x581f98da, "zlib_inflate" },
	{ 0xe21cea64, "fault_in_readable" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0xebe632db, "zstd_decompress_dctx" },
	{ 0x79b2d111, "__min_heap_sift_down" },
	{ 0xe400dc40, "bit_wait_io" },
	{ 0x619020cd, "mempool_alloc_noprof" },
	{ 0xa7025e01, "key_put" },
	{ 0x6e635087, "percpu_ref_exit" },
	{ 0xa40abd6, "bio_put" },
	{ 0xa1074537, "percpu_up_write" },
	{ 0xfcfb8685, "bio_endio" },
	{ 0xbc0dcf90, "balance_dirty_pages_ratelimited" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xe618412b, "posix_acl_create" },
	{ 0xd28b8ea4, "inode_nohighmem" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x882334e0, "init_srcu_struct" },
	{ 0x900d9662, "perf_trace_run_bpf_submit" },
	{ 0xc0ecb326, "__bio_advance" },
	{ 0x644c3284, "inode_bit_waitqueue" },
	{ 0x94f0e83, "down_write" },
	{ 0x5ad00f33, "kobject_add" },
	{ 0x41482d8b, "strndup_user" },
	{ 0xbd0650de, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xaacc9e27, "sort" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x5a0b73d0, "zlib_deflateInit2" },
	{ 0x24eef9d8, "string_get_size" },
	{ 0x16b07979, "thp_get_unmapped_area" },
	{ 0xfe3ba252, "sysfs_remove_link" },
	{ 0x6ccabd23, "idr_alloc" },
	{ 0xc3fa6a59, "memchr" },
	{ 0x65ca539e, "set_cached_acl" },
	{ 0x5254511b, "copy_to_user_nofault" },
	{ 0x87229456, "truncate_pagecache" },
	{ 0x3c35c7ec, "__srcu_read_lock" },
	{ 0xed866237, "d_mark_tmpfile" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x811ecd85, "unlock_two_nondirectories" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xcbe63a76, "device_create" },
	{ 0xc61a4fc9, "xa_load" },
	{ 0xd0bfd848, "closure_put" },
	{ 0x3f9f479a, "page_symlink" },
	{ 0x631a77f2, "bpf_trace_run5" },
	{ 0xe0e92b2e, "bdev_fput" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x61700a33, "__min_heap_del" },
	{ 0x5bc92e85, "LZ4_compress_destSize" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x420eabe4, "mem_section" },
	{ 0x50e32cc9, "zero_user_segments" },
	{ 0xc01dba62, "write_cache_pages" },
	{ 0x74873ce4, "file_update_time" },
	{ 0x7e20d760, "set_nlink" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0xe93a599f, "kmem_cache_alloc_lru_noprof" },
	{ 0xc3f35d58, "kmem_cache_free" },
	{ 0x58169218, "vprintk" },
	{ 0x5c7f1284, "int_sqrt64" },
	{ 0x121abfb0, "debugfs_remove" },
	{ 0xd985dc99, "mempool_free_pages" },
	{ 0xfbaaf01e, "console_lock" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x95bfe643, "posix_acl_alloc" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0xce5ac24f, "zlib_inflate_workspacesize" },
	{ 0x5f329ef5, "seq_putc" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x343adc28, "bio_kmalloc" },
	{ 0xcd3f68d0, "from_kgid" },
	{ 0x2873438a, "zstd_init_dctx" },
	{ 0xaad37845, "trace_event_reg" },
	{ 0xb6ed1e53, "strncpy" },
	{ 0xa7046a60, "folio_mkclean" },
	{ 0xf3808cb1, "get_state_synchronize_rcu" },
	{ 0x8e95b1ea, "crypto_shash_digest" },
	{ 0xddf86133, "LZ4_compress_HC" },
	{ 0xc92f5b96, "atomic64_read_cx8" },
	{ 0xe32ab4d8, "xxh64_digest" },
	{ 0xcbfd6f36, "bdev_freeze" },
	{ 0x58c59547, "wait_for_completion_interruptible" },
	{ 0xe072fb61, "blkdev_issue_zeroout" },
	{ 0x73ac770a, "file_remove_privs" },
	{ 0xea4a09cb, "mod_delayed_work_on" },
	{ 0xf1e046cc, "panic" },
	{ 0x6d478140, "vmap" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x8b57e95c, "sget" },
	{ 0x56e1ce18, "zero_fill_bio_iter" },
	{ 0x40385418, "bio_add_page" },
	{ 0x7f301abe, "crypto_shash_update" },
	{ 0x619c4ccb, "from_vfsgid" },
	{ 0x34621d4f, "class_unregister" },
	{ 0xb5ab86e9, "atomic64_sub_return_cx8" },
	{ 0xdd968225, "__percpu_init_rwsem" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x3c1dd294, "folio_wait_stable" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0xa2f2eca, "cleanup_srcu_struct" },
	{ 0xfd955ef7, "__audit_inode_child" },
	{ 0xe6038bdb, "d_obtain_alias" },
	{ 0x77e128c3, "file_modified" },
	{ 0xa7a0171f, "kthread_stop" },
	{ 0x98e55e9, "__min_heap_push" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x72a8d6f9, "__mutex_init" },
	{ 0xc3ed8c7b, "bio_check_pages_dirty" },
	{ 0xcf191255, "down_trylock" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xdb4a3c22, "freezing_slow_path" },
	{ 0x319b7d8, "folio_end_read" },
	{ 0x5b6c00e6, "xor_blocks" },
	{ 0xd89da37f, "movable_zone" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x2469c059, "__folio_start_writeback" },
	{ 0x8eb685dd, "bio_set_pages_dirty" },
	{ 0xa73d5bca, "bpf_trace_run1" },
	{ 0xb23e3d0f, "bpf_trace_run9" },
	{ 0xad9d5950, "security_path_mkdir" },
	{ 0xe3c17af1, "__closure_wake_up" },
	{ 0x1f03691, "folio_end_writeback" },
	{ 0x8ed9d6a5, "sync_inodes_sb" },
	{ 0xb16341a, "__default_kernel_pte_mask" },
	{ 0x6748bcf7, "from_kuid" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0xca3f6e92, "bio_init" },
	{ 0x8b5bb20f, "__SCT__tp_func_contention_begin" },
	{ 0xe9628ce8, "sort_r" },
	{ 0x2bc95bd4, "memset" },
	{ 0xe34c5d39, "synchronize_srcu_expedited" },
	{ 0xaa1def53, "bio_alloc_clone" },
	{ 0x39a7ce3a, "raid6_call" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xb7e25a3d, "closure_sub" },
	{ 0x221ab1f6, "rht_bucket_nested_insert" },
	{ 0xfc1ce45a, "generic_remap_file_range_prep" },
	{ 0xf217d499, "zstd_init_cctx" },
	{ 0xa56fde1c, "__genradix_iter_peek" },
	{ 0xca45de61, "inode_owner_or_capable" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x74c32d36, "bio_reset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x24412ee1, "kmem_cache_alloc_noprof" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xef42f4c9, "in_group_or_capable" },
	{ 0xe3d913c2, "filemap_get_folios" },
	{ 0xc631580a, "console_unlock" },
	{ 0x3903d724, "make_kgid" },
	{ 0x1b260ca2, "mempool_kvmalloc" },
	{ 0x31c3f028, "rhashtable_destroy" },
	{ 0x9706430, "d_delete" },
	{ 0xfa2251b1, "crypto_alloc_sync_skcipher" },
	{ 0x442deaa9, "poll_state_synchronize_rcu" },
	{ 0xdedd619a, "__kmem_cache_create_args" },
	{ 0x8bb88c1, "__closure_sync_timeout" },
	{ 0x7ee9eda4, "out_of_line_wait_on_bit_lock" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x463c69fc, "down_read" },
	{ 0x6f84c573, "mutex_trylock" },
	{ 0x281ee4b, "truncate_setsize" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3fd7871b, "nonseekable_open" },
	{ 0xf02f8ae2, "bio_free_pages" },
	{ 0x14c1c720, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x2f79714e, "bpf_trace_run3" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x5cbf2d0b, "__genradix_ptr_alloc" },
	{ 0x8522d6bc, "strncpy_from_user" },
	{ 0x377498e4, "zstd_dctx_workspace_bound" },
	{ 0x748287ef, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x84e852b, "super_setup_bdi" },
	{ 0x6a19b6db, "igrab" },
	{ 0x1eb64646, "div64_s64" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc84531eb, "atomic64_add_return_cx8" },
	{ 0x12a60e4f, "pcpu_alloc_noprof" },
	{ 0x130a32b5, "generic_read_dir" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x8cc538ad, "kobject_del" },
	{ 0xc95de951, "rhashtable_init_noprof" },
	{ 0xc61733ca, "trace_event_buffer_reserve" },
	{ 0x5bc50b0c, "crypto_shash_final" },
	{ 0x85df9b6c, "strsep" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf30da266, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xb395f20e, "bio_copy_data_iter" },
	{ 0x38c610fd, "bioset_init" },
	{ 0x54703cdd, "init_user_ns" },
	{ 0xa6a7a2ad, "div_s64_rem" },
	{ 0xc874cbe6, "request_key_tag" },
	{ 0x6f93039b, "__register_chrdev" },
	{ 0x4f96da9b, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xd5c783ea, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x8b5417ce, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xec527739, "seq_printf" },
	{ 0xd3956e21, "dput" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xfc43ef2a, "lockref_get" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x4e2aabb9, "deactivate_locked_super" },
	{ 0xad7b09cf, "touch_atime" },
	{ 0xdcbc1c1e, "filemap_read" },
	{ 0x2191456e, "__percpu_down_read" },
	{ 0xdaf2d030, "__srcu_read_unlock" },
	{ 0x658ce1a8, "xxh64_reset" },
	{ 0x62a4348b, "debugfs_create_file_full" },
	{ 0xa8861fb1, "__x86_indirect_thunk_eax" },
	{ 0x2a181b9b, "blk_status_to_str" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x77af42a3, "posix_acl_update_mode" },
	{ 0xecbf527, "generic_file_open" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0x378bfba2, "alloc_pages_noprof" },
	{ 0xc705de01, "__folio_lock" },
	{ 0x27cb7034, "filemap_dirty_folio" },
	{ 0xa2eaabdf, "is_bad_inode" },
	{ 0x91955a9f, "start_poll_synchronize_rcu" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xe555d198, "rcuwait_wake_up" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x60bffe6d, "div64_u64" },
	{ 0x59e66927, "file_bdev" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0x63cbfc60, "inode_init_always_gfp" },
	{ 0xe14dfe4b, "filemap_splice_read" },
	{ 0x7f999df3, "kthread_unuse_mm" },
	{ 0xfc19a5e4, "done_path_create" },
	{ 0x8fe09cf5, "zstd_cctx_workspace_bound" },
	{  0x97f91, "__seq_puts" },
	{ 0xc712289a, "key_type_user" },
	{ 0xd3fb48a4, "d_parent_ino" },
	{ 0xd35f75a1, "match_string" },
	{ 0xee399390, "filemap_write_and_wait_range" },
	{ 0x1d7e0ed8, "page_address" },
	{ 0x5e2e7a03, "mempool_init_noprof" },
	{ 0x9a88d05c, "__SCT__tp_func_contention_end" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x87a1ed66, "generic_file_llseek_size" },
	{ 0xd0d8621b, "strlen" },
	{ 0xb93ba240, "wake_up_bit" },
	{ 0x37df722b, "closure_return_sync" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0xae547ed, "xxh64_update" },
	{ 0xae701f0f, "iov_iter_revert" },
	{ 0x85f37409, "generic_write_checks" },
	{ 0x84544668, "inode_permission" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x853a9c3e, "filemap_fault" },
	{ 0x46b39ccb, "crypto_alloc_shash" },
	{ 0xe8d4bf81, "debugfs_create_dir" },
	{ 0xd3b9837f, "generic_file_llseek" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xa03b699b, "make_bad_inode" },
	{ 0x13cd0829, "bio_alloc_bioset" },
	{ 0x6ebf9bd9, "kmalloc_size_roundup" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x7a10216f, "__kvmalloc_node_noprof" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0xdd0762df, "set_worker_desc" },
	{ 0xceab0311, "strchrnul" },
	{ 0x4dc0300, "up_read" },
	{ 0x1acbb218, "iov_iter_npages" },
	{ 0x88688484, "zstd_compress_cctx" },
	{ 0xadffa704, "submit_bio_wait" },
	{ 0xe49baa9d, "class_register" },
	{ 0x68d04e9d, "kmem_cache_free_bulk" },
	{ 0x1183d925, "fault_in_iov_iter_readable" },
	{ 0x800532e4, "__tracepoint_contention_begin" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x6776093b, "atomic64_set_cx8" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x534c8bba, "start_poll_synchronize_srcu" },
	{ 0xdb14c1b3, "kmalloc_caches" },
	{ 0x7ac1254b, "local_clock" },
	{ 0xf9ab7ee4, "inode_set_ctime_to_ts" },
	{ 0x50c7fc54, "krealloc_noprof" },
	{ 0x50d1495e, "mempool_exit" },
	{ 0x29578ecd, "fs_bio_set" },
	{ 0x282f97a9, "kmem_cache_destroy" },
	{ 0x575a50d2, "bio_split" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x766a0927, "mempool_alloc_pages" },
	{ 0x7e73f596, "kset_create_and_add" },
	{ 0x92b57248, "flush_work" },
	{ 0x1ff67487, "blkdev_issue_discard" },
	{ 0x27d0ed6d, "kobject_put" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x26ef9b8f, "module_layout" },
};

MODULE_INFO(depends, "raid6_pq,lz4_compress,lz4hc_compress,xor,libcrc32c");


MODULE_INFO(srcversion, "AB0AED792750B8F54F263C9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
