#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nlmclnt_init, "_gpl", "");
KSYMTAB_FUNC(nlmclnt_done, "_gpl", "");
KSYMTAB_FUNC(nlmclnt_rpc_clnt, "_gpl", "");
KSYMTAB_FUNC(nlmclnt_proc, "_gpl", "");
KSYMTAB_DATA(nlmsvc_ops, "_gpl", "");
KSYMTAB_FUNC(lockd_up, "_gpl", "");
KSYMTAB_FUNC(lockd_down, "_gpl", "");
KSYMTAB_FUNC(nlmsvc_unlock_all_by_sb, "_gpl", "");
KSYMTAB_FUNC(nlmsvc_unlock_all_by_ip, "_gpl", "");

SYMBOL_CRC(nlmclnt_init, 0xcf6d5ac8, "_gpl");
SYMBOL_CRC(nlmclnt_done, 0x5a7a96ee, "_gpl");
SYMBOL_CRC(nlmclnt_rpc_clnt, 0x7405b395, "_gpl");
SYMBOL_CRC(nlmclnt_proc, 0xab2f1ca2, "_gpl");
SYMBOL_CRC(nlmsvc_ops, 0x63817b18, "_gpl");
SYMBOL_CRC(lockd_up, 0x22fef626, "_gpl");
SYMBOL_CRC(lockd_down, 0x35598cc8, "_gpl");
SYMBOL_CRC(nlmsvc_unlock_all_by_sb, 0xa344aaa1, "_gpl");
SYMBOL_CRC(nlmsvc_unlock_all_by_ip, 0x9cbde0a0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb3e97921, "rpc_put_task" },
	{ 0x4704d2, "svc_generic_rpcbind_set" },
	{ 0x4a7469f7, "svc_wake_up" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xc5b27f55, "__init_rwsem" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x64163caf, "bpf_trace_run4" },
	{ 0x877f4446, "param_ops_uint" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4d550050, "rpc_shutdown_client" },
	{ 0xcfc5e272, "svc_bind" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x3bacefa2, "proc_create" },
	{ 0x3730c2d9, "svc_recv" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x23769a5, "xdr_inline_decode" },
	{ 0x44b384b3, "trace_raw_output_prep" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x1fe1e1ad, "locks_end_grace" },
	{ 0x8cd69df1, "__trace_trigger_soft_disabled" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x6c74418e, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf75f4eaa, "refcount_dec_and_mutex_lock" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x424d2905, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x6be67180, "trace_event_raw_init" },
	{ 0x24c0c03d, "trace_print_symbols_seq" },
	{ 0x2e60bace, "memcpy" },
	{ 0x5e16c839, "simple_transaction_get" },
	{ 0x37a0cba, "kfree" },
	{ 0x633a32c, "vfs_test_lock" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x9e25365d, "svc_exit_thread" },
	{ 0xc29100cf, "pcpu_hot" },
	{ 0x17cc1b6b, "rpc_ntop" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xe3b9b07d, "param_get_ulong" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x5b4d49a9, "rpc_run_task" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x286232f8, "__put_cred" },
	{ 0x9fc7d00d, "register_pernet_subsys" },
	{ 0x1d3f6e81, "locks_in_grace" },
	{ 0xafca42e, "wake_up_process" },
	{ 0x128e9245, "trace_event_buffer_commit" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0xc427f75e, "proc_dobool" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x25eb5a33, "locks_lock_inode_wait" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x845779be, "unregister_sysctl_table" },
	{ 0xa9e42648, "locks_release_private" },
	{ 0x738803e6, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xb48e56d9, "locks_init_lock" },
	{ 0xb72b0ae8, "const_pcpu_hot" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x72d332ec, "simple_transaction_release" },
	{ 0x3077e6f1, "svc_xprt_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x781a8b27, "svc_age_temp_xprts_now" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x900d9662, "perf_trace_run_bpf_submit" },
	{ 0x94f0e83, "down_write" },
	{ 0x8e166b72, "init_net" },
	{ 0xbd0650de, "up_write" },
	{ 0xade9f980, "svc_set_num_threads" },
	{ 0x9e5b782e, "svc_rpcb_cleanup" },
	{ 0xc3fa6a59, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x80c4c319, "crc32_le" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0x49fd493b, "vfs_cancel_lock" },
	{ 0x1b4f9e40, "proc_doulongvec_minmax" },
	{ 0xaad37845, "trace_event_reg" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x72a8d6f9, "__mutex_init" },
	{ 0x53445f68, "nlm_debug" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0xdb4a3c22, "freezing_slow_path" },
	{ 0xa152e325, "rpc_create" },
	{ 0x919ea6da, "svc_destroy" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x1d096582, "rpc_call_start" },
	{ 0x9498a4c4, "svc_create" },
	{ 0xf51982de, "default_llseek" },
	{ 0x8dad695c, "rpc_call_sync" },
	{ 0x40951a34, "proc_mkdir" },
	{ 0xeafcde18, "unregister_pernet_subsys" },
	{ 0x68a2d777, "register_sysctl_sz" },
	{ 0xa7993ec8, "vfs_lock_file" },
	{ 0xcfe7cfd6, "rpc_delay" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xaf1a830f, "svc_generic_init_request" },
	{ 0x463c69fc, "down_read" },
	{ 0xc121390, "svc_set_client" },
	{ 0x869f428c, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x14c1c720, "kthread_create_on_node" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xccfb4352, "rpc_force_rebind" },
	{ 0xc61733ca, "trace_event_buffer_reserve" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf30da266, "param_ops_bool" },
	{ 0x6a36bd8a, "rpc_restart_call" },
	{ 0x4ca169c5, "svc_xprt_destroy_all" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x1872e5f, "remove_proc_entry" },
	{ 0x8b5417ce, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x83741e40, "svc_find_xprt" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xd4d416a6, "proc_dointvec" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xa12ff405, "svc_print_addr" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xeb17c544, "locks_delete_block" },
	{ 0xd0d8621b, "strlen" },
	{ 0xe287b5f8, "locks_start_grace" },
	{ 0x51f7b586, "refcount_dec_and_lock" },
	{ 0x64096fef, "param_get_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x4dc0300, "up_read" },
	{ 0x59b131b, "svc_xprt_create" },
	{ 0x941597b7, "rpc_wait_for_completion_task" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xdb14c1b3, "kmalloc_caches" },
	{ 0xbdffd093, "locks_copy_lock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf075adea, "proc_dointvec_minmax" },
	{ 0x26ef9b8f, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,grace");


MODULE_INFO(srcversion, "148D40D7864095E7D1A9D4E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
