#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ip_tunnel_lookup, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_md_udp_encap, "", "");
KSYMTAB_FUNC(ip_tunnel_rcv, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_encap_add_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_del_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip_md_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_ctl, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_from_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_to_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_siocdevprivate, "_gpl", "");
KSYMTAB_FUNC(__ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_dellink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_get_link_net, "", "");
KSYMTAB_FUNC(ip_tunnel_get_iflink, "", "");
KSYMTAB_FUNC(ip_tunnel_init_net, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_delete_nets, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_newlink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_changelink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_init, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_uninit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_setup, "_gpl", "");

SYMBOL_CRC(ip_tunnel_lookup, 0xb9689706, "_gpl");
SYMBOL_CRC(ip_tunnel_md_udp_encap, 0x9f17768d, "");
SYMBOL_CRC(ip_tunnel_rcv, 0x9fa59ec3, "_gpl");
SYMBOL_CRC(ip_tunnel_encap_add_ops, 0xd6f92028, "");
SYMBOL_CRC(ip_tunnel_encap_del_ops, 0xab729074, "");
SYMBOL_CRC(ip_tunnel_encap_setup, 0x35276330, "_gpl");
SYMBOL_CRC(ip_md_tunnel_xmit, 0xa8c391fb, "_gpl");
SYMBOL_CRC(ip_tunnel_xmit, 0x405cf547, "_gpl");
SYMBOL_CRC(ip_tunnel_ctl, 0x94fa9a25, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_from_user, 0x7f835b87, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_to_user, 0xfca8744d, "_gpl");
SYMBOL_CRC(ip_tunnel_siocdevprivate, 0xc36f3eb0, "_gpl");
SYMBOL_CRC(__ip_tunnel_change_mtu, 0x2d9f33d3, "_gpl");
SYMBOL_CRC(ip_tunnel_change_mtu, 0x99db8e00, "_gpl");
SYMBOL_CRC(ip_tunnel_dellink, 0xb6088fc5, "_gpl");
SYMBOL_CRC(ip_tunnel_get_link_net, 0xd61861b7, "");
SYMBOL_CRC(ip_tunnel_get_iflink, 0xde15fd62, "");
SYMBOL_CRC(ip_tunnel_init_net, 0x1d0db3d3, "_gpl");
SYMBOL_CRC(ip_tunnel_delete_nets, 0x6ddb5058, "_gpl");
SYMBOL_CRC(ip_tunnel_newlink, 0xa58c581a, "_gpl");
SYMBOL_CRC(ip_tunnel_changelink, 0x3e8e8a06, "_gpl");
SYMBOL_CRC(ip_tunnel_init, 0xbfbebff6, "_gpl");
SYMBOL_CRC(ip_tunnel_uninit, 0x9779a568, "_gpl");
SYMBOL_CRC(ip_tunnel_setup, 0x45d09af2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65ab5b0c, "iptun_encaps" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xd0d8621b, "strlen" },
	{ 0x738803e6, "strnlen" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x32ad1ce8, "alloc_netdev_mqs" },
	{ 0x88d97509, "register_netdevice" },
	{ 0x16d4194c, "free_netdev" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x68bfb28f, "unregister_netdevice_queue" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xba5807a5, "gro_cells_init" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb1b42941, "ip_route_output_flow" },
	{ 0x908e2b47, "dst_release" },
	{ 0x487f60ca, "__dev_get_by_index" },
	{ 0x33057e3f, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x469753c5, "dev_addr_mod" },
	{ 0xa17b348, "netdev_state_change" },
	{ 0x6b512710, "ns_capable" },
	{ 0xd76c9341, "dev_set_mtu" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x8e166b72, "init_net" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xe1043d36, "ip6_mtu" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf201ba54, "icmpv6_ndo_send" },
	{ 0x186773b5, "icmp_ndo_send" },
	{ 0xf011a502, "ipv4_mtu" },
	{ 0x49bafd58, "sk_skb_reason_drop" },
	{ 0xe420ac41, "dst_cache_get_ip4" },
	{ 0x9aa56c28, "dst_cache_set_ip4" },
	{ 0x7d153c0a, "iptunnel_xmit" },
	{ 0x33b1b340, "__skb_get_hash_net" },
	{ 0x7bb06ba6, "skb_copy_bits" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xa8d828ba, "pskb_expand_head" },
	{ 0x6df729ed, "neigh_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x68c0f9a9, "skb_scrub_packet" },
	{ 0xff9c2b5a, "gro_cells_receive" },
	{ 0xd06fab4, "__pskb_pull_tail" },
	{ 0x15ea7b00, "eth_type_trans" },
	{ 0x7d50a24, "csum_partial" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x70f7896, "_printk" },
	{ 0x26ef9b8f, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4B5C7FB22D4262CC96E6EF7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
