#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nf_defrag_ipv6_enable, "_gpl", "");
KSYMTAB_FUNC(nf_defrag_ipv6_disable, "_gpl", "");
KSYMTAB_FUNC(nf_ct_frag6_gather, "_gpl", "");

SYMBOL_CRC(nf_defrag_ipv6_enable, 0x0a92b515, "_gpl");
SYMBOL_CRC(nf_defrag_ipv6_disable, 0x6a7cb5dd, "_gpl");
SYMBOL_CRC(nf_ct_frag6_gather, 0x484cc13f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x3e583471, "icmp6_send" },
	{ 0x7bb06ba6, "skb_copy_bits" },
	{ 0xb62e8dd5, "proc_dointvec_jiffies" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7d50a24, "csum_partial" },
	{ 0x8235805b, "memmove" },
	{ 0xa6fe18f5, "inet_frag_queue_insert" },
	{ 0x42945c2f, "inet_frags_init" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x8465c5e6, "inet_frag_pull_head" },
	{ 0x37a0cba, "kfree" },
	{ 0xc29100cf, "pcpu_hot" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9fc7d00d, "register_pernet_subsys" },
	{ 0xc12a02df, "register_net_sysctl_sz" },
	{ 0x70f7896, "_printk" },
	{ 0xb65dd5be, "inet_frag_destroy" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x322320b5, "ipv6_skip_exthdr" },
	{ 0x7bc85a3b, "inet_frag_reasm_finish" },
	{ 0x94e37142, "nf_register_net_hooks" },
	{ 0x2b3bf047, "fqdir_init" },
	{ 0x8e166b72, "init_net" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x49bafd58, "sk_skb_reason_drop" },
	{ 0x7a53d049, "dev_get_by_index_rcu" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0x857df639, "inet_frags_fini" },
	{ 0x1b4f9e40, "proc_doulongvec_minmax" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x5470e8be, "nf_unregister_net_hooks" },
	{ 0x5152e605, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x7c564719, "nf_defrag_v6_hook" },
	{ 0xeafcde18, "unregister_pernet_subsys" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0xd06fab4, "__pskb_pull_tail" },
	{ 0x625d42a8, "inet_frag_reasm_prepare" },
	{ 0x4e40324e, "inet_frag_find" },
	{ 0xb453ed28, "fqdir_exit" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x908e2b47, "dst_release" },
	{ 0xa8f6c843, "ip_frag_ecn_table" },
	{ 0x9323396a, "unregister_net_sysctl_table" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x46e7515b, "pskb_trim_rcsum_slow" },
	{ 0x79c3e065, "inet_frag_kill" },
	{ 0x26ef9b8f, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5907936C0646F037D3A25E1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
