#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ieee802154_alloc_hw, "", "");
KSYMTAB_FUNC(ieee802154_configure_durations, "", "");
KSYMTAB_FUNC(ieee802154_free_hw, "", "");
KSYMTAB_FUNC(ieee802154_register_hw, "", "");
KSYMTAB_FUNC(ieee802154_unregister_hw, "", "");
KSYMTAB_FUNC(ieee802154_rx_irqsafe, "", "");
KSYMTAB_FUNC(ieee802154_xmit_complete, "", "");
KSYMTAB_FUNC(ieee802154_xmit_error, "", "");
KSYMTAB_FUNC(ieee802154_xmit_hw_error, "", "");

SYMBOL_CRC(ieee802154_alloc_hw, 0x9d3dcc60, "");
SYMBOL_CRC(ieee802154_configure_durations, 0x3184f2cb, "");
SYMBOL_CRC(ieee802154_free_hw, 0xb42a2b04, "");
SYMBOL_CRC(ieee802154_register_hw, 0xaf932ff4, "");
SYMBOL_CRC(ieee802154_unregister_hw, 0xd1b03067, "");
SYMBOL_CRC(ieee802154_rx_irqsafe, 0xd851c8e3, "");
SYMBOL_CRC(ieee802154_xmit_complete, 0xf8596550, "");
SYMBOL_CRC(ieee802154_xmit_error, 0xebe4cf39, "");
SYMBOL_CRC(ieee802154_xmit_hw_error, 0xb1706362, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xabce9fcb, "crypto_skcipher_encrypt" },
	{ 0x87e2553b, "ieee802154_max_payload" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x64163caf, "bpf_trace_run4" },
	{ 0xc1f54d07, "nl802154_beaconing_done" },
	{ 0x3ea8af1a, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xcf76b2c2, "consume_skb" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x44b384b3, "trace_raw_output_prep" },
	{ 0xd37e8fce, "skb_dequeue" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x8cd69df1, "__trace_trigger_soft_disabled" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x2e332034, "_raw_write_lock_bh" },
	{ 0x6c74418e, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xe8ec57f3, "hrtimer_init" },
	{ 0x73bac676, "dev_alloc_name" },
	{ 0x6be67180, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0x35b11056, "_raw_read_unlock_bh" },
	{ 0x952a197f, "ieee802154_mac_cmd_push" },
	{ 0xbf919a59, "_raw_read_lock_bh" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xc29100cf, "pcpu_hot" },
	{ 0x74a024d7, "crypto_alloc_aead" },
	{ 0xce56ce8c, "_raw_write_unlock_bh" },
	{ 0xe27bb409, "bpf_trace_run2" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xe3b2cb6, "netdev_warn" },
	{ 0xe59e7176, "crypto_aead_setauthsize" },
	{ 0x2a34f84b, "crypto_aead_decrypt" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xa8ec7d34, "crc_ccitt" },
	{ 0x53456a91, "crypto_skcipher_setkey" },
	{ 0x68bfb28f, "unregister_netdevice_queue" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x9742e4c9, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x23dfa710, "ieee802154_hdr_peek_addrs" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf466140b, "wpan_phy_unregister" },
	{ 0x128e9245, "trace_event_buffer_commit" },
	{ 0x469753c5, "dev_addr_mod" },
	{ 0x69495a75, "crypto_destroy_tfm" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x32ad1ce8, "alloc_netdev_mqs" },
	{ 0x4d3d15d0, "nl802154_scan_done" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x3cc548db, "nl802154_scan_started" },
	{ 0x5582c8ff, "crypto_skcipher_decrypt" },
	{ 0x738803e6, "strnlen" },
	{ 0x6a1ce4a4, "__alloc_skb" },
	{ 0x579ab1cf, "skb_copy_expand" },
	{ 0x181bba9, "skb_queue_tail" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x3141553c, "crypto_aead_setkey" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x900d9662, "perf_trace_run_bpf_submit" },
	{ 0x14acb075, "cfg802154_get_free_short_addr" },
	{ 0x8aed66f2, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xa8e95bf9, "wpan_phy_register" },
	{ 0x1e803274, "cfg802154_set_max_associations" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb3ff4032, "crypto_aead_encrypt" },
	{ 0x49bafd58, "sk_skb_reason_drop" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0x2a164ec6, "skb_push" },
	{ 0xa8903752, "ieee802154_hdr_peek" },
	{ 0xcd628b83, "wpan_phy_free" },
	{ 0x24506f16, "netif_receive_skb" },
	{ 0xaad37845, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x16d4194c, "free_netdev" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x72a8d6f9, "__mutex_init" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xa73d5bca, "bpf_trace_run1" },
	{ 0xdf17bdf9, "netif_tx_wake_queue" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x2bc95bd4, "memset" },
	{ 0xb2e89a51, "_dev_warn" },
	{ 0xe78c5b0c, "hrtimer_start_range_ns" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1b438143, "ieee802154_hdr_pull" },
	{ 0x98283541, "nl802154_scan_event" },
	{ 0xfa2251b1, "crypto_alloc_sync_skcipher" },
	{ 0x51e15f04, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xd2c95243, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2f79714e, "bpf_trace_run3" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc61733ca, "trace_event_buffer_reserve" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0xe875e218, "__rwlock_init" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc37f0b32, "wait_for_completion_killable_timeout" },
	{ 0xd59bfde9, "ieee802154_beacon_push" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x8b5417ce, "__kmalloc_cache_noprof" },
	{ 0xa0529856, "ieee802154_mac_cmd_pl_pull" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x4fb4c31, "wpan_phy_new" },
	{ 0x3ad964ce, "skb_clone" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6ea6c1ed, "hrtimer_cancel" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x624ea140, "ieee802154_hdr_push" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x25d7b154, "dev_kfree_skb_any_reason" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x97d539b9, "mutex_destroy" },
	{ 0x47e286db, "cfg802154_device_is_parent" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xdb14c1b3, "kmalloc_caches" },
	{ 0x25718f3d, "cfg802154_device_is_child" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x88d97509, "register_netdevice" },
	{ 0x26ef9b8f, "module_layout" },
};

MODULE_INFO(depends, "ieee802154");


MODULE_INFO(srcversion, "DC1138AE16B2B32E5FDFC74");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
