#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(synproxy_net_id, "_gpl", "");
KSYMTAB_FUNC(synproxy_parse_options, "_gpl", "");
KSYMTAB_FUNC(synproxy_init_timestamp_cookie, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack, "_gpl", "");
KSYMTAB_FUNC(ipv4_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_fini, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack_ipv6, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack_ipv6, "_gpl", "");
KSYMTAB_FUNC(ipv6_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_fini, "_gpl", "");

SYMBOL_CRC(synproxy_net_id, 0xca9fc082, "_gpl");
SYMBOL_CRC(synproxy_parse_options, 0x1d74ada1, "_gpl");
SYMBOL_CRC(synproxy_init_timestamp_cookie, 0x1f099794, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack, 0x57293b34, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack, 0x9f0ce518, "_gpl");
SYMBOL_CRC(ipv4_synproxy_hook, 0x5561336a, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_init, 0xfc3c2e2e, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_fini, 0x5db025c7, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack_ipv6, 0xe0d66918, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack_ipv6, 0x606f1ec8, "_gpl");
SYMBOL_CRC(ipv6_synproxy_hook, 0x85b30d02, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_init, 0xc36d64d6, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_fini, 0x62e16f3f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x9fc7d00d, "register_pernet_subsys" },
	{ 0xeafcde18, "unregister_pernet_subsys" },
	{ 0x3ea8af1a, "skb_put" },
	{ 0x94e37142, "nf_register_net_hooks" },
	{ 0xec527739, "seq_printf" },
	{ 0x887032f, "seq_write" },
	{ 0x5470e8be, "nf_unregister_net_hooks" },
	{ 0x4d214852, "skb_ensure_writable" },
	{ 0xf3f97b03, "inet_proto_csum_replace4" },
	{ 0x56f4a367, "ip_route_me_harder" },
	{ 0xf3aec9f6, "ip_local_out" },
	{ 0x49bafd58, "sk_skb_reason_drop" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x193dd57b, "security_skb_classify_flow" },
	{ 0x4cc8ea79, "__nf_ip6_route" },
	{ 0xff23b9bb, "xfrm_lookup" },
	{ 0xd6ed1159, "ip6_local_out" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7bb06ba6, "skb_copy_bits" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0x1872e5f, "remove_proc_entry" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xd8b8e4b1, "nf_ct_tmpl_alloc" },
	{ 0x3668b71d, "nf_ct_ext_add" },
	{ 0x12a60e4f, "pcpu_alloc_noprof" },
	{ 0xd1fbfa6a, "proc_create_net_data" },
	{ 0xd3179c4e, "nf_ct_tmpl_free" },
	{ 0x6a1ce4a4, "__alloc_skb" },
	{ 0x18428692, "__cookie_v6_init_sequence" },
	{ 0x99e6780e, "__cookie_v6_check" },
	{ 0x7ca64a0b, "__cookie_v4_init_sequence" },
	{ 0x2d0143e8, "__cookie_v4_check" },
	{ 0x429538b3, "nf_ct_seqadj_init" },
	{ 0xcf76b2c2, "consume_skb" },
	{ 0x322320b5, "ipv6_skip_exthdr" },
	{ 0x26ef9b8f, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "99500728F5B57851ADBDFD3");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
