#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(snd_ump_endpoint_new, "_gpl", "");
KSYMTAB_FUNC(snd_ump_receive_ump_val, "_gpl", "");
KSYMTAB_FUNC(snd_ump_receive, "_gpl", "");
KSYMTAB_FUNC(snd_ump_transmit, "_gpl", "");
KSYMTAB_FUNC(snd_ump_block_new, "_gpl", "");
KSYMTAB_FUNC(snd_ump_update_group_attrs, "_gpl", "");
KSYMTAB_FUNC(snd_ump_switch_protocol, "_gpl", "");
KSYMTAB_FUNC(snd_ump_parse_endpoint, "_gpl", "");
KSYMTAB_FUNC(snd_ump_attach_legacy_rawmidi, "_gpl", "");
KSYMTAB_FUNC(snd_ump_convert_from_ump, "_gpl", "");
KSYMTAB_FUNC(snd_ump_convert_to_ump, "_gpl", "");

SYMBOL_CRC(snd_ump_endpoint_new, 0xb5b161f9, "_gpl");
SYMBOL_CRC(snd_ump_receive_ump_val, 0xb658d4f0, "_gpl");
SYMBOL_CRC(snd_ump_receive, 0xfd1d4336, "_gpl");
SYMBOL_CRC(snd_ump_transmit, 0xf9955749, "_gpl");
SYMBOL_CRC(snd_ump_block_new, 0x454ef36d, "_gpl");
SYMBOL_CRC(snd_ump_update_group_attrs, 0x9ccea4fe, "_gpl");
SYMBOL_CRC(snd_ump_switch_protocol, 0x3e812f32, "_gpl");
SYMBOL_CRC(snd_ump_parse_endpoint, 0xff3ed522, "_gpl");
SYMBOL_CRC(snd_ump_attach_legacy_rawmidi, 0xb7e6ffd5, "_gpl");
SYMBOL_CRC(snd_ump_convert_from_ump, 0x5b39d06f, "_gpl");
SYMBOL_CRC(snd_ump_convert_to_ump, 0x6e16cfb9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1753c47a, "snd_rawmidi_receive" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xb3246b73, "snd_rawmidi_transmit" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xf818d25b, "snd_seq_device_new" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x9742e4c9, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd34aa5b2, "snd_rawmidi_kernel_write" },
	{ 0x738803e6, "strnlen" },
	{ 0x8556423f, "_dev_info" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5152e605, "memcmp" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x72a8d6f9, "__mutex_init" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x72e35eed, "snd_rawmidi_new" },
	{ 0x9685e6d4, "snd_rawmidi_kernel_open" },
	{ 0xda96a586, "snd_rawmidi_set_ops" },
	{ 0x167e7f9d, "__get_user_1" },
	{ 0xa9f1b0d2, "snd_rawmidi_kernel_release" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0x47ca7dfa, "snd_rawmidi_init" },
	{ 0x8b5417ce, "__kmalloc_cache_noprof" },
	{ 0xec527739, "seq_printf" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xd0d8621b, "strlen" },
	{ 0x7a7b215e, "snd_device_register" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xdb14c1b3, "kmalloc_caches" },
	{ 0x127d4cba, "snd_rawmidi_free" },
	{ 0x26ef9b8f, "module_layout" },
};

MODULE_INFO(depends, "snd-rawmidi,snd-seq-device,snd");


MODULE_INFO(srcversion, "099967E9D4B8E248DAEDB04");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
