#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x608482ca, "snd_hda_shutup_pins" },
	{ 0x9f66ae25, "snd_hda_get_connections" },
	{ 0x50bc9612, "snd_hda_gen_build_controls" },
	{ 0x37b636d2, "snd_hda_mixer_amp_volume_info" },
	{ 0x1fa25a80, "snd_hdac_regmap_read_raw" },
	{ 0x16f96d6f, "snd_hda_gen_spec_init" },
	{ 0xc04fb47d, "snd_hda_mixer_amp_switch_info" },
	{ 0x65f0ef95, "hda_codec_driver_unregister" },
	{ 0xb71db51e, "snd_hda_codec_get_pincfg" },
	{ 0xd3ad70a0, "snd_hdac_codec_write" },
	{ 0x5ef919b2, "snd_hda_mixer_amp_switch_get_beep" },
	{ 0xb7c5aaf9, "snd_hda_gen_add_kctl" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x19a482cb, "snd_hda_mixer_amp_switch_put_beep" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x8bfbcd0d, "_snd_hdac_read_parm" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xb43be163, "snd_hda_get_bool_hint" },
	{ 0x2d1ae4ab, "snd_ctl_boolean_mono_info" },
	{ 0x7d5e9310, "snd_hda_override_amp_caps" },
	{ 0xedb5584, "__hda_codec_driver_register" },
	{ 0xdacc74d, "snd_hda_parse_pin_defcfg" },
	{ 0x9e48700d, "snd_hda_gen_init" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xcbc76d01, "snd_hda_mixer_amp_switch_get" },
	{ 0xf23475e4, "snd_hda_codec_set_name" },
	{ 0x3c3eefae, "snd_hda_mixer_amp_volume_get" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4a89f1bc, "snd_hda_mixer_amp_switch_put" },
	{ 0xac619841, "snd_hda_codec_set_pincfg" },
	{ 0x8399aff5, "snd_hda_jack_unsol_event" },
	{ 0x1ecd9b43, "snd_hda_override_conn_list" },
	{ 0x2922d85f, "snd_hda_check_amp_list_power" },
	{ 0xa82cac5c, "snd_hda_gen_build_pcms" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xcd618618, "snd_hda_mixer_amp_tlv" },
	{ 0x8b5417ce, "__kmalloc_cache_noprof" },
	{ 0x63c92f5b, "snd_hda_pick_fixup" },
	{ 0x382c734c, "snd_hda_apply_fixup" },
	{ 0x62602301, "snd_hda_add_verbs" },
	{ 0x5d7f38d0, "snd_hda_gen_parse_auto_config" },
	{ 0xffd6eb84, "snd_hda_enum_helper_info" },
	{ 0x9a72e62d, "snd_hdac_codec_read" },
	{ 0xbd707313, "snd_hda_mixer_amp_volume_put" },
	{ 0xb38784ba, "snd_hda_gen_free" },
	{ 0xf9a482f9, "msleep" },
	{ 0x9dd560f5, "snd_hdac_regmap_sync" },
	{ 0xdb14c1b3, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x26ef9b8f, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-codec,snd-hda-codec-generic,snd-hda-core,snd");

MODULE_ALIAS("hdaudio:v11061708r*a01*");
MODULE_ALIAS("hdaudio:v11061709r*a01*");
MODULE_ALIAS("hdaudio:v1106170Ar*a01*");
MODULE_ALIAS("hdaudio:v1106170Br*a01*");
MODULE_ALIAS("hdaudio:v1106E710r*a01*");
MODULE_ALIAS("hdaudio:v1106E711r*a01*");
MODULE_ALIAS("hdaudio:v1106E712r*a01*");
MODULE_ALIAS("hdaudio:v1106E713r*a01*");
MODULE_ALIAS("hdaudio:v1106E714r*a01*");
MODULE_ALIAS("hdaudio:v1106E715r*a01*");
MODULE_ALIAS("hdaudio:v1106E716r*a01*");
MODULE_ALIAS("hdaudio:v1106E717r*a01*");
MODULE_ALIAS("hdaudio:v1106E720r*a01*");
MODULE_ALIAS("hdaudio:v1106E721r*a01*");
MODULE_ALIAS("hdaudio:v1106E722r*a01*");
MODULE_ALIAS("hdaudio:v1106E723r*a01*");
MODULE_ALIAS("hdaudio:v1106E724r*a01*");
MODULE_ALIAS("hdaudio:v1106E725r*a01*");
MODULE_ALIAS("hdaudio:v1106E726r*a01*");
MODULE_ALIAS("hdaudio:v1106E727r*a01*");
MODULE_ALIAS("hdaudio:v11060397r*a01*");
MODULE_ALIAS("hdaudio:v11061397r*a01*");
MODULE_ALIAS("hdaudio:v11062397r*a01*");
MODULE_ALIAS("hdaudio:v11063397r*a01*");
MODULE_ALIAS("hdaudio:v11064397r*a01*");
MODULE_ALIAS("hdaudio:v11065397r*a01*");
MODULE_ALIAS("hdaudio:v11066397r*a01*");
MODULE_ALIAS("hdaudio:v11067397r*a01*");
MODULE_ALIAS("hdaudio:v11060398r*a01*");
MODULE_ALIAS("hdaudio:v11061398r*a01*");
MODULE_ALIAS("hdaudio:v11062398r*a01*");
MODULE_ALIAS("hdaudio:v11063398r*a01*");
MODULE_ALIAS("hdaudio:v11064398r*a01*");
MODULE_ALIAS("hdaudio:v11065398r*a01*");
MODULE_ALIAS("hdaudio:v11066398r*a01*");
MODULE_ALIAS("hdaudio:v11067398r*a01*");
MODULE_ALIAS("hdaudio:v11060428r*a01*");
MODULE_ALIAS("hdaudio:v11064428r*a01*");
MODULE_ALIAS("hdaudio:v11060441r*a01*");
MODULE_ALIAS("hdaudio:v11064441r*a01*");
MODULE_ALIAS("hdaudio:v11060433r*a01*");
MODULE_ALIAS("hdaudio:v1106A721r*a01*");
MODULE_ALIAS("hdaudio:v11060438r*a01*");
MODULE_ALIAS("hdaudio:v11064438r*a01*");
MODULE_ALIAS("hdaudio:v11060448r*a01*");
MODULE_ALIAS("hdaudio:v11060440r*a01*");
MODULE_ALIAS("hdaudio:v11060446r*a01*");
MODULE_ALIAS("hdaudio:v11068446r*a01*");
MODULE_ALIAS("hdaudio:v11064760r*a01*");
MODULE_ALIAS("hdaudio:v11064761r*a01*");
MODULE_ALIAS("hdaudio:v11064762r*a01*");

MODULE_INFO(srcversion, "95E7A5951EF3CB775062904");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
