#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ata_link_next, "_gpl", "");
KSYMTAB_FUNC(ata_dev_next, "_gpl", "");
KSYMTAB_FUNC(atapi_cmd_type, "_gpl", "");
KSYMTAB_FUNC(ata_pack_xfermask, "_gpl", "");
KSYMTAB_FUNC(ata_xfer_mask2mode, "_gpl", "");
KSYMTAB_FUNC(ata_xfer_mode2mask, "_gpl", "");
KSYMTAB_FUNC(ata_xfer_mode2shift, "_gpl", "");
KSYMTAB_FUNC(ata_mode_string, "_gpl", "");
KSYMTAB_FUNC(ata_dev_classify, "_gpl", "");
KSYMTAB_FUNC(ata_id_string, "_gpl", "");
KSYMTAB_FUNC(ata_id_c_string, "_gpl", "");
KSYMTAB_FUNC(ata_id_xfermask, "_gpl", "");
KSYMTAB_FUNC(ata_pio_need_iordy, "_gpl", "");
KSYMTAB_FUNC(ata_do_dev_read_id, "_gpl", "");
KSYMTAB_FUNC(ata_cable_40wire, "_gpl", "");
KSYMTAB_FUNC(ata_cable_80wire, "_gpl", "");
KSYMTAB_FUNC(ata_cable_unknown, "_gpl", "");
KSYMTAB_FUNC(ata_cable_ignore, "_gpl", "");
KSYMTAB_FUNC(ata_cable_sata, "_gpl", "");
KSYMTAB_FUNC(ata_dev_pair, "_gpl", "");
KSYMTAB_FUNC(ata_do_set_mode, "_gpl", "");
KSYMTAB_FUNC(ata_wait_after_reset, "_gpl", "");
KSYMTAB_FUNC(ata_std_prereset, "_gpl", "");
KSYMTAB_FUNC(ata_std_postreset, "_gpl", "");
KSYMTAB_FUNC(ata_dev_set_feature, "_gpl", "");
KSYMTAB_FUNC(ata_std_qc_defer, "_gpl", "");
KSYMTAB_FUNC(ata_qc_complete, "_gpl", "");
KSYMTAB_FUNC(ata_qc_get_active, "_gpl", "");
KSYMTAB_FUNC(ata_link_online, "_gpl", "");
KSYMTAB_FUNC(ata_link_offline, "_gpl", "");
KSYMTAB_FUNC(ata_sas_port_suspend, "_gpl", "");
KSYMTAB_FUNC(ata_sas_port_resume, "_gpl", "");
KSYMTAB_FUNC(ata_host_suspend, "_gpl", "");
KSYMTAB_FUNC(ata_host_resume, "_gpl", "");
KSYMTAB_FUNC(ata_port_alloc, "_gpl", "");
KSYMTAB_FUNC(ata_port_free, "_gpl", "");
KSYMTAB_FUNC(ata_host_put, "_gpl", "");
KSYMTAB_FUNC(ata_host_alloc, "_gpl", "");
KSYMTAB_FUNC(ata_host_alloc_pinfo, "_gpl", "");
KSYMTAB_FUNC(ata_host_start, "_gpl", "");
KSYMTAB_FUNC(ata_host_init, "_gpl", "");
KSYMTAB_FUNC(ata_port_probe, "_gpl", "");
KSYMTAB_FUNC(ata_host_register, "_gpl", "");
KSYMTAB_FUNC(ata_host_activate, "_gpl", "");
KSYMTAB_FUNC(ata_host_detach, "_gpl", "");
KSYMTAB_FUNC(ata_pci_remove_one, "_gpl", "");
KSYMTAB_FUNC(ata_pci_shutdown_one, "_gpl", "");
KSYMTAB_FUNC(pci_test_config_bits, "_gpl", "");
KSYMTAB_FUNC(ata_pci_device_do_suspend, "_gpl", "");
KSYMTAB_FUNC(ata_pci_device_do_resume, "_gpl", "");
KSYMTAB_FUNC(ata_pci_device_suspend, "_gpl", "");
KSYMTAB_FUNC(ata_pci_device_resume, "_gpl", "");
KSYMTAB_FUNC(ata_platform_remove_one, "_gpl", "");
KSYMTAB_FUNC(ata_ratelimit, "_gpl", "");
KSYMTAB_FUNC(ata_msleep, "_gpl", "");
KSYMTAB_FUNC(ata_wait_register, "_gpl", "");
KSYMTAB_DATA(ata_dummy_port_ops, "_gpl", "");
KSYMTAB_DATA(ata_dummy_port_info, "_gpl", "");
KSYMTAB_FUNC(ata_print_version, "", "");
KSYMTAB_DATA(__tracepoint_ata_tf_load, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ata_tf_load, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ata_tf_load, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ata_tf_load, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ata_exec_command, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ata_exec_command, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ata_exec_command, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ata_exec_command, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ata_bmdma_setup, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ata_bmdma_setup, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ata_bmdma_setup, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ata_bmdma_setup, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ata_bmdma_start, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ata_bmdma_start, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ata_bmdma_start, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ata_bmdma_start, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ata_bmdma_status, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ata_bmdma_status, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ata_bmdma_status, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ata_bmdma_status, "_gpl", "");
KSYMTAB_DATA(dev_attr_unload_heads, "_gpl", "");
KSYMTAB_DATA(ata_common_sdev_groups, "_gpl", "");
KSYMTAB_FUNC(ata_std_bios_param, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_unlock_native_capacity, "_gpl", "");
KSYMTAB_FUNC(ata_sas_scsi_ioctl, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_ioctl, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_dma_need_drain, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_slave_alloc, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_device_configure, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_slave_destroy, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_queuecmd, "_gpl", "");
KSYMTAB_FUNC(__ata_ehi_push_desc, "_gpl", "");
KSYMTAB_FUNC(ata_ehi_push_desc, "_gpl", "");
KSYMTAB_FUNC(ata_ehi_clear_desc, "_gpl", "");
KSYMTAB_FUNC(ata_port_desc, "_gpl", "");
KSYMTAB_FUNC(ata_port_pbar_desc, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_cmd_error_handler, "", "");
KSYMTAB_FUNC(ata_scsi_port_error_handler, "_gpl", "");
KSYMTAB_FUNC(ata_port_wait_eh, "_gpl", "");
KSYMTAB_FUNC(ata_std_sched_eh, "_gpl", "");
KSYMTAB_FUNC(ata_std_end_eh, "", "");
KSYMTAB_FUNC(ata_port_schedule_eh, "_gpl", "");
KSYMTAB_FUNC(ata_link_abort, "_gpl", "");
KSYMTAB_FUNC(ata_port_abort, "_gpl", "");
KSYMTAB_FUNC(ata_port_freeze, "_gpl", "");
KSYMTAB_FUNC(ata_eh_freeze_port, "_gpl", "");
KSYMTAB_FUNC(ata_dev_disable, "_gpl", "");
KSYMTAB_FUNC(ata_get_cmd_name, "_gpl", "");
KSYMTAB_FUNC(ata_std_error_handler, "_gpl", "");
KSYMTAB_FUNC(ata_tport_delete, "_gpl", "");
KSYMTAB_FUNC(ata_tport_add, "_gpl", "");
KSYMTAB_FUNC(ata_port_classify, "_gpl", "");
KSYMTAB_DATA(sata_deb_timing_normal, "_gpl", "");
KSYMTAB_DATA(sata_deb_timing_hotplug, "_gpl", "");
KSYMTAB_DATA(sata_deb_timing_long, "_gpl", "");
KSYMTAB_FUNC(sata_scr_valid, "_gpl", "");
KSYMTAB_FUNC(sata_scr_read, "_gpl", "");
KSYMTAB_FUNC(sata_scr_write, "_gpl", "");
KSYMTAB_FUNC(sata_scr_write_flush, "_gpl", "");
KSYMTAB_FUNC(ata_tf_to_fis, "_gpl", "");
KSYMTAB_FUNC(ata_tf_from_fis, "_gpl", "");
KSYMTAB_FUNC(sata_link_debounce, "_gpl", "");
KSYMTAB_FUNC(sata_link_resume, "_gpl", "");
KSYMTAB_FUNC(sata_link_scr_lpm, "_gpl", "");
KSYMTAB_FUNC(sata_set_spd, "_gpl", "");
KSYMTAB_FUNC(sata_link_hardreset, "_gpl", "");
KSYMTAB_FUNC(sata_std_hardreset, "_gpl", "");
KSYMTAB_FUNC(ata_qc_complete_multiple, "_gpl", "");
KSYMTAB_FUNC(ata_slave_link_init, "_gpl", "");
KSYMTAB_FUNC(sata_lpm_ignore_phy_events, "_gpl", "");
KSYMTAB_DATA(dev_attr_link_power_management_policy, "_gpl", "");
KSYMTAB_FUNC(ata_ncq_prio_supported, "_gpl", "");
KSYMTAB_DATA(dev_attr_ncq_prio_supported, "_gpl", "");
KSYMTAB_FUNC(ata_ncq_prio_enabled, "_gpl", "");
KSYMTAB_FUNC(ata_ncq_prio_enable, "_gpl", "");
KSYMTAB_DATA(dev_attr_ncq_prio_enable, "_gpl", "");
KSYMTAB_DATA(ata_ncq_sdev_groups, "_gpl", "");
KSYMTAB_DATA(dev_attr_em_message, "_gpl", "");
KSYMTAB_DATA(dev_attr_em_message_type, "_gpl", "");
KSYMTAB_DATA(dev_attr_sw_activity, "_gpl", "");
KSYMTAB_FUNC(ata_change_queue_depth, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_change_queue_depth, "_gpl", "");
KSYMTAB_FUNC(ata_sas_device_configure, "_gpl", "");
KSYMTAB_FUNC(ata_sas_queuecmd, "_gpl", "");
KSYMTAB_FUNC(sata_async_notification, "_gpl", "");
KSYMTAB_FUNC(ata_eh_analyze_ncq_error, "_gpl", "");
KSYMTAB_DATA(sata_port_ops, "_gpl", "");
KSYMTAB_DATA(ata_sff_port_ops, "_gpl", "");
KSYMTAB_FUNC(ata_sff_check_status, "_gpl", "");
KSYMTAB_FUNC(ata_sff_pause, "_gpl", "");
KSYMTAB_FUNC(ata_sff_dma_pause, "_gpl", "");
KSYMTAB_FUNC(ata_sff_wait_ready, "_gpl", "");
KSYMTAB_FUNC(ata_sff_dev_select, "_gpl", "");
KSYMTAB_FUNC(ata_sff_irq_on, "_gpl", "");
KSYMTAB_FUNC(ata_sff_tf_load, "_gpl", "");
KSYMTAB_FUNC(ata_sff_tf_read, "_gpl", "");
KSYMTAB_FUNC(ata_sff_exec_command, "_gpl", "");
KSYMTAB_FUNC(ata_sff_data_xfer, "_gpl", "");
KSYMTAB_FUNC(ata_sff_data_xfer32, "_gpl", "");
KSYMTAB_FUNC(ata_sff_hsm_move, "_gpl", "");
KSYMTAB_FUNC(ata_sff_queue_work, "_gpl", "");
KSYMTAB_FUNC(ata_sff_queue_delayed_work, "_gpl", "");
KSYMTAB_FUNC(ata_sff_queue_pio_task, "_gpl", "");
KSYMTAB_FUNC(ata_sff_qc_issue, "_gpl", "");
KSYMTAB_FUNC(ata_sff_qc_fill_rtf, "_gpl", "");
KSYMTAB_FUNC(ata_sff_port_intr, "_gpl", "");
KSYMTAB_FUNC(ata_sff_interrupt, "_gpl", "");
KSYMTAB_FUNC(ata_sff_lost_interrupt, "_gpl", "");
KSYMTAB_FUNC(ata_sff_freeze, "_gpl", "");
KSYMTAB_FUNC(ata_sff_thaw, "_gpl", "");
KSYMTAB_FUNC(ata_sff_prereset, "_gpl", "");
KSYMTAB_FUNC(ata_sff_dev_classify, "_gpl", "");
KSYMTAB_FUNC(ata_sff_wait_after_reset, "_gpl", "");
KSYMTAB_FUNC(ata_sff_softreset, "_gpl", "");
KSYMTAB_FUNC(sata_sff_hardreset, "_gpl", "");
KSYMTAB_FUNC(ata_sff_postreset, "_gpl", "");
KSYMTAB_FUNC(ata_sff_drain_fifo, "_gpl", "");
KSYMTAB_FUNC(ata_sff_error_handler, "_gpl", "");
KSYMTAB_FUNC(ata_sff_std_ports, "_gpl", "");
KSYMTAB_FUNC(ata_pci_sff_init_host, "_gpl", "");
KSYMTAB_FUNC(ata_pci_sff_prepare_host, "_gpl", "");
KSYMTAB_FUNC(ata_pci_sff_activate_host, "_gpl", "");
KSYMTAB_FUNC(ata_pci_sff_init_one, "_gpl", "");
KSYMTAB_DATA(ata_bmdma_port_ops, "_gpl", "");
KSYMTAB_DATA(ata_bmdma32_port_ops, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_qc_prep, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_dumb_qc_prep, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_qc_issue, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_port_intr, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_interrupt, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_error_handler, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_post_internal_cmd, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_irq_clear, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_setup, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_start, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_stop, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_status, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_port_start, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_port_start32, "_gpl", "");
KSYMTAB_FUNC(ata_pci_bmdma_clear_simplex, "_gpl", "");
KSYMTAB_FUNC(ata_pci_bmdma_init, "_gpl", "");
KSYMTAB_FUNC(ata_pci_bmdma_prepare_host, "_gpl", "");
KSYMTAB_FUNC(ata_pci_bmdma_init_one, "_gpl", "");
KSYMTAB_DATA(sata_pmp_port_ops, "_gpl", "");
KSYMTAB_FUNC(sata_pmp_qc_defer_cmd_switch, "_gpl", "");
KSYMTAB_FUNC(sata_pmp_error_handler, "_gpl", "");
KSYMTAB_FUNC(ata_acpi_gtm, "_gpl", "");
KSYMTAB_FUNC(ata_acpi_stm, "_gpl", "");
KSYMTAB_FUNC(ata_acpi_gtm_xfermask, "_gpl", "");
KSYMTAB_FUNC(ata_acpi_cbl_80wire, "_gpl", "");
KSYMTAB_FUNC(ata_timing_merge, "_gpl", "");
KSYMTAB_FUNC(ata_timing_find_mode, "_gpl", "");
KSYMTAB_FUNC(ata_timing_compute, "_gpl", "");

SYMBOL_CRC(ata_link_next, 0xbd15f4cc, "_gpl");
SYMBOL_CRC(ata_dev_next, 0x63d38cfd, "_gpl");
SYMBOL_CRC(atapi_cmd_type, 0x8462cb62, "_gpl");
SYMBOL_CRC(ata_pack_xfermask, 0x3a15013b, "_gpl");
SYMBOL_CRC(ata_xfer_mask2mode, 0xc2368ea5, "_gpl");
SYMBOL_CRC(ata_xfer_mode2mask, 0xe77d5ef3, "_gpl");
SYMBOL_CRC(ata_xfer_mode2shift, 0x58db1176, "_gpl");
SYMBOL_CRC(ata_mode_string, 0x6a9e90af, "_gpl");
SYMBOL_CRC(ata_dev_classify, 0x5bcc0df7, "_gpl");
SYMBOL_CRC(ata_id_string, 0xccd86806, "_gpl");
SYMBOL_CRC(ata_id_c_string, 0xafddd545, "_gpl");
SYMBOL_CRC(ata_id_xfermask, 0x030cbca2, "_gpl");
SYMBOL_CRC(ata_pio_need_iordy, 0xda9ef961, "_gpl");
SYMBOL_CRC(ata_do_dev_read_id, 0x294bff4a, "_gpl");
SYMBOL_CRC(ata_cable_40wire, 0x5439adde, "_gpl");
SYMBOL_CRC(ata_cable_80wire, 0x4af06a90, "_gpl");
SYMBOL_CRC(ata_cable_unknown, 0x655aa4b7, "_gpl");
SYMBOL_CRC(ata_cable_ignore, 0x08b304a6, "_gpl");
SYMBOL_CRC(ata_cable_sata, 0xbedcc62f, "_gpl");
SYMBOL_CRC(ata_dev_pair, 0x8844e0a3, "_gpl");
SYMBOL_CRC(ata_do_set_mode, 0xf170c606, "_gpl");
SYMBOL_CRC(ata_wait_after_reset, 0x2c3e4c2c, "_gpl");
SYMBOL_CRC(ata_std_prereset, 0x9a16c1ac, "_gpl");
SYMBOL_CRC(ata_std_postreset, 0xd238decc, "_gpl");
SYMBOL_CRC(ata_dev_set_feature, 0x0434272d, "_gpl");
SYMBOL_CRC(ata_std_qc_defer, 0xf4a1a3e0, "_gpl");
SYMBOL_CRC(ata_qc_complete, 0xe1eae4b1, "_gpl");
SYMBOL_CRC(ata_qc_get_active, 0x6a1b7df9, "_gpl");
SYMBOL_CRC(ata_link_online, 0x1db96333, "_gpl");
SYMBOL_CRC(ata_link_offline, 0x77a1cb85, "_gpl");
SYMBOL_CRC(ata_sas_port_suspend, 0xf2d515ed, "_gpl");
SYMBOL_CRC(ata_sas_port_resume, 0xdf573e6f, "_gpl");
SYMBOL_CRC(ata_host_suspend, 0x189d0c43, "_gpl");
SYMBOL_CRC(ata_host_resume, 0xd86b95bf, "_gpl");
SYMBOL_CRC(ata_port_alloc, 0xefe76f9f, "_gpl");
SYMBOL_CRC(ata_port_free, 0xb049140e, "_gpl");
SYMBOL_CRC(ata_host_put, 0xc971e5e8, "_gpl");
SYMBOL_CRC(ata_host_alloc, 0x0a426cc9, "_gpl");
SYMBOL_CRC(ata_host_alloc_pinfo, 0x897e2beb, "_gpl");
SYMBOL_CRC(ata_host_start, 0xa43a0ac9, "_gpl");
SYMBOL_CRC(ata_host_init, 0x37898d95, "_gpl");
SYMBOL_CRC(ata_port_probe, 0xa582693a, "_gpl");
SYMBOL_CRC(ata_host_register, 0xc2630767, "_gpl");
SYMBOL_CRC(ata_host_activate, 0x7705c0ce, "_gpl");
SYMBOL_CRC(ata_host_detach, 0x43a90829, "_gpl");
SYMBOL_CRC(ata_pci_remove_one, 0x3ff4ed7b, "_gpl");
SYMBOL_CRC(ata_pci_shutdown_one, 0xea4ff375, "_gpl");
SYMBOL_CRC(pci_test_config_bits, 0xe43ae737, "_gpl");
SYMBOL_CRC(ata_pci_device_do_suspend, 0x2a12e0fc, "_gpl");
SYMBOL_CRC(ata_pci_device_do_resume, 0xe3776eac, "_gpl");
SYMBOL_CRC(ata_pci_device_suspend, 0x9484b897, "_gpl");
SYMBOL_CRC(ata_pci_device_resume, 0xff67dd21, "_gpl");
SYMBOL_CRC(ata_platform_remove_one, 0x7b456629, "_gpl");
SYMBOL_CRC(ata_ratelimit, 0xf8f3a0fb, "_gpl");
SYMBOL_CRC(ata_msleep, 0xa26886f5, "_gpl");
SYMBOL_CRC(ata_wait_register, 0x13cc0a5c, "_gpl");
SYMBOL_CRC(ata_dummy_port_ops, 0xb090787d, "_gpl");
SYMBOL_CRC(ata_dummy_port_info, 0xc245b998, "_gpl");
SYMBOL_CRC(ata_print_version, 0xca184124, "");
SYMBOL_CRC(__tracepoint_ata_tf_load, 0x8cc7148d, "_gpl");
SYMBOL_CRC(__traceiter_ata_tf_load, 0xb0c794cd, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ata_tf_load, 0x08a88a9f, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ata_tf_load, 0xcf2b93c8, "_gpl");
SYMBOL_CRC(__tracepoint_ata_exec_command, 0xa3d4dce0, "_gpl");
SYMBOL_CRC(__traceiter_ata_exec_command, 0xc23f1977, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ata_exec_command, 0xf80f5fc7, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ata_exec_command, 0x46047827, "_gpl");
SYMBOL_CRC(__tracepoint_ata_bmdma_setup, 0xc3a17b69, "_gpl");
SYMBOL_CRC(__traceiter_ata_bmdma_setup, 0xf9240c22, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ata_bmdma_setup, 0xc68c41d6, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ata_bmdma_setup, 0x9a2851ef, "_gpl");
SYMBOL_CRC(__tracepoint_ata_bmdma_start, 0x98c5b177, "_gpl");
SYMBOL_CRC(__traceiter_ata_bmdma_start, 0x3d473369, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ata_bmdma_start, 0x9de88bc8, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ata_bmdma_start, 0xa1c3f8a8, "_gpl");
SYMBOL_CRC(__tracepoint_ata_bmdma_status, 0x92aad517, "_gpl");
SYMBOL_CRC(__traceiter_ata_bmdma_status, 0x327bd0ae, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ata_bmdma_status, 0xc9715630, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ata_bmdma_status, 0xc3e1021c, "_gpl");
SYMBOL_CRC(dev_attr_unload_heads, 0x3f9d026c, "_gpl");
SYMBOL_CRC(ata_common_sdev_groups, 0x4e4154f7, "_gpl");
SYMBOL_CRC(ata_std_bios_param, 0xe5cf2b90, "_gpl");
SYMBOL_CRC(ata_scsi_unlock_native_capacity, 0xfc80315d, "_gpl");
SYMBOL_CRC(ata_sas_scsi_ioctl, 0x7b29b40b, "_gpl");
SYMBOL_CRC(ata_scsi_ioctl, 0xae76bcac, "_gpl");
SYMBOL_CRC(ata_scsi_dma_need_drain, 0x63df4c28, "_gpl");
SYMBOL_CRC(ata_scsi_slave_alloc, 0x34ff7896, "_gpl");
SYMBOL_CRC(ata_scsi_device_configure, 0x37789c99, "_gpl");
SYMBOL_CRC(ata_scsi_slave_destroy, 0x57e79d35, "_gpl");
SYMBOL_CRC(ata_scsi_queuecmd, 0x9dbf86dc, "_gpl");
SYMBOL_CRC(__ata_ehi_push_desc, 0x5b5044ae, "_gpl");
SYMBOL_CRC(ata_ehi_push_desc, 0x398a4dfc, "_gpl");
SYMBOL_CRC(ata_ehi_clear_desc, 0x68ca55a6, "_gpl");
SYMBOL_CRC(ata_port_desc, 0xfe70c62b, "_gpl");
SYMBOL_CRC(ata_port_pbar_desc, 0xcca1b423, "_gpl");
SYMBOL_CRC(ata_scsi_cmd_error_handler, 0xc092aea6, "");
SYMBOL_CRC(ata_scsi_port_error_handler, 0x2a346595, "_gpl");
SYMBOL_CRC(ata_port_wait_eh, 0xddf74841, "_gpl");
SYMBOL_CRC(ata_std_sched_eh, 0x63f2b5cc, "_gpl");
SYMBOL_CRC(ata_std_end_eh, 0x283b7b66, "");
SYMBOL_CRC(ata_port_schedule_eh, 0x8f0f4bca, "_gpl");
SYMBOL_CRC(ata_link_abort, 0xd2a0087d, "_gpl");
SYMBOL_CRC(ata_port_abort, 0xdf333dbc, "_gpl");
SYMBOL_CRC(ata_port_freeze, 0x6b515b64, "_gpl");
SYMBOL_CRC(ata_eh_freeze_port, 0x2519ff25, "_gpl");
SYMBOL_CRC(ata_dev_disable, 0x3c8d99cf, "_gpl");
SYMBOL_CRC(ata_get_cmd_name, 0xbd06f3a9, "_gpl");
SYMBOL_CRC(ata_std_error_handler, 0x72a307e6, "_gpl");
SYMBOL_CRC(ata_tport_delete, 0x1b874f73, "_gpl");
SYMBOL_CRC(ata_tport_add, 0x972ebd82, "_gpl");
SYMBOL_CRC(ata_port_classify, 0x6ac04c0b, "_gpl");
SYMBOL_CRC(sata_deb_timing_normal, 0x9371ea58, "_gpl");
SYMBOL_CRC(sata_deb_timing_hotplug, 0xbc79eb0b, "_gpl");
SYMBOL_CRC(sata_deb_timing_long, 0x06c98647, "_gpl");
SYMBOL_CRC(sata_scr_valid, 0x07d7403a, "_gpl");
SYMBOL_CRC(sata_scr_read, 0xa58e983e, "_gpl");
SYMBOL_CRC(sata_scr_write, 0xc585e85c, "_gpl");
SYMBOL_CRC(sata_scr_write_flush, 0x63fbbeb6, "_gpl");
SYMBOL_CRC(ata_tf_to_fis, 0xdf0c757f, "_gpl");
SYMBOL_CRC(ata_tf_from_fis, 0xa4c085f8, "_gpl");
SYMBOL_CRC(sata_link_debounce, 0x0a4d913a, "_gpl");
SYMBOL_CRC(sata_link_resume, 0x6045a043, "_gpl");
SYMBOL_CRC(sata_link_scr_lpm, 0x9b58f6e9, "_gpl");
SYMBOL_CRC(sata_set_spd, 0xf9be7df7, "_gpl");
SYMBOL_CRC(sata_link_hardreset, 0x7707e942, "_gpl");
SYMBOL_CRC(sata_std_hardreset, 0x0f5040ee, "_gpl");
SYMBOL_CRC(ata_qc_complete_multiple, 0x0130414f, "_gpl");
SYMBOL_CRC(ata_slave_link_init, 0x3c9e9dc3, "_gpl");
SYMBOL_CRC(sata_lpm_ignore_phy_events, 0x20f28baf, "_gpl");
SYMBOL_CRC(dev_attr_link_power_management_policy, 0x6bd5373e, "_gpl");
SYMBOL_CRC(ata_ncq_prio_supported, 0x90d9580e, "_gpl");
SYMBOL_CRC(dev_attr_ncq_prio_supported, 0x24ade895, "_gpl");
SYMBOL_CRC(ata_ncq_prio_enabled, 0xd53af31d, "_gpl");
SYMBOL_CRC(ata_ncq_prio_enable, 0xb5741c82, "_gpl");
SYMBOL_CRC(dev_attr_ncq_prio_enable, 0xfa7e54c2, "_gpl");
SYMBOL_CRC(ata_ncq_sdev_groups, 0x61e77a4e, "_gpl");
SYMBOL_CRC(dev_attr_em_message, 0xd99e92da, "_gpl");
SYMBOL_CRC(dev_attr_em_message_type, 0x225d9311, "_gpl");
SYMBOL_CRC(dev_attr_sw_activity, 0x23fc4855, "_gpl");
SYMBOL_CRC(ata_change_queue_depth, 0x56f56292, "_gpl");
SYMBOL_CRC(ata_scsi_change_queue_depth, 0x47eea234, "_gpl");
SYMBOL_CRC(ata_sas_device_configure, 0x34983da1, "_gpl");
SYMBOL_CRC(ata_sas_queuecmd, 0x2fe761b6, "_gpl");
SYMBOL_CRC(sata_async_notification, 0xc38e98b9, "_gpl");
SYMBOL_CRC(ata_eh_analyze_ncq_error, 0x43091bf5, "_gpl");
SYMBOL_CRC(sata_port_ops, 0x14858212, "_gpl");
SYMBOL_CRC(ata_sff_port_ops, 0x9939a545, "_gpl");
SYMBOL_CRC(ata_sff_check_status, 0xd3681bc4, "_gpl");
SYMBOL_CRC(ata_sff_pause, 0x28f7472e, "_gpl");
SYMBOL_CRC(ata_sff_dma_pause, 0xaa89eeb7, "_gpl");
SYMBOL_CRC(ata_sff_wait_ready, 0xa0e72389, "_gpl");
SYMBOL_CRC(ata_sff_dev_select, 0x2f309fd6, "_gpl");
SYMBOL_CRC(ata_sff_irq_on, 0x56b0e1fd, "_gpl");
SYMBOL_CRC(ata_sff_tf_load, 0xe987550d, "_gpl");
SYMBOL_CRC(ata_sff_tf_read, 0xe1f177d4, "_gpl");
SYMBOL_CRC(ata_sff_exec_command, 0x9cf31327, "_gpl");
SYMBOL_CRC(ata_sff_data_xfer, 0x8dc7d56c, "_gpl");
SYMBOL_CRC(ata_sff_data_xfer32, 0x7d948d18, "_gpl");
SYMBOL_CRC(ata_sff_hsm_move, 0xa0b143ef, "_gpl");
SYMBOL_CRC(ata_sff_queue_work, 0xeb9abbee, "_gpl");
SYMBOL_CRC(ata_sff_queue_delayed_work, 0x6c43b737, "_gpl");
SYMBOL_CRC(ata_sff_queue_pio_task, 0xe445b51a, "_gpl");
SYMBOL_CRC(ata_sff_qc_issue, 0xeb592c5a, "_gpl");
SYMBOL_CRC(ata_sff_qc_fill_rtf, 0x3e9862d8, "_gpl");
SYMBOL_CRC(ata_sff_port_intr, 0x39aba6ab, "_gpl");
SYMBOL_CRC(ata_sff_interrupt, 0x3a4f6a32, "_gpl");
SYMBOL_CRC(ata_sff_lost_interrupt, 0x88272db9, "_gpl");
SYMBOL_CRC(ata_sff_freeze, 0x0092632c, "_gpl");
SYMBOL_CRC(ata_sff_thaw, 0xe832c90c, "_gpl");
SYMBOL_CRC(ata_sff_prereset, 0x1a66b41a, "_gpl");
SYMBOL_CRC(ata_sff_dev_classify, 0xb02a095a, "_gpl");
SYMBOL_CRC(ata_sff_wait_after_reset, 0x960c95b4, "_gpl");
SYMBOL_CRC(ata_sff_softreset, 0x8849f6f2, "_gpl");
SYMBOL_CRC(sata_sff_hardreset, 0xa6fb67d1, "_gpl");
SYMBOL_CRC(ata_sff_postreset, 0xcacfea04, "_gpl");
SYMBOL_CRC(ata_sff_drain_fifo, 0xb84efe05, "_gpl");
SYMBOL_CRC(ata_sff_error_handler, 0x3b803eb2, "_gpl");
SYMBOL_CRC(ata_sff_std_ports, 0x73a48b4a, "_gpl");
SYMBOL_CRC(ata_pci_sff_init_host, 0xe994857a, "_gpl");
SYMBOL_CRC(ata_pci_sff_prepare_host, 0x986bae99, "_gpl");
SYMBOL_CRC(ata_pci_sff_activate_host, 0xe6238032, "_gpl");
SYMBOL_CRC(ata_pci_sff_init_one, 0x60700e38, "_gpl");
SYMBOL_CRC(ata_bmdma_port_ops, 0x85cd4708, "_gpl");
SYMBOL_CRC(ata_bmdma32_port_ops, 0x68f511d6, "_gpl");
SYMBOL_CRC(ata_bmdma_qc_prep, 0xb0984445, "_gpl");
SYMBOL_CRC(ata_bmdma_dumb_qc_prep, 0x3c35b801, "_gpl");
SYMBOL_CRC(ata_bmdma_qc_issue, 0x8bad7729, "_gpl");
SYMBOL_CRC(ata_bmdma_port_intr, 0x61487212, "_gpl");
SYMBOL_CRC(ata_bmdma_interrupt, 0xe818b32b, "_gpl");
SYMBOL_CRC(ata_bmdma_error_handler, 0x3e9feb40, "_gpl");
SYMBOL_CRC(ata_bmdma_post_internal_cmd, 0xe28465d8, "_gpl");
SYMBOL_CRC(ata_bmdma_irq_clear, 0xf877aac8, "_gpl");
SYMBOL_CRC(ata_bmdma_setup, 0xf771c5b7, "_gpl");
SYMBOL_CRC(ata_bmdma_start, 0x39f23726, "_gpl");
SYMBOL_CRC(ata_bmdma_stop, 0xf6072b27, "_gpl");
SYMBOL_CRC(ata_bmdma_status, 0xbfc5e478, "_gpl");
SYMBOL_CRC(ata_bmdma_port_start, 0x494d4e8e, "_gpl");
SYMBOL_CRC(ata_bmdma_port_start32, 0x4f7dabd0, "_gpl");
SYMBOL_CRC(ata_pci_bmdma_clear_simplex, 0x6c47874c, "_gpl");
SYMBOL_CRC(ata_pci_bmdma_init, 0xe448b9a4, "_gpl");
SYMBOL_CRC(ata_pci_bmdma_prepare_host, 0xb3f831a0, "_gpl");
SYMBOL_CRC(ata_pci_bmdma_init_one, 0xa4a9713f, "_gpl");
SYMBOL_CRC(sata_pmp_port_ops, 0x70f1bcfa, "_gpl");
SYMBOL_CRC(sata_pmp_qc_defer_cmd_switch, 0x8268b518, "_gpl");
SYMBOL_CRC(sata_pmp_error_handler, 0x86435303, "_gpl");
SYMBOL_CRC(ata_acpi_gtm, 0xe6d586fc, "_gpl");
SYMBOL_CRC(ata_acpi_stm, 0xf79b76b9, "_gpl");
SYMBOL_CRC(ata_acpi_gtm_xfermask, 0x4dc9a920, "_gpl");
SYMBOL_CRC(ata_acpi_cbl_80wire, 0xd366aea9, "_gpl");
SYMBOL_CRC(ata_timing_merge, 0xf6e874f5, "_gpl");
SYMBOL_CRC(ata_timing_find_mode, 0xd2b10a05, "_gpl");
SYMBOL_CRC(ata_timing_compute, 0x1a70e6c4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6046813f, "pci_save_state" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0x7a81541b, "async_synchronize_cookie" },
	{ 0xd76f6099, "vscnprintf" },
	{ 0x16618070, "acpi_pm_device_sleep_state" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x5db5cb0a, "is_acpi_device_node" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x435865c4, "devres_release_group" },
	{ 0x2fe72d70, "devm_request_threaded_irq" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x13224bfa, "of_property_read_variable_u32_array" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xcc82e56c, "scsi_device_get" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0xfc1fe868, "dev_set_name" },
	{ 0xe786ce7, "trace_seq_printf" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0x62b78e9b, "devres_remove_group" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xc31538c8, "dmam_alloc_attrs" },
	{ 0x44b384b3, "trace_raw_output_prep" },
	{ 0x5d893843, "scsi_remove_host" },
	{ 0x3026981b, "transport_remove_device" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x8cd69df1, "__trace_trigger_soft_disabled" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xd7d7ac98, "scsi_build_sense" },
	{ 0xce35ef7f, "scsi_schedule_eh" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x6c74418e, "trace_event_printf" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x3815f35, "ledtrig_disk_activity" },
	{ 0xf7370f56, "system_state" },
	{ 0x26f8dff2, "scsi_check_sense" },
	{ 0xd10fe2c6, "device_initialize" },
	{ 0x424d2905, "prepare_to_wait" },
	{ 0x6fabc423, "sdev_evt_send_simple" },
	{ 0x6be67180, "trace_event_raw_init" },
	{ 0x24c0c03d, "trace_print_symbols_seq" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x10d9f885, "scsi_sense_desc_find" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xc29100cf, "pcpu_hot" },
	{ 0x818416e1, "scsi_set_sense_information" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe27bb409, "bpf_trace_run2" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x6a9ab9bf, "pci_set_power_state" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xffba92e8, "of_get_next_available_child" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x9742e4c9, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x977ddfd1, "sdev_disable_disk_events" },
	{ 0x77aa69ea, "devres_add" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x17980286, "scsi_device_set_state" },
	{ 0xf2a3ccb2, "dev_driver_string" },
	{ 0x3ab7b1cc, "scsi_set_sense_field_pointer" },
	{ 0x128e9245, "trace_event_buffer_commit" },
	{ 0xbd504f55, "pci_read_config_dword" },
	{ 0x96fdb818, "transport_setup_device" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x2bbf5c28, "__pm_runtime_set_status" },
	{ 0xf5f370e0, "async_schedule_node" },
	{ 0xd3136961, "trace_seq_putc" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x2aa0e4fc, "strncasecmp" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x848d372e, "iowrite8" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0x4292364c, "schedule" },
	{ 0x549b5e58, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xad2712ff, "put_device" },
	{ 0x3af29c6f, "devm_free_irq" },
	{ 0x6e8123eb, "pm_runtime_enable" },
	{ 0x128853de, "__kmalloc_large_noprof" },
	{ 0x5009c71d, "glob_match" },
	{ 0x738803e6, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xb72b0ae8, "const_pcpu_hot" },
	{ 0x1fff11f6, "scsi_eh_finish_cmd" },
	{ 0xc6cbbc89, "capable" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0x111e234, "scsi_device_put" },
	{ 0xa8594193, "__kmap_local_page_prot" },
	{ 0xf811e69d, "scsi_eh_flush_done_q" },
	{ 0x249c93e2, "pcim_iomap_regions" },
	{ 0xd0bb8010, "kobject_uevent_env" },
	{ 0x714a9f45, "sg_miter_next" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x900d9662, "perf_trace_run_bpf_submit" },
	{ 0x8aed66f2, "_dev_err" },
	{ 0xcb987acf, "scsi_host_put" },
	{ 0xd03eeaea, "transport_class_unregister" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x511465d6, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x24d273d1, "add_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x3d557382, "sdev_enable_disk_events" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x420eabe4, "mem_section" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0xc2f3312e, "attribute_container_register" },
	{ 0xe6aa1f3c, "pci_read_config_word" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x3f577bb0, "__devres_alloc_node" },
	{ 0xd831d29c, "sg_miter_stop" },
	{ 0xaad37845, "trace_event_reg" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0xa2ca3f42, "device_link_remove" },
	{ 0x6573f300, "ida_free" },
	{ 0x13f42152, "system_entering_hibernation" },
	{ 0xd8d4f031, "transport_configure_device" },
	{ 0x1db63e4d, "devres_open_group" },
	{ 0x8e2f3b6b, "scsi_resume_device" },
	{ 0x334da4e, "scsi_command_size_tbl" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x9171209f, "pcim_pin_device" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x72a8d6f9, "__mutex_init" },
	{ 0xe1aa24c6, "transport_add_device" },
	{ 0x10fffff1, "sg_miter_start" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x418a5367, "__scsi_format_command" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xc7b98c74, "pci_restore_state" },
	{ 0xa73d5bca, "bpf_trace_run1" },
	{ 0xab0e9e58, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xb19b445, "ioread8" },
	{ 0xb16341a, "__default_kernel_pte_mask" },
	{ 0xa13fb0df, "scsi_rescan_device" },
	{ 0x2bc95bd4, "memset" },
	{ 0xb2e89a51, "_dev_warn" },
	{ 0xd51f1b5a, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xbfc177bc, "iowrite32_rep" },
	{ 0x26665456, "param_ops_string" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9f4f2aa3, "acpi_gbl_FADT" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xcb733bf2, "acpi_bus_set_power" },
	{ 0x18c54b9e, "dma_set_coherent_mask" },
	{ 0x5ab0c266, "devm_kasprintf" },
	{ 0x2f79714e, "bpf_trace_run3" },
	{ 0xa68613dd, "get_jiffies_64" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0x4cf2aa82, "pm_runtime_forbid" },
	{ 0xc61733ca, "trace_event_buffer_reserve" },
	{ 0xf02b5c29, "__pm_runtime_resume" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0xc7ab9c33, "attribute_container_unregister" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x6ab625e3, "scsi_execute_cmd" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x6580f998, "acpi_evaluate_object" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x6525727d, "transport_destroy_device" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x8b5417ce, "__kmalloc_cache_noprof" },
	{ 0x6cc09945, "ioread32_rep" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4f522783, "acpi_initialize_hp_context" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x8112b3d2, "scsi_build_sense_buffer" },
	{ 0x8d6e7a84, "pci_disable_device" },
	{ 0xd364d680, "scsi_done" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x564cee2e, "sg_copy_from_buffer" },
	{ 0x6102ffb0, "dma_set_mask" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xae7b30b7, "dma_unmap_sg_attrs" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0xe909c836, "pcim_iomap_table" },
	{ 0xc1b7f63e, "scsi_remove_device" },
	{ 0x9a73e6ed, "blk_abort_request" },
	{ 0x7c4a2e5a, "scsi_add_host_with_dma" },
	{ 0x843614e, "set_primary_fwnode" },
	{ 0x625d097b, "pci_read_config_byte" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0xd0d8621b, "strlen" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0xbb267503, "param_ops_int" },
	{ 0xf70dd5e5, "_dev_printk" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x9a2602b2, "dev_pm_qos_expose_flags" },
	{ 0xc7419dd5, "pcim_enable_device" },
	{ 0x8ad08977, "scsi_host_alloc" },
	{ 0x349cba85, "strchr" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0x66a7e88f, "__scsi_add_device" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x735470d7, "device_link_add" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x6def8741, "sg_copy_to_buffer" },
	{ 0x4129ca6f, "scsi_change_queue_depth" },
	{ 0xf9a482f9, "msleep" },
	{ 0xb007d0ad, "acpi_pm_set_device_wakeup" },
	{ 0x1c6c579c, "pci_bus_type" },
	{ 0xdb14c1b3, "kmalloc_caches" },
	{ 0x76806f8d, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x9ff591d4, "transport_class_register" },
	{ 0x26ef9b8f, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod,scsi_common");


MODULE_INFO(srcversion, "B6659219EE3F586259C528D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
