#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(btmrvl_interrupt, "_gpl", "");
KSYMTAB_FUNC(btmrvl_check_evtpkt, "_gpl", "");
KSYMTAB_FUNC(btmrvl_process_event, "_gpl", "");
KSYMTAB_FUNC(btmrvl_send_module_cfg_cmd, "_gpl", "");
KSYMTAB_FUNC(btmrvl_pscan_window_reporting, "_gpl", "");
KSYMTAB_FUNC(btmrvl_send_hscfg_cmd, "_gpl", "");
KSYMTAB_FUNC(btmrvl_enable_ps, "_gpl", "");
KSYMTAB_FUNC(btmrvl_enable_hs, "_gpl", "");
KSYMTAB_FUNC(btmrvl_register_hdev, "_gpl", "");
KSYMTAB_FUNC(btmrvl_add_card, "_gpl", "");
KSYMTAB_FUNC(btmrvl_remove_card, "_gpl", "");

SYMBOL_CRC(btmrvl_interrupt, 0xd3bbd3ad, "_gpl");
SYMBOL_CRC(btmrvl_check_evtpkt, 0xe65201bd, "_gpl");
SYMBOL_CRC(btmrvl_process_event, 0x4fc0ab3d, "_gpl");
SYMBOL_CRC(btmrvl_send_module_cfg_cmd, 0xf459a724, "_gpl");
SYMBOL_CRC(btmrvl_pscan_window_reporting, 0x2b24bb2f, "_gpl");
SYMBOL_CRC(btmrvl_send_hscfg_cmd, 0x43479433, "_gpl");
SYMBOL_CRC(btmrvl_enable_ps, 0xb11cf4be, "_gpl");
SYMBOL_CRC(btmrvl_enable_hs, 0xa7617458, "_gpl");
SYMBOL_CRC(btmrvl_register_hdev, 0x56e2152d, "_gpl");
SYMBOL_CRC(btmrvl_add_card, 0x878f3778, "_gpl");
SYMBOL_CRC(btmrvl_remove_card, 0x993a2b3f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3ea8af1a, "skb_put" },
	{ 0x55fbf73d, "hci_free_dev" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xd37e8fce, "skb_dequeue" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x2e60bace, "memcpy" },
	{ 0xbe141fbe, "hci_alloc_dev_priv" },
	{ 0x37a0cba, "kfree" },
	{ 0x3ebb80d6, "of_property_read_variable_u16_array" },
	{ 0xcb39ef5, "add_wait_queue" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xafca42e, "wake_up_process" },
	{ 0x7e7049e9, "skb_queue_purge_reason" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6a1ce4a4, "__alloc_skb" },
	{ 0xb72b0ae8, "const_pcpu_hot" },
	{ 0x181bba9, "skb_queue_tail" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xe1aa0432, "simple_open" },
	{ 0x49bafd58, "sk_skb_reason_drop" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x2a164ec6, "skb_push" },
	{ 0x121abfb0, "debugfs_remove" },
	{ 0xa7a0171f, "kthread_stop" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xf51982de, "default_llseek" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xf9f0c951, "kstrtol_from_user" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xbafb4309, "of_property_read_variable_u8_array" },
	{ 0x634f7518, "debugfs_create_x16" },
	{ 0x7b8c32f1, "bt_err" },
	{ 0x14c1c720, "kthread_create_on_node" },
	{ 0x8398af4e, "hci_unregister_dev" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x8b5417ce, "__kmalloc_cache_noprof" },
	{ 0x62a4348b, "debugfs_create_file_full" },
	{ 0x350e1a93, "remove_wait_queue" },
	{ 0xa3332ef6, "hci_register_dev" },
	{ 0x5214ce8, "__hci_cmd_sync" },
	{ 0x591db4e5, "debugfs_create_u8" },
	{ 0xe8d4bf81, "debugfs_create_dir" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xdb14c1b3, "kmalloc_caches" },
	{ 0xf1b5ddf4, "skb_queue_head" },
	{ 0x26ef9b8f, "module_layout" },
};

MODULE_INFO(depends, "bluetooth");


MODULE_INFO(srcversion, "4DAA8C2DB56C352B9807349");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
