#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(drm_dp_dual_mode_read, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_write, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_detect, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_max_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_get_tmds_output, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_set_tmds_output, "", "");
KSYMTAB_FUNC(drm_dp_get_dual_mode_type_name, "", "");
KSYMTAB_FUNC(drm_lspcon_get_mode, "", "");
KSYMTAB_FUNC(drm_lspcon_set_mode, "", "");
KSYMTAB_FUNC(drm_dp_channel_eq_ok, "", "");
KSYMTAB_FUNC(drm_dp_clock_recovery_ok, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_request_voltage, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_request_pre_emphasis, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_tx_ffe_preset, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_lane_channel_eq_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_lane_symbol_locked, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_eq_interlane_align_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_cds_interlane_align_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_link_training_failed, "", "");
KSYMTAB_FUNC(drm_dp_read_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_read_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_read_aux_rd_interval, "", "");
KSYMTAB_FUNC(drm_dp_link_train_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_link_train_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_phy_name, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_link_train_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_link_train_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_link_rate_to_bw_code, "", "");
KSYMTAB_FUNC(drm_dp_bw_code_to_link_rate, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_probe, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_set_powered, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_write, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read_link_status, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read_phy_link_status, "", "");
KSYMTAB_FUNC(drm_dp_downstream_is_type, "", "");
KSYMTAB_FUNC(drm_dp_downstream_is_tmds, "", "");
KSYMTAB_FUNC(drm_dp_send_real_edid_checksum, "", "");
KSYMTAB_FUNC(drm_dp_read_dpcd_caps, "", "");
KSYMTAB_FUNC(drm_dp_read_downstream_info, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_dotclock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_min_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_bpc, "", "");
KSYMTAB_FUNC(drm_dp_downstream_420_passthrough, "", "");
KSYMTAB_FUNC(drm_dp_downstream_444_to_420_conversion, "", "");
KSYMTAB_FUNC(drm_dp_downstream_rgb_to_ycbcr_conversion, "", "");
KSYMTAB_FUNC(drm_dp_downstream_mode, "", "");
KSYMTAB_FUNC(drm_dp_downstream_id, "", "");
KSYMTAB_FUNC(drm_dp_downstream_debug, "", "");
KSYMTAB_FUNC(drm_dp_subconnector_type, "", "");
KSYMTAB_FUNC(drm_dp_set_subconnector_property, "", "");
KSYMTAB_FUNC(drm_dp_read_sink_count_cap, "", "");
KSYMTAB_FUNC(drm_dp_read_sink_count, "", "");
KSYMTAB_FUNC(drm_dp_remote_aux_init, "", "");
KSYMTAB_FUNC(drm_dp_aux_init, "", "");
KSYMTAB_FUNC(drm_dp_aux_register, "", "");
KSYMTAB_FUNC(drm_dp_aux_unregister, "", "");
KSYMTAB_FUNC(drm_dp_psr_setup_time, "", "");
KSYMTAB_FUNC(drm_dp_start_crc, "", "");
KSYMTAB_FUNC(drm_dp_stop_crc, "", "");
KSYMTAB_FUNC(drm_dp_read_desc, "", "");
KSYMTAB_FUNC(drm_dp_dump_lttpr_desc, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_bpp_incr, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_max_slice_count, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_line_buf_depth, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_supported_input_bpcs, "", "");
KSYMTAB_FUNC(drm_dp_read_lttpr_common_caps, "", "");
KSYMTAB_FUNC(drm_dp_read_lttpr_phy_caps, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_count, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_max_link_rate, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_max_lane_count, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_voltage_swing_level_3_supported, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_pre_emphasis_level_3_supported, "", "");
KSYMTAB_FUNC(drm_dp_get_phy_test_pattern, "", "");
KSYMTAB_FUNC(drm_dp_set_phy_test_pattern, "", "");
KSYMTAB_FUNC(drm_dp_vsc_sdp_log, "", "");
KSYMTAB_FUNC(drm_dp_as_sdp_log, "", "");
KSYMTAB_FUNC(drm_dp_as_sdp_supported, "", "");
KSYMTAB_FUNC(drm_dp_vsc_sdp_supported, "", "");
KSYMTAB_FUNC(drm_dp_vsc_sdp_pack, "", "");
KSYMTAB_FUNC(drm_dp_get_pcon_max_frl_bw, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_prepare, "", "");
KSYMTAB_FUNC(drm_dp_pcon_is_frl_ready, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_configure_1, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_configure_2, "", "");
KSYMTAB_FUNC(drm_dp_pcon_reset_frl_config, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_enable, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_link_active, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_link_mode, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_frl_link_error_count, "", "");
KSYMTAB_FUNC(drm_dp_pcon_enc_is_dsc_1_2, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_max_slices, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_max_slice_width, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_bpp_incr, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_default, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_override_buf, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_override_param, "", "");
KSYMTAB_FUNC(drm_dp_pcon_convert_rgb_to_ycbcr, "", "");
KSYMTAB_FUNC(drm_edp_backlight_set_level, "", "");
KSYMTAB_FUNC(drm_edp_backlight_enable, "", "");
KSYMTAB_FUNC(drm_edp_backlight_disable, "", "");
KSYMTAB_FUNC(drm_edp_backlight_init, "", "");
KSYMTAB_FUNC(drm_panel_dp_aux_backlight, "", "");
KSYMTAB_FUNC(drm_dp_bw_overhead, "", "");
KSYMTAB_FUNC(drm_dp_bw_channel_coding_efficiency, "", "");
KSYMTAB_FUNC(drm_dp_max_dprx_data_rate, "", "");
KSYMTAB_FUNC(drm_dp_mst_get_port_malloc, "", "");
KSYMTAB_FUNC(drm_dp_mst_put_port_malloc, "", "");
KSYMTAB_FUNC(drm_atomic_get_mst_payload_state, "", "");
KSYMTAB_FUNC(drm_dp_mst_connector_late_register, "", "");
KSYMTAB_FUNC(drm_dp_mst_connector_early_unregister, "", "");
KSYMTAB_FUNC(drm_dp_send_power_updown_phy, "", "");
KSYMTAB_FUNC(drm_dp_send_query_stream_enc_status, "", "");
KSYMTAB_FUNC(drm_dp_add_payload_part1, "", "");
KSYMTAB_FUNC(drm_dp_remove_payload_part1, "", "");
KSYMTAB_FUNC(drm_dp_remove_payload_part2, "", "");
KSYMTAB_FUNC(drm_dp_add_payload_part2, "", "");
KSYMTAB_FUNC(drm_dp_get_vc_payload_bw, "", "");
KSYMTAB_FUNC(drm_dp_read_mst_cap, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_set_mst, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_queue_probe, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_suspend, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_resume, "", "");
KSYMTAB_FUNC(drm_dp_mst_hpd_irq_handle_event, "", "");
KSYMTAB_FUNC(drm_dp_mst_hpd_irq_send_new_request, "", "");
KSYMTAB_FUNC(drm_dp_mst_detect_port, "", "");
KSYMTAB_FUNC(drm_dp_mst_edid_read, "", "");
KSYMTAB_FUNC(drm_dp_mst_get_edid, "", "");
KSYMTAB_FUNC(drm_dp_atomic_find_time_slots, "", "");
KSYMTAB_FUNC(drm_dp_atomic_release_time_slots, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_setup_commit, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_wait_for_dependencies, "", "");
KSYMTAB_FUNC(drm_dp_mst_root_conn_atomic_check, "", "");
KSYMTAB_FUNC(drm_dp_mst_update_slots, "", "");
KSYMTAB_FUNC(drm_dp_check_act_status, "", "");
KSYMTAB_FUNC(drm_dp_calc_pbn_mode, "", "");
KSYMTAB_FUNC(drm_dp_mst_dump_topology, "", "");
KSYMTAB_FUNC(drm_dp_mst_port_downstream_of_parent, "", "");
KSYMTAB_FUNC(drm_dp_mst_add_affected_dsc_crtcs, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_enable_dsc, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_check_mgr, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_check, "", "");
KSYMTAB_DATA(drm_dp_mst_topology_state_funcs, "", "");
KSYMTAB_FUNC(drm_atomic_get_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_init, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_destroy, "", "");
KSYMTAB_FUNC(drm_dp_mst_aux_for_parent, "", "");
KSYMTAB_FUNC(drm_dp_mst_dsc_aux_for_port, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_name, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_get, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_put, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_set_io_error, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_detect, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_destroy, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_enable_bw_alloc, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_disable_bw_alloc, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_bw_alloc_is_enabled, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_alloc_bw, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_get_allocated_bw, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_update_state, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_handle_irq, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_max_dprx_rate, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_max_dprx_lane_count, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_available_bw, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_atomic_get_state, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_atomic_get_old_state, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_atomic_get_new_state, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_atomic_set_stream_bw, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_atomic_get_required_bw, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_atomic_get_group_streams_in_state, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_atomic_check_stream_bws, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_mgr_create, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_mgr_destroy, "", "");
KSYMTAB_FUNC(drm_dsc_dp_pps_header_init, "", "");
KSYMTAB_FUNC(drm_dsc_dp_rc_buffer_size, "", "");
KSYMTAB_FUNC(drm_dsc_pps_payload_pack, "", "");
KSYMTAB_FUNC(drm_dsc_set_const_params, "", "");
KSYMTAB_FUNC(drm_dsc_set_rc_buf_thresh, "", "");
KSYMTAB_FUNC(drm_dsc_setup_rc_params, "", "");
KSYMTAB_FUNC(drm_dsc_compute_rc_parameters, "", "");
KSYMTAB_FUNC(drm_dsc_get_bpp_int, "", "");
KSYMTAB_FUNC(drm_dsc_initial_scale_value, "", "");
KSYMTAB_FUNC(drm_dsc_flatness_det_thresh, "", "");
KSYMTAB_FUNC(drm_dsc_dump_config, "", "");
KSYMTAB_FUNC(drm_hdcp_check_ksvs_revoked, "_gpl", "");
KSYMTAB_FUNC(drm_connector_attach_content_protection_property, "", "");
KSYMTAB_FUNC(drm_hdcp_update_content_protection, "", "");
KSYMTAB_FUNC(drm_hdmi_infoframe_set_hdr_metadata, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_colorimetry, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_bars, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_content_type, "", "");
KSYMTAB_FUNC(drm_hdmi_compute_mode_clock, "", "");
KSYMTAB_FUNC(drm_scdc_read, "", "");
KSYMTAB_FUNC(drm_scdc_write, "", "");
KSYMTAB_FUNC(drm_scdc_get_scrambling_status, "", "");
KSYMTAB_FUNC(drm_scdc_set_scrambling, "", "");
KSYMTAB_FUNC(drm_scdc_set_high_tmds_clock_ratio, "", "");
KSYMTAB_FUNC(drm_dp_cec_irq, "", "");
KSYMTAB_FUNC(drm_dp_cec_attach, "", "");
KSYMTAB_FUNC(drm_dp_cec_set_edid, "", "");
KSYMTAB_FUNC(drm_dp_cec_unset_edid, "", "");
KSYMTAB_FUNC(drm_dp_cec_register_connector, "", "");
KSYMTAB_FUNC(drm_dp_cec_unregister_connector, "", "");

SYMBOL_CRC(drm_dp_dual_mode_read, 0x1b9db370, "");
SYMBOL_CRC(drm_dp_dual_mode_write, 0xb81d9ae3, "");
SYMBOL_CRC(drm_dp_dual_mode_detect, 0xae97d785, "");
SYMBOL_CRC(drm_dp_dual_mode_max_tmds_clock, 0x84ed6ba3, "");
SYMBOL_CRC(drm_dp_dual_mode_get_tmds_output, 0x5d3f3046, "");
SYMBOL_CRC(drm_dp_dual_mode_set_tmds_output, 0x1a84fd3f, "");
SYMBOL_CRC(drm_dp_get_dual_mode_type_name, 0x5407ae9e, "");
SYMBOL_CRC(drm_lspcon_get_mode, 0x177f5b91, "");
SYMBOL_CRC(drm_lspcon_set_mode, 0x76a1bb19, "");
SYMBOL_CRC(drm_dp_channel_eq_ok, 0xedcf81ce, "");
SYMBOL_CRC(drm_dp_clock_recovery_ok, 0x8d701329, "");
SYMBOL_CRC(drm_dp_get_adjust_request_voltage, 0xc5c99a79, "");
SYMBOL_CRC(drm_dp_get_adjust_request_pre_emphasis, 0x582f248e, "");
SYMBOL_CRC(drm_dp_get_adjust_tx_ffe_preset, 0xccf54d5e, "");
SYMBOL_CRC(drm_dp_128b132b_lane_channel_eq_done, 0xc8b6a8ae, "");
SYMBOL_CRC(drm_dp_128b132b_lane_symbol_locked, 0xd5a95eae, "");
SYMBOL_CRC(drm_dp_128b132b_eq_interlane_align_done, 0x6a4df8c5, "");
SYMBOL_CRC(drm_dp_128b132b_cds_interlane_align_done, 0x92b9835e, "");
SYMBOL_CRC(drm_dp_128b132b_link_training_failed, 0x6aacee47, "");
SYMBOL_CRC(drm_dp_read_clock_recovery_delay, 0x7ce01e15, "");
SYMBOL_CRC(drm_dp_read_channel_eq_delay, 0xb7c2f6b3, "");
SYMBOL_CRC(drm_dp_128b132b_read_aux_rd_interval, 0x89daf597, "");
SYMBOL_CRC(drm_dp_link_train_clock_recovery_delay, 0xd05fcea0, "");
SYMBOL_CRC(drm_dp_link_train_channel_eq_delay, 0x86f88d69, "");
SYMBOL_CRC(drm_dp_phy_name, 0x5a86f411, "");
SYMBOL_CRC(drm_dp_lttpr_link_train_clock_recovery_delay, 0x1709ddcf, "");
SYMBOL_CRC(drm_dp_lttpr_link_train_channel_eq_delay, 0x37cdd5a3, "");
SYMBOL_CRC(drm_dp_link_rate_to_bw_code, 0x26815dbc, "");
SYMBOL_CRC(drm_dp_bw_code_to_link_rate, 0x73011db0, "");
SYMBOL_CRC(drm_dp_dpcd_probe, 0x162e6bea, "");
SYMBOL_CRC(drm_dp_dpcd_set_powered, 0x4f17ec4d, "");
SYMBOL_CRC(drm_dp_dpcd_read, 0x45a92dce, "");
SYMBOL_CRC(drm_dp_dpcd_write, 0x76a0b6bb, "");
SYMBOL_CRC(drm_dp_dpcd_read_link_status, 0xb8372c6a, "");
SYMBOL_CRC(drm_dp_dpcd_read_phy_link_status, 0x9a303fbf, "");
SYMBOL_CRC(drm_dp_downstream_is_type, 0xc79ecffb, "");
SYMBOL_CRC(drm_dp_downstream_is_tmds, 0x10beff8d, "");
SYMBOL_CRC(drm_dp_send_real_edid_checksum, 0x200abf0d, "");
SYMBOL_CRC(drm_dp_read_dpcd_caps, 0xdf32f415, "");
SYMBOL_CRC(drm_dp_read_downstream_info, 0xbf1f6a77, "");
SYMBOL_CRC(drm_dp_downstream_max_dotclock, 0x392a838b, "");
SYMBOL_CRC(drm_dp_downstream_max_tmds_clock, 0x58b909f2, "");
SYMBOL_CRC(drm_dp_downstream_min_tmds_clock, 0x4dd8bc97, "");
SYMBOL_CRC(drm_dp_downstream_max_bpc, 0xe53574d3, "");
SYMBOL_CRC(drm_dp_downstream_420_passthrough, 0xf689ad25, "");
SYMBOL_CRC(drm_dp_downstream_444_to_420_conversion, 0x2fa94ef2, "");
SYMBOL_CRC(drm_dp_downstream_rgb_to_ycbcr_conversion, 0xfb1a7a5a, "");
SYMBOL_CRC(drm_dp_downstream_mode, 0xc769c932, "");
SYMBOL_CRC(drm_dp_downstream_id, 0x463018db, "");
SYMBOL_CRC(drm_dp_downstream_debug, 0x4e0064f5, "");
SYMBOL_CRC(drm_dp_subconnector_type, 0xf68741fb, "");
SYMBOL_CRC(drm_dp_set_subconnector_property, 0x6abc6ead, "");
SYMBOL_CRC(drm_dp_read_sink_count_cap, 0x9a3970b8, "");
SYMBOL_CRC(drm_dp_read_sink_count, 0x99590a3a, "");
SYMBOL_CRC(drm_dp_remote_aux_init, 0xba49135f, "");
SYMBOL_CRC(drm_dp_aux_init, 0xcfffddda, "");
SYMBOL_CRC(drm_dp_aux_register, 0x8505ab58, "");
SYMBOL_CRC(drm_dp_aux_unregister, 0xe54fbab2, "");
SYMBOL_CRC(drm_dp_psr_setup_time, 0xa1fefe6a, "");
SYMBOL_CRC(drm_dp_start_crc, 0xeea95762, "");
SYMBOL_CRC(drm_dp_stop_crc, 0xd2b1aea1, "");
SYMBOL_CRC(drm_dp_read_desc, 0xa6252e05, "");
SYMBOL_CRC(drm_dp_dump_lttpr_desc, 0x92f862dd, "");
SYMBOL_CRC(drm_dp_dsc_sink_bpp_incr, 0xf48bbedf, "");
SYMBOL_CRC(drm_dp_dsc_sink_max_slice_count, 0x829b6048, "");
SYMBOL_CRC(drm_dp_dsc_sink_line_buf_depth, 0x56a663e9, "");
SYMBOL_CRC(drm_dp_dsc_sink_supported_input_bpcs, 0xa843606e, "");
SYMBOL_CRC(drm_dp_read_lttpr_common_caps, 0xfb4156c7, "");
SYMBOL_CRC(drm_dp_read_lttpr_phy_caps, 0xb6d6d1af, "");
SYMBOL_CRC(drm_dp_lttpr_count, 0xaf267620, "");
SYMBOL_CRC(drm_dp_lttpr_max_link_rate, 0x01c4bba9, "");
SYMBOL_CRC(drm_dp_lttpr_max_lane_count, 0x1605d0ed, "");
SYMBOL_CRC(drm_dp_lttpr_voltage_swing_level_3_supported, 0x1b0a1fdc, "");
SYMBOL_CRC(drm_dp_lttpr_pre_emphasis_level_3_supported, 0x76ff6644, "");
SYMBOL_CRC(drm_dp_get_phy_test_pattern, 0x692524b8, "");
SYMBOL_CRC(drm_dp_set_phy_test_pattern, 0xf442e494, "");
SYMBOL_CRC(drm_dp_vsc_sdp_log, 0x501de16d, "");
SYMBOL_CRC(drm_dp_as_sdp_log, 0x7aa650cb, "");
SYMBOL_CRC(drm_dp_as_sdp_supported, 0x34a60ce8, "");
SYMBOL_CRC(drm_dp_vsc_sdp_supported, 0x83daa286, "");
SYMBOL_CRC(drm_dp_vsc_sdp_pack, 0xf02c3d44, "");
SYMBOL_CRC(drm_dp_get_pcon_max_frl_bw, 0x7053fa72, "");
SYMBOL_CRC(drm_dp_pcon_frl_prepare, 0x2a2969b4, "");
SYMBOL_CRC(drm_dp_pcon_is_frl_ready, 0x042f43e6, "");
SYMBOL_CRC(drm_dp_pcon_frl_configure_1, 0xc376218e, "");
SYMBOL_CRC(drm_dp_pcon_frl_configure_2, 0xd53e3af2, "");
SYMBOL_CRC(drm_dp_pcon_reset_frl_config, 0x4d70de8e, "");
SYMBOL_CRC(drm_dp_pcon_frl_enable, 0x78e4f4d5, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_link_active, 0xa4b0d68c, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_link_mode, 0x1b2b13ff, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_frl_link_error_count, 0x450014fb, "");
SYMBOL_CRC(drm_dp_pcon_enc_is_dsc_1_2, 0x59f27ed7, "");
SYMBOL_CRC(drm_dp_pcon_dsc_max_slices, 0xe5360b84, "");
SYMBOL_CRC(drm_dp_pcon_dsc_max_slice_width, 0xc020c0c1, "");
SYMBOL_CRC(drm_dp_pcon_dsc_bpp_incr, 0x4603c416, "");
SYMBOL_CRC(drm_dp_pcon_pps_default, 0x58f92c51, "");
SYMBOL_CRC(drm_dp_pcon_pps_override_buf, 0x1746d832, "");
SYMBOL_CRC(drm_dp_pcon_pps_override_param, 0xb5fd8a79, "");
SYMBOL_CRC(drm_dp_pcon_convert_rgb_to_ycbcr, 0xe4813481, "");
SYMBOL_CRC(drm_edp_backlight_set_level, 0xbe4bbdad, "");
SYMBOL_CRC(drm_edp_backlight_enable, 0x19f67c0c, "");
SYMBOL_CRC(drm_edp_backlight_disable, 0x0c086e7e, "");
SYMBOL_CRC(drm_edp_backlight_init, 0xd0f2678a, "");
SYMBOL_CRC(drm_panel_dp_aux_backlight, 0x69160e1a, "");
SYMBOL_CRC(drm_dp_bw_overhead, 0x3dc887bf, "");
SYMBOL_CRC(drm_dp_bw_channel_coding_efficiency, 0x0504c682, "");
SYMBOL_CRC(drm_dp_max_dprx_data_rate, 0x0f6b8a63, "");
SYMBOL_CRC(drm_dp_mst_get_port_malloc, 0x47c166b7, "");
SYMBOL_CRC(drm_dp_mst_put_port_malloc, 0xcfa0e5b4, "");
SYMBOL_CRC(drm_atomic_get_mst_payload_state, 0xda6e35ed, "");
SYMBOL_CRC(drm_dp_mst_connector_late_register, 0x11fccdae, "");
SYMBOL_CRC(drm_dp_mst_connector_early_unregister, 0x7cd454db, "");
SYMBOL_CRC(drm_dp_send_power_updown_phy, 0x90b4cc82, "");
SYMBOL_CRC(drm_dp_send_query_stream_enc_status, 0xf8e3622d, "");
SYMBOL_CRC(drm_dp_add_payload_part1, 0x959680f7, "");
SYMBOL_CRC(drm_dp_remove_payload_part1, 0xb919db32, "");
SYMBOL_CRC(drm_dp_remove_payload_part2, 0x6724f05e, "");
SYMBOL_CRC(drm_dp_add_payload_part2, 0x98dc3ea1, "");
SYMBOL_CRC(drm_dp_get_vc_payload_bw, 0x918e712a, "");
SYMBOL_CRC(drm_dp_read_mst_cap, 0x08bd255c, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_set_mst, 0x6fa91aba, "");
SYMBOL_CRC(drm_dp_mst_topology_queue_probe, 0x33805b26, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_suspend, 0xe7363f3c, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_resume, 0xe7f536f6, "");
SYMBOL_CRC(drm_dp_mst_hpd_irq_handle_event, 0x37b279fe, "");
SYMBOL_CRC(drm_dp_mst_hpd_irq_send_new_request, 0x3d588518, "");
SYMBOL_CRC(drm_dp_mst_detect_port, 0x9b3ba5b3, "");
SYMBOL_CRC(drm_dp_mst_edid_read, 0x96c0638d, "");
SYMBOL_CRC(drm_dp_mst_get_edid, 0xc14d9d40, "");
SYMBOL_CRC(drm_dp_atomic_find_time_slots, 0xdc84a297, "");
SYMBOL_CRC(drm_dp_atomic_release_time_slots, 0x1c41c6d0, "");
SYMBOL_CRC(drm_dp_mst_atomic_setup_commit, 0xb0bfedb9, "");
SYMBOL_CRC(drm_dp_mst_atomic_wait_for_dependencies, 0x5e2f0c50, "");
SYMBOL_CRC(drm_dp_mst_root_conn_atomic_check, 0x803b53b6, "");
SYMBOL_CRC(drm_dp_mst_update_slots, 0xb7af7236, "");
SYMBOL_CRC(drm_dp_check_act_status, 0xff3ae482, "");
SYMBOL_CRC(drm_dp_calc_pbn_mode, 0xa47826e4, "");
SYMBOL_CRC(drm_dp_mst_dump_topology, 0x6c4df690, "");
SYMBOL_CRC(drm_dp_mst_port_downstream_of_parent, 0x5b6978e8, "");
SYMBOL_CRC(drm_dp_mst_add_affected_dsc_crtcs, 0xe7e0fc12, "");
SYMBOL_CRC(drm_dp_mst_atomic_enable_dsc, 0xcf901590, "");
SYMBOL_CRC(drm_dp_mst_atomic_check_mgr, 0x83b8c3b7, "");
SYMBOL_CRC(drm_dp_mst_atomic_check, 0x160f7af3, "");
SYMBOL_CRC(drm_dp_mst_topology_state_funcs, 0x75c2b0e4, "");
SYMBOL_CRC(drm_atomic_get_mst_topology_state, 0x5a8c9c16, "");
SYMBOL_CRC(drm_atomic_get_old_mst_topology_state, 0x32a81203, "");
SYMBOL_CRC(drm_atomic_get_new_mst_topology_state, 0xce8ccb5a, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_init, 0xb41969ac, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_destroy, 0x76becd80, "");
SYMBOL_CRC(drm_dp_mst_aux_for_parent, 0x4149d792, "");
SYMBOL_CRC(drm_dp_mst_dsc_aux_for_port, 0x102cff1d, "");
SYMBOL_CRC(drm_dp_tunnel_name, 0x4dcbe65a, "");
SYMBOL_CRC(drm_dp_tunnel_get, 0x2251bc99, "");
SYMBOL_CRC(drm_dp_tunnel_put, 0x64ed053c, "");
SYMBOL_CRC(drm_dp_tunnel_set_io_error, 0x59fd5d64, "");
SYMBOL_CRC(drm_dp_tunnel_detect, 0xafd64261, "");
SYMBOL_CRC(drm_dp_tunnel_destroy, 0xc3e313ce, "");
SYMBOL_CRC(drm_dp_tunnel_enable_bw_alloc, 0x9b94e482, "");
SYMBOL_CRC(drm_dp_tunnel_disable_bw_alloc, 0x33dc9f9e, "");
SYMBOL_CRC(drm_dp_tunnel_bw_alloc_is_enabled, 0x12a7a127, "");
SYMBOL_CRC(drm_dp_tunnel_alloc_bw, 0xe23ec5be, "");
SYMBOL_CRC(drm_dp_tunnel_get_allocated_bw, 0x2be568a2, "");
SYMBOL_CRC(drm_dp_tunnel_update_state, 0x12c52ff9, "");
SYMBOL_CRC(drm_dp_tunnel_handle_irq, 0x75a21c6b, "");
SYMBOL_CRC(drm_dp_tunnel_max_dprx_rate, 0xe239de10, "");
SYMBOL_CRC(drm_dp_tunnel_max_dprx_lane_count, 0x848588fb, "");
SYMBOL_CRC(drm_dp_tunnel_available_bw, 0x5a08e995, "");
SYMBOL_CRC(drm_dp_tunnel_atomic_get_state, 0xbab56929, "");
SYMBOL_CRC(drm_dp_tunnel_atomic_get_old_state, 0xe577e57c, "");
SYMBOL_CRC(drm_dp_tunnel_atomic_get_new_state, 0xf771714b, "");
SYMBOL_CRC(drm_dp_tunnel_atomic_set_stream_bw, 0x04e88bd8, "");
SYMBOL_CRC(drm_dp_tunnel_atomic_get_required_bw, 0xf0022b0c, "");
SYMBOL_CRC(drm_dp_tunnel_atomic_get_group_streams_in_state, 0x8a072893, "");
SYMBOL_CRC(drm_dp_tunnel_atomic_check_stream_bws, 0x01822fc1, "");
SYMBOL_CRC(drm_dp_tunnel_mgr_create, 0x9a187a86, "");
SYMBOL_CRC(drm_dp_tunnel_mgr_destroy, 0xf792853b, "");
SYMBOL_CRC(drm_dsc_dp_pps_header_init, 0x648d953b, "");
SYMBOL_CRC(drm_dsc_dp_rc_buffer_size, 0x1a5bf3ca, "");
SYMBOL_CRC(drm_dsc_pps_payload_pack, 0x58d8fcaa, "");
SYMBOL_CRC(drm_dsc_set_const_params, 0x627ba04b, "");
SYMBOL_CRC(drm_dsc_set_rc_buf_thresh, 0x24ada755, "");
SYMBOL_CRC(drm_dsc_setup_rc_params, 0x79008c7e, "");
SYMBOL_CRC(drm_dsc_compute_rc_parameters, 0xfe12bcb9, "");
SYMBOL_CRC(drm_dsc_get_bpp_int, 0xd0e95456, "");
SYMBOL_CRC(drm_dsc_initial_scale_value, 0x95883bb4, "");
SYMBOL_CRC(drm_dsc_flatness_det_thresh, 0xe2468a48, "");
SYMBOL_CRC(drm_dsc_dump_config, 0x367395af, "");
SYMBOL_CRC(drm_hdcp_check_ksvs_revoked, 0x0714aab8, "_gpl");
SYMBOL_CRC(drm_connector_attach_content_protection_property, 0xad8ad961, "");
SYMBOL_CRC(drm_hdcp_update_content_protection, 0x39d32075, "");
SYMBOL_CRC(drm_hdmi_infoframe_set_hdr_metadata, 0xc98c0d1e, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_colorimetry, 0x68b5bf29, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_bars, 0x02d67eab, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_content_type, 0xca4840fd, "");
SYMBOL_CRC(drm_hdmi_compute_mode_clock, 0x7f3fbad7, "");
SYMBOL_CRC(drm_scdc_read, 0xed2921b8, "");
SYMBOL_CRC(drm_scdc_write, 0x393a3914, "");
SYMBOL_CRC(drm_scdc_get_scrambling_status, 0x65da1271, "");
SYMBOL_CRC(drm_scdc_set_scrambling, 0xad49e031, "");
SYMBOL_CRC(drm_scdc_set_high_tmds_clock_ratio, 0x2a8fcc34, "");
SYMBOL_CRC(drm_dp_cec_irq, 0x2479c303, "");
SYMBOL_CRC(drm_dp_cec_attach, 0x0fbad6c6, "");
SYMBOL_CRC(drm_dp_cec_set_edid, 0x8a429e14, "");
SYMBOL_CRC(drm_dp_cec_unset_edid, 0xc6ca2d86, "");
SYMBOL_CRC(drm_dp_cec_register_connector, 0x800c157e, "");
SYMBOL_CRC(drm_dp_cec_unregister_connector, 0x96f9c4ff, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x722fcb40, "drm_crtc_add_crc_entry" },
	{ 0xfa9373d0, "cec_delete_adapter" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x91b82cda, "_copy_to_iter" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xdfb800d9, "idr_find" },
	{ 0x4acad529, "drm_connector_register" },
	{ 0x105f80e2, "cec_transmit_attempt_done_ts" },
	{ 0x877f4446, "param_ops_uint" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xbf625cd0, "devm_kmalloc" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x381a97c9, "drm_atomic_get_private_obj_state" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x6063f063, "__drm_printfn_dbg" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x6c3f70e0, "guid_gen" },
	{ 0x6ab2faa2, "drm_atomic_private_obj_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x624ac29f, "class_destroy" },
	{ 0x96bdffad, "cec_s_phys_addr" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0xb400bde4, "cec_s_conn_info" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x5f7137ba, "drm_edid_duplicate" },
	{ 0xcb39ef5, "add_wait_queue" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x8eeddfa0, "drm_connector_unregister" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x76a48962, "drm_mode_object_put" },
	{ 0xf2a3ccb2, "dev_driver_string" },
	{ 0x8df9dd10, "guid_null" },
	{ 0x3dc1406, "request_firmware_direct" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0x4292364c, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x69353664, "__drm_debug" },
	{ 0xb365d25f, "__drm_atomic_helper_private_obj_duplicate_state" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x9141553a, "drm_atomic_private_obj_fini" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x738803e6, "strnlen" },
	{ 0x9af842d, "idr_get_next" },
	{ 0xb72b0ae8, "const_pcpu_hot" },
	{ 0xc445835c, "drm_property_create_enum" },
	{ 0x681549bc, "init_wait_var_entry" },
	{ 0x32eac750, "drm_dev_printk" },
	{ 0x1e898350, "i2c_del_adapter" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0x3be2539f, "__var_waitqueue" },
	{ 0x3f95de6a, "drm_atomic_get_crtc_state" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x9638dab4, "drm_crtc_wait_one_vblank" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0x3b07c175, "drm_modeset_lock" },
	{ 0xcbdb8955, "drm_modeset_unlock" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8aed66f2, "_dev_err" },
	{ 0x6ccabd23, "idr_alloc" },
	{ 0xcbe63a76, "device_create" },
	{ 0xa44b4173, "class_create" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x9da106b2, "drm_modeset_lock_single_interruptible" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0x9c37847f, "fixed_size_llseek" },
	{ 0x5f329ef5, "seq_putc" },
	{ 0xfafe0614, "mutex_is_locked" },
	{ 0x8c898471, "drm_crtc_commit_wait" },
	{ 0xa8505a57, "drm_atomic_get_new_private_obj_state" },
	{ 0xb212dc3e, "drm_edid_dup" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x89ec5eb0, "cec_unregister_adapter" },
	{ 0xb81b9359, "drm_object_attach_property" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x72a8d6f9, "__mutex_init" },
	{ 0xea593f6, "hdmi_drm_infoframe_init" },
	{ 0x29211840, "drm_atomic_get_old_private_obj_state" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x68d88caf, "__drm_dev_dbg" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xbe4de675, "cec_get_edid_phys_addr" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0x98fed39f, "drm_edid_raw" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x6f84c573, "mutex_trylock" },
	{ 0xd227888c, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xca761adb, "cec_allocate_adapter" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8ac48246, "drm_object_property_set_value" },
	{ 0x4a59a39a, "drm_printf" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0x6ba88b9f, "drm_kms_helper_hotplug_event" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x6f93039b, "__register_chrdev" },
	{ 0x887032f, "seq_write" },
	{ 0xd5c783ea, "device_destroy" },
	{ 0x8b5417ce, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xec527739, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xbbfea390, "_copy_from_iter" },
	{ 0x256bf0ac, "i2c_transfer" },
	{ 0xdfc43a9, "drm_display_mode_from_cea_vic" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x350e1a93, "remove_wait_queue" },
	{ 0x9b285573, "drm_match_cea_mode" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x60bffe6d, "div64_u64" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x63cc3412, "cec_fill_conn_info_from_drm" },
	{ 0x488938ac, "drm_sysfs_connector_property_event" },
	{ 0x26eed44e, "cec_received_msg_ts" },
	{ 0xbb267503, "param_ops_int" },
	{ 0xae701f0f, "iov_iter_revert" },
	{ 0x97d539b9, "mutex_destroy" },
	{ 0x8ab3c09c, "devm_backlight_device_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xdb14c1b3, "kmalloc_caches" },
	{ 0xf760324d, "drm_atomic_get_connector_state" },
	{ 0x5e5128bf, "drm_edid_get_monitor_name" },
	{ 0x8125bef, "drm_edid_read_ddc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2297eb48, "cec_register_adapter" },
	{ 0x92b57248, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x26ef9b8f, "module_layout" },
};

MODULE_INFO(depends, "cec");


MODULE_INFO(srcversion, "2D68C7AC0A47FE9109D5C0A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
