#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rtrs_srv_resp_rdma, "", "");
KSYMTAB_FUNC(rtrs_srv_set_sess_priv, "", "");
KSYMTAB_FUNC(rtrs_srv_get_path_name, "", "");
KSYMTAB_FUNC(rtrs_srv_get_queue_depth, "", "");
KSYMTAB_FUNC(rtrs_srv_open, "", "");
KSYMTAB_FUNC(rtrs_srv_close, "", "");

SYMBOL_CRC(rtrs_srv_resp_rdma, 0xe261a338, "");
SYMBOL_CRC(rtrs_srv_set_sess_priv, 0xdc8e74d6, "");
SYMBOL_CRC(rtrs_srv_get_path_name, 0xa79456cb, "");
SYMBOL_CRC(rtrs_srv_get_queue_depth, 0xa918fafd, "");
SYMBOL_CRC(rtrs_srv_open, 0x34932706, "");
SYMBOL_CRC(rtrs_srv_close, 0xfec1ef96, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x926b41e5, "rtrs_addr_to_str" },
	{ 0x284656ff, "ib_unregister_client" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x64163caf, "bpf_trace_run4" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x907df803, "rdma_event_msg" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xfc1fe868, "dev_set_name" },
	{ 0x65b45cb, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xbdf4b96f, "percpu_ref_init" },
	{ 0x44b384b3, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x8cd69df1, "__trace_trigger_soft_disabled" },
	{ 0x6c74418e, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xd10fe2c6, "device_initialize" },
	{ 0x6be67180, "trace_event_raw_init" },
	{ 0x24c0c03d, "trace_print_symbols_seq" },
	{ 0x37a0cba, "kfree" },
	{ 0x918dc49a, "rtrs_post_recv_empty" },
	{ 0xc29100cf, "pcpu_hot" },
	{ 0xaa31f2d8, "ib_dereg_mr_user" },
	{ 0x32236ed5, "rtrs_iu_post_send" },
	{ 0xf6ed3334, "ib_event_msg" },
	{ 0xb7c122de, "get_device" },
	{ 0xf054a576, "rdma_reject" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xd499c42e, "percpu_ref_kill_and_confirm" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x5c67f89, "rdma_disconnect" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x128e9245, "trace_event_buffer_commit" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x6b999893, "rtrs_rdma_dev_pd_init" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0x453fe63a, "rtrs_ib_dev_find_or_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf35f828d, "__rdma_create_kernel_id" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xad2712ff, "put_device" },
	{ 0x4e84ef8b, "rtrs_rdma_dev_pd_deinit" },
	{ 0xe0a46468, "ib_register_event_handler" },
	{ 0x738803e6, "strnlen" },
	{ 0x6fec5a41, "__free_pages" },
	{ 0x79f85ae, "ib_unregister_event_handler" },
	{ 0x62aae47f, "rdma_bind_addr" },
	{ 0x33a9619e, "ib_register_client" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0xf2ffd688, "rtrs_iu_free" },
	{ 0x4145442b, "ib_map_mr_sg" },
	{ 0x6e635087, "percpu_ref_exit" },
	{ 0x8345007d, "__dma_sync_single_for_cpu" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x900d9662, "perf_trace_run_bpf_submit" },
	{ 0x8e166b72, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x511465d6, "device_add" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd0c61441, "kobj_sysfs_ops" },
	{ 0x6625cb0d, "rtrs_cq_qp_destroy" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0xaad37845, "trace_event_reg" },
	{ 0x379c71c0, "rtrs_iu_post_recv" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x8a3bb6bc, "kobject_init_and_add" },
	{ 0xdf150204, "rdma_listen" },
	{ 0x34621d4f, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x9c26011, "sysfs_create_group" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x72a8d6f9, "__mutex_init" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xc0e401fc, "sysfs_remove_file_self" },
	{ 0xab0e9e58, "device_del" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x6290c7e4, "ib_alloc_mr" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x996407a1, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe0f9c582, "sockaddr_to_str" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x333baee6, "sysfs_remove_group" },
	{ 0xe5840ec6, "ib_wc_status_msg" },
	{ 0x12a60e4f, "pcpu_alloc_noprof" },
	{ 0x8cc538ad, "kobject_del" },
	{ 0xc61733ca, "trace_event_buffer_reserve" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0xf30da266, "param_ops_bool" },
	{ 0x525125ea, "rdma_destroy_id" },
	{ 0x244c93c3, "__dma_sync_single_for_device" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x8b5417ce, "__kmalloc_cache_noprof" },
	{ 0x7ac572f, "rdma_accept" },
	{ 0xfa8b0bb7, "rtrs_start_hb" },
	{ 0x8ce2d5ca, "kobject_uevent" },
	{ 0x378bfba2, "alloc_pages_noprof" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x87b9037e, "ib_drain_qp" },
	{ 0xae7b30b7, "dma_unmap_sg_attrs" },
	{ 0x1d7e0ed8, "page_address" },
	{ 0x13476f36, "rtrs_cq_qp_create" },
	{ 0xc8d8c88e, "rtrs_ib_dev_put" },
	{ 0xbb267503, "param_ops_int" },
	{ 0xfba149, "rtrs_init_hb" },
	{ 0x5d991be8, "rtrs_stop_hb" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x97d539b9, "mutex_destroy" },
	{ 0x349cba85, "strchr" },
	{ 0x288a881c, "rtrs_send_hb_ack" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0xf76bb364, "rtrs_iu_alloc" },
	{ 0xe49baa9d, "class_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x2768d5ff, "kobject_get" },
	{ 0xdb14c1b3, "kmalloc_caches" },
	{ 0x76806f8d, "dma_map_sg_attrs" },
	{ 0x27d0ed6d, "kobject_put" },
	{ 0x26ef9b8f, "module_layout" },
};

MODULE_INFO(depends, "rtrs-core,ib_core,rdma_cm");


MODULE_INFO(srcversion, "BD6DA5962B9C3EAB1C26C1B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
