#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rtsx_pci_start_run, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_write_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_read_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_write_phy_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_read_phy_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_stop_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_add_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_send_cmd_no_wait, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_send_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_transfer_data, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_dma_map_sg, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_dma_unmap_sg, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_dma_transfer, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_read_ppbuf, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_write_ppbuf, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_pull_ctl_enable, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_pull_ctl_disable, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_switch_clock, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_power_on, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_power_off, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_exclusive_check, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_switch_output_voltage, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_exist, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_complete_unfinished_transfer, "_gpl", "");

SYMBOL_CRC(rtsx_pci_start_run, 0xa35fdbbc, "_gpl");
SYMBOL_CRC(rtsx_pci_write_register, 0x2958710b, "_gpl");
SYMBOL_CRC(rtsx_pci_read_register, 0xaabdf996, "_gpl");
SYMBOL_CRC(rtsx_pci_write_phy_register, 0x494d69f0, "_gpl");
SYMBOL_CRC(rtsx_pci_read_phy_register, 0xc2e445c9, "_gpl");
SYMBOL_CRC(rtsx_pci_stop_cmd, 0x33e04654, "_gpl");
SYMBOL_CRC(rtsx_pci_add_cmd, 0x8a63182f, "_gpl");
SYMBOL_CRC(rtsx_pci_send_cmd_no_wait, 0xad48c0a1, "_gpl");
SYMBOL_CRC(rtsx_pci_send_cmd, 0x52aaecf5, "_gpl");
SYMBOL_CRC(rtsx_pci_transfer_data, 0xad86a617, "_gpl");
SYMBOL_CRC(rtsx_pci_dma_map_sg, 0xd810977a, "_gpl");
SYMBOL_CRC(rtsx_pci_dma_unmap_sg, 0xc160ae29, "_gpl");
SYMBOL_CRC(rtsx_pci_dma_transfer, 0x4fa01797, "_gpl");
SYMBOL_CRC(rtsx_pci_read_ppbuf, 0xcf66e558, "_gpl");
SYMBOL_CRC(rtsx_pci_write_ppbuf, 0x263a38ad, "_gpl");
SYMBOL_CRC(rtsx_pci_card_pull_ctl_enable, 0x8f2913be, "_gpl");
SYMBOL_CRC(rtsx_pci_card_pull_ctl_disable, 0x7065902b, "_gpl");
SYMBOL_CRC(rtsx_pci_switch_clock, 0x1130e705, "_gpl");
SYMBOL_CRC(rtsx_pci_card_power_on, 0xcc04172e, "_gpl");
SYMBOL_CRC(rtsx_pci_card_power_off, 0xa1ccdf52, "_gpl");
SYMBOL_CRC(rtsx_pci_card_exclusive_check, 0x0861eb3c, "_gpl");
SYMBOL_CRC(rtsx_pci_switch_output_voltage, 0xd30b9b4f, "_gpl");
SYMBOL_CRC(rtsx_pci_card_exist, 0xfeb348bd, "_gpl");
SYMBOL_CRC(rtsx_pci_complete_unfinished_transfer, 0x605d3248, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1514a3b, "free_irq" },
	{ 0x54b30cf5, "pcie_capability_read_word" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xf1ac2895, "pci_find_ext_capability" },
	{ 0xba732e77, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x65b45cb, "complete" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xbb14121f, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0xe80c0518, "pci_disable_msi" },
	{ 0x92c40cc, "pci_request_regions" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc29100cf, "pcpu_hot" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x9742e4c9, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xd31af7b, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbd504f55, "pci_read_config_dword" },
	{ 0xf79ca159, "wait_for_completion_interruptible_timeout" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0xa10cd42a, "pm_schedule_suspend" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x82b971d0, "pci_intx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xa8998fa5, "pci_enable_msi" },
	{ 0x8aed66f2, "_dev_err" },
	{ 0x6ccabd23, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x954f099c, "idr_preload" },
	{ 0x463f51e3, "pcie_capability_clear_and_set_word_locked" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0x61e69931, "dma_alloc_attrs" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x6cb61c51, "mfd_add_devices" },
	{ 0xde80cd09, "ioremap" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x72a8d6f9, "__mutex_init" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xb19b445, "ioread8" },
	{ 0xd51f1b5a, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4cf2aa82, "pm_runtime_forbid" },
	{ 0xb9857234, "dma_free_attrs" },
	{ 0x9ef62c4d, "pm_runtime_allow" },
	{ 0xf02b5c29, "__pm_runtime_resume" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf30da266, "param_ops_bool" },
	{ 0xe62c932b, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xe54e55bd, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x8b5417ce, "__kmalloc_cache_noprof" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x8d6e7a84, "pci_disable_device" },
	{ 0x6089f397, "mfd_remove_devices" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x6102ffb0, "dma_set_mask" },
	{ 0xae7b30b7, "dma_unmap_sg_attrs" },
	{ 0x625d097b, "pci_read_config_byte" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x485e2c78, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4f775a8c, "pci_write_config_dword" },
	{ 0xdb14c1b3, "kmalloc_caches" },
	{ 0x76806f8d, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x26ef9b8f, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000010ECd00005209sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005229sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005289sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005227sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd0000522Asv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005249sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005287sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005286sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd0000524Asv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd0000525Asv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005260sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005261sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005228sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005264sv*sd*bcFFsc*i*");

MODULE_INFO(srcversion, "C84F85E7544A89EC63E766C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
