#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sdhci_dumpregs, "_gpl", "");
KSYMTAB_FUNC(sdhci_enable_v4_mode, "_gpl", "");
KSYMTAB_FUNC(sdhci_data_line_cmd, "_gpl", "");
KSYMTAB_FUNC(sdhci_reset, "_gpl", "");
KSYMTAB_FUNC(sdhci_do_reset, "_gpl", "");
KSYMTAB_FUNC(sdhci_mod_timer, "_gpl", "");
KSYMTAB_FUNC(sdhci_adma_write_desc, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_data_timeout_irq, "_gpl", "");
KSYMTAB_FUNC(__sdhci_set_timeout, "_gpl", "");
KSYMTAB_FUNC(sdhci_initialize_data, "_gpl", "");
KSYMTAB_FUNC(sdhci_prepare_dma, "_gpl", "");
KSYMTAB_FUNC(sdhci_switch_external_dma, "_gpl", "");
KSYMTAB_FUNC(sdhci_needs_reset, "_gpl", "");
KSYMTAB_FUNC(__sdhci_finish_mrq, "_gpl", "");
KSYMTAB_FUNC(sdhci_finish_mrq, "_gpl", "");
KSYMTAB_FUNC(__sdhci_finish_data_common, "_gpl", "");
KSYMTAB_FUNC(sdhci_present_error, "_gpl", "");
KSYMTAB_FUNC(sdhci_calc_clk, "_gpl", "");
KSYMTAB_FUNC(sdhci_enable_clk, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_clock, "_gpl", "");
KSYMTAB_FUNC(sdhci_get_vdd_value, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_power_noreg, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_power, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_power_and_bus_voltage, "_gpl", "");
KSYMTAB_FUNC(sdhci_request, "_gpl", "");
KSYMTAB_FUNC(sdhci_request_atomic, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_bus_width, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_uhs_signaling, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_ios_common, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_ios, "_gpl", "");
KSYMTAB_FUNC(sdhci_get_cd_nogpio, "_gpl", "");
KSYMTAB_FUNC(sdhci_get_ro, "_gpl", "");
KSYMTAB_FUNC(sdhci_enable_sdio_irq, "_gpl", "");
KSYMTAB_FUNC(sdhci_start_signal_voltage_switch, "_gpl", "");
KSYMTAB_FUNC(sdhci_start_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_end_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_reset_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_abort_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_send_tuning, "_gpl", "");
KSYMTAB_FUNC(__sdhci_execute_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_execute_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_enable_preset_value, "_gpl", "");
KSYMTAB_FUNC(sdhci_request_done_dma, "_gpl", "");
KSYMTAB_FUNC(sdhci_complete_work, "_gpl", "");
KSYMTAB_FUNC(sdhci_thread_irq, "_gpl", "");
KSYMTAB_FUNC(sdhci_suspend_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_resume_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_runtime_suspend_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_runtime_resume_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_cqe_enable, "_gpl", "");
KSYMTAB_FUNC(sdhci_cqe_disable, "_gpl", "");
KSYMTAB_FUNC(sdhci_cqe_irq, "_gpl", "");
KSYMTAB_FUNC(sdhci_alloc_host, "_gpl", "");
KSYMTAB_FUNC(__sdhci_read_caps, "_gpl", "");
KSYMTAB_FUNC(sdhci_setup_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_cleanup_host, "_gpl", "");
KSYMTAB_FUNC(__sdhci_add_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_add_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_remove_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_free_host, "_gpl", "");

SYMBOL_CRC(sdhci_dumpregs, 0x663ffa4c, "_gpl");
SYMBOL_CRC(sdhci_enable_v4_mode, 0xa224a67f, "_gpl");
SYMBOL_CRC(sdhci_data_line_cmd, 0x7dca4709, "_gpl");
SYMBOL_CRC(sdhci_reset, 0x2015a1d9, "_gpl");
SYMBOL_CRC(sdhci_do_reset, 0x7588d77d, "_gpl");
SYMBOL_CRC(sdhci_mod_timer, 0x1158cbc2, "_gpl");
SYMBOL_CRC(sdhci_adma_write_desc, 0xff77e7fb, "_gpl");
SYMBOL_CRC(sdhci_set_data_timeout_irq, 0xd24735a3, "_gpl");
SYMBOL_CRC(__sdhci_set_timeout, 0x3e85f8e1, "_gpl");
SYMBOL_CRC(sdhci_initialize_data, 0xd25c4bf1, "_gpl");
SYMBOL_CRC(sdhci_prepare_dma, 0xba477b1b, "_gpl");
SYMBOL_CRC(sdhci_switch_external_dma, 0xe5dd1227, "_gpl");
SYMBOL_CRC(sdhci_needs_reset, 0x68a74b17, "_gpl");
SYMBOL_CRC(__sdhci_finish_mrq, 0xd64fdb5d, "_gpl");
SYMBOL_CRC(sdhci_finish_mrq, 0x5f7751ac, "_gpl");
SYMBOL_CRC(__sdhci_finish_data_common, 0xb3010119, "_gpl");
SYMBOL_CRC(sdhci_present_error, 0x4920f70e, "_gpl");
SYMBOL_CRC(sdhci_calc_clk, 0x467d6860, "_gpl");
SYMBOL_CRC(sdhci_enable_clk, 0x4725a0e5, "_gpl");
SYMBOL_CRC(sdhci_set_clock, 0xb92ae7c6, "_gpl");
SYMBOL_CRC(sdhci_get_vdd_value, 0x03082f95, "_gpl");
SYMBOL_CRC(sdhci_set_power_noreg, 0xde7e6060, "_gpl");
SYMBOL_CRC(sdhci_set_power, 0x3d68d666, "_gpl");
SYMBOL_CRC(sdhci_set_power_and_bus_voltage, 0x5571f61c, "_gpl");
SYMBOL_CRC(sdhci_request, 0x3f18529d, "_gpl");
SYMBOL_CRC(sdhci_request_atomic, 0x525ccad7, "_gpl");
SYMBOL_CRC(sdhci_set_bus_width, 0x535c4df3, "_gpl");
SYMBOL_CRC(sdhci_set_uhs_signaling, 0xe4d966e7, "_gpl");
SYMBOL_CRC(sdhci_set_ios_common, 0x36d9f869, "_gpl");
SYMBOL_CRC(sdhci_set_ios, 0xa2b1d1ce, "_gpl");
SYMBOL_CRC(sdhci_get_cd_nogpio, 0x76c44525, "_gpl");
SYMBOL_CRC(sdhci_get_ro, 0x83723c6c, "_gpl");
SYMBOL_CRC(sdhci_enable_sdio_irq, 0x160e0bee, "_gpl");
SYMBOL_CRC(sdhci_start_signal_voltage_switch, 0x4e71f579, "_gpl");
SYMBOL_CRC(sdhci_start_tuning, 0xe1f3f609, "_gpl");
SYMBOL_CRC(sdhci_end_tuning, 0xca2398a2, "_gpl");
SYMBOL_CRC(sdhci_reset_tuning, 0x4d7c4ea8, "_gpl");
SYMBOL_CRC(sdhci_abort_tuning, 0x04c8adf8, "_gpl");
SYMBOL_CRC(sdhci_send_tuning, 0x67f37d47, "_gpl");
SYMBOL_CRC(__sdhci_execute_tuning, 0x72b51374, "_gpl");
SYMBOL_CRC(sdhci_execute_tuning, 0x917ea32d, "_gpl");
SYMBOL_CRC(sdhci_enable_preset_value, 0xa67e428f, "_gpl");
SYMBOL_CRC(sdhci_request_done_dma, 0x2e5e4611, "_gpl");
SYMBOL_CRC(sdhci_complete_work, 0x3ee3b87c, "_gpl");
SYMBOL_CRC(sdhci_thread_irq, 0x9b1d369c, "_gpl");
SYMBOL_CRC(sdhci_suspend_host, 0xed141597, "_gpl");
SYMBOL_CRC(sdhci_resume_host, 0x581d8c56, "_gpl");
SYMBOL_CRC(sdhci_runtime_suspend_host, 0x17f5959a, "_gpl");
SYMBOL_CRC(sdhci_runtime_resume_host, 0x6e447168, "_gpl");
SYMBOL_CRC(sdhci_cqe_enable, 0x8975f1d8, "_gpl");
SYMBOL_CRC(sdhci_cqe_disable, 0x3971062d, "_gpl");
SYMBOL_CRC(sdhci_cqe_irq, 0xc5f1e57a, "_gpl");
SYMBOL_CRC(sdhci_alloc_host, 0x21868826, "_gpl");
SYMBOL_CRC(__sdhci_read_caps, 0x8af502bc, "_gpl");
SYMBOL_CRC(sdhci_setup_host, 0x22fe666c, "_gpl");
SYMBOL_CRC(sdhci_cleanup_host, 0x21f29c8f, "_gpl");
SYMBOL_CRC(__sdhci_add_host, 0x3efb92f6, "_gpl");
SYMBOL_CRC(sdhci_add_host, 0x9fca3e53, "_gpl");
SYMBOL_CRC(sdhci_remove_host, 0x55a7f9d5, "_gpl");
SYMBOL_CRC(sdhci_free_host, 0x9dd6d6cd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x70f7896, "_printk" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x76806f8d, "dma_map_sg_attrs" },
	{ 0x244c93c3, "__dma_sync_single_for_device" },
	{ 0x6def8741, "sg_copy_to_buffer" },
	{ 0xae7b30b7, "dma_unmap_sg_attrs" },
	{ 0x564cee2e, "sg_copy_from_buffer" },
	{ 0x8345007d, "__dma_sync_single_for_cpu" },
	{ 0x5e0901f1, "mmc_alloc_host" },
	{ 0xb9857234, "dma_free_attrs" },
	{ 0xe9acfc1, "regulator_disable" },
	{ 0x1653ab3b, "mmc_free_host" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xa0b86590, "mmc_retune_timer_stop" },
	{ 0xaa309cf, "synchronize_hardirq" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xb16341a, "__default_kernel_pte_mask" },
	{ 0xa8594193, "__kmap_local_page_prot" },
	{ 0x2e60bace, "memcpy" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0x84edc1aa, "__dma_sync_sg_for_cpu" },
	{ 0x62320135, "mmc_send_abort_tuning" },
	{ 0x311523b8, "mmc_request_done" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa1f2150c, "mmc_regulator_set_ocr" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x8000d672, "mmc_gpio_get_cd" },
	{ 0x8186c4c7, "mmc_can_gpio_cd" },
	{ 0x318e4391, "mmc_detect_change" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x77c10300, "led_classdev_register_ext" },
	{ 0x90ebacbd, "mmc_add_host" },
	{ 0xc2c5d9a0, "led_classdev_unregister" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x26430eb7, "mmc_remove_host" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x6347b628, "mmc_can_gpio_ro" },
	{ 0xb7ca4599, "mmc_gpio_get_ro" },
	{ 0x2046772a, "mmc_regulator_set_vqmmc" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x9601dbf5, "device_property_read_u64_array" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x398dba23, "regulator_is_supported_voltage" },
	{ 0x508d905b, "regulator_get_current_limit" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x458f51df, "regulator_enable" },
	{ 0x61e69931, "dma_alloc_attrs" },
	{ 0xbf625cd0, "devm_kmalloc" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x420eabe4, "mem_section" },
	{ 0xd0ee3abe, "dma_map_page_attrs" },
	{ 0x9c0f1d0d, "devm_kfree" },
	{ 0xed06292b, "mmc_regulator_get_supply" },
	{ 0x67dda05e, "dma_max_mapping_size" },
	{ 0x6102ffb0, "dma_set_mask" },
	{ 0x18c54b9e, "dma_set_coherent_mask" },
	{ 0xf2a3ccb2, "dev_driver_string" },
	{ 0x10fffff1, "sg_miter_start" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x5a4c4407, "mmc_command_done" },
	{ 0xc85edfe5, "sdio_signal_irq" },
	{ 0x714a9f45, "sg_miter_next" },
	{ 0xd831d29c, "sg_miter_stop" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x877f4446, "param_ops_uint" },
	{ 0x26ef9b8f, "module_layout" },
};

MODULE_INFO(depends, "mmc_core");


MODULE_INFO(srcversion, "3CF9A24B13F623438CB5E2B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
