#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(mtd_table_mutex, "_gpl", "");
KSYMTAB_FUNC(__mtd_next_device, "_gpl", "");
KSYMTAB_FUNC(mtd_check_expert_analysis_mode, "_gpl", "");
KSYMTAB_FUNC(mtd_wunit_to_pairing_info, "_gpl", "");
KSYMTAB_FUNC(mtd_pairing_info_to_wunit, "_gpl", "");
KSYMTAB_FUNC(mtd_pairing_groups, "_gpl", "");
KSYMTAB_FUNC(mtd_device_parse_register, "_gpl", "");
KSYMTAB_FUNC(mtd_device_unregister, "_gpl", "");
KSYMTAB_FUNC(register_mtd_user, "_gpl", "");
KSYMTAB_FUNC(unregister_mtd_user, "_gpl", "");
KSYMTAB_FUNC(get_mtd_device, "_gpl", "");
KSYMTAB_FUNC(__get_mtd_device, "_gpl", "");
KSYMTAB_FUNC(of_get_mtd_device_by_node, "_gpl", "");
KSYMTAB_FUNC(get_mtd_device_nm, "_gpl", "");
KSYMTAB_FUNC(put_mtd_device, "_gpl", "");
KSYMTAB_FUNC(__put_mtd_device, "_gpl", "");
KSYMTAB_FUNC(mtd_erase, "_gpl", "");
KSYMTAB_FUNC(mtd_point, "_gpl", "");
KSYMTAB_FUNC(mtd_unpoint, "_gpl", "");
KSYMTAB_FUNC(mtd_get_unmapped_area, "_gpl", "");
KSYMTAB_FUNC(mtd_read, "_gpl", "");
KSYMTAB_FUNC(mtd_write, "_gpl", "");
KSYMTAB_FUNC(mtd_panic_write, "_gpl", "");
KSYMTAB_FUNC(mtd_read_oob, "_gpl", "");
KSYMTAB_FUNC(mtd_write_oob, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_ecc, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_free, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_find_eccregion, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_get_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_set_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_get_databytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_set_databytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_count_freebytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_count_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_get_fact_prot_info, "_gpl", "");
KSYMTAB_FUNC(mtd_read_fact_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_get_user_prot_info, "_gpl", "");
KSYMTAB_FUNC(mtd_read_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_write_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_lock_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_erase_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_lock, "_gpl", "");
KSYMTAB_FUNC(mtd_unlock, "_gpl", "");
KSYMTAB_FUNC(mtd_is_locked, "_gpl", "");
KSYMTAB_FUNC(mtd_block_isreserved, "_gpl", "");
KSYMTAB_FUNC(mtd_block_isbad, "_gpl", "");
KSYMTAB_FUNC(mtd_block_markbad, "_gpl", "");
KSYMTAB_FUNC(mtd_writev, "_gpl", "");
KSYMTAB_FUNC(mtd_kmalloc_up_to, "_gpl", "");
KSYMTAB_FUNC(get_tree_mtd, "_gpl", "");
KSYMTAB_FUNC(kill_mtd_super, "_gpl", "");
KSYMTAB_FUNC(mtd_concat_create, "", "");
KSYMTAB_FUNC(mtd_concat_destroy, "", "");
KSYMTAB_FUNC(mtd_add_partition, "_gpl", "");
KSYMTAB_FUNC(mtd_del_partition, "_gpl", "");
KSYMTAB_FUNC(__register_mtd_parser, "_gpl", "");
KSYMTAB_FUNC(deregister_mtd_parser, "_gpl", "");
KSYMTAB_FUNC(mtd_get_device_size, "_gpl", "");

SYMBOL_CRC(mtd_table_mutex, 0x8d081295, "_gpl");
SYMBOL_CRC(__mtd_next_device, 0x668cbd2b, "_gpl");
SYMBOL_CRC(mtd_check_expert_analysis_mode, 0xb7075882, "_gpl");
SYMBOL_CRC(mtd_wunit_to_pairing_info, 0xdf1bcd5e, "_gpl");
SYMBOL_CRC(mtd_pairing_info_to_wunit, 0x69ad99fb, "_gpl");
SYMBOL_CRC(mtd_pairing_groups, 0x3579d1f3, "_gpl");
SYMBOL_CRC(mtd_device_parse_register, 0xcda7e6ea, "_gpl");
SYMBOL_CRC(mtd_device_unregister, 0x9b7dfde5, "_gpl");
SYMBOL_CRC(register_mtd_user, 0xc677d89a, "_gpl");
SYMBOL_CRC(unregister_mtd_user, 0x11051805, "_gpl");
SYMBOL_CRC(get_mtd_device, 0x4ee0e960, "_gpl");
SYMBOL_CRC(__get_mtd_device, 0xb17bd550, "_gpl");
SYMBOL_CRC(of_get_mtd_device_by_node, 0x8827e3ff, "_gpl");
SYMBOL_CRC(get_mtd_device_nm, 0x575d2937, "_gpl");
SYMBOL_CRC(put_mtd_device, 0x8cdb2f9b, "_gpl");
SYMBOL_CRC(__put_mtd_device, 0x0b8865e0, "_gpl");
SYMBOL_CRC(mtd_erase, 0x804e28d7, "_gpl");
SYMBOL_CRC(mtd_point, 0x1917a96c, "_gpl");
SYMBOL_CRC(mtd_unpoint, 0x41f13258, "_gpl");
SYMBOL_CRC(mtd_get_unmapped_area, 0x3dc7e292, "_gpl");
SYMBOL_CRC(mtd_read, 0x701e288a, "_gpl");
SYMBOL_CRC(mtd_write, 0x1340681a, "_gpl");
SYMBOL_CRC(mtd_panic_write, 0xe6f3eec6, "_gpl");
SYMBOL_CRC(mtd_read_oob, 0x02d338e6, "_gpl");
SYMBOL_CRC(mtd_write_oob, 0x8e4af126, "_gpl");
SYMBOL_CRC(mtd_ooblayout_ecc, 0x37a1b8e2, "_gpl");
SYMBOL_CRC(mtd_ooblayout_free, 0xfc13e807, "_gpl");
SYMBOL_CRC(mtd_ooblayout_find_eccregion, 0x3034ea5b, "_gpl");
SYMBOL_CRC(mtd_ooblayout_get_eccbytes, 0xe73c2cd8, "_gpl");
SYMBOL_CRC(mtd_ooblayout_set_eccbytes, 0xdfba19f7, "_gpl");
SYMBOL_CRC(mtd_ooblayout_get_databytes, 0xd1bb9b45, "_gpl");
SYMBOL_CRC(mtd_ooblayout_set_databytes, 0x5ccb4faf, "_gpl");
SYMBOL_CRC(mtd_ooblayout_count_freebytes, 0xb2274cf4, "_gpl");
SYMBOL_CRC(mtd_ooblayout_count_eccbytes, 0x47e257b8, "_gpl");
SYMBOL_CRC(mtd_get_fact_prot_info, 0x5a0104fe, "_gpl");
SYMBOL_CRC(mtd_read_fact_prot_reg, 0x4f0ea525, "_gpl");
SYMBOL_CRC(mtd_get_user_prot_info, 0x7b8a7347, "_gpl");
SYMBOL_CRC(mtd_read_user_prot_reg, 0x708da911, "_gpl");
SYMBOL_CRC(mtd_write_user_prot_reg, 0xe7089941, "_gpl");
SYMBOL_CRC(mtd_lock_user_prot_reg, 0xfdfa6776, "_gpl");
SYMBOL_CRC(mtd_erase_user_prot_reg, 0x55954a64, "_gpl");
SYMBOL_CRC(mtd_lock, 0x80358f71, "_gpl");
SYMBOL_CRC(mtd_unlock, 0x6e6744a5, "_gpl");
SYMBOL_CRC(mtd_is_locked, 0xa2ad093f, "_gpl");
SYMBOL_CRC(mtd_block_isreserved, 0x2b1057a1, "_gpl");
SYMBOL_CRC(mtd_block_isbad, 0x2a56dc4a, "_gpl");
SYMBOL_CRC(mtd_block_markbad, 0x7887ed6f, "_gpl");
SYMBOL_CRC(mtd_writev, 0x764f808c, "_gpl");
SYMBOL_CRC(mtd_kmalloc_up_to, 0xcf44f502, "_gpl");
SYMBOL_CRC(get_tree_mtd, 0xa338a498, "_gpl");
SYMBOL_CRC(kill_mtd_super, 0xae4c6769, "_gpl");
SYMBOL_CRC(mtd_concat_create, 0xf724d1f3, "");
SYMBOL_CRC(mtd_concat_destroy, 0xd526eb84, "");
SYMBOL_CRC(mtd_add_partition, 0xcbf5bc02, "_gpl");
SYMBOL_CRC(mtd_del_partition, 0x99d02a3d, "_gpl");
SYMBOL_CRC(__register_mtd_parser, 0x055e20c2, "_gpl");
SYMBOL_CRC(deregister_mtd_parser, 0xb9c92cb0, "_gpl");
SYMBOL_CRC(mtd_get_device_size, 0xa23436b4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe2c91056, "generic_shutdown_super" },
	{ 0x515efaa5, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xdfb800d9, "idr_find" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8145b23, "of_node_put" },
	{ 0xfab2c787, "kmemdup_array" },
	{ 0xfbd03da9, "sget_dev" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xdb8ac38, "bdi_unregister" },
	{ 0xfc1fe868, "dev_set_name" },
	{ 0x71048ed4, "of_get_compatible_child" },
	{ 0xe2e8065e, "memdup_user" },
	{ 0x76a82369, "bdi_register" },
	{ 0x48b9f454, "of_node_name_prefix" },
	{ 0x9cb71594, "device_unregister" },
	{ 0x6fad0823, "nvmem_unregister" },
	{ 0x2e60bace, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xabb57ce2, "of_node_get" },
	{ 0xc974fea3, "logfc" },
	{ 0x3f8a7070, "sysfs_remove_files" },
	{ 0xdb64f249, "__module_get" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x945eb81c, "add_device_randomness" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0x1ca31c0d, "bdi_put" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x2b758fc0, "of_get_next_child" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xad2712ff, "put_device" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x9af842d, "idr_get_next" },
	{ 0xc6cbbc89, "capable" },
	{ 0x69c0c81c, "module_put" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0x5a6ee894, "of_get_child_by_name" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x51a03d30, "debugfs_create_bool" },
	{ 0x4fc1293f, "of_prop_next_string" },
	{ 0x6ccabd23, "idr_alloc" },
	{ 0xcbe63a76, "device_create" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0x121abfb0, "debugfs_remove" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x9c37847f, "fixed_size_llseek" },
	{ 0xb366447f, "of_property_read_string" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x522168ea, "of_find_property" },
	{ 0x34621d4f, "class_unregister" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x72a8d6f9, "__mutex_init" },
	{ 0x37c97670, "bdi_alloc" },
	{ 0xf7ae7757, "device_register" },
	{ 0x9c9f5573, "idr_destroy" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xbb401074, "of_device_is_compatible" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0x6f93039b, "__register_chrdev" },
	{ 0x887032f, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xd5c783ea, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x1872e5f, "remove_proc_entry" },
	{ 0x8b5417ce, "__kmalloc_cache_noprof" },
	{ 0x7118e818, "sysfs_create_files" },
	{ 0x56470118, "__warn_printk" },
	{ 0xec527739, "seq_printf" },
	{ 0xfc43ef2a, "lockref_get" },
	{ 0x4e2aabb9, "deactivate_locked_super" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x30a70fd6, "of_alias_get_id" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xff8e82aa, "dev_err_probe" },
	{ 0xa8560b79, "proc_create_single_data" },
	{ 0xe5474501, "nvmem_register" },
	{ 0xd0d8621b, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xe8d4bf81, "debugfs_create_dir" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xeb224cbc, "of_platform_populate" },
	{ 0x7a10216f, "__kvmalloc_node_noprof" },
	{ 0xe49baa9d, "class_register" },
	{ 0xdb14c1b3, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x26ef9b8f, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5655080261274AEC2A5A86D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
