#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mlx5_core_uplink_netdev_event_replay, "", "");
KSYMTAB_FUNC(mlx5_core_mp_event_replay, "", "");
KSYMTAB_FUNC(mlx5_is_roce_on, "", "");
KSYMTAB_FUNC(mlx5_vf_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_vf_put_core_dev, "", "");
KSYMTAB_FUNC(mlx5_cmd_out_err, "", "");
KSYMTAB_FUNC(mlx5_cmd_check, "", "");
KSYMTAB_FUNC(mlx5_cmd_do, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_polling, "", "");
KSYMTAB_FUNC(mlx5_cmd_init_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_cleanup_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_cb, "", "");
KSYMTAB_DATA(mlx5_debugfs_root, "", "");
KSYMTAB_FUNC(mlx5_debugfs_get_dev_root, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_init, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_cleanup, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_add, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_remove, "", "");
KSYMTAB_FUNC(mlx5_core_query_vendor_id, "", "");
KSYMTAB_FUNC(mlx5_eq_enable, "", "");
KSYMTAB_FUNC(mlx5_eq_disable, "", "");
KSYMTAB_FUNC(mlx5_eq_create_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_destroy_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_get_eqe, "", "");
KSYMTAB_FUNC(mlx5_eq_update_ci, "", "");
KSYMTAB_FUNC(mlx5_comp_eqn_get, "", "");
KSYMTAB_FUNC(mlx5_comp_vectors_max, "", "");
KSYMTAB_FUNC(mlx5_comp_vector_get_cpu, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_get_uars_page, "", "");
KSYMTAB_FUNC(mlx5_put_uars_page, "", "");
KSYMTAB_FUNC(mlx5_alloc_bfreg, "", "");
KSYMTAB_FUNC(mlx5_free_bfreg, "", "");
KSYMTAB_FUNC(mlx5_core_attach_mcg, "", "");
KSYMTAB_FUNC(mlx5_core_detach_mcg, "", "");
KSYMTAB_FUNC(mlx5_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_cq, "", "");
KSYMTAB_FUNC(mlx5_core_query_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq_moderation, "", "");
KSYMTAB_FUNC(mlx5_frag_buf_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_frag_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array_perm, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array, "_gpl", "");
KSYMTAB_FUNC(mlx5_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_caps, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ptys, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_ib_port_oper, "", "");
KSYMTAB_FUNC(mlx5_toggle_port_link, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_max_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_oper_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom_by_page, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_vl_hw_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_query_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_create_psv, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_psv, "", "");
KSYMTAB_FUNC(mlx5_core_get_terminate_scatter_list_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_create_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_rq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rq, "", "");
KSYMTAB_FUNC(mlx5_core_query_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq_state, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_tir, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tir, "", "");
KSYMTAB_FUNC(mlx5_core_create_tis, "", "");
KSYMTAB_FUNC(mlx5_core_modify_tis, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tis, "", "");
KSYMTAB_FUNC(mlx5_core_create_rqt, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rqt, "", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_vlans, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_qkey_viol_cntr, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_gid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_pkey, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_update_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_query_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_enable_roce, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_disable_roce, "", "");
KSYMTAB_FUNC(mlx5_core_query_vport_counter, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_modify_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_affiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_unaffiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_vport_get_other_func_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_create_flow_table, "", "");
KSYMTAB_FUNC(mlx5_flow_table_id, "", "");
KSYMTAB_FUNC(mlx5_create_lag_demux_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_auto_grouped_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_flow_group, "", "");
KSYMTAB_FUNC(mlx5_add_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_del_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_table, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_group, "", "");
KSYMTAB_FUNC(mlx5_get_fdb_sub_ns, "", "");
KSYMTAB_FUNC(mlx5_get_flow_namespace, "", "");
KSYMTAB_FUNC(mlx5_fs_add_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_fs_remove_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_modify_header_alloc, "", "");
KSYMTAB_FUNC(mlx5_modify_header_dealloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_alloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_dealloc, "", "");
KSYMTAB_FUNC(mlx5_fc_create, "", "");
KSYMTAB_FUNC(mlx5_fc_id, "", "");
KSYMTAB_FUNC(mlx5_fc_destroy, "", "");
KSYMTAB_FUNC(mlx5_fc_query, "", "");
KSYMTAB_FUNC(mlx5_rl_is_in_range, "", "");
KSYMTAB_FUNC(mlx5_rl_are_equal, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate, "", "");
KSYMTAB_FUNC(mlx5_cmd_create_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_cmd_destroy_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_lag_is_roce, "", "");
KSYMTAB_FUNC(mlx5_lag_is_active, "", "");
KSYMTAB_FUNC(mlx5_lag_mode_is_hash, "", "");
KSYMTAB_FUNC(mlx5_lag_is_master, "", "");
KSYMTAB_FUNC(mlx5_lag_is_sriov, "", "");
KSYMTAB_FUNC(mlx5_lag_is_shared_fdb, "", "");
KSYMTAB_FUNC(mlx5_lag_get_slave_port, "", "");
KSYMTAB_FUNC(mlx5_lag_get_num_ports, "", "");
KSYMTAB_FUNC(mlx5_lag_get_next_peer_mdev, "", "");
KSYMTAB_FUNC(mlx5_lag_query_cong_counters, "", "");
KSYMTAB_FUNC(mlx5_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_core_reserved_gids_count, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_roce_gid_set, "", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_dealloc, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_ft, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_ft, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_fg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_set_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_set_fte, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fte, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_rule, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_rule, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fw, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fw, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fw, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fw, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_create, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_destroy, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_next, "", "");
KSYMTAB_FUNC(mlx5_wc_support_get, "", "");
KSYMTAB_FUNC(mlx5_lag_is_mpesw, "", "");
KSYMTAB_FUNC(mlx5_eswitch_mode, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_encap_mode, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_total_vports, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_add_send_to_vport_rule, "", "");
KSYMTAB_FUNC(mlx5_eswitch_register_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_unregister_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_uplink_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_rep, "", "");
KSYMTAB_FUNC(mlx5_eswitch_reg_c1_loopback_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_match_metadata_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_match, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_set, "", "");
KSYMTAB_FUNC(mlx5_mpfs_add_mac, "", "");
KSYMTAB_FUNC(mlx5_mpfs_del_mac, "", "");
KSYMTAB_FUNC(mlx5_rdma_rn_get_params, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_create, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_destroy, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_sendmsg, "", "");
KSYMTAB_FUNC(mlx5_fpga_mem_read, "", "");
KSYMTAB_FUNC(mlx5_fpga_mem_write, "", "");
KSYMTAB_FUNC(mlx5_fpga_get_sbu_caps, "", "");
KSYMTAB_FUNC(mlx5_macsec_del_roce_rule, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_add_roce_rule, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_add_roce_sa_rules, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_del_roce_sa_rules, "_gpl", "");
KSYMTAB_FUNC(mlx5_ipsec_device_caps, "_gpl", "");

SYMBOL_CRC(mlx5_core_uplink_netdev_event_replay, 0xf55ee0e0, "");
SYMBOL_CRC(mlx5_core_mp_event_replay, 0x27278b43, "");
SYMBOL_CRC(mlx5_is_roce_on, 0xc7828ac4, "");
SYMBOL_CRC(mlx5_vf_get_core_dev, 0x5c9c3acb, "");
SYMBOL_CRC(mlx5_vf_put_core_dev, 0x615383b3, "");
SYMBOL_CRC(mlx5_cmd_out_err, 0xd0bd2b60, "");
SYMBOL_CRC(mlx5_cmd_check, 0x3ac3ea84, "");
SYMBOL_CRC(mlx5_cmd_do, 0xb86ccad0, "");
SYMBOL_CRC(mlx5_cmd_exec, 0x24952347, "");
SYMBOL_CRC(mlx5_cmd_exec_polling, 0xa052e75d, "");
SYMBOL_CRC(mlx5_cmd_init_async_ctx, 0x3d2723b5, "");
SYMBOL_CRC(mlx5_cmd_cleanup_async_ctx, 0x2c16c901, "");
SYMBOL_CRC(mlx5_cmd_exec_cb, 0x6f252b41, "");
SYMBOL_CRC(mlx5_debugfs_root, 0x0b792459, "");
SYMBOL_CRC(mlx5_debugfs_get_dev_root, 0xae1a47a9, "");
SYMBOL_CRC(mlx5_qp_debugfs_init, 0x0b55c2c1, "");
SYMBOL_CRC(mlx5_qp_debugfs_cleanup, 0x7e6d8d7b, "");
SYMBOL_CRC(mlx5_debug_qp_add, 0x3b8a7ba7, "");
SYMBOL_CRC(mlx5_debug_qp_remove, 0xe153e198, "");
SYMBOL_CRC(mlx5_core_query_vendor_id, 0x210190ee, "");
SYMBOL_CRC(mlx5_eq_enable, 0xe114a3da, "");
SYMBOL_CRC(mlx5_eq_disable, 0x727a9c96, "");
SYMBOL_CRC(mlx5_eq_create_generic, 0xd18f5d6f, "");
SYMBOL_CRC(mlx5_eq_destroy_generic, 0x194e64ad, "");
SYMBOL_CRC(mlx5_eq_get_eqe, 0xbbc57ddb, "");
SYMBOL_CRC(mlx5_eq_update_ci, 0x750237d4, "");
SYMBOL_CRC(mlx5_comp_eqn_get, 0xa9c3e43c, "");
SYMBOL_CRC(mlx5_comp_vectors_max, 0x1ec1229c, "");
SYMBOL_CRC(mlx5_comp_vector_get_cpu, 0x678aa05d, "");
SYMBOL_CRC(mlx5_eq_notifier_register, 0xfc76d36c, "");
SYMBOL_CRC(mlx5_eq_notifier_unregister, 0x6b7e62b4, "");
SYMBOL_CRC(mlx5_get_uars_page, 0x084906c2, "");
SYMBOL_CRC(mlx5_put_uars_page, 0xe152aefb, "");
SYMBOL_CRC(mlx5_alloc_bfreg, 0xd61b6963, "");
SYMBOL_CRC(mlx5_free_bfreg, 0x38e810f7, "");
SYMBOL_CRC(mlx5_core_attach_mcg, 0x8ddcadbf, "");
SYMBOL_CRC(mlx5_core_detach_mcg, 0x45c3f839, "");
SYMBOL_CRC(mlx5_create_cq, 0xcf361a8f, "");
SYMBOL_CRC(mlx5_core_create_cq, 0xafd701cf, "");
SYMBOL_CRC(mlx5_core_destroy_cq, 0xdf7d7b3f, "");
SYMBOL_CRC(mlx5_core_query_cq, 0x25d7ac6d, "");
SYMBOL_CRC(mlx5_core_modify_cq, 0xf5c20f5e, "");
SYMBOL_CRC(mlx5_core_modify_cq_moderation, 0x5817b2b7, "");
SYMBOL_CRC(mlx5_frag_buf_alloc_node, 0x82c93be9, "_gpl");
SYMBOL_CRC(mlx5_frag_buf_free, 0x5f8fe3c9, "_gpl");
SYMBOL_CRC(mlx5_db_alloc_node, 0xd0266f1a, "_gpl");
SYMBOL_CRC(mlx5_db_free, 0x1babef44, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array_perm, 0x81aadc6a, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array, 0x072460c4, "_gpl");
SYMBOL_CRC(mlx5_access_reg, 0x64b3a715, "_gpl");
SYMBOL_CRC(mlx5_core_access_reg, 0xc5b3cfcd, "_gpl");
SYMBOL_CRC(mlx5_set_port_caps, 0xd5198551, "_gpl");
SYMBOL_CRC(mlx5_query_port_ptys, 0xa4cbc87f, "_gpl");
SYMBOL_CRC(mlx5_query_ib_port_oper, 0x4af07b1f, "");
SYMBOL_CRC(mlx5_toggle_port_link, 0x968705ea, "_gpl");
SYMBOL_CRC(mlx5_set_port_admin_status, 0x14abadad, "_gpl");
SYMBOL_CRC(mlx5_query_port_admin_status, 0xc320b177, "_gpl");
SYMBOL_CRC(mlx5_set_port_mtu, 0x37d4a0de, "_gpl");
SYMBOL_CRC(mlx5_query_port_max_mtu, 0xc800991c, "_gpl");
SYMBOL_CRC(mlx5_query_port_oper_mtu, 0x41021f69, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom, 0xa5219308, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom_by_page, 0xaafb921d, "_gpl");
SYMBOL_CRC(mlx5_query_port_vl_hw_cap, 0x3b6033b8, "_gpl");
SYMBOL_CRC(mlx5_set_port_pause, 0xa8d36b29, "_gpl");
SYMBOL_CRC(mlx5_query_port_pause, 0x4b2e9769, "_gpl");
SYMBOL_CRC(mlx5_set_port_pfc, 0xa1f19177, "_gpl");
SYMBOL_CRC(mlx5_query_port_pfc, 0x48f95b56, "_gpl");
SYMBOL_CRC(mlx5_set_port_prio_tc, 0x4e3a8758, "_gpl");
SYMBOL_CRC(mlx5_query_port_prio_tc, 0xa95087d1, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_group, 0x093433ba, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_group, 0xfccf873b, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_bw_alloc, 0x88ebf5fa, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_bw_alloc, 0x31c9d8d3, "_gpl");
SYMBOL_CRC(mlx5_modify_port_ets_rate_limit, 0xa07dcb7a, "_gpl");
SYMBOL_CRC(mlx5_query_port_ets_rate_limit, 0x9ad3008f, "_gpl");
SYMBOL_CRC(mlx5_set_port_wol, 0x574f1098, "_gpl");
SYMBOL_CRC(mlx5_query_port_wol, 0x1fbcd6b7, "_gpl");
SYMBOL_CRC(mlx5_core_create_mkey, 0x7eba9813, "");
SYMBOL_CRC(mlx5_core_destroy_mkey, 0x049ff044, "");
SYMBOL_CRC(mlx5_core_query_mkey, 0x52ca0ccd, "");
SYMBOL_CRC(mlx5_core_create_psv, 0x68344629, "");
SYMBOL_CRC(mlx5_core_destroy_psv, 0xf34b1ef1, "");
SYMBOL_CRC(mlx5_core_get_terminate_scatter_list_mkey, 0x157b5165, "");
SYMBOL_CRC(mlx5_core_alloc_pd, 0x80e2513d, "");
SYMBOL_CRC(mlx5_core_dealloc_pd, 0xb6d4896e, "");
SYMBOL_CRC(mlx5_core_alloc_transport_domain, 0x3d201129, "");
SYMBOL_CRC(mlx5_core_dealloc_transport_domain, 0x7eddf76e, "");
SYMBOL_CRC(mlx5_core_create_rq, 0x4e87a8da, "");
SYMBOL_CRC(mlx5_core_modify_rq, 0x02040811, "");
SYMBOL_CRC(mlx5_core_destroy_rq, 0xf56d4cba, "");
SYMBOL_CRC(mlx5_core_query_rq, 0x6cf334fb, "");
SYMBOL_CRC(mlx5_core_modify_sq, 0xf518d99a, "");
SYMBOL_CRC(mlx5_core_query_sq, 0x9befe570, "");
SYMBOL_CRC(mlx5_core_query_sq_state, 0x4c1bc89e, "_gpl");
SYMBOL_CRC(mlx5_core_create_tir, 0x5e97691e, "");
SYMBOL_CRC(mlx5_core_destroy_tir, 0x3c0fd5db, "");
SYMBOL_CRC(mlx5_core_create_tis, 0x240a2f67, "");
SYMBOL_CRC(mlx5_core_modify_tis, 0x94f195e9, "");
SYMBOL_CRC(mlx5_core_destroy_tis, 0xc79630f3, "");
SYMBOL_CRC(mlx5_core_create_rqt, 0x7b3f9b59, "");
SYMBOL_CRC(mlx5_core_destroy_rqt, 0x43a49639, "");
SYMBOL_CRC(mlx5_query_nic_vport_min_inline, 0x7aaa23ac, "_gpl");
SYMBOL_CRC(mlx5_query_min_inline, 0xeac68213, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_address, 0xf405d6e8, "_gpl");
SYMBOL_CRC(mlx5_query_mac_address, 0xac3f139e, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_address, 0x29c2b780, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mtu, 0xfb4be762, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mtu, 0xdb8359ac, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_list, 0x22899289, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_list, 0x03b449c6, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_vlans, 0x293b9c2c, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_system_image_guid, 0xf8cf84e3, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_node_guid, 0xb9e885d6, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_qkey_viol_cntr, 0xdebf1472, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_gid, 0x9d0096f3, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_pkey, 0xe0014f01, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_context, 0xe71bc260, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_system_image_guid, 0xd865fa67, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_node_guid, 0xfabad5dd, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_promisc, 0x70ab7103, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_promisc, 0xbcc8e106, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_update_local_lb, 0x52fd6a70, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_query_local_lb, 0x27039490, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_enable_roce, 0x2b8bc206, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_disable_roce, 0x02b85d60, "");
SYMBOL_CRC(mlx5_core_query_vport_counter, 0x7e1ca0e1, "_gpl");
SYMBOL_CRC(mlx5_core_modify_hca_vport_context, 0x63f37e6f, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_affiliate_multiport, 0x6baeabde, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_unaffiliate_multiport, 0xa2ea275f, "_gpl");
SYMBOL_CRC(mlx5_query_nic_system_image_guid, 0xd1ba0ef5, "_gpl");
SYMBOL_CRC(mlx5_vport_get_other_func_cap, 0xacac5cb1, "_gpl");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_unregister, 0x4ca1bf94, "");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_register, 0xbf316ca3, "");
SYMBOL_CRC(mlx5_create_flow_table, 0x7b2da822, "");
SYMBOL_CRC(mlx5_flow_table_id, 0xe353b7ac, "");
SYMBOL_CRC(mlx5_create_lag_demux_flow_table, 0x59f5643b, "");
SYMBOL_CRC(mlx5_create_auto_grouped_flow_table, 0xd1047db1, "");
SYMBOL_CRC(mlx5_create_flow_group, 0x7e4e27e1, "");
SYMBOL_CRC(mlx5_add_flow_rules, 0xf57e0c1b, "");
SYMBOL_CRC(mlx5_del_flow_rules, 0x865dfa14, "");
SYMBOL_CRC(mlx5_destroy_flow_table, 0x6337e98a, "");
SYMBOL_CRC(mlx5_destroy_flow_group, 0xd4ce8471, "");
SYMBOL_CRC(mlx5_get_fdb_sub_ns, 0x42b22c46, "");
SYMBOL_CRC(mlx5_get_flow_namespace, 0x7a8412b0, "");
SYMBOL_CRC(mlx5_fs_add_rx_underlay_qpn, 0x722076b8, "");
SYMBOL_CRC(mlx5_fs_remove_rx_underlay_qpn, 0x59823809, "");
SYMBOL_CRC(mlx5_modify_header_alloc, 0xd1bc1c0c, "");
SYMBOL_CRC(mlx5_modify_header_dealloc, 0x190a8388, "");
SYMBOL_CRC(mlx5_packet_reformat_alloc, 0xda407937, "");
SYMBOL_CRC(mlx5_packet_reformat_dealloc, 0xbb0ec06a, "");
SYMBOL_CRC(mlx5_fc_create, 0x4d2dc60e, "");
SYMBOL_CRC(mlx5_fc_id, 0x96eb2c99, "");
SYMBOL_CRC(mlx5_fc_destroy, 0x1a138f97, "");
SYMBOL_CRC(mlx5_fc_query, 0xbe7a532a, "");
SYMBOL_CRC(mlx5_rl_is_in_range, 0x289b0c85, "");
SYMBOL_CRC(mlx5_rl_are_equal, 0x61492bb7, "");
SYMBOL_CRC(mlx5_rl_add_rate_raw, 0x90ad0473, "");
SYMBOL_CRC(mlx5_rl_remove_rate_raw, 0x836dcc6c, "");
SYMBOL_CRC(mlx5_rl_add_rate, 0xb293a229, "");
SYMBOL_CRC(mlx5_rl_remove_rate, 0xcc11a2e2, "");
SYMBOL_CRC(mlx5_cmd_create_vport_lag, 0x8e4492ae, "");
SYMBOL_CRC(mlx5_cmd_destroy_vport_lag, 0xb2a3c228, "");
SYMBOL_CRC(mlx5_lag_is_roce, 0x15990656, "");
SYMBOL_CRC(mlx5_lag_is_active, 0x67589ae2, "");
SYMBOL_CRC(mlx5_lag_mode_is_hash, 0x4013abc5, "");
SYMBOL_CRC(mlx5_lag_is_master, 0x19bc6130, "");
SYMBOL_CRC(mlx5_lag_is_sriov, 0x152ddfa7, "");
SYMBOL_CRC(mlx5_lag_is_shared_fdb, 0xc2fe45d4, "");
SYMBOL_CRC(mlx5_lag_get_slave_port, 0x1e6eeac3, "");
SYMBOL_CRC(mlx5_lag_get_num_ports, 0x974c0db3, "");
SYMBOL_CRC(mlx5_lag_get_next_peer_mdev, 0x7a82438c, "");
SYMBOL_CRC(mlx5_lag_query_cong_counters, 0x4f8c5160, "");
SYMBOL_CRC(mlx5_notifier_register, 0xb16b1af8, "");
SYMBOL_CRC(mlx5_notifier_unregister, 0xb1029652, "");
SYMBOL_CRC(mlx5_blocking_notifier_register, 0x2879f6e9, "");
SYMBOL_CRC(mlx5_blocking_notifier_unregister, 0x4b678203, "");
SYMBOL_CRC(mlx5_core_reserved_gids_count, 0x2b802627, "_gpl");
SYMBOL_CRC(mlx5_core_roce_gid_set, 0x7a9e031d, "");
SYMBOL_CRC(mlx5_dm_sw_icm_alloc, 0xbd4d8f3e, "_gpl");
SYMBOL_CRC(mlx5_dm_sw_icm_dealloc, 0x16e3d73a, "_gpl");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_ft, 0x19182ed8, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_ft, 0x2ea1dff7, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_ft, 0x3475821f, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_ft, 0xb4e976bb, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_ft, 0xb00c991b, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_ft, 0x5dbba924, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_ft, 0x9d6135dc, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_ft, 0xe30fb2a8, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_fg, 0x78f76f4a, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_fg, 0x178819f6, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_fg, 0x559ac38d, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_fg, 0x9d36ddd0, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fg, 0xd1e3d889, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fg, 0x9e7a4fa4, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fg, 0xfc8e744e, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_fg, 0xcad019c3, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_set_fte, 0x774c09b4, "");
SYMBOL_CRC(__traceiter_mlx5_fs_set_fte, 0xe040f053, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_set_fte, 0x7261330b, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_set_fte, 0xb06c0bfd, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fte, 0xeeb7b170, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fte, 0xe9834b47, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fte, 0xeb9a8bcf, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_fte, 0xacfe8a18, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_rule, 0xa356d496, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_rule, 0xa668f373, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_rule, 0xf88d57b1, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_rule, 0xdb622108, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_rule, 0x1684df20, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_rule, 0x2f3e9150, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_rule, 0x4d5f5c07, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_rule, 0x62dc190a, "");
SYMBOL_CRC(__tracepoint_mlx5_fw, 0x8b3d2e76, "");
SYMBOL_CRC(__traceiter_mlx5_fw, 0x8b46845c, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fw, 0x7b359a09, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fw, 0xdfbc08aa, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_create, 0x565f21e6, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_destroy, 0xad6815cd, "");
SYMBOL_CRC(mlx5_rsc_dump_next, 0x4ee6c8db, "");
SYMBOL_CRC(mlx5_wc_support_get, 0xb4f7d0c1, "");
SYMBOL_CRC(mlx5_lag_is_mpesw, 0x072dae00, "");
SYMBOL_CRC(mlx5_eswitch_mode, 0x6f5fdf51, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_encap_mode, 0x0ae4de09, "");
SYMBOL_CRC(mlx5_eswitch_get_total_vports, 0xd7cdb25c, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_core_dev, 0xd8cc0b20, "");
SYMBOL_CRC(mlx5_eswitch_add_send_to_vport_rule, 0x51689b91, "");
SYMBOL_CRC(mlx5_eswitch_register_vport_reps, 0x34a82cf5, "");
SYMBOL_CRC(mlx5_eswitch_unregister_vport_reps, 0x40af50a6, "");
SYMBOL_CRC(mlx5_eswitch_get_proto_dev, 0xd85c173a, "");
SYMBOL_CRC(mlx5_eswitch_uplink_get_proto_dev, 0x3d7676fe, "");
SYMBOL_CRC(mlx5_eswitch_vport_rep, 0x08b5d97e, "");
SYMBOL_CRC(mlx5_eswitch_reg_c1_loopback_enabled, 0x31909e91, "");
SYMBOL_CRC(mlx5_eswitch_vport_match_metadata_enabled, 0x8225d836, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_match, 0xcfef46ce, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_set, 0x09174ba1, "");
SYMBOL_CRC(mlx5_mpfs_add_mac, 0xb25ddd6c, "");
SYMBOL_CRC(mlx5_mpfs_del_mac, 0x859edb8e, "");
SYMBOL_CRC(mlx5_rdma_rn_get_params, 0x5be243d2, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_create, 0x4da6a85f, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_destroy, 0xfb86d54d, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_sendmsg, 0x2478e3d2, "");
SYMBOL_CRC(mlx5_fpga_mem_read, 0x64a345a2, "");
SYMBOL_CRC(mlx5_fpga_mem_write, 0x5e922ee6, "");
SYMBOL_CRC(mlx5_fpga_get_sbu_caps, 0x39311264, "");
SYMBOL_CRC(mlx5_macsec_del_roce_rule, 0x42b43a38, "_gpl");
SYMBOL_CRC(mlx5_macsec_add_roce_rule, 0x3d08fdcc, "_gpl");
SYMBOL_CRC(mlx5_macsec_add_roce_sa_rules, 0x49566105, "_gpl");
SYMBOL_CRC(mlx5_macsec_del_roce_sa_rules, 0x390b982c, "_gpl");
SYMBOL_CRC(mlx5_ipsec_device_caps, 0x1fc7802b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc6d8c48f, "__tracepoint_xdp_exception" },
	{ 0xd6b4a785, "__inet_lookup_established" },
	{ 0x44d9822e, "xsk_tx_completed" },
	{ 0x1090d19c, "napi_alloc_skb" },
	{ 0x678035f1, "alloc_etherdev_mqs" },
	{ 0x1d3b8ae8, "netdev_lower_get_next" },
	{ 0x89b5b556, "secpath_set" },
	{ 0x403b7839, "atomic64_dec_return_cx8" },
	{ 0xffe6b8ed, "flow_block_cb_lookup" },
	{ 0x6046813f, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x7e42aed8, "devl_rate_leaf_create" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0x7a48651a, "xp_alloc" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x54b30cf5, "pcie_capability_read_word" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9b784b55, "devl_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x64dac48b, "flow_rule_match_enc_keyid" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xc5b27f55, "__init_rwsem" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x87623d2c, "bpf_prog_put" },
	{ 0x8285f1b1, "page_pool_get_stats" },
	{ 0xdb8377cb, "down_timeout" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x24cfe937, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x1477b27f, "pci_cfg_access_unlock" },
	{ 0x56b2884c, "xp_dma_map" },
	{ 0x64163caf, "bpf_trace_run4" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x42bb447a, "devlink_unregister" },
	{ 0x3781be3c, "ida_destroy" },
	{ 0x7bb06ba6, "skb_copy_bits" },
	{ 0x4a662805, "debugfs_attr_write" },
	{ 0x5e7bc581, "dma_pool_create" },
	{ 0x877f4446, "param_ops_uint" },
	{ 0x495231ea, "mul_u64_u64_div_u64" },
	{ 0x4acb51b, "radix_tree_insert" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x93a5d7d9, "pci_msix_vec_count" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0xba732e77, "pci_enable_device" },
	{ 0x3ea8af1a, "skb_put" },
	{ 0xb3fd558c, "skb_tstamp_tx" },
	{ 0x6a76e187, "devlink_fmsg_binary_pair_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52eecc8e, "call_switchdev_notifiers" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0xe3ff2c41, "get_random_u64" },
	{ 0x719d63a5, "flow_indr_dev_register" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xc7c867d2, "register_fib_notifier" },
	{ 0x7eaac673, "auxiliary_device_init" },
	{ 0x2da16699, "ip6_dst_hoplimit" },
	{ 0x78deb1f2, "netdev_update_features" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x7d50a24, "csum_partial" },
	{ 0xcaf43c81, "flow_rule_match_enc_ip" },
	{ 0xe786ce7, "trace_seq_printf" },
	{ 0xb9aec04e, "pci_alloc_irq_vectors" },
	{ 0xf65417c4, "netif_napi_add_weight" },
	{ 0x55100dc6, "pci_enable_atomic_ops_to_root" },
	{ 0x2035fd91, "seq_release" },
	{ 0x46826344, "dev_add_pack" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xe2e8065e, "memdup_user" },
	{ 0x9d43a157, "devlink_fmsg_u32_pair_put" },
	{ 0x44b384b3, "trace_raw_output_prep" },
	{ 0x8e50f0bc, "devlink_fmsg_arr_pair_nest_end" },
	{ 0x56eb11f2, "xsk_clear_tx_need_wakeup" },
	{ 0xd24b32d2, "udp4_hwcsum" },
	{ 0x42aaa69, "xa_get_mark" },
	{ 0x6e2e587c, "devl_lock" },
	{ 0xaa2a72bf, "__iowrite64_copy" },
	{ 0xadaa582c, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x9a0b0682, "ndo_dflt_bridge_getlink" },
	{ 0x2073eb7d, "unregister_netdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x89181eb, "xdp_convert_zc_to_xdp_frame" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x8cd69df1, "__trace_trigger_soft_disabled" },
	{ 0x5fc9d3f0, "radix_tree_lookup" },
	{ 0xe7874ac0, "flow_rule_match_tcp" },
	{ 0x9f21bb66, "__kmalloc_node_noprof" },
	{ 0xa5930142, "register_netdevice_notifier_dev_net" },
	{ 0x23a75825, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x6c74418e, "trace_event_printf" },
	{ 0xe6c49f44, "devlink_health_reporter_create" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xcbdc94f8, "flow_rule_match_cvlan" },
	{ 0x61f50ad2, "__xa_erase" },
	{ 0xbb14121f, "__pci_register_driver" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x85e5e224, "xas_find" },
	{ 0xbfc97bdc, "up" },
	{ 0xf75f4eaa, "refcount_dec_and_mutex_lock" },
	{ 0xe2bf7f32, "xdp_rxq_info_unused" },
	{ 0xa71d2e2c, "ioread16be" },
	{ 0xedc03953, "iounmap" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x8329c852, "pci_num_vf" },
	{ 0x8afd587f, "debugfs_create_atomic_t" },
	{ 0x28713eac, "flow_rule_match_eth_addrs" },
	{ 0x40554b9a, "pci_disable_ptm" },
	{ 0x839b8198, "get_device_system_crosststamp" },
	{ 0x9355247f, "xfrm_state_check_expire" },
	{ 0x420bef98, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x8ebfb59e, "ptp_clock_index" },
	{ 0x92c40cc, "pci_request_regions" },
	{ 0xa2f2e7e7, "___pskb_trim" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0x6be67180, "trace_event_raw_init" },
	{ 0xa34a044, "flow_block_cb_free" },
	{ 0x650216a6, "devl_port_fn_devlink_set" },
	{ 0x2e60bace, "memcpy" },
	{ 0x6044f422, "xp_can_alloc" },
	{ 0xffdafa85, "psample_sample_packet" },
	{ 0x227de9e3, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0x28b944cf, "devlink_alloc_ns" },
	{ 0xc56290ab, "devl_rate_leaf_destroy" },
	{ 0x35b11056, "_raw_read_unlock_bh" },
	{ 0x976a9790, "pci_sriov_get_totalvfs" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x86e1fc0d, "devlink_register" },
	{ 0xbf919a59, "_raw_read_lock_bh" },
	{ 0xc87455c4, "devlink_remote_reload_actions_performed" },
	{ 0xf8c3f39f, "devlink_fmsg_obj_nest_end" },
	{ 0xc29100cf, "pcpu_hot" },
	{ 0x8aba9764, "seq_lseek" },
	{ 0x608dc9e6, "page_pool_destroy" },
	{ 0xeb4d1e30, "xdp_do_redirect" },
	{ 0xf8a9306a, "devlink_free" },
	{ 0x30d7e2b9, "tls_get_record" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe27bb409, "bpf_trace_run2" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0xe3b2cb6, "netdev_warn" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0x71adc054, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xaee03304, "devl_rate_nodes_destroy" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x603f1f33, "atomic64_inc_return_cx8" },
	{ 0x4a988271, "pci_irq_vector" },
	{ 0xb72aaad7, "flow_rule_match_ipv4_addrs" },
	{ 0xb1b42941, "ip_route_output_flow" },
	{ 0xa6a5ac82, "__netif_napi_del" },
	{ 0xcdb0d83c, "rhashtable_walk_enter" },
	{ 0x1281003, "devlink_fmsg_binary_put" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0x9742e4c9, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x44d0328d, "sock_gen_put" },
	{ 0xefc4b56d, "down_read_trylock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xd31af7b, "pci_unregister_driver" },
	{ 0xd5f52d4f, "netdev_rss_key_fill" },
	{ 0xc6e7a086, "blocking_notifier_chain_register" },
	{ 0x20b2fc51, "netdev_err" },
	{ 0xda5ecaca, "pci_cfg_access_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xeab73766, "register_netdevice_notifier_net" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xf2a3ccb2, "dev_driver_string" },
	{ 0x6801ab7b, "netdev_port_same_parent_id" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0x128e9245, "trace_event_buffer_commit" },
	{ 0x469753c5, "dev_addr_mod" },
	{ 0x5a99a09b, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x84a0ca4d, "bitmap_zalloc_node" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x31d42088, "ptp_find_pin" },
	{ 0x15ea7b00, "eth_type_trans" },
	{ 0xbd504f55, "pci_read_config_dword" },
	{ 0x3dc1406, "request_firmware_direct" },
	{ 0xed38aecf, "flow_rule_match_icmp" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x47a381c0, "auxiliary_driver_unregister" },
	{ 0xd0ee3abe, "dma_map_page_attrs" },
	{ 0xd3136961, "trace_seq_putc" },
	{ 0xb5bc27f5, "napi_complete_done" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x95e32810, "__alloc_pages_noprof" },
	{ 0x70f7896, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0xc53969d8, "devlink_port_attrs_pci_vf_set" },
	{ 0x1958804c, "priv_to_devlink" },
	{ 0x439cfd18, "blocking_notifier_call_chain" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xb3c9ae76, "vlan_dev_vlan_proto" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xee7aa097, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0xad2712ff, "put_device" },
	{ 0x90ee9713, "net_dim" },
	{ 0xd0124e0a, "__napi_schedule" },
	{ 0x380739aa, "devlink_port_health_reporter_create" },
	{ 0xa14f49c8, "pcie_relaxed_ordering_enabled" },
	{ 0xa5e31bd3, "xsk_set_rx_need_wakeup" },
	{ 0x738803e6, "strnlen" },
	{ 0x1b28da8c, "devlink_port_attrs_pci_pf_set" },
	{ 0x667c4b02, "flow_rule_match_enc_ipv4_addrs" },
	{ 0x9627aab5, "netif_device_detach" },
	{ 0xe419bc99, "iowrite32be" },
	{ 0x618911fc, "numa_node" },
	{ 0xb72b0ae8, "const_pcpu_hot" },
	{ 0x6fec5a41, "__free_pages" },
	{ 0x8556423f, "_dev_info" },
	{ 0x7b69ba4, "skb_vlan_pop" },
	{ 0x69adc804, "napi_gro_receive" },
	{ 0xe67b03d9, "netif_device_attach" },
	{ 0xd1661800, "devl_resource_register" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0xa6993a5d, "netdev_pick_tx" },
	{ 0xb248bafe, "flow_indr_dev_unregister" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0xd8e616d4, "xp_raw_get_dma" },
	{ 0x5d022afe, "eth_get_headlen" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x96eb2f6, "xdp_rxq_info_is_reg" },
	{ 0xe5d0d634, "flow_rule_match_enc_opts" },
	{ 0x632780, "work_busy" },
	{ 0x45625151, "devlink_net" },
	{ 0x7fcc1f2e, "devlink_fmsg_bool_pair_put" },
	{ 0x5b5dfb72, "free_fib_info" },
	{ 0x8b8ac465, "devl_health_reporter_create" },
	{ 0x17a7626d, "flow_block_cb_setup_simple" },
	{ 0x7bf01f64, "pci_msix_can_alloc_dyn" },
	{ 0x5f822e03, "flow_rule_match_basic" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x4fa3da2, "unregister_netdevice_notifier_dev_net" },
	{ 0x33330fb8, "pci_find_capability" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xa5fea490, "pci_iov_vf_id" },
	{ 0x4b27d977, "devlink_fmsg_arr_pair_nest_start" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x89eddc1f, "debugfs_attr_read" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x25b820bd, "flow_rule_match_ct" },
	{ 0x149909c6, "__xa_alloc" },
	{ 0x54c47399, "vlan_dev_real_dev" },
	{ 0x9f27c5e8, "radix_tree_delete" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x8345007d, "__dma_sync_single_for_cpu" },
	{ 0x58930a77, "pci_msix_free_irq" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x487f60ca, "__dev_get_by_index" },
	{ 0x900d9662, "perf_trace_run_bpf_submit" },
	{ 0x461dfab1, "devlink_fmsg_pair_nest_start" },
	{ 0x5de5553b, "__irq_apply_affinity_hint" },
	{ 0xda7de9b4, "devlink_port_unregister" },
	{ 0xfd064e74, "dev_get_port_parent_id" },
	{ 0x94f0e83, "down_write" },
	{ 0x8aed66f2, "_dev_err" },
	{ 0x8e166b72, "init_net" },
	{ 0xbd0650de, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x5cb76732, "softnet_data" },
	{ 0x70c2cdae, "ipv6_stub" },
	{ 0xe1aa0432, "simple_open" },
	{ 0xdedcc704, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x7505bdef, "memchr_inv" },
	{ 0xf05e8b0f, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xf664597d, "simple_attr_release" },
	{ 0xb80fe2a, "ptp_clock_register" },
	{ 0x6e7d11cf, "devl_nested_devlink_set" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0xba365877, "xsk_tx_peek_desc" },
	{ 0x2f4cdb26, "hwmon_device_register_with_info" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xafaa6031, "_find_next_and_bit" },
	{ 0x4ce8a2dd, "netif_set_real_num_tx_queues" },
	{ 0x8ec9aec2, "devlink_fmsg_u8_pair_put" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x49bafd58, "sk_skb_reason_drop" },
	{ 0x2dc07259, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xc61a4fc9, "xa_load" },
	{ 0x5ead2379, "irq_get_irq_data" },
	{ 0x15a1d5c7, "dev_remove_pack" },
	{ 0xcb4d3712, "netif_set_real_num_rx_queues" },
	{ 0x32a460e8, "down" },
	{ 0xcd486c01, "dev_get_by_index" },
	{ 0x631a77f2, "bpf_trace_run5" },
	{ 0xb5d33ad3, "flow_indr_block_cb_alloc" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xd03add87, "skb_store_bits" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x9978053, "devl_port_register_with_ops" },
	{ 0x7a53d049, "dev_get_by_index_rcu" },
	{ 0xe93b69b6, "netdev_printk" },
	{ 0x728a89e, "mlxfw_firmware_flash" },
	{ 0x929e4028, "devlink_fmsg_u32_put" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x80c4c319, "crc32_le" },
	{ 0x463f51e3, "pcie_capability_clear_and_set_word_locked" },
	{ 0x420eabe4, "mem_section" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0x2a164ec6, "skb_push" },
	{ 0xc3f35d58, "kmem_cache_free" },
	{ 0x61e69931, "dma_alloc_attrs" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x121abfb0, "debugfs_remove" },
	{ 0xe6aa1f3c, "pci_read_config_word" },
	{ 0xb23efaee, "napi_enable" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x96d81574, "xsk_clear_rx_need_wakeup" },
	{ 0x5f329ef5, "seq_putc" },
	{ 0xefb85411, "unregister_netdevice_notifier_net" },
	{ 0x2c994c93, "auxiliary_device_sysfs_irq_remove" },
	{ 0xd85e13bd, "xsk_uses_need_wakeup" },
	{ 0x41d5307c, "register_netdev" },
	{ 0x378f0be, "unregister_fib_notifier" },
	{ 0xaad37845, "trace_event_reg" },
	{ 0xfafe0614, "mutex_is_locked" },
	{ 0xddcf8423, "devlink_port_attrs_pci_sf_set" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1af267f8, "int_pow" },
	{ 0xc92f5b96, "atomic64_read_cx8" },
	{ 0x5cede0a7, "xdp_flush_frame_bulk" },
	{ 0x3802504, "debugfs_create_u64" },
	{ 0x6573f300, "ida_free" },
	{ 0x16d4194c, "free_netdev" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0x62a009f, "debugfs_create_size_t" },
	{ 0xdbbb2ea4, "devl_params_register" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0xde80cd09, "ioremap" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5930d603, "rhashtable_walk_start_check" },
	{ 0xd8aba6ca, "__xa_set_mark" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xcab2021e, "page_pool_put_unrefed_netmem" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0xdd745464, "cancel_work" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x2038646b, "ethtool_op_get_link" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xac85bc15, "netif_set_xps_queue" },
	{ 0x72a8d6f9, "__mutex_init" },
	{ 0xa626245d, "__ethtool_get_link_ksettings" },
	{ 0x81e17518, "rhashtable_walk_stop" },
	{ 0xcf191255, "down_trylock" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x49dbb0b9, "devlink_fmsg_binary_pair_nest_end" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0xc7b98c74, "pci_restore_state" },
	{ 0xa73d5bca, "bpf_trace_run1" },
	{ 0x72f7b54e, "__inet6_lookup_established" },
	{ 0xdf17bdf9, "netif_tx_wake_queue" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0xab0e9e58, "device_del" },
	{ 0xb19b445, "ioread8" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0xb01eb192, "rhashtable_free_and_destroy" },
	{ 0xa81eee0c, "page_pool_create" },
	{ 0xef31fad2, "skb_checksum" },
	{ 0x105508e, "devl_param_driverinit_value_set" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0x2bc95bd4, "memset" },
	{ 0xb2e89a51, "_dev_warn" },
	{ 0x30d13a4, "flow_rule_match_ports" },
	{ 0xa6832797, "devlink_fmsg_binary_pair_nest_start" },
	{ 0x1ebbd3ab, "__kmalloc_cache_node_noprof" },
	{ 0x9bb4e317, "ioread32be" },
	{ 0x6f41a639, "irq_cpu_rmap_remove" },
	{ 0xba5fe4ad, "xfrm_replay_seqhi" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xaa488f2c, "devl_resources_unregister" },
	{ 0x5006a4df, "ptp_clock_event" },
	{ 0x221ab1f6, "rht_bucket_nested_insert" },
	{ 0xb88834dd, "netif_schedule_queue" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xb4863b72, "devlink_fmsg_u64_pair_put" },
	{ 0xd51f1b5a, "pci_set_master" },
	{ 0x4ea3686f, "devl_trap_groups_register" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xef3b5f08, "debugfs_create_u32" },
	{ 0x24412ee1, "kmem_cache_alloc_noprof" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb73b4fe3, "flow_rule_match_ipv6_addrs" },
	{ 0x490950f1, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x82059aac, "atomic_notifier_call_chain" },
	{ 0xcc5afe78, "devl_params_unregister" },
	{ 0xb2ab074, "ptp_clock_unregister" },
	{ 0xd06fab4, "__pskb_pull_tail" },
	{ 0x85b0c1d5, "xp_dma_unmap" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xece784c2, "rb_first" },
	{ 0xdc923ed1, "__netdev_alloc_skb" },
	{ 0x8c966cf0, "complete_all" },
	{ 0x31c3f028, "rhashtable_destroy" },
	{ 0x9f3d4272, "devlink_trap_report" },
	{ 0xdedd619a, "__kmem_cache_create_args" },
	{ 0xe7df2a79, "__neigh_event_send" },
	{ 0x275e7694, "flow_block_cb_alloc" },
	{ 0xa0994320, "devlink_fmsg_obj_nest_start" },
	{ 0x7b8df303, "down_write_trylock" },
	{ 0x9a61f38d, "dev_printk_emit" },
	{ 0x463c69fc, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x88aeeba7, "devl_traps_register" },
	{ 0x7d2056f6, "devl_unlock" },
	{ 0xd2c95243, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x18c54b9e, "dma_set_coherent_mask" },
	{ 0x437914ab, "__neigh_create" },
	{ 0xb815fad1, "__xa_insert" },
	{ 0x85aea03b, "xa_erase" },
	{ 0xc698e209, "flow_rule_match_enc_control" },
	{ 0x2f79714e, "bpf_trace_run3" },
	{ 0x49f78ca1, "seq_read" },
	{ 0x780940d8, "trace_print_flags_seq" },
	{ 0x748287ef, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x6927d9b2, "ipv6_find_hdr" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x60c69018, "net_dim_get_rx_moderation" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xc29ba1, "rps_may_expire_flow" },
	{ 0xacc88a7d, "metadata_dst_free" },
	{ 0x5cb9b25b, "blocking_notifier_chain_unregister" },
	{ 0x65d01f55, "xsk_set_tx_need_wakeup" },
	{ 0x2015bc0c, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xe6a2cb15, "netdev_reset_tc" },
	{ 0xc84531eb, "atomic64_add_return_cx8" },
	{ 0x6df729ed, "neigh_destroy" },
	{ 0xb9857234, "dma_free_attrs" },
	{ 0x48857ae9, "rhltable_init_noprof" },
	{ 0xab4f7184, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xc95de951, "rhashtable_init_noprof" },
	{ 0xc61733ca, "trace_event_buffer_reserve" },
	{ 0x16c0e93a, "pci_reset_bus" },
	{ 0x850bb6db, "devlink_health_reporter_destroy" },
	{ 0xb132d570, "debugfs_create_x32" },
	{ 0xc566ddb9, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0x9709dbc5, "current_work" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xd5b37178, "flow_rule_match_enc_ports" },
	{ 0x8860c1d8, "xdp_return_frame_bulk" },
	{ 0xdc1a78c, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe62c932b, "pci_release_regions" },
	{ 0xcb06a96a, "netif_queue_set_napi" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x244c93c3, "__dma_sync_single_for_device" },
	{ 0x3c453e5f, "xa_destroy" },
	{ 0x189053ee, "bpf_prog_add" },
	{ 0x9005f3a2, "net_dim_get_def_tx_moderation" },
	{ 0xf5d073e8, "xa_find" },
	{ 0xbcfb9fa8, "devl_assert_locked" },
	{ 0x72d0c57c, "pcie_print_link_status" },
	{ 0x742bafe8, "xp_set_rxq_info" },
	{ 0x73cce226, "flow_rule_match_vlan" },
	{ 0x69cac18e, "devl_port_unregister" },
	{ 0x7436cd5b, "xdp_rxq_info_unreg" },
	{ 0x6a87ca47, "page_pool_alloc_pages" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x960aa0b4, "devl_param_driverinit_value_get" },
	{ 0x2a81d390, "napi_build_skb" },
	{ 0x73f832ed, "netdev_master_upper_dev_get_rcu" },
	{ 0x9895abe2, "__xdp_rxq_info_reg" },
	{ 0xc5f15ff3, "xdp_set_features_flag" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x8b5417ce, "__kmalloc_cache_noprof" },
	{ 0xd49caf61, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x793bb9cb, "bpf_prog_inc" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0xd799f513, "netif_carrier_event" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa1e94ab2, "netif_carrier_off" },
	{ 0xec527739, "seq_printf" },
	{ 0xe5986b0a, "flow_rule_match_meta" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xa8857036, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x616f2d13, "devlink_priv" },
	{ 0x75029ed9, "pci_enable_ptm" },
	{ 0x594ae778, "devlink_port_register_with_ops" },
	{ 0x8dd0279d, "pci_disable_sriov" },
	{ 0x105927d3, "metadata_dst_alloc" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x908e2b47, "dst_release" },
	{ 0xc3eb561a, "netif_carrier_on" },
	{ 0x28f0cd28, "netdev_set_num_tc" },
	{ 0x373b0d5, "dql_reset" },
	{ 0x23dd209b, "hwmon_device_unregister" },
	{ 0x62a4348b, "debugfs_create_file_full" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x23f18a70, "ktime_get_snapshot" },
	{ 0xa853fe2a, "arp_tbl" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x378bfba2, "alloc_pages_noprof" },
	{ 0x8d6e7a84, "pci_disable_device" },
	{ 0x6638f664, "net_dim_get_def_rx_moderation" },
	{ 0x5e29ca2, "bitmap_from_arr64" },
	{ 0xdc9fcddf, "net_dim_get_tx_moderation" },
	{ 0xced872d9, "boot_cpu_data" },
	{ 0xa8dec38f, "xp_free" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x699c9d92, "rhashtable_walk_next" },
	{ 0x7b409175, "page_pool_update_nid" },
	{ 0x55fc36b1, "single_release" },
	{ 0x60bffe6d, "div64_u64" },
	{ 0x6137b6cd, "devlink_fmsg_string_pair_put" },
	{ 0x6102ffb0, "dma_set_mask" },
	{ 0x40378f08, "__auxiliary_driver_register" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xd2956fd9, "netif_set_tso_max_size" },
	{ 0xdb3da2e9, "vlan_dev_vlan_id" },
	{ 0x1bb4ad55, "__skb_flow_dissect" },
	{ 0xef07a67c, "pci_msix_alloc_irq_at" },
	{ 0x2ff18b21, "seq_open" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0x540897d6, "skb_add_rx_frag_netmem" },
	{ 0x42737b5e, "xa_find_after" },
	{ 0x4139d6cf, "xdp_master_redirect" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x41ecce12, "skb_coalesce_rx_frag" },
	{ 0x5eb19f67, "xp_raw_get_data" },
	{ 0x39df7f28, "tls_validate_xmit_skb" },
	{ 0x1d7e0ed8, "page_address" },
	{ 0xa8fd90ac, "xa_set_mark" },
	{ 0x42939c49, "napi_schedule_prep" },
	{ 0x73a5a6e1, "qdisc_reset" },
	{ 0xa3d0c6e9, "napi_consume_skb" },
	{ 0xa924297d, "devlink_fmsg_pair_nest_end" },
	{ 0xef1d7d56, "xp_alloc_batch" },
	{ 0x3059c0c3, "flow_rule_match_mpls" },
	{ 0xd0d8621b, "strlen" },
	{ 0xb51c933c, "napi_disable" },
	{ 0x25d7b154, "dev_kfree_skb_any_reason" },
	{ 0xb1793101, "dcb_ieee_delapp" },
	{ 0x68c0d08f, "bpf_trace_run7" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xbee97315, "devl_port_health_reporter_create" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x591db4e5, "debugfs_create_u8" },
	{ 0x841bea6b, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x97d539b9, "mutex_destroy" },
	{ 0xcd510781, "devl_register" },
	{ 0x349cba85, "strchr" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0xe8d4bf81, "debugfs_create_dir" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x2e5afaba, "skb_ext_add" },
	{ 0x4a3acac3, "pcie_bandwidth_available" },
	{ 0x24b5e1b, "pci_free_irq_vectors" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0x7a10216f, "__kvmalloc_node_noprof" },
	{ 0x195c9221, "flow_rule_match_control" },
	{ 0x5cc584a7, "flow_rule_match_ip" },
	{ 0xed075aea, "pci_enable_sriov" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x4dc0300, "up_read" },
	{ 0xb2f34459, "rhashtable_walk_exit" },
	{ 0x8972768c, "atomic64_dec_if_positive_cx8" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xad9eb240, "auxiliary_device_sysfs_irq_add" },
	{ 0x19bfd926, "dcb_ieee_setapp" },
	{ 0x8312c53c, "devl_trap_groups_unregister" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xec91a2bb, "xsk_tx_release" },
	{ 0xa1bdbc5f, "devl_traps_unregister" },
	{ 0x6776093b, "atomic64_set_cx8" },
	{ 0xccb2d54d, "pci_iov_get_pf_drvdata" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x4f775a8c, "pci_write_config_dword" },
	{ 0xdb14c1b3, "kmalloc_caches" },
	{ 0x50c7fc54, "krealloc_noprof" },
	{ 0xf7a799ce, "netdev_info" },
	{ 0x59f6f3f0, "skb_dump" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xab7ad7d8, "neigh_lookup" },
	{ 0x282f97a9, "kmem_cache_destroy" },
	{ 0x3b3ace93, "page_pool_put_unrefed_page" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x26ef9b8f, "module_layout" },
};

MODULE_INFO(depends, "ptp,psample,tls,mlxfw");

MODULE_ALIAS("auxiliary:mlx5_core.eth");
MODULE_ALIAS("auxiliary:mlx5_core.sf");
MODULE_ALIAS("pci:v000015B3d00001011sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001012sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001013sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001014sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001015sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001016sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001017sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001018sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001019sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001023sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001025sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DFsv*sd*bc*sc*i*");
MODULE_ALIAS("auxiliary:mlx5_core.eth-rep");

MODULE_INFO(srcversion, "0CF23E5204BF8A111FFCE45");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
