#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(phy_print_status, "", "");
KSYMTAB_FUNC(phy_get_rate_matching, "_gpl", "");
KSYMTAB_FUNC(phy_restart_aneg, "_gpl", "");
KSYMTAB_FUNC(phy_aneg_done, "", "");
KSYMTAB_FUNC(phy_check_valid, "", "");
KSYMTAB_FUNC(phy_ethtool_ksettings_get, "", "");
KSYMTAB_FUNC(phy_mii_ioctl, "", "");
KSYMTAB_FUNC(phy_do_ioctl, "", "");
KSYMTAB_FUNC(phy_do_ioctl_running, "", "");
KSYMTAB_FUNC(phy_queue_state_machine, "", "");
KSYMTAB_FUNC(phy_trigger_machine, "", "");
KSYMTAB_FUNC(phy_ethtool_get_strings, "", "");
KSYMTAB_FUNC(phy_ethtool_get_sset_count, "", "");
KSYMTAB_FUNC(phy_ethtool_get_stats, "", "");
KSYMTAB_FUNC(phy_start_cable_test, "", "");
KSYMTAB_FUNC(phy_start_cable_test_tdr, "", "");
KSYMTAB_FUNC(phy_config_aneg, "", "");
KSYMTAB_FUNC(_phy_start_aneg, "", "");
KSYMTAB_FUNC(phy_start_aneg, "", "");
KSYMTAB_FUNC(phy_ethtool_ksettings_set, "", "");
KSYMTAB_FUNC(phy_speed_down, "_gpl", "");
KSYMTAB_FUNC(phy_speed_up, "_gpl", "");
KSYMTAB_FUNC(phy_start_machine, "_gpl", "");
KSYMTAB_FUNC(phy_error, "", "");
KSYMTAB_FUNC(phy_request_interrupt, "", "");
KSYMTAB_FUNC(phy_free_interrupt, "", "");
KSYMTAB_FUNC(phy_stop, "", "");
KSYMTAB_FUNC(phy_start, "", "");
KSYMTAB_FUNC(phy_mac_interrupt, "", "");
KSYMTAB_FUNC(phy_init_eee, "", "");
KSYMTAB_FUNC(phy_get_eee_err, "", "");
KSYMTAB_FUNC(phy_ethtool_get_eee, "", "");
KSYMTAB_FUNC(phy_ethtool_set_eee, "", "");
KSYMTAB_FUNC(phy_ethtool_set_wol, "", "");
KSYMTAB_FUNC(phy_ethtool_get_wol, "", "");
KSYMTAB_FUNC(phy_ethtool_get_link_ksettings, "", "");
KSYMTAB_FUNC(phy_ethtool_set_link_ksettings, "", "");
KSYMTAB_FUNC(phy_ethtool_nway_reset, "", "");
KSYMTAB_FUNC(genphy_c45_pma_resume, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_suspend, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_baset1_setup_master_slave, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_setup_forced, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_an_config_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_an_disable_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_restart_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_check_and_restart_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_aneg_done, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_link, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_lpa, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_baset1_read_master_slave, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_pma, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_mdix, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_eee_abilities, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_an_config_eee_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_baset1_read_abilities, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_read_ext_abilities, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_read_abilities, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_baset1_read_status, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_status, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_config_aneg, "_gpl", "");
KSYMTAB_FUNC(gen10g_config_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_loopback, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_fast_retrain, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_plca_get_cfg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_plca_set_cfg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_plca_get_status, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_eee_is_active, "", "");
KSYMTAB_FUNC(genphy_c45_ethtool_get_eee, "", "");
KSYMTAB_FUNC(genphy_c45_ethtool_set_eee, "", "");
KSYMTAB_FUNC(phy_speed_to_str, "_gpl", "");
KSYMTAB_FUNC(phy_duplex_to_str, "_gpl", "");
KSYMTAB_FUNC(phy_rate_matching_to_str, "_gpl", "");
KSYMTAB_FUNC(phy_interface_num_ports, "_gpl", "");
KSYMTAB_FUNC(phy_lookup_setting, "_gpl", "");
KSYMTAB_FUNC(phy_set_max_speed, "", "");
KSYMTAB_FUNC(phy_resolve_aneg_pause, "_gpl", "");
KSYMTAB_FUNC(phy_resolve_aneg_linkmode, "_gpl", "");
KSYMTAB_FUNC(phy_check_downshift, "_gpl", "");
KSYMTAB_FUNC(__phy_read_mmd, "", "");
KSYMTAB_FUNC(phy_read_mmd, "", "");
KSYMTAB_FUNC(__phy_write_mmd, "", "");
KSYMTAB_FUNC(phy_write_mmd, "", "");
KSYMTAB_FUNC(__phy_package_read_mmd, "", "");
KSYMTAB_FUNC(phy_package_read_mmd, "", "");
KSYMTAB_FUNC(__phy_package_write_mmd, "", "");
KSYMTAB_FUNC(phy_package_write_mmd, "", "");
KSYMTAB_FUNC(phy_modify_changed, "_gpl", "");
KSYMTAB_FUNC(__phy_modify, "_gpl", "");
KSYMTAB_FUNC(phy_modify, "_gpl", "");
KSYMTAB_FUNC(__phy_modify_mmd_changed, "_gpl", "");
KSYMTAB_FUNC(phy_modify_mmd_changed, "_gpl", "");
KSYMTAB_FUNC(__phy_modify_mmd, "_gpl", "");
KSYMTAB_FUNC(phy_modify_mmd, "_gpl", "");
KSYMTAB_FUNC(phy_save_page, "_gpl", "");
KSYMTAB_FUNC(phy_select_page, "_gpl", "");
KSYMTAB_FUNC(phy_restore_page, "_gpl", "");
KSYMTAB_FUNC(phy_read_paged, "", "");
KSYMTAB_FUNC(phy_write_paged, "", "");
KSYMTAB_FUNC(phy_modify_paged_changed, "", "");
KSYMTAB_FUNC(phy_modify_paged, "", "");
KSYMTAB_DATA(phy_basic_features, "_gpl", "");
KSYMTAB_DATA(phy_basic_t1_features, "_gpl", "");
KSYMTAB_DATA(phy_basic_t1s_p2mp_features, "_gpl", "");
KSYMTAB_DATA(phy_gbit_features, "_gpl", "");
KSYMTAB_DATA(phy_gbit_fibre_features, "_gpl", "");
KSYMTAB_DATA(phy_gbit_all_ports_features, "_gpl", "");
KSYMTAB_DATA(phy_10gbit_features, "_gpl", "");
KSYMTAB_DATA(phy_10gbit_fec_features, "_gpl", "");
KSYMTAB_DATA(phy_basic_ports_array, "_gpl", "");
KSYMTAB_DATA(phy_fibre_port_array, "_gpl", "");
KSYMTAB_DATA(phy_all_ports_features_array, "_gpl", "");
KSYMTAB_DATA(phy_10_100_features_array, "_gpl", "");
KSYMTAB_DATA(phy_basic_t1_features_array, "_gpl", "");
KSYMTAB_DATA(phy_basic_t1s_p2mp_features_array, "_gpl", "");
KSYMTAB_DATA(phy_gbit_features_array, "_gpl", "");
KSYMTAB_DATA(phy_10gbit_features_array, "_gpl", "");
KSYMTAB_DATA(phy_10gbit_full_features, "_gpl", "");
KSYMTAB_DATA(phy_eee_cap1_features, "_gpl", "");
KSYMTAB_DATA(phy_eee_cap2_features, "_gpl", "");
KSYMTAB_FUNC(phy_device_free, "", "");
KSYMTAB_FUNC(phy_register_fixup, "", "");
KSYMTAB_FUNC(phy_register_fixup_for_uid, "", "");
KSYMTAB_FUNC(phy_register_fixup_for_id, "", "");
KSYMTAB_FUNC(phy_unregister_fixup, "", "");
KSYMTAB_FUNC(phy_unregister_fixup_for_uid, "", "");
KSYMTAB_FUNC(phy_unregister_fixup_for_id, "", "");
KSYMTAB_FUNC(phy_device_create, "", "");
KSYMTAB_FUNC(fwnode_get_phy_id, "", "");
KSYMTAB_FUNC(get_phy_device, "", "");
KSYMTAB_FUNC(phy_device_register, "", "");
KSYMTAB_FUNC(phy_device_remove, "", "");
KSYMTAB_FUNC(phy_get_c45_ids, "", "");
KSYMTAB_FUNC(phy_find_first, "", "");
KSYMTAB_FUNC(phy_connect_direct, "", "");
KSYMTAB_FUNC(phy_connect, "", "");
KSYMTAB_FUNC(phy_disconnect, "", "");
KSYMTAB_FUNC(phy_init_hw, "", "");
KSYMTAB_FUNC(phy_attached_info, "", "");
KSYMTAB_FUNC(phy_attached_info_irq, "", "");
KSYMTAB_FUNC(phy_attached_print, "", "");
KSYMTAB_FUNC(phy_sfp_connect_phy, "", "");
KSYMTAB_FUNC(phy_sfp_disconnect_phy, "", "");
KSYMTAB_FUNC(phy_sfp_attach, "", "");
KSYMTAB_FUNC(phy_sfp_detach, "", "");
KSYMTAB_FUNC(phy_sfp_probe, "", "");
KSYMTAB_FUNC(phy_attach_direct, "", "");
KSYMTAB_FUNC(phy_attach, "", "");
KSYMTAB_FUNC(phy_driver_is_genphy, "_gpl", "");
KSYMTAB_FUNC(phy_driver_is_genphy_10g, "_gpl", "");
KSYMTAB_FUNC(phy_package_join, "_gpl", "");
KSYMTAB_FUNC(of_phy_package_join, "_gpl", "");
KSYMTAB_FUNC(phy_package_leave, "_gpl", "");
KSYMTAB_FUNC(devm_phy_package_join, "_gpl", "");
KSYMTAB_FUNC(devm_of_phy_package_join, "_gpl", "");
KSYMTAB_FUNC(phy_detach, "", "");
KSYMTAB_FUNC(phy_suspend, "", "");
KSYMTAB_FUNC(__phy_resume, "", "");
KSYMTAB_FUNC(phy_resume, "", "");
KSYMTAB_FUNC(phy_loopback, "", "");
KSYMTAB_FUNC(phy_reset_after_clk_enable, "", "");
KSYMTAB_FUNC(genphy_setup_forced, "", "");
KSYMTAB_FUNC(genphy_read_master_slave, "", "");
KSYMTAB_FUNC(genphy_restart_aneg, "", "");
KSYMTAB_FUNC(genphy_check_and_restart_aneg, "", "");
KSYMTAB_FUNC(__genphy_config_aneg, "", "");
KSYMTAB_FUNC(genphy_c37_config_aneg, "", "");
KSYMTAB_FUNC(genphy_aneg_done, "", "");
KSYMTAB_FUNC(genphy_update_link, "", "");
KSYMTAB_FUNC(genphy_read_lpa, "", "");
KSYMTAB_FUNC(genphy_read_status_fixed, "", "");
KSYMTAB_FUNC(genphy_read_status, "", "");
KSYMTAB_FUNC(genphy_c37_read_status, "", "");
KSYMTAB_FUNC(genphy_soft_reset, "", "");
KSYMTAB_FUNC(genphy_handle_interrupt_no_ack, "", "");
KSYMTAB_FUNC(genphy_read_abilities, "", "");
KSYMTAB_FUNC(genphy_read_mmd_unsupported, "", "");
KSYMTAB_FUNC(genphy_write_mmd_unsupported, "", "");
KSYMTAB_FUNC(genphy_suspend, "", "");
KSYMTAB_FUNC(genphy_resume, "", "");
KSYMTAB_FUNC(genphy_loopback, "", "");
KSYMTAB_FUNC(phy_remove_link_mode, "", "");
KSYMTAB_FUNC(phy_advertise_supported, "", "");
KSYMTAB_FUNC(phy_advertise_eee_all, "_gpl", "");
KSYMTAB_FUNC(phy_support_eee, "", "");
KSYMTAB_FUNC(phy_support_sym_pause, "", "");
KSYMTAB_FUNC(phy_support_asym_pause, "", "");
KSYMTAB_FUNC(phy_set_sym_pause, "", "");
KSYMTAB_FUNC(phy_set_asym_pause, "", "");
KSYMTAB_FUNC(phy_validate_pause, "", "");
KSYMTAB_FUNC(phy_get_pause, "", "");
KSYMTAB_FUNC(phy_get_internal_delay, "", "");
KSYMTAB_FUNC(fwnode_mdio_find_device, "", "");
KSYMTAB_FUNC(fwnode_phy_find_device, "", "");
KSYMTAB_FUNC(device_phy_find_device, "_gpl", "");
KSYMTAB_FUNC(fwnode_get_phy_node, "_gpl", "");
KSYMTAB_FUNC(phy_driver_register, "", "");
KSYMTAB_FUNC(phy_drivers_register, "", "");
KSYMTAB_FUNC(phy_driver_unregister, "", "");
KSYMTAB_FUNC(phy_drivers_unregister, "", "");
KSYMTAB_FUNC(linkmode_resolve_pause, "_gpl", "");
KSYMTAB_FUNC(linkmode_set_pause, "_gpl", "");
KSYMTAB_FUNC(phy_link_topo_add_phy, "_gpl", "");
KSYMTAB_FUNC(phy_link_topo_del_phy, "_gpl", "");
KSYMTAB_FUNC(mdiobus_register_device, "", "");
KSYMTAB_FUNC(mdiobus_unregister_device, "", "");
KSYMTAB_FUNC(mdiobus_get_phy, "", "");
KSYMTAB_FUNC(mdiobus_is_registered_device, "", "");
KSYMTAB_FUNC(mdiobus_alloc_size, "", "");
KSYMTAB_FUNC(mdio_find_bus, "", "");
KSYMTAB_FUNC(of_mdio_find_bus, "", "");
KSYMTAB_FUNC(mdiobus_scan_c22, "", "");
KSYMTAB_FUNC(__mdiobus_register, "", "");
KSYMTAB_FUNC(mdiobus_unregister, "", "");
KSYMTAB_FUNC(mdiobus_free, "", "");
KSYMTAB_FUNC(__mdiobus_read, "", "");
KSYMTAB_FUNC(__mdiobus_write, "", "");
KSYMTAB_FUNC(__mdiobus_modify_changed, "_gpl", "");
KSYMTAB_FUNC(__mdiobus_c45_read, "", "");
KSYMTAB_FUNC(__mdiobus_c45_write, "", "");
KSYMTAB_FUNC(mdiobus_read_nested, "", "");
KSYMTAB_FUNC(mdiobus_read, "", "");
KSYMTAB_FUNC(mdiobus_c45_read, "", "");
KSYMTAB_FUNC(mdiobus_c45_read_nested, "", "");
KSYMTAB_FUNC(mdiobus_write_nested, "", "");
KSYMTAB_FUNC(mdiobus_write, "", "");
KSYMTAB_FUNC(mdiobus_c45_write, "", "");
KSYMTAB_FUNC(mdiobus_c45_write_nested, "", "");
KSYMTAB_FUNC(__mdiobus_modify, "_gpl", "");
KSYMTAB_FUNC(mdiobus_modify, "_gpl", "");
KSYMTAB_FUNC(mdiobus_c45_modify, "_gpl", "");
KSYMTAB_FUNC(mdiobus_modify_changed, "_gpl", "");
KSYMTAB_FUNC(mdiobus_c45_modify_changed, "_gpl", "");
KSYMTAB_DATA(mdio_bus_type, "", "");
KSYMTAB_FUNC(mdio_bus_exit, "_gpl", "");
KSYMTAB_FUNC(mdio_device_free, "", "");
KSYMTAB_FUNC(mdio_device_create, "", "");
KSYMTAB_FUNC(mdio_device_register, "", "");
KSYMTAB_FUNC(mdio_device_remove, "", "");
KSYMTAB_FUNC(mdio_device_reset, "", "");
KSYMTAB_FUNC(mdio_driver_register, "", "");
KSYMTAB_FUNC(mdio_driver_unregister, "", "");
KSYMTAB_FUNC(swphy_validate_state, "_gpl", "");
KSYMTAB_FUNC(swphy_read_reg, "_gpl", "");
KSYMTAB_FUNC(phy_led_trigger_change_speed, "_gpl", "");
KSYMTAB_FUNC(phy_led_triggers_register, "_gpl", "");
KSYMTAB_FUNC(phy_led_triggers_unregister, "_gpl", "");
KSYMTAB_FUNC(oa_1000bt1_get_ethtool_cable_result_code, "_gpl", "");
KSYMTAB_FUNC(oa_1000bt1_get_tdr_distance, "_gpl", "");

SYMBOL_CRC(phy_print_status, 0x9c9e7e92, "");
SYMBOL_CRC(phy_get_rate_matching, 0x024e62b5, "_gpl");
SYMBOL_CRC(phy_restart_aneg, 0xd9836466, "_gpl");
SYMBOL_CRC(phy_aneg_done, 0xc0a3a20e, "");
SYMBOL_CRC(phy_check_valid, 0xf44f852a, "");
SYMBOL_CRC(phy_ethtool_ksettings_get, 0x4713b4ff, "");
SYMBOL_CRC(phy_mii_ioctl, 0xecd59485, "");
SYMBOL_CRC(phy_do_ioctl, 0x2e617b97, "");
SYMBOL_CRC(phy_do_ioctl_running, 0xfe7b78b0, "");
SYMBOL_CRC(phy_queue_state_machine, 0xf4fb40bf, "");
SYMBOL_CRC(phy_trigger_machine, 0xd4ecc054, "");
SYMBOL_CRC(phy_ethtool_get_strings, 0xb10a3a0d, "");
SYMBOL_CRC(phy_ethtool_get_sset_count, 0x70d3192c, "");
SYMBOL_CRC(phy_ethtool_get_stats, 0x11ecbd7b, "");
SYMBOL_CRC(phy_start_cable_test, 0xbbd1bfb3, "");
SYMBOL_CRC(phy_start_cable_test_tdr, 0x20b9b4ea, "");
SYMBOL_CRC(phy_config_aneg, 0x8c307330, "");
SYMBOL_CRC(_phy_start_aneg, 0x8606fc3a, "");
SYMBOL_CRC(phy_start_aneg, 0x4d8796e1, "");
SYMBOL_CRC(phy_ethtool_ksettings_set, 0x6ca74c19, "");
SYMBOL_CRC(phy_speed_down, 0x496df21b, "_gpl");
SYMBOL_CRC(phy_speed_up, 0xfaf5af94, "_gpl");
SYMBOL_CRC(phy_start_machine, 0x7738bbd6, "_gpl");
SYMBOL_CRC(phy_error, 0xcbbc41c3, "");
SYMBOL_CRC(phy_request_interrupt, 0x436d9749, "");
SYMBOL_CRC(phy_free_interrupt, 0xd27b89ca, "");
SYMBOL_CRC(phy_stop, 0x1fe1e1ce, "");
SYMBOL_CRC(phy_start, 0x3ad72216, "");
SYMBOL_CRC(phy_mac_interrupt, 0xe737d17e, "");
SYMBOL_CRC(phy_init_eee, 0x4d2c1ad5, "");
SYMBOL_CRC(phy_get_eee_err, 0xcbfb4052, "");
SYMBOL_CRC(phy_ethtool_get_eee, 0xd8f19206, "");
SYMBOL_CRC(phy_ethtool_set_eee, 0xb4bd486e, "");
SYMBOL_CRC(phy_ethtool_set_wol, 0xc4528663, "");
SYMBOL_CRC(phy_ethtool_get_wol, 0xb16a6c5e, "");
SYMBOL_CRC(phy_ethtool_get_link_ksettings, 0xf9864dcc, "");
SYMBOL_CRC(phy_ethtool_set_link_ksettings, 0x45bc5db2, "");
SYMBOL_CRC(phy_ethtool_nway_reset, 0x37195e9f, "");
SYMBOL_CRC(genphy_c45_pma_resume, 0x9ca6f662, "_gpl");
SYMBOL_CRC(genphy_c45_pma_suspend, 0xbd506155, "_gpl");
SYMBOL_CRC(genphy_c45_pma_baset1_setup_master_slave, 0x4d97137a, "_gpl");
SYMBOL_CRC(genphy_c45_pma_setup_forced, 0x8940fcca, "_gpl");
SYMBOL_CRC(genphy_c45_an_config_aneg, 0x07db6025, "_gpl");
SYMBOL_CRC(genphy_c45_an_disable_aneg, 0xa395e199, "_gpl");
SYMBOL_CRC(genphy_c45_restart_aneg, 0xe26bc606, "_gpl");
SYMBOL_CRC(genphy_c45_check_and_restart_aneg, 0xa86ad388, "_gpl");
SYMBOL_CRC(genphy_c45_aneg_done, 0xe096cd6e, "_gpl");
SYMBOL_CRC(genphy_c45_read_link, 0xfccdb880, "_gpl");
SYMBOL_CRC(genphy_c45_read_lpa, 0x1b8b29d6, "_gpl");
SYMBOL_CRC(genphy_c45_pma_baset1_read_master_slave, 0x6b710b60, "_gpl");
SYMBOL_CRC(genphy_c45_read_pma, 0x7ac5ddda, "_gpl");
SYMBOL_CRC(genphy_c45_read_mdix, 0x14b75cb2, "_gpl");
SYMBOL_CRC(genphy_c45_read_eee_abilities, 0x2a22617e, "_gpl");
SYMBOL_CRC(genphy_c45_an_config_eee_aneg, 0xf18942c4, "_gpl");
SYMBOL_CRC(genphy_c45_pma_baset1_read_abilities, 0x2e073167, "_gpl");
SYMBOL_CRC(genphy_c45_pma_read_ext_abilities, 0x438644b7, "_gpl");
SYMBOL_CRC(genphy_c45_pma_read_abilities, 0x274fa640, "_gpl");
SYMBOL_CRC(genphy_c45_baset1_read_status, 0x49bab9dc, "_gpl");
SYMBOL_CRC(genphy_c45_read_status, 0xe78ddde0, "_gpl");
SYMBOL_CRC(genphy_c45_config_aneg, 0xe43ecdbc, "_gpl");
SYMBOL_CRC(gen10g_config_aneg, 0x37f20276, "_gpl");
SYMBOL_CRC(genphy_c45_loopback, 0x9945b954, "_gpl");
SYMBOL_CRC(genphy_c45_fast_retrain, 0x2783b69b, "_gpl");
SYMBOL_CRC(genphy_c45_plca_get_cfg, 0xb71fb937, "_gpl");
SYMBOL_CRC(genphy_c45_plca_set_cfg, 0xc651b055, "_gpl");
SYMBOL_CRC(genphy_c45_plca_get_status, 0xc8bd519b, "_gpl");
SYMBOL_CRC(genphy_c45_eee_is_active, 0x3abf696a, "");
SYMBOL_CRC(genphy_c45_ethtool_get_eee, 0x8a94d0b5, "");
SYMBOL_CRC(genphy_c45_ethtool_set_eee, 0x01a25bea, "");
SYMBOL_CRC(phy_speed_to_str, 0xe4b818c3, "_gpl");
SYMBOL_CRC(phy_duplex_to_str, 0x538d073d, "_gpl");
SYMBOL_CRC(phy_rate_matching_to_str, 0x59edfeb8, "_gpl");
SYMBOL_CRC(phy_interface_num_ports, 0x75c2741b, "_gpl");
SYMBOL_CRC(phy_lookup_setting, 0x06209f49, "_gpl");
SYMBOL_CRC(phy_set_max_speed, 0x57a57476, "");
SYMBOL_CRC(phy_resolve_aneg_pause, 0xe9a120e5, "_gpl");
SYMBOL_CRC(phy_resolve_aneg_linkmode, 0x1d683de7, "_gpl");
SYMBOL_CRC(phy_check_downshift, 0xcedbcbdc, "_gpl");
SYMBOL_CRC(__phy_read_mmd, 0x71913008, "");
SYMBOL_CRC(phy_read_mmd, 0x75462aae, "");
SYMBOL_CRC(__phy_write_mmd, 0x7cf3018c, "");
SYMBOL_CRC(phy_write_mmd, 0x4e72f23b, "");
SYMBOL_CRC(__phy_package_read_mmd, 0x28999ffc, "");
SYMBOL_CRC(phy_package_read_mmd, 0x587ad900, "");
SYMBOL_CRC(__phy_package_write_mmd, 0x77b94575, "");
SYMBOL_CRC(phy_package_write_mmd, 0x092de13a, "");
SYMBOL_CRC(phy_modify_changed, 0xb7834789, "_gpl");
SYMBOL_CRC(__phy_modify, 0x10c5bfe7, "_gpl");
SYMBOL_CRC(phy_modify, 0xa0604859, "_gpl");
SYMBOL_CRC(__phy_modify_mmd_changed, 0x0a76aae1, "_gpl");
SYMBOL_CRC(phy_modify_mmd_changed, 0x83c4d9e4, "_gpl");
SYMBOL_CRC(__phy_modify_mmd, 0x680b87a5, "_gpl");
SYMBOL_CRC(phy_modify_mmd, 0xc87b3434, "_gpl");
SYMBOL_CRC(phy_save_page, 0xadb57f92, "_gpl");
SYMBOL_CRC(phy_select_page, 0xea840c80, "_gpl");
SYMBOL_CRC(phy_restore_page, 0x14cdb3b0, "_gpl");
SYMBOL_CRC(phy_read_paged, 0x7b1a9195, "");
SYMBOL_CRC(phy_write_paged, 0xe7bf38df, "");
SYMBOL_CRC(phy_modify_paged_changed, 0x34e02dd6, "");
SYMBOL_CRC(phy_modify_paged, 0xf93e8249, "");
SYMBOL_CRC(phy_basic_features, 0x07ab1f47, "_gpl");
SYMBOL_CRC(phy_basic_t1_features, 0xfe7849dd, "_gpl");
SYMBOL_CRC(phy_basic_t1s_p2mp_features, 0x272f90bb, "_gpl");
SYMBOL_CRC(phy_gbit_features, 0xa2fe28b3, "_gpl");
SYMBOL_CRC(phy_gbit_fibre_features, 0xbf7e4cd1, "_gpl");
SYMBOL_CRC(phy_gbit_all_ports_features, 0xfd8eb1bf, "_gpl");
SYMBOL_CRC(phy_10gbit_features, 0x112a4b78, "_gpl");
SYMBOL_CRC(phy_10gbit_fec_features, 0x1f8aa8f1, "_gpl");
SYMBOL_CRC(phy_basic_ports_array, 0x690f585e, "_gpl");
SYMBOL_CRC(phy_fibre_port_array, 0xe628bb9f, "_gpl");
SYMBOL_CRC(phy_all_ports_features_array, 0x7ac722bd, "_gpl");
SYMBOL_CRC(phy_10_100_features_array, 0x7073c04f, "_gpl");
SYMBOL_CRC(phy_basic_t1_features_array, 0x7de39e07, "_gpl");
SYMBOL_CRC(phy_basic_t1s_p2mp_features_array, 0x2eca6a19, "_gpl");
SYMBOL_CRC(phy_gbit_features_array, 0x61f67c92, "_gpl");
SYMBOL_CRC(phy_10gbit_features_array, 0xeedd987e, "_gpl");
SYMBOL_CRC(phy_10gbit_full_features, 0x004bfa1c, "_gpl");
SYMBOL_CRC(phy_eee_cap1_features, 0x1479a216, "_gpl");
SYMBOL_CRC(phy_eee_cap2_features, 0x0d15dc4b, "_gpl");
SYMBOL_CRC(phy_device_free, 0x2a02a37e, "");
SYMBOL_CRC(phy_register_fixup, 0x1d911848, "");
SYMBOL_CRC(phy_register_fixup_for_uid, 0x651e5e9c, "");
SYMBOL_CRC(phy_register_fixup_for_id, 0xbdf20a18, "");
SYMBOL_CRC(phy_unregister_fixup, 0xc633d82d, "");
SYMBOL_CRC(phy_unregister_fixup_for_uid, 0xd738ca1b, "");
SYMBOL_CRC(phy_unregister_fixup_for_id, 0x3efe1703, "");
SYMBOL_CRC(phy_device_create, 0x3cb3b6a8, "");
SYMBOL_CRC(fwnode_get_phy_id, 0xfd8edb8d, "");
SYMBOL_CRC(get_phy_device, 0xc29386bc, "");
SYMBOL_CRC(phy_device_register, 0x613e4c0f, "");
SYMBOL_CRC(phy_device_remove, 0xbfab6e48, "");
SYMBOL_CRC(phy_get_c45_ids, 0x540994a7, "");
SYMBOL_CRC(phy_find_first, 0xd66df699, "");
SYMBOL_CRC(phy_connect_direct, 0x7cb4b575, "");
SYMBOL_CRC(phy_connect, 0xba581cf6, "");
SYMBOL_CRC(phy_disconnect, 0x7452f955, "");
SYMBOL_CRC(phy_init_hw, 0x548ad82a, "");
SYMBOL_CRC(phy_attached_info, 0x16f3bfdb, "");
SYMBOL_CRC(phy_attached_info_irq, 0x2bd10145, "");
SYMBOL_CRC(phy_attached_print, 0xe8b4bd4a, "");
SYMBOL_CRC(phy_sfp_connect_phy, 0x3c1298b3, "");
SYMBOL_CRC(phy_sfp_disconnect_phy, 0xade1e796, "");
SYMBOL_CRC(phy_sfp_attach, 0x394a1e11, "");
SYMBOL_CRC(phy_sfp_detach, 0xb6acaa13, "");
SYMBOL_CRC(phy_sfp_probe, 0x2a3d7aa3, "");
SYMBOL_CRC(phy_attach_direct, 0xfd9de637, "");
SYMBOL_CRC(phy_attach, 0x352f0c13, "");
SYMBOL_CRC(phy_driver_is_genphy, 0xaad0b0d4, "_gpl");
SYMBOL_CRC(phy_driver_is_genphy_10g, 0x9b42aaaf, "_gpl");
SYMBOL_CRC(phy_package_join, 0x204120ff, "_gpl");
SYMBOL_CRC(of_phy_package_join, 0x8dfbdbc7, "_gpl");
SYMBOL_CRC(phy_package_leave, 0x641e2a05, "_gpl");
SYMBOL_CRC(devm_phy_package_join, 0x311d57ae, "_gpl");
SYMBOL_CRC(devm_of_phy_package_join, 0x2dd5102f, "_gpl");
SYMBOL_CRC(phy_detach, 0x53ea767a, "");
SYMBOL_CRC(phy_suspend, 0xf9a52212, "");
SYMBOL_CRC(__phy_resume, 0x30e4c2e7, "");
SYMBOL_CRC(phy_resume, 0x144854ba, "");
SYMBOL_CRC(phy_loopback, 0xb59d99a0, "");
SYMBOL_CRC(phy_reset_after_clk_enable, 0x9fdc4fdd, "");
SYMBOL_CRC(genphy_setup_forced, 0xbd9fd634, "");
SYMBOL_CRC(genphy_read_master_slave, 0x575e10af, "");
SYMBOL_CRC(genphy_restart_aneg, 0x350371a5, "");
SYMBOL_CRC(genphy_check_and_restart_aneg, 0xaf7ea615, "");
SYMBOL_CRC(__genphy_config_aneg, 0xdc7fcaa4, "");
SYMBOL_CRC(genphy_c37_config_aneg, 0x26fc0e68, "");
SYMBOL_CRC(genphy_aneg_done, 0x7c358579, "");
SYMBOL_CRC(genphy_update_link, 0xc4092ee2, "");
SYMBOL_CRC(genphy_read_lpa, 0x4676ccf7, "");
SYMBOL_CRC(genphy_read_status_fixed, 0x35d561ac, "");
SYMBOL_CRC(genphy_read_status, 0xceb625a0, "");
SYMBOL_CRC(genphy_c37_read_status, 0xc66c9591, "");
SYMBOL_CRC(genphy_soft_reset, 0xb3cc6b99, "");
SYMBOL_CRC(genphy_handle_interrupt_no_ack, 0x5e897923, "");
SYMBOL_CRC(genphy_read_abilities, 0xa5eefa69, "");
SYMBOL_CRC(genphy_read_mmd_unsupported, 0xa60478ac, "");
SYMBOL_CRC(genphy_write_mmd_unsupported, 0xbc527ae1, "");
SYMBOL_CRC(genphy_suspend, 0xdbd7f25b, "");
SYMBOL_CRC(genphy_resume, 0x648ea40c, "");
SYMBOL_CRC(genphy_loopback, 0xd567938d, "");
SYMBOL_CRC(phy_remove_link_mode, 0xecb620a9, "");
SYMBOL_CRC(phy_advertise_supported, 0xaffd1fc8, "");
SYMBOL_CRC(phy_advertise_eee_all, 0xb1d3aa71, "_gpl");
SYMBOL_CRC(phy_support_eee, 0xc53e497a, "");
SYMBOL_CRC(phy_support_sym_pause, 0xc2965a36, "");
SYMBOL_CRC(phy_support_asym_pause, 0xab432e47, "");
SYMBOL_CRC(phy_set_sym_pause, 0xd473d164, "");
SYMBOL_CRC(phy_set_asym_pause, 0xe12dd0c6, "");
SYMBOL_CRC(phy_validate_pause, 0xbbcc8722, "");
SYMBOL_CRC(phy_get_pause, 0x3ee503fc, "");
SYMBOL_CRC(phy_get_internal_delay, 0x160936e8, "");
SYMBOL_CRC(fwnode_mdio_find_device, 0x43483ada, "");
SYMBOL_CRC(fwnode_phy_find_device, 0xebc1ccc3, "");
SYMBOL_CRC(device_phy_find_device, 0xe1f601d9, "_gpl");
SYMBOL_CRC(fwnode_get_phy_node, 0x613d7e3b, "_gpl");
SYMBOL_CRC(phy_driver_register, 0x158b4f58, "");
SYMBOL_CRC(phy_drivers_register, 0x56ca0bc0, "");
SYMBOL_CRC(phy_driver_unregister, 0xc4754b51, "");
SYMBOL_CRC(phy_drivers_unregister, 0x78331c3e, "");
SYMBOL_CRC(linkmode_resolve_pause, 0xd59a1587, "_gpl");
SYMBOL_CRC(linkmode_set_pause, 0xf4689d50, "_gpl");
SYMBOL_CRC(phy_link_topo_add_phy, 0xc8d986e7, "_gpl");
SYMBOL_CRC(phy_link_topo_del_phy, 0x5ff18815, "_gpl");
SYMBOL_CRC(mdiobus_register_device, 0x51dfd091, "");
SYMBOL_CRC(mdiobus_unregister_device, 0x2cfd7ef8, "");
SYMBOL_CRC(mdiobus_get_phy, 0x6b5dd6b0, "");
SYMBOL_CRC(mdiobus_is_registered_device, 0xeaac97dc, "");
SYMBOL_CRC(mdiobus_alloc_size, 0xa21c051c, "");
SYMBOL_CRC(mdio_find_bus, 0x4105137c, "");
SYMBOL_CRC(of_mdio_find_bus, 0x2b1ae944, "");
SYMBOL_CRC(mdiobus_scan_c22, 0x083e18a1, "");
SYMBOL_CRC(__mdiobus_register, 0x3b401fd3, "");
SYMBOL_CRC(mdiobus_unregister, 0x771f5269, "");
SYMBOL_CRC(mdiobus_free, 0x468d6a68, "");
SYMBOL_CRC(__mdiobus_read, 0xd69c010e, "");
SYMBOL_CRC(__mdiobus_write, 0x0e5c645b, "");
SYMBOL_CRC(__mdiobus_modify_changed, 0xaaec43f1, "_gpl");
SYMBOL_CRC(__mdiobus_c45_read, 0xe2d2f864, "");
SYMBOL_CRC(__mdiobus_c45_write, 0x61468f47, "");
SYMBOL_CRC(mdiobus_read_nested, 0xf87d1ddf, "");
SYMBOL_CRC(mdiobus_read, 0x2caaeb45, "");
SYMBOL_CRC(mdiobus_c45_read, 0xa83c302b, "");
SYMBOL_CRC(mdiobus_c45_read_nested, 0x3025e38c, "");
SYMBOL_CRC(mdiobus_write_nested, 0x5effc53c, "");
SYMBOL_CRC(mdiobus_write, 0x3835c6d9, "");
SYMBOL_CRC(mdiobus_c45_write, 0x4df3d7e9, "");
SYMBOL_CRC(mdiobus_c45_write_nested, 0xefce5d35, "");
SYMBOL_CRC(__mdiobus_modify, 0xe2bb1b0d, "_gpl");
SYMBOL_CRC(mdiobus_modify, 0xe884e272, "_gpl");
SYMBOL_CRC(mdiobus_c45_modify, 0x71f773e8, "_gpl");
SYMBOL_CRC(mdiobus_modify_changed, 0x91e6121e, "_gpl");
SYMBOL_CRC(mdiobus_c45_modify_changed, 0x6bd89f69, "_gpl");
SYMBOL_CRC(mdio_bus_type, 0xaceaef95, "");
SYMBOL_CRC(mdio_bus_exit, 0xfab30dc0, "_gpl");
SYMBOL_CRC(mdio_device_free, 0xfd5004ba, "");
SYMBOL_CRC(mdio_device_create, 0x3d6b6d9c, "");
SYMBOL_CRC(mdio_device_register, 0xd8732bee, "");
SYMBOL_CRC(mdio_device_remove, 0x87abcf59, "");
SYMBOL_CRC(mdio_device_reset, 0x48b2b948, "");
SYMBOL_CRC(mdio_driver_register, 0x7a908836, "");
SYMBOL_CRC(mdio_driver_unregister, 0x9c7c0291, "");
SYMBOL_CRC(swphy_validate_state, 0xe4e48b12, "_gpl");
SYMBOL_CRC(swphy_read_reg, 0x18e4f8aa, "_gpl");
SYMBOL_CRC(phy_led_trigger_change_speed, 0xf74999bf, "_gpl");
SYMBOL_CRC(phy_led_triggers_register, 0xefb10711, "_gpl");
SYMBOL_CRC(phy_led_triggers_unregister, 0x1d2dbc00, "_gpl");
SYMBOL_CRC(oa_1000bt1_get_ethtool_cable_result_code, 0x2721b932, "_gpl");
SYMBOL_CRC(oa_1000bt1_get_tdr_distance, 0xa0fec1cc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x38899409, "sfp_bus_find_fwnode" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x515efaa5, "try_module_get" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x5db5cb0a, "is_acpi_device_node" },
	{ 0xf042cdda, "gpiod_put" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xbf625cd0, "devm_kmalloc" },
	{ 0x8145b23, "of_node_put" },
	{ 0x13224bfa, "of_property_read_variable_u32_array" },
	{ 0x66555d7b, "sysfs_create_file_ns" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xfc1fe868, "dev_set_name" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x44b384b3, "trace_raw_output_prep" },
	{ 0xc1798dc, "device_match_of_node" },
	{ 0x7b49fc4, "ethtool_set_ethtool_phy_ops" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xae8db488, "bpf_trace_run6" },
	{ 0x9504df26, "irq_wake_thread" },
	{ 0x77e75be3, "sfp_bus_put" },
	{ 0x8cd69df1, "__trace_trigger_soft_disabled" },
	{ 0x57e411ff, "gpiod_set_value_cansleep" },
	{ 0x6c74418e, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf75f4eaa, "refcount_dec_and_mutex_lock" },
	{ 0xd10fe2c6, "device_initialize" },
	{ 0x8c0215f2, "pm_system_wakeup" },
	{ 0x6be67180, "trace_event_raw_init" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x37a0cba, "kfree" },
	{ 0x8211b4be, "of_get_parent" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xc29100cf, "pcpu_hot" },
	{ 0xc2c5d9a0, "led_classdev_unregister" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x3a9af33f, "devm_gpiod_get_optional" },
	{ 0xb7c122de, "get_device" },
	{ 0xffba92e8, "of_get_next_available_child" },
	{ 0x9742e4c9, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x77aa69ea, "devres_add" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0x128e9245, "trace_event_buffer_commit" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xec76d886, "device_match_fwnode" },
	{ 0x17c19baf, "device_set_node" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xb5801051, "pm_wakeup_dev_event" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xad2712ff, "put_device" },
	{ 0x308edd8a, "sysfs_remove_file_ns" },
	{ 0x738803e6, "strnlen" },
	{ 0x929b1ca8, "device_property_read_u32_array" },
	{ 0x8556423f, "_dev_info" },
	{ 0x69c0c81c, "module_put" },
	{ 0x26ba1146, "sysfs_create_link" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x5a6ee894, "of_get_child_by_name" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xfb463261, "phylib_stubs" },
	{ 0x3ddd2a59, "of_match_device" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x900d9662, "perf_trace_run_bpf_submit" },
	{ 0x40f0683e, "reset_control_put" },
	{ 0x8796200, "bus_unregister" },
	{ 0x9c0f1d0d, "devm_kfree" },
	{ 0x8aed66f2, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xf539ccd, "bus_find_device" },
	{ 0x511465d6, "device_add" },
	{ 0xfe3ba252, "sysfs_remove_link" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x92058702, "__xa_alloc_cyclic" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0x58169218, "vprintk" },
	{ 0x3f577bb0, "__devres_alloc_node" },
	{ 0x8a62b81b, "sfp_upstream_stop" },
	{ 0xaad37845, "trace_event_reg" },
	{ 0xfafe0614, "mutex_is_locked" },
	{ 0x8b6b8ee7, "is_acpi_data_node" },
	{ 0x4189169, "driver_unregister" },
	{ 0xea4a09cb, "mod_delayed_work_on" },
	{ 0xb366447f, "of_property_read_string" },
	{ 0xf7e79ef1, "sfp_bus_add_upstream" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x522168ea, "of_find_property" },
	{ 0xccf52bc9, "sfp_upstream_start" },
	{ 0x34621d4f, "class_unregister" },
	{ 0x48ebbe72, "led_trigger_unregister" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x77c10300, "led_classdev_register_ext" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x72a8d6f9, "__mutex_init" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0xf7ae7757, "device_register" },
	{ 0xab0e9e58, "device_del" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0xf73063d0, "device_bind_driver" },
	{ 0xb2e89a51, "_dev_warn" },
	{ 0x64b29a0b, "of_device_uevent_modalias" },
	{ 0x99a1143f, "device_link_del" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x23e667d7, "fwnode_handle_get" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x6bd38e60, "netdev_alert" },
	{ 0x6c40b02e, "ethnl_cable_test_alloc" },
	{ 0xb815fad1, "__xa_insert" },
	{ 0x85aea03b, "xa_erase" },
	{ 0xc7dd517d, "fwnode_find_reference" },
	{ 0x657b2643, "fwnode_property_read_string" },
	{ 0xc61733ca, "trace_event_buffer_reserve" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x84fcdfb, "linkwatch_fire_event" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x8b5417ce, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf2d54972, "__reset_control_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa1e94ab2, "netif_carrier_off" },
	{ 0x2b75bfc, "device_match_name" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xa4cde7a5, "led_trigger_register" },
	{ 0xc3eb561a, "netif_carrier_on" },
	{ 0x272068a9, "gpiod_get_optional" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x7463b553, "mdiobus_setup_mdiodev_from_board_info" },
	{ 0x7ccd858e, "sysfs_create_link_nowarn" },
	{ 0x4f9d29bc, "of_node_name_eq" },
	{ 0xff8e82aa, "dev_err_probe" },
	{ 0x67992d94, "ethnl_cable_test_finished" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x3edb086b, "pse_control_put" },
	{ 0x405fe470, "led_trigger_event" },
	{ 0x45222570, "device_release_driver" },
	{ 0x48597659, "ethnl_cable_test_free" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xc34df7f6, "gpiod_set_consumer_name" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x735470d7, "device_link_add" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x2a6cdbbb, "driver_register" },
	{ 0xe49baa9d, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x5bfc5d61, "__dev_fwnode" },
	{ 0xdb14c1b3, "kmalloc_caches" },
	{ 0xf7a799ce, "netdev_info" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xa112fa33, "bus_register" },
	{ 0xf0910075, "sfp_bus_del_upstream" },
	{ 0xb28d6cf7, "class_find_device" },
	{ 0x26ef9b8f, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "FB2F2470B496ADBF0669F75");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
