#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rtw89_pci_recognize_intrs, "", "");
KSYMTAB_FUNC(rtw89_pci_recognize_intrs_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_recognize_intrs_v2, "", "");
KSYMTAB_FUNC(rtw89_pci_enable_intr, "", "");
KSYMTAB_FUNC(rtw89_pci_disable_intr, "", "");
KSYMTAB_FUNC(rtw89_pci_enable_intr_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_disable_intr_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_enable_intr_v2, "", "");
KSYMTAB_FUNC(rtw89_pci_disable_intr_v2, "", "");
KSYMTAB_DATA(rtw89_pci_ch_dma_addr_set, "", "");
KSYMTAB_DATA(rtw89_pci_ch_dma_addr_set_v1, "", "");
KSYMTAB_DATA(rtw89_pci_ch_dma_addr_set_be, "", "");
KSYMTAB_FUNC(rtw89_pci_fill_txaddr_info, "", "");
KSYMTAB_FUNC(rtw89_pci_fill_txaddr_info_v1, "", "");
KSYMTAB_DATA(rtw89_bd_ram_table_dual, "", "");
KSYMTAB_DATA(rtw89_bd_ram_table_single, "", "");
KSYMTAB_FUNC(rtw89_pci_ltr_set, "", "");
KSYMTAB_FUNC(rtw89_pci_ltr_set_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_config_intr_mask, "", "");
KSYMTAB_FUNC(rtw89_pci_config_intr_mask_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_config_intr_mask_v2, "", "");
KSYMTAB_DATA(rtw89_pm_ops, "", "");
KSYMTAB_DATA(rtw89_pci_gen_ax, "", "");
KSYMTAB_FUNC(rtw89_pci_probe, "", "");
KSYMTAB_FUNC(rtw89_pci_remove, "", "");
KSYMTAB_FUNC(rtw89_pci_ltr_set_v2, "", "");
KSYMTAB_DATA(rtw89_pm_ops_be, "", "");
KSYMTAB_DATA(rtw89_pci_gen_be, "", "");

SYMBOL_CRC(rtw89_pci_recognize_intrs, 0x03a6855f, "");
SYMBOL_CRC(rtw89_pci_recognize_intrs_v1, 0x18ee4936, "");
SYMBOL_CRC(rtw89_pci_recognize_intrs_v2, 0x9ea35f37, "");
SYMBOL_CRC(rtw89_pci_enable_intr, 0xa771810d, "");
SYMBOL_CRC(rtw89_pci_disable_intr, 0x96a4d863, "");
SYMBOL_CRC(rtw89_pci_enable_intr_v1, 0x398b91a0, "");
SYMBOL_CRC(rtw89_pci_disable_intr_v1, 0xe602b7fd, "");
SYMBOL_CRC(rtw89_pci_enable_intr_v2, 0xa87be35f, "");
SYMBOL_CRC(rtw89_pci_disable_intr_v2, 0x77f2c502, "");
SYMBOL_CRC(rtw89_pci_ch_dma_addr_set, 0x9ce0961b, "");
SYMBOL_CRC(rtw89_pci_ch_dma_addr_set_v1, 0xf630d9a9, "");
SYMBOL_CRC(rtw89_pci_ch_dma_addr_set_be, 0x33c84a55, "");
SYMBOL_CRC(rtw89_pci_fill_txaddr_info, 0x1e2046a8, "");
SYMBOL_CRC(rtw89_pci_fill_txaddr_info_v1, 0xb3d9e283, "");
SYMBOL_CRC(rtw89_bd_ram_table_dual, 0x6efd9f2c, "");
SYMBOL_CRC(rtw89_bd_ram_table_single, 0x71162055, "");
SYMBOL_CRC(rtw89_pci_ltr_set, 0x46585396, "");
SYMBOL_CRC(rtw89_pci_ltr_set_v1, 0x709f44c8, "");
SYMBOL_CRC(rtw89_pci_config_intr_mask, 0xd730e5f4, "");
SYMBOL_CRC(rtw89_pci_config_intr_mask_v1, 0xdbfb1d37, "");
SYMBOL_CRC(rtw89_pci_config_intr_mask_v2, 0x28e3ca23, "");
SYMBOL_CRC(rtw89_pm_ops, 0x56fda377, "");
SYMBOL_CRC(rtw89_pci_gen_ax, 0x0d1608f3, "");
SYMBOL_CRC(rtw89_pci_probe, 0x612fc94f, "");
SYMBOL_CRC(rtw89_pci_remove, 0xaf988b61, "");
SYMBOL_CRC(rtw89_pci_ltr_set_v2, 0x2876b588, "");
SYMBOL_CRC(rtw89_pm_ops_be, 0xb332d6b4, "");
SYMBOL_CRC(rtw89_pci_gen_be, 0xf03cdab6, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x54b30cf5, "pcie_capability_read_word" },
	{ 0xf1ac2895, "pci_find_ext_capability" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x3dafc5c4, "rtw89_alloc_ieee80211_hw" },
	{ 0x2fe72d70, "devm_request_threaded_irq" },
	{ 0xba732e77, "pci_enable_device" },
	{ 0x3ea8af1a, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xcf76b2c2, "consume_skb" },
	{ 0x92bf3905, "pci_iomap" },
	{ 0xb9aec04e, "pci_alloc_irq_vectors" },
	{ 0x65b45cb, "complete" },
	{ 0xd37e8fce, "skb_dequeue" },
	{ 0x23a75825, "dma_unmap_page_attrs" },
	{ 0x92c40cc, "pci_request_regions" },
	{ 0x2e60bace, "memcpy" },
	{ 0xc29100cf, "pcpu_hot" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc513d7d3, "rtw89_core_napi_init" },
	{ 0x2fec5310, "rtw89_core_unregister" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf2a3ccb2, "dev_driver_string" },
	{ 0x9cde28c3, "ieee80211_tx_status_skb" },
	{ 0xbd504f55, "pci_read_config_dword" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xd0ee3abe, "dma_map_page_attrs" },
	{ 0xb5bc27f5, "napi_complete_done" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x3af29c6f, "devm_free_irq" },
	{ 0xd0124e0a, "__napi_schedule" },
	{ 0x8556423f, "_dev_info" },
	{ 0x181bba9, "skb_queue_tail" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0xbe64b3f0, "rtw89_core_init" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x8345007d, "__dma_sync_single_for_cpu" },
	{ 0x8aed66f2, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xef50a8ce, "rtw89_check_quirks" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x63164143, "rtw89_core_napi_deinit" },
	{ 0x420eabe4, "mem_section" },
	{ 0x2a164ec6, "skb_push" },
	{ 0x61e69931, "dma_alloc_attrs" },
	{ 0xae17c222, "rtw89_free_ieee80211_hw" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x456c8783, "rtw89_core_napi_start" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xd3a8fb8a, "pci_iounmap" },
	{ 0xe3f57b04, "rtw89_debug_mask" },
	{ 0x2bc95bd4, "memset" },
	{ 0xb2e89a51, "_dev_warn" },
	{ 0xd51f1b5a, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xcfb7bab7, "rtw89_ser_notify" },
	{ 0xdc923ed1, "__netdev_alloc_skb" },
	{ 0x52b51b8a, "skb_unlink" },
	{ 0x18c54b9e, "dma_set_coherent_mask" },
	{ 0x621bc194, "rtw89_core_register" },
	{ 0xb9857234, "dma_free_attrs" },
	{ 0xaa1a1ceb, "rtw89_core_rx" },
	{ 0xf30da266, "param_ops_bool" },
	{ 0xe62c932b, "pci_release_regions" },
	{ 0x244c93c3, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xc19a90c3, "rtw89_core_deinit" },
	{ 0xe54e55bd, "pci_write_config_byte" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x8d6e7a84, "pci_disable_device" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x6102ffb0, "dma_set_mask" },
	{ 0x42939c49, "napi_schedule_prep" },
	{ 0x625d097b, "pci_read_config_byte" },
	{ 0x25d7b154, "dev_kfree_skb_any_reason" },
	{ 0xeae28654, "rtw89_debug" },
	{ 0x24b5e1b, "pci_free_irq_vectors" },
	{ 0xf9a482f9, "msleep" },
	{ 0xa96a83f3, "rtw89_core_napi_stop" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xf0a3df24, "rtw89_chip_info_setup" },
	{ 0x8f1e452d, "rtw89_mac_get_err_status" },
	{ 0x26ef9b8f, "module_layout" },
};

MODULE_INFO(depends, "rtw89_core,mac80211");


MODULE_INFO(srcversion, "1F4DA7791FF88F292CC7751");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
