#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(parport_pc_probe_port, "", "");
KSYMTAB_FUNC(parport_pc_unregister_port, "", "");

SYMBOL_CRC(parport_pc_probe_port, 0xb0e96bc6, "");
SYMBOL_CRC(parport_pc_unregister_port, 0x1fb10640, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x70f7896, "_printk" },
	{ 0xdbdf6c92, "ioport_resource" },
	{ 0x85bd1608, "__request_region" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xa8fc0c3b, "parport_remove_port" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x72b243d4, "free_dma" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xb9857234, "dma_free_attrs" },
	{ 0x37a0cba, "kfree" },
	{ 0x4235a750, "parport_del_port" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xd31af7b, "pci_unregister_driver" },
	{ 0x871b57b0, "pnp_unregister_driver" },
	{ 0xd053b274, "platform_driver_unregister" },
	{ 0x24eb0947, "platform_bus_type" },
	{ 0x4e08af23, "platform_device_unregister" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb121390a, "probe_irq_on" },
	{ 0xab600421, "probe_irq_off" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb72b0ae8, "const_pcpu_hot" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x2052a5b4, "parport_wait_event" },
	{ 0x4292364c, "schedule" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x420eabe4, "mem_section" },
	{ 0xd0ee3abe, "dma_map_page_attrs" },
	{ 0x2e60bace, "memcpy" },
	{ 0x7125fadc, "dma_spin_lock" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x23a75825, "dma_unmap_page_attrs" },
	{ 0xf2a3ccb2, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x2182b006, "parport_wait_peripheral" },
	{ 0x1a7308c0, "parport_ieee1284_ecp_write_data" },
	{ 0xc571aedf, "parport_ieee1284_write_compat" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdb14c1b3, "kmalloc_caches" },
	{ 0x8b5417ce, "__kmalloc_cache_noprof" },
	{ 0xefe7d405, "parport_register_port" },
	{ 0xd4696f33, "platform_device_register_full" },
	{ 0x6102ffb0, "dma_set_mask" },
	{ 0x18c54b9e, "dma_set_coherent_mask" },
	{ 0x5e3a3912, "parport_irq_handler" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x8aed66f2, "_dev_err" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xb1441129, "parport_announce_port" },
	{ 0x7054a3e4, "request_dma" },
	{ 0x61e69931, "dma_alloc_attrs" },
	{ 0xba732e77, "pci_enable_device" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x31accd2e, "pnp_get_resource" },
	{ 0x8556423f, "_dev_info" },
	{ 0x4f775a8c, "pci_write_config_dword" },
	{ 0x625d097b, "pci_read_config_byte" },
	{ 0xbd504f55, "pci_read_config_dword" },
	{ 0xe54e55bd, "pci_write_config_byte" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3e020dca, "__platform_driver_register" },
	{ 0x3d588a5, "pci_get_device" },
	{ 0x28ca80fe, "pci_match_id" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x587fc56d, "pnp_register_driver" },
	{ 0xbb14121f, "__pci_register_driver" },
	{ 0x78eead22, "param_ops_charp" },
	{ 0xbb267503, "param_ops_int" },
	{ 0x51dde73, "param_array_ops" },
	{ 0xb3c18775, "parport_ieee1284_epp_write_data" },
	{ 0x3f49f29c, "parport_ieee1284_epp_read_data" },
	{ 0x14890f31, "parport_ieee1284_epp_write_addr" },
	{ 0xf129629a, "parport_ieee1284_epp_read_addr" },
	{ 0x65ad959b, "parport_ieee1284_ecp_read_data" },
	{ 0xbd3b8084, "parport_ieee1284_ecp_write_addr" },
	{ 0x8dfdbb19, "parport_ieee1284_read_nibble" },
	{ 0xeedb9936, "parport_ieee1284_read_byte" },
	{ 0x26ef9b8f, "module_layout" },
};

MODULE_INFO(depends, "parport");

MODULE_ALIAS("pnp:dPNP0400*");
MODULE_ALIAS("acpi*:PNP0400:*");
MODULE_ALIAS("pnp:dPNP0401*");
MODULE_ALIAS("acpi*:PNP0401:*");
MODULE_ALIAS("pci:v00001106d00000686sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001106d00008231sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001283d00008872sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000131Fd00001020sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000131Fd00001021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000131Fd00002020sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000131Fd00002021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001407d00008000sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001407d00008002sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001407d00008003sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001407d00008800sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010B5d00009050sv0000D84Dsd00004014bc*sc*i*");
MODULE_ALIAS("pci:v00001409d00007268sv00001409sd00000101bc*sc*i*");
MODULE_ALIAS("pci:v00001409d00007268sv00001409sd00000102bc*sc*i*");
MODULE_ALIAS("pci:v00001409d00007268sv00001409sd00000103bc*sc*i*");
MODULE_ALIAS("pci:v00001409d00007268sv00001409sd00000104bc*sc*i*");
MODULE_ALIAS("pci:v00001409d00007268sv00001409sd00009018bc*sc*i*");
MODULE_ALIAS("pci:v00001592d00000782sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001592d00000783sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014D2d00008001sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014DBd00002120sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014DBd00002121sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d00009523sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d00009513sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d00008403sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d0000C000sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d0000C004sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d0000C100sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d0000C104sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d0000C110sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d0000C114sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d0000C118sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d0000C11Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000416Cd00000100sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014F2d00000121sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00009710d00009900sv0000A000sd00002000bc*sc*i*");
MODULE_ALIAS("pci:v00009710d00009705sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00009710d00009715sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00009710d00009755sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00009710d00009805sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00009710d00009815sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00009710d00009901sv0000A000sd00002000bc*sc*i*");
MODULE_ALIAS("pci:v00009710d00009865sv0000A000sd00001000bc*sc*i*");
MODULE_ALIAS("pci:v00009710d00009865sv0000A000sd00002000bc*sc*i*");
MODULE_ALIAS("pci:v0000125Bd00009100sv0000A000sd00002000bc*sc*i*");
MODULE_ALIAS("pci:v0000135Cd00000278sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001C00d00003050sv00001C00sd00003050bc*sc*i*");
MODULE_ALIAS("pci:v0000135Ad0000402Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000135Ad00000BE1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000135Ad00000BE2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000135Ad0000401Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000135Ad00004007sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000135Ad0000401Fsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "7C6BF636F086679C04EF1B0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
