#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(iscsi_find_param_from_key, "", "");
KSYMTAB_FUNC(iscsit_get_datain_values, "", "");
KSYMTAB_FUNC(iscsit_increment_maxcmdsn, "", "");
KSYMTAB_FUNC(iscsit_cause_connection_reinstatement, "", "");
KSYMTAB_FUNC(iscsit_stop_dataout_timer, "", "");
KSYMTAB_FUNC(iscsi_change_param_sprintf, "", "");
KSYMTAB_FUNC(iscsi_target_check_login_request, "", "");
KSYMTAB_FUNC(iscsit_tmr_post_handler, "", "");
KSYMTAB_FUNC(iscsit_allocate_cmd, "", "");
KSYMTAB_FUNC(iscsit_sequence_cmd, "", "");
KSYMTAB_FUNC(iscsit_find_cmd_from_itt, "", "");
KSYMTAB_FUNC(iscsit_find_cmd_from_itt_or_dump, "", "");
KSYMTAB_FUNC(iscsit_add_cmd_to_immediate_queue, "", "");
KSYMTAB_FUNC(iscsit_release_cmd, "", "");
KSYMTAB_FUNC(iscsit_free_cmd, "", "");
KSYMTAB_FUNC(iscsit_queue_rsp, "", "");
KSYMTAB_FUNC(iscsit_aborted_task, "", "");
KSYMTAB_FUNC(iscsit_add_reject, "", "");
KSYMTAB_FUNC(iscsit_reject_cmd, "", "");
KSYMTAB_FUNC(iscsit_setup_scsi_cmd, "", "");
KSYMTAB_FUNC(iscsit_set_unsolicited_dataout, "", "");
KSYMTAB_FUNC(iscsit_process_scsi_cmd, "", "");
KSYMTAB_FUNC(__iscsit_check_dataout_hdr, "", "");
KSYMTAB_FUNC(iscsit_check_dataout_hdr, "", "");
KSYMTAB_FUNC(iscsit_check_dataout_payload, "", "");
KSYMTAB_FUNC(iscsit_setup_nop_out, "", "");
KSYMTAB_FUNC(iscsit_process_nop_out, "", "");
KSYMTAB_FUNC(iscsit_handle_task_mgt_cmd, "", "");
KSYMTAB_FUNC(iscsit_setup_text_cmd, "", "");
KSYMTAB_FUNC(iscsit_process_text_cmd, "", "");
KSYMTAB_FUNC(iscsit_handle_logout_cmd, "", "");
KSYMTAB_FUNC(iscsit_handle_snack, "", "");
KSYMTAB_FUNC(iscsit_build_datain_pdu, "", "");
KSYMTAB_FUNC(iscsit_build_logout_rsp, "", "");
KSYMTAB_FUNC(iscsit_build_nopin_rsp, "", "");
KSYMTAB_FUNC(iscsit_build_r2ts_for_cmd, "", "");
KSYMTAB_FUNC(iscsit_build_rsp_pdu, "", "");
KSYMTAB_FUNC(iscsit_build_task_mgt_rsp, "", "");
KSYMTAB_FUNC(iscsit_build_text_rsp, "", "");
KSYMTAB_FUNC(iscsit_build_reject, "", "");
KSYMTAB_FUNC(iscsit_thread_check_cpumask, "", "");
KSYMTAB_FUNC(iscsit_immediate_queue, "", "");
KSYMTAB_FUNC(iscsit_response_queue, "", "");
KSYMTAB_FUNC(iscsit_logout_post_handler, "", "");
KSYMTAB_FUNC(iscsit_register_transport, "", "");
KSYMTAB_FUNC(iscsit_unregister_transport, "", "");

SYMBOL_CRC(iscsi_find_param_from_key, 0xf34332f0, "");
SYMBOL_CRC(iscsit_get_datain_values, 0xb899d409, "");
SYMBOL_CRC(iscsit_increment_maxcmdsn, 0xd54cdb58, "");
SYMBOL_CRC(iscsit_cause_connection_reinstatement, 0xd6ab4d5c, "");
SYMBOL_CRC(iscsit_stop_dataout_timer, 0xa00754a0, "");
SYMBOL_CRC(iscsi_change_param_sprintf, 0x5e7260d2, "");
SYMBOL_CRC(iscsi_target_check_login_request, 0x4a3c1d31, "");
SYMBOL_CRC(iscsit_tmr_post_handler, 0xfc3c8b4f, "");
SYMBOL_CRC(iscsit_allocate_cmd, 0x1129e03e, "");
SYMBOL_CRC(iscsit_sequence_cmd, 0x0237e1f8, "");
SYMBOL_CRC(iscsit_find_cmd_from_itt, 0x99a6b25d, "");
SYMBOL_CRC(iscsit_find_cmd_from_itt_or_dump, 0x697cc299, "");
SYMBOL_CRC(iscsit_add_cmd_to_immediate_queue, 0x37714262, "");
SYMBOL_CRC(iscsit_release_cmd, 0xcf2ba658, "");
SYMBOL_CRC(iscsit_free_cmd, 0x1e4ad454, "");
SYMBOL_CRC(iscsit_queue_rsp, 0xc4b166ef, "");
SYMBOL_CRC(iscsit_aborted_task, 0x99aea7cf, "");
SYMBOL_CRC(iscsit_add_reject, 0xf84ac7ba, "");
SYMBOL_CRC(iscsit_reject_cmd, 0xd2e4b946, "");
SYMBOL_CRC(iscsit_setup_scsi_cmd, 0x2d27a8a2, "");
SYMBOL_CRC(iscsit_set_unsolicited_dataout, 0x38634a7c, "");
SYMBOL_CRC(iscsit_process_scsi_cmd, 0x4e3d8ae8, "");
SYMBOL_CRC(__iscsit_check_dataout_hdr, 0xcc088b37, "");
SYMBOL_CRC(iscsit_check_dataout_hdr, 0x9d564d2a, "");
SYMBOL_CRC(iscsit_check_dataout_payload, 0x4a5d4735, "");
SYMBOL_CRC(iscsit_setup_nop_out, 0x4d16c977, "");
SYMBOL_CRC(iscsit_process_nop_out, 0xdede4d91, "");
SYMBOL_CRC(iscsit_handle_task_mgt_cmd, 0x518ecf0e, "");
SYMBOL_CRC(iscsit_setup_text_cmd, 0xe3c02b1b, "");
SYMBOL_CRC(iscsit_process_text_cmd, 0x771b68ad, "");
SYMBOL_CRC(iscsit_handle_logout_cmd, 0x633080c9, "");
SYMBOL_CRC(iscsit_handle_snack, 0xe8997992, "");
SYMBOL_CRC(iscsit_build_datain_pdu, 0xa1e97707, "");
SYMBOL_CRC(iscsit_build_logout_rsp, 0xe936b435, "");
SYMBOL_CRC(iscsit_build_nopin_rsp, 0x00d82f80, "");
SYMBOL_CRC(iscsit_build_r2ts_for_cmd, 0x3067950f, "");
SYMBOL_CRC(iscsit_build_rsp_pdu, 0x0b72953b, "");
SYMBOL_CRC(iscsit_build_task_mgt_rsp, 0xa66295aa, "");
SYMBOL_CRC(iscsit_build_text_rsp, 0xd1eda708, "");
SYMBOL_CRC(iscsit_build_reject, 0xd8752d3a, "");
SYMBOL_CRC(iscsit_thread_check_cpumask, 0x9aaaf2f9, "");
SYMBOL_CRC(iscsit_immediate_queue, 0x321a7b0c, "");
SYMBOL_CRC(iscsit_response_queue, 0x2083e430, "");
SYMBOL_CRC(iscsit_logout_post_handler, 0x105b9576, "");
SYMBOL_CRC(iscsit_register_transport, 0x7de58faa, "");
SYMBOL_CRC(iscsit_unregister_transport, 0x96c84761, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1b22ffb4, "crypto_alloc_ahash" },
	{ 0x1b015d25, "bitmap_parselist" },
	{ 0xd4fca09c, "target_alloc_cmd_counter" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0x515efaa5, "try_module_get" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x44c7812, "target_wait_for_cmds" },
	{ 0xfb400805, "transport_generic_new_cmd" },
	{ 0xbffb55f0, "target_free_cmd_counter" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xe0b81d8b, "kmap_high" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xa6f3a6f4, "target_execute_cmd" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x2e332034, "_raw_write_lock_bh" },
	{ 0x20569d10, "kernel_bind" },
	{ 0xbfc97bdc, "up" },
	{ 0x1469cef1, "sock_create" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x2e60bace, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x35b11056, "_raw_read_unlock_bh" },
	{ 0xbf919a59, "_raw_read_lock_bh" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xc29100cf, "pcpu_hot" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xce56ce8c, "_raw_write_unlock_bh" },
	{ 0xb2bd5028, "__tracepoint_sk_data_ready" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xa02d307d, "target_submit" },
	{ 0x5b25e25c, "kernel_accept" },
	{ 0xdaf65445, "vsnprintf" },
	{ 0xcc51c7f6, "core_tpg_set_initiator_node_queue_depth" },
	{ 0xfd9de826, "target_stop_cmd_counter" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x46f4531a, "transport_generic_handle_tmr" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x24cf3a23, "transport_lookup_tmr_lun" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x6f83fba8, "hex2bin" },
	{ 0xafca42e, "wake_up_process" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0x69495a75, "crypto_destroy_tfm" },
	{ 0xf79ca159, "wait_for_completion_interruptible_timeout" },
	{ 0x7e5d8a20, "transport_alloc_session_tags" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x668b595, "_kstrtoul" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x784ad0cb, "transport_alloc_session" },
	{ 0xbc435770, "dump_stack" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x70f7896, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0xea461a06, "sbitmap_prepare_to_wait" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x36967b6b, "target_unregister_template" },
	{ 0x9870c1c7, "transport_send_check_condition_and_sense" },
	{ 0x738803e6, "strnlen" },
	{ 0xb72b0ae8, "const_pcpu_hot" },
	{ 0x6cb6253e, "transport_free_session" },
	{ 0xc6cbbc89, "capable" },
	{ 0x69c0c81c, "module_put" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xe058093c, "flush_signals" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0x3fa425fc, "crypto_ahash_init" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8e166b72, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x6ccabd23, "idr_alloc" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x3560e651, "kmemdup_nul" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x8948eb2d, "config_group_init_type_name" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x954f099c, "idr_preload" },
	{ 0x76343a20, "kunmap_high" },
	{ 0x420eabe4, "mem_section" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0xc3f35d58, "kmem_cache_free" },
	{ 0xd60a55ab, "set_cpus_allowed_ptr" },
	{ 0x3fcdb910, "transport_deregister_session_configfs" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xba903b6, "sbitmap_queue_clear" },
	{ 0x3aac80d0, "iov_iter_kvec" },
	{ 0x6573f300, "ida_free" },
	{ 0x58c59547, "wait_for_completion_interruptible" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0xca1adb53, "inet_pton_with_scope" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x97be5667, "sock_sendmsg" },
	{ 0x7f301abe, "crypto_shash_update" },
	{ 0x513a31e4, "core_tpg_set_initiator_node_tag" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xaa19e4aa, "_kstrtol" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0xa7a0171f, "kthread_stop" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x72a8d6f9, "__mutex_init" },
	{ 0x9f6c6899, "mutex_lock_interruptible" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0xd89da37f, "movable_zone" },
	{ 0x11089ac7, "_ctype" },
	{ 0x6447590, "target_cmd_parse_cdb" },
	{ 0xc28b452e, "sock_set_reuseaddr" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0xb922ecaa, "crypto_ahash_finup" },
	{ 0x2bc95bd4, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x77e0e4b2, "iov_iter_bvec" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x24412ee1, "kmem_cache_alloc_noprof" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x415a3147, "crypto_ahash_digest" },
	{ 0x8c966cf0, "complete_all" },
	{ 0xdedd619a, "__kmem_cache_create_args" },
	{ 0xc578b71b, "crypto_ahash_final" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x462a01c, "__target_init_cmd" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x14c1c720, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xa68613dd, "get_jiffies_64" },
	{ 0x5be2c48d, "transport_lookup_cmd_lun" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4ec1585d, "core_tpg_check_initiator_node_acl" },
	{ 0xd0a2d11f, "target_cmd_init_cdb" },
	{ 0xaa50af84, "kernel_listen" },
	{ 0xd037991d, "core_tmr_alloc_req" },
	{ 0x999e8297, "vfree" },
	{ 0x137ac258, "ip_sock_set_freebind" },
	{ 0xea3c8e4e, "scsilun_to_int" },
	{ 0x43b7ea1b, "sbitmap_finish_wait" },
	{ 0x85df9b6c, "strsep" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0x3d4cafaf, "crypto_shash_finup" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0x835459a0, "transport_wait_for_tasks" },
	{ 0xdc1a78c, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc0d697a5, "target_get_sess_cmd" },
	{ 0xedef5d36, "target_complete_cmd" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x8b5417ce, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x17dfbc09, "sock_recvmsg" },
	{ 0x32dff1ff, "core_tpg_deregister" },
	{ 0x6b62b9ee, "down_interruptible" },
	{ 0x65b4c5a9, "__transport_register_session" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xe1b5bc41, "target_show_dynamic_sessions" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xa2f55039, "sock_release" },
	{ 0x26e135f9, "target_register_template" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x48696e62, "tcp_sock_set_nodelay" },
	{ 0xe2bfdc9b, "send_sig" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x48e5632d, "transport_generic_free_cmd" },
	{ 0x1d7e0ed8, "page_address" },
	{ 0x33010e11, "core_tpg_register" },
	{ 0xd0d8621b, "strlen" },
	{ 0xb19e22f2, "target_put_sess_cmd" },
	{ 0x742578a5, "wait_for_random_bytes" },
	{ 0x1e8c5f5, "crypto_ahash_update" },
	{ 0xb3be49ba, "transport_deregister_session" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xaa8f1b71, "inet_addr_is_any" },
	{ 0x349cba85, "strchr" },
	{ 0x46b39ccb, "crypto_alloc_shash" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xbd8558da, "__sbitmap_queue_get" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xdb14c1b3, "kmalloc_caches" },
	{ 0x50c7fc54, "krealloc_noprof" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x282f97a9, "kmem_cache_destroy" },
	{ 0xf1d7b777, "target_tpg_has_node_acl" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x26ef9b8f, "module_layout" },
};

MODULE_INFO(depends, "target_core_mod,scsi_common,configfs");


MODULE_INFO(srcversion, "9CA55D8970A09E85C48891E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
