#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(sc16is74x_devtype, "_gpl", "SERIAL_NXP_SC16IS7XX");
KSYMTAB_DATA(sc16is750_devtype, "_gpl", "SERIAL_NXP_SC16IS7XX");
KSYMTAB_DATA(sc16is752_devtype, "_gpl", "SERIAL_NXP_SC16IS7XX");
KSYMTAB_DATA(sc16is760_devtype, "_gpl", "SERIAL_NXP_SC16IS7XX");
KSYMTAB_DATA(sc16is762_devtype, "_gpl", "SERIAL_NXP_SC16IS7XX");
KSYMTAB_FUNC(sc16is7xx_probe, "_gpl", "SERIAL_NXP_SC16IS7XX");
KSYMTAB_FUNC(sc16is7xx_remove, "_gpl", "SERIAL_NXP_SC16IS7XX");
KSYMTAB_DATA(sc16is7xx_dt_ids, "_gpl", "SERIAL_NXP_SC16IS7XX");
KSYMTAB_DATA(sc16is7xx_regcfg, "_gpl", "SERIAL_NXP_SC16IS7XX");
KSYMTAB_FUNC(sc16is7xx_regmap_name, "_gpl", "SERIAL_NXP_SC16IS7XX");
KSYMTAB_FUNC(sc16is7xx_regmap_port_mask, "_gpl", "SERIAL_NXP_SC16IS7XX");

SYMBOL_CRC(sc16is74x_devtype, 0x561783a9, "_gpl");
SYMBOL_CRC(sc16is750_devtype, 0x1af41b3d, "_gpl");
SYMBOL_CRC(sc16is752_devtype, 0x1e01cb00, "_gpl");
SYMBOL_CRC(sc16is760_devtype, 0x83167d3c, "_gpl");
SYMBOL_CRC(sc16is762_devtype, 0x87e3ad01, "_gpl");
SYMBOL_CRC(sc16is7xx_probe, 0x4ade901c, "_gpl");
SYMBOL_CRC(sc16is7xx_remove, 0x464e98f1, "_gpl");
SYMBOL_CRC(sc16is7xx_dt_ids, 0x97b77680, "_gpl");
SYMBOL_CRC(sc16is7xx_regcfg, 0x3df2892a, "_gpl");
SYMBOL_CRC(sc16is7xx_regmap_name, 0xe64f5280, "_gpl");
SYMBOL_CRC(sc16is7xx_regmap_port_mask, 0x01e26f72, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xd8995a00, "regmap_read" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x947c0fbe, "kthread_queue_work" },
	{ 0xd5c2a99e, "kthread_queue_delayed_work" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0x759b91a7, "regmap_write" },
	{ 0xb066c741, "regcache_cache_bypass" },
	{ 0xb38cf9a6, "gpiochip_get_data" },
	{ 0x49c6cfc6, "uart_register_driver" },
	{ 0x6aa7df05, "uart_unregister_driver" },
	{ 0x21c8a949, "kthread_cancel_delayed_work_sync" },
	{ 0x6573f300, "ida_free" },
	{ 0xe88b228, "uart_remove_one_port" },
	{ 0x1798311, "regmap_update_bits_base" },
	{ 0xe32bcb49, "kthread_flush_worker" },
	{ 0xa7a0171f, "kthread_stop" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x9f0c8c41, "gpiochip_remove" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x3d100518, "nbcon_device_try_acquire" },
	{ 0x78fba89f, "nbcon_device_release" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x953e99f6, "uart_handle_cts_change" },
	{ 0x1e9ba1e8, "uart_handle_dcd_change" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0x50c1b3d1, "uart_get_baud_rate" },
	{ 0x96c218f1, "uart_update_timeout" },
	{ 0xbf625cd0, "devm_kmalloc" },
	{ 0x929b1ca8, "device_property_read_u32_array" },
	{ 0x15a511fc, "devm_clk_get_optional" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xcbebe73e, "__kthread_init_worker" },
	{ 0x955b0e2e, "kthread_worker_fn" },
	{ 0x14c1c720, "kthread_create_on_node" },
	{ 0xafca42e, "wake_up_process" },
	{ 0x5076259d, "sched_set_fifo" },
	{ 0x3a9af33f, "devm_gpiod_get_optional" },
	{ 0x57e411ff, "gpiod_set_value_cansleep" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0x72a8d6f9, "__mutex_init" },
	{ 0x223ac579, "uart_get_rs485_mode" },
	{ 0xf86f560, "kthread_delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x22218c4b, "uart_add_one_port" },
	{ 0xc4f0a47c, "gpiochip_add_data_with_key" },
	{ 0x9742e4c9, "__dynamic_dev_dbg" },
	{ 0xff8e82aa, "dev_err_probe" },
	{ 0x2fe72d70, "devm_request_threaded_irq" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x8aed66f2, "_dev_err" },
	{ 0xdd5fa381, "__kfifo_out_linear" },
	{ 0xcd88d044, "regmap_noinc_write" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0xe5695993, "uart_write_wakeup" },
	{ 0x4bd052bd, "regmap_noinc_read" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x80088bb7, "uart_insert_char" },
	{ 0x51fe63da, "tty_flip_buffer_push" },
	{ 0x4a17ed66, "sysrq_mask" },
	{ 0x5835b389, "uart_try_toggle_sysrq" },
	{ 0xc9993ea2, "handle_sysrq" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x842ad2de, "do_SAK" },
	{ 0xb2e89a51, "_dev_warn" },
	{ 0xf9a482f9, "msleep" },
	{ 0x26ef9b8f, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("of:N*T*Cnxp,sc16is740");
MODULE_ALIAS("of:N*T*Cnxp,sc16is740C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is741");
MODULE_ALIAS("of:N*T*Cnxp,sc16is741C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is750");
MODULE_ALIAS("of:N*T*Cnxp,sc16is750C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is752");
MODULE_ALIAS("of:N*T*Cnxp,sc16is752C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is760");
MODULE_ALIAS("of:N*T*Cnxp,sc16is760C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is762");
MODULE_ALIAS("of:N*T*Cnxp,sc16is762C*");

MODULE_INFO(srcversion, "869908A1EC9AF320EE1AAA4");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
