#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(xhci_run, "_gpl", "");
KSYMTAB_FUNC(xhci_stop, "_gpl", "");
KSYMTAB_FUNC(xhci_shutdown, "_gpl", "");
KSYMTAB_FUNC(xhci_suspend, "_gpl", "");
KSYMTAB_FUNC(xhci_resume, "_gpl", "");
KSYMTAB_FUNC(xhci_get_endpoint_index, "_gpl", "");
KSYMTAB_FUNC(xhci_drop_endpoint, "_gpl", "");
KSYMTAB_FUNC(xhci_add_endpoint, "_gpl", "");
KSYMTAB_FUNC(xhci_stop_endpoint_sync, "_gpl", "");
KSYMTAB_FUNC(xhci_check_bandwidth, "_gpl", "");
KSYMTAB_FUNC(xhci_reset_bandwidth, "_gpl", "");
KSYMTAB_FUNC(xhci_update_hub_device, "_gpl", "");
KSYMTAB_FUNC(xhci_gen_setup, "_gpl", "");
KSYMTAB_FUNC(xhci_init_driver, "_gpl", "");
KSYMTAB_FUNC(xhci_initialize_ring_info, "_gpl", "");
KSYMTAB_FUNC(xhci_get_ep_ctx, "_gpl", "");
KSYMTAB_FUNC(xhci_remove_secondary_interrupter, "_gpl", "");
KSYMTAB_FUNC(xhci_create_secondary_interrupter, "_gpl", "");
KSYMTAB_FUNC(xhci_ext_cap_init, "_gpl", "");
KSYMTAB_FUNC(xhci_msi_irq, "_gpl", "");
KSYMTAB_FUNC(xhci_port_state_to_neutral, "_gpl", "");
KSYMTAB_FUNC(xhci_hub_control, "_gpl", "");
KSYMTAB_FUNC(xhci_dbg_trace, "_gpl", "");
KSYMTAB_DATA(__tracepoint_xhci_dbg_quirks, "_gpl", "");
KSYMTAB_FUNC(__traceiter_xhci_dbg_quirks, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_xhci_dbg_quirks, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_xhci_dbg_quirks, "_gpl", "");
KSYMTAB_DATA(__tracepoint_xhci_dbg_init, "_gpl", "");
KSYMTAB_FUNC(__traceiter_xhci_dbg_init, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_xhci_dbg_init, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_xhci_dbg_init, "_gpl", "");

SYMBOL_CRC(xhci_run, 0xe00f88ab, "_gpl");
SYMBOL_CRC(xhci_stop, 0x05290f49, "_gpl");
SYMBOL_CRC(xhci_shutdown, 0xe78b4398, "_gpl");
SYMBOL_CRC(xhci_suspend, 0x62311ae7, "_gpl");
SYMBOL_CRC(xhci_resume, 0xc92af1c0, "_gpl");
SYMBOL_CRC(xhci_get_endpoint_index, 0x57d4050a, "_gpl");
SYMBOL_CRC(xhci_drop_endpoint, 0x72319263, "_gpl");
SYMBOL_CRC(xhci_add_endpoint, 0x2afa9694, "_gpl");
SYMBOL_CRC(xhci_stop_endpoint_sync, 0x1420f484, "_gpl");
SYMBOL_CRC(xhci_check_bandwidth, 0xfe0751cd, "_gpl");
SYMBOL_CRC(xhci_reset_bandwidth, 0x0866b7a7, "_gpl");
SYMBOL_CRC(xhci_update_hub_device, 0x0acc2ab5, "_gpl");
SYMBOL_CRC(xhci_gen_setup, 0x257ef081, "_gpl");
SYMBOL_CRC(xhci_init_driver, 0xecebf68e, "_gpl");
SYMBOL_CRC(xhci_initialize_ring_info, 0x0f4bbef4, "_gpl");
SYMBOL_CRC(xhci_get_ep_ctx, 0x453b23d9, "_gpl");
SYMBOL_CRC(xhci_remove_secondary_interrupter, 0x8d8d5108, "_gpl");
SYMBOL_CRC(xhci_create_secondary_interrupter, 0xad440b08, "_gpl");
SYMBOL_CRC(xhci_ext_cap_init, 0xa6129e76, "_gpl");
SYMBOL_CRC(xhci_msi_irq, 0x88fac4e8, "_gpl");
SYMBOL_CRC(xhci_port_state_to_neutral, 0x1cdd0605, "_gpl");
SYMBOL_CRC(xhci_hub_control, 0x7af982d2, "_gpl");
SYMBOL_CRC(xhci_dbg_trace, 0x13f471c0, "_gpl");
SYMBOL_CRC(__tracepoint_xhci_dbg_quirks, 0xd2f1f79c, "_gpl");
SYMBOL_CRC(__traceiter_xhci_dbg_quirks, 0x4c549b36, "_gpl");
SYMBOL_CRC(__SCK__tp_func_xhci_dbg_quirks, 0xd7dccd23, "_gpl");
SYMBOL_CRC(__SCT__tp_func_xhci_dbg_quirks, 0xabf03fc3, "_gpl");
SYMBOL_CRC(__tracepoint_xhci_dbg_init, 0xced62b04, "_gpl");
SYMBOL_CRC(__traceiter_xhci_dbg_init, 0xa2402218, "_gpl");
SYMBOL_CRC(__SCK__tp_func_xhci_dbg_init, 0xa19561fb, "_gpl");
SYMBOL_CRC(__SCT__tp_func_xhci_dbg_init, 0x8a5c1029, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0x508897a5, "param_ops_ullong" },
	{ 0xc59c71c3, "platform_device_put" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xdb32f13b, "usb_asmedia_modifyflowcontrol" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x5e7bc581, "dma_pool_create" },
	{ 0x4acb51b, "radix_tree_insert" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x5ef7e831, "usb_hcd_resume_root_hub" },
	{ 0x859fb94c, "usb_hcd_unlink_urb_from_ep" },
	{ 0x914b34e3, "usb_hcd_start_port_resume" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xff422fb4, "usb_amd_pt_check_port" },
	{ 0x5da131ea, "usb_hc_died" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0x44b384b3, "trace_raw_output_prep" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x8cd69df1, "__trace_trigger_soft_disabled" },
	{ 0x5fc9d3f0, "radix_tree_lookup" },
	{ 0x9f21bb66, "__kmalloc_node_noprof" },
	{ 0x23a75825, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x6c74418e, "trace_event_printf" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc93de4ed, "usb_wakeup_notification" },
	{ 0x6be67180, "trace_event_raw_init" },
	{ 0x24c0c03d, "trace_print_symbols_seq" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc29100cf, "pcpu_hot" },
	{ 0x8aba9764, "seq_lseek" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe27bb409, "bpf_trace_run2" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xdaf65445, "vsnprintf" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x9742e4c9, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xf3eb1323, "kstrtou16_from_user" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xf2a3ccb2, "dev_driver_string" },
	{ 0x128e9245, "trace_event_buffer_commit" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xd0ee3abe, "dma_map_page_attrs" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x4864026d, "usb_hcd_map_urb_for_dma" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc732890f, "debugfs_create_regset32" },
	{ 0x8556423f, "_dev_info" },
	{ 0x19c1e853, "platform_device_add_resources" },
	{ 0xa9347ea0, "usb_hcd_check_unlink_urb" },
	{ 0x78c120f2, "iommu_get_domain_for_dev" },
	{ 0x9f27c5e8, "radix_tree_delete" },
	{ 0x937d9905, "device_create_managed_software_node" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x900d9662, "perf_trace_run_bpf_submit" },
	{ 0x8aed66f2, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x676eabb2, "usb_hcd_end_port_resume" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x4e08af23, "platform_device_unregister" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x420eabe4, "mem_section" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0x61e69931, "dma_alloc_attrs" },
	{ 0x121abfb0, "debugfs_remove" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0xb789f40, "platform_device_add" },
	{ 0xaad37845, "trace_event_reg" },
	{ 0x671ee208, "platform_device_alloc" },
	{ 0xea4a09cb, "mod_delayed_work_on" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xdc825d6c, "usb_amd_quirk_pll_disable" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x72a8d6f9, "__mutex_init" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xa73d5bca, "bpf_trace_run1" },
	{ 0x5d913f04, "usb_hcd_link_urb_to_ep" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x2bc95bd4, "memset" },
	{ 0xb2e89a51, "_dev_warn" },
	{ 0x1ebbd3ab, "__kmalloc_cache_node_noprof" },
	{ 0x4e99d666, "usb_hcd_is_primary_hcd" },
	{ 0xb22e16d5, "radix_tree_maybe_preload" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x10ecc52c, "usb_amd_quirk_pll_enable" },
	{ 0x8c966cf0, "complete_all" },
	{ 0xc1a3bd88, "usb_acpi_power_manageable" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xfe96e1b, "usb_hub_clear_tt_buffer" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x18c54b9e, "dma_set_coherent_mask" },
	{ 0xe9301c09, "trace_seq_acquire" },
	{ 0xb9b9df41, "usb_amd_dev_put" },
	{ 0x2f79714e, "bpf_trace_run3" },
	{ 0x49f78ca1, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x4cf2aa82, "pm_runtime_forbid" },
	{ 0xb9857234, "dma_free_attrs" },
	{ 0x9ef62c4d, "pm_runtime_allow" },
	{ 0xc61733ca, "trace_event_buffer_reserve" },
	{ 0xe4ff2764, "usb_hcd_giveback_urb" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf45309cd, "sg_pcopy_from_buffer" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x8b5417ce, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xec527739, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xdcf6ebf6, "usb_hcd_poll_rh_status" },
	{ 0xb6a2e562, "usb_acpi_set_power_state" },
	{ 0x62a4348b, "debugfs_create_file_full" },
	{ 0xcd11a4c0, "usb_disable_xhci_ports" },
	{ 0x55fc36b1, "single_release" },
	{ 0x6102ffb0, "dma_set_mask" },
	{ 0x8aeeda39, "usb_debug_root" },
	{ 0xb905e6eb, "__devm_add_action" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0xd0d8621b, "strlen" },
	{ 0xbb267503, "param_ops_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x841bea6b, "single_open" },
	{ 0x4d66cfea, "usb_hcd_unmap_urb_for_dma" },
	{ 0xe8d4bf81, "debugfs_create_dir" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xdb14c1b3, "kmalloc_caches" },
	{ 0x67dcd8fd, "sg_pcopy_to_buffer" },
	{ 0x5105db6e, "usb_root_hub_lost_power" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x26ef9b8f, "module_layout" },
};

MODULE_INFO(depends, "usbcore,usb-common");


MODULE_INFO(srcversion, "93FBA45E92CE03CDA80B420");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
