#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(musb_get_mode, "_gpl", "");
KSYMTAB_DATA(musb_readb, "_gpl", "");
KSYMTAB_DATA(musb_writeb, "_gpl", "");
KSYMTAB_DATA(musb_clearb, "_gpl", "");
KSYMTAB_DATA(musb_readw, "_gpl", "");
KSYMTAB_DATA(musb_writew, "_gpl", "");
KSYMTAB_DATA(musb_clearw, "_gpl", "");
KSYMTAB_FUNC(musb_readl, "_gpl", "");
KSYMTAB_FUNC(musb_writel, "_gpl", "");
KSYMTAB_FUNC(musb_set_host, "_gpl", "");
KSYMTAB_FUNC(musb_set_peripheral, "_gpl", "");
KSYMTAB_FUNC(musb_interrupt, "_gpl", "");
KSYMTAB_FUNC(musb_mailbox, "_gpl", "");
KSYMTAB_FUNC(musb_queue_resume_work, "_gpl", "");
KSYMTAB_FUNC(musb_root_disconnect, "_gpl", "");

SYMBOL_CRC(musb_get_mode, 0x4892be23, "_gpl");
SYMBOL_CRC(musb_readb, 0x2734197f, "_gpl");
SYMBOL_CRC(musb_writeb, 0x0b4a8834, "_gpl");
SYMBOL_CRC(musb_clearb, 0xe59efb0e, "_gpl");
SYMBOL_CRC(musb_readw, 0x719a5e41, "_gpl");
SYMBOL_CRC(musb_writew, 0xade3e56c, "_gpl");
SYMBOL_CRC(musb_clearw, 0x669594ad, "_gpl");
SYMBOL_CRC(musb_readl, 0xf0f95e51, "_gpl");
SYMBOL_CRC(musb_writel, 0x6af8c6dc, "_gpl");
SYMBOL_CRC(musb_set_host, 0x37da7c72, "_gpl");
SYMBOL_CRC(musb_set_peripheral, 0x69fe37ee, "_gpl");
SYMBOL_CRC(musb_interrupt, 0x76be3957, "_gpl");
SYMBOL_CRC(musb_mailbox, 0x09492220, "_gpl");
SYMBOL_CRC(musb_queue_resume_work, 0x84646085, "_gpl");
SYMBOL_CRC(musb_root_disconnect, 0xaf0da6f6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1514a3b, "free_irq" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xe91d4f0c, "devm_platform_ioremap_resource" },
	{ 0xed60aeb5, "device_set_wakeup_capable" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x64163caf, "bpf_trace_run4" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xbf625cd0, "devm_kmalloc" },
	{ 0x5ef7e831, "usb_hcd_resume_root_hub" },
	{ 0x859fb94c, "usb_hcd_unlink_urb_from_ep" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xd053b274, "platform_driver_unregister" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x235b9aad, "param_ops_ushort" },
	{ 0x44b384b3, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x69a17caa, "pm_runtime_set_autosuspend_delay" },
	{ 0x8cd69df1, "__trace_trigger_soft_disabled" },
	{ 0x6c74418e, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x6be67180, "trace_event_raw_init" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc29100cf, "pcpu_hot" },
	{ 0x8aba9764, "seq_lseek" },
	{ 0x2f0d9053, "usb_otg_state_string" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe27bb409, "bpf_trace_run2" },
	{ 0xdaf65445, "vsnprintf" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x9742e4c9, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4bbaf3d5, "usb_get_dr_mode" },
	{ 0xf2a3ccb2, "dev_driver_string" },
	{ 0x128e9245, "trace_event_buffer_commit" },
	{ 0x997b215e, "sysfs_notify" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xd46b54dd, "flush_delayed_work" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xa85200de, "platform_get_irq_byname" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x6e8123eb, "pm_runtime_enable" },
	{ 0x738803e6, "strnlen" },
	{ 0xfbab1bb1, "ioread8_rep" },
	{ 0xa9347ea0, "usb_hcd_check_unlink_urb" },
	{ 0xdf14baea, "device_wakeup_disable" },
	{ 0x714a9f45, "sg_miter_next" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x900d9662, "perf_trace_run_bpf_submit" },
	{ 0x9c0f1d0d, "devm_kfree" },
	{ 0x8aed66f2, "_dev_err" },
	{ 0xa9f79b13, "device_wakeup_enable" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x121abfb0, "debugfs_remove" },
	{ 0x6c2e3320, "strncmp" },
	{ 0xd831d29c, "sg_miter_stop" },
	{ 0xaad37845, "trace_event_reg" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x10fffff1, "sg_miter_start" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xa73d5bca, "bpf_trace_run1" },
	{ 0x5d913f04, "usb_hcd_link_urb_to_ep" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbfc177bc, "iowrite32_rep" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xca6aeba7, "usb_put_hcd" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3e020dca, "__platform_driver_register" },
	{ 0x2f79714e, "bpf_trace_run3" },
	{ 0x49f78ca1, "seq_read" },
	{ 0x50a0ffdb, "phy_set_mode_ext" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0xc61733ca, "trace_event_buffer_reserve" },
	{ 0xf02b5c29, "__pm_runtime_resume" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0xe4ff2764, "usb_hcd_giveback_urb" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x24eb0947, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x8b5417ce, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x6cc09945, "ioread32_rep" },
	{ 0x56470118, "__warn_printk" },
	{ 0xec527739, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xdcf6ebf6, "usb_hcd_poll_rh_status" },
	{ 0x62a4348b, "debugfs_create_file_full" },
	{ 0xc14634f1, "usb_create_hcd" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x55fc36b1, "single_release" },
	{ 0xff8e82aa, "dev_err_probe" },
	{ 0xf3b8c88a, "__pm_runtime_suspend" },
	{ 0x8aeeda39, "usb_debug_root" },
	{ 0xd0d8621b, "strlen" },
	{ 0x295f8de2, "__pm_runtime_use_autosuspend" },
	{ 0x95eb11b6, "usb_remove_hcd" },
	{ 0xf70dd5e5, "_dev_printk" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x841bea6b, "single_open" },
	{ 0x4d66cfea, "usb_hcd_unmap_urb_for_dma" },
	{ 0x48571895, "__pm_runtime_disable" },
	{ 0xe8d4bf81, "debugfs_create_dir" },
	{ 0xece4a36a, "usb_add_hcd" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x485e2c78, "__pm_runtime_idle" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xdb14c1b3, "kmalloc_caches" },
	{ 0xa4b94fea, "iowrite8_rep" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x26ef9b8f, "module_layout" },
};

MODULE_INFO(depends, "usbcore,usb-common");


MODULE_INFO(srcversion, "4B2F4671675F6E3D2711A0D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
