#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(vfio_assign_device_set, "_gpl", "");
KSYMTAB_FUNC(vfio_device_set_open_count, "_gpl", "");
KSYMTAB_FUNC(vfio_find_device_in_devset, "_gpl", "");
KSYMTAB_FUNC(_vfio_alloc_device, "_gpl", "");
KSYMTAB_FUNC(vfio_register_group_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_register_emulated_iommu_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_unregister_group_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_mig_get_next_state, "_gpl", "");
KSYMTAB_FUNC(vfio_combine_iova_ranges, "_gpl", "");
KSYMTAB_FUNC(vfio_file_is_valid, "_gpl", "");
KSYMTAB_FUNC(vfio_file_enforced_coherent, "_gpl", "");
KSYMTAB_FUNC(vfio_file_set_kvm, "_gpl", "");
KSYMTAB_FUNC(vfio_info_cap_add, "_gpl", "");
KSYMTAB_FUNC(vfio_info_cap_shift, "", "");
KSYMTAB_FUNC(vfio_info_add_capability, "", "");
KSYMTAB_FUNC(vfio_set_irqs_validate_and_prepare, "", "");
KSYMTAB_FUNC(vfio_pin_pages, "", "");
KSYMTAB_FUNC(vfio_unpin_pages, "", "");
KSYMTAB_FUNC(vfio_dma_rw, "", "");
KSYMTAB_FUNC(vfio_file_iommu_group, "_gpl", "");
KSYMTAB_FUNC(vfio_file_is_group, "_gpl", "");
KSYMTAB_FUNC(vfio_file_has_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_register_iommu_driver, "_gpl", "");
KSYMTAB_FUNC(vfio_unregister_iommu_driver, "_gpl", "");
KSYMTAB_FUNC(vfio_virqfd_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_virqfd_disable, "_gpl", "");
KSYMTAB_FUNC(vfio_virqfd_flush_thread, "_gpl", "");

SYMBOL_CRC(vfio_assign_device_set, 0x25237df0, "_gpl");
SYMBOL_CRC(vfio_device_set_open_count, 0x22deb2a6, "_gpl");
SYMBOL_CRC(vfio_find_device_in_devset, 0x6f452715, "_gpl");
SYMBOL_CRC(_vfio_alloc_device, 0xc9496e71, "_gpl");
SYMBOL_CRC(vfio_register_group_dev, 0x0cde5246, "_gpl");
SYMBOL_CRC(vfio_register_emulated_iommu_dev, 0xa90cb7ca, "_gpl");
SYMBOL_CRC(vfio_unregister_group_dev, 0x0ceaf345, "_gpl");
SYMBOL_CRC(vfio_mig_get_next_state, 0xc0d31941, "_gpl");
SYMBOL_CRC(vfio_combine_iova_ranges, 0x6e2aa0f0, "_gpl");
SYMBOL_CRC(vfio_file_is_valid, 0xa59b2801, "_gpl");
SYMBOL_CRC(vfio_file_enforced_coherent, 0xc67ba83e, "_gpl");
SYMBOL_CRC(vfio_file_set_kvm, 0xbed5e132, "_gpl");
SYMBOL_CRC(vfio_info_cap_add, 0x44b83e00, "_gpl");
SYMBOL_CRC(vfio_info_cap_shift, 0x51f16cdb, "");
SYMBOL_CRC(vfio_info_add_capability, 0x0f655355, "");
SYMBOL_CRC(vfio_set_irqs_validate_and_prepare, 0x05b8cfda, "");
SYMBOL_CRC(vfio_pin_pages, 0x5558e8b1, "");
SYMBOL_CRC(vfio_unpin_pages, 0xdc9de2d3, "");
SYMBOL_CRC(vfio_dma_rw, 0xe120fbc0, "");
SYMBOL_CRC(vfio_file_iommu_group, 0x2212d0d4, "_gpl");
SYMBOL_CRC(vfio_file_is_group, 0x37e890c5, "_gpl");
SYMBOL_CRC(vfio_file_has_dev, 0x98f31c48, "_gpl");
SYMBOL_CRC(vfio_register_iommu_driver, 0x3d89a8c2, "_gpl");
SYMBOL_CRC(vfio_unregister_iommu_driver, 0x6648c381, "_gpl");
SYMBOL_CRC(vfio_virqfd_enable, 0xc3b9b86e, "_gpl");
SYMBOL_CRC(vfio_virqfd_disable, 0x754646a1, "_gpl");
SYMBOL_CRC(vfio_virqfd_flush_thread, 0xb1a0251c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x680bea5b, "iova_bitmap_free" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0x4d6d0bbc, "iommu_group_ref_get" },
	{ 0x515efaa5, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x1ffa0779, "anon_inode_getfile" },
	{ 0xc5b27f55, "__init_rwsem" },
	{ 0xf5616f73, "alloc_anon_inode" },
	{ 0x51226c7d, "misc_deregister" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x3781be3c, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xfc1fe868, "dev_set_name" },
	{ 0xbcdd5b99, "iommu_group_set_name" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x65b45cb, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x1ec1edd3, "cdev_device_del" },
	{ 0x5d1e977a, "iommu_group_get" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x624ac29f, "class_destroy" },
	{ 0xf5a067bf, "iommu_group_dma_owner_claimed" },
	{ 0x61f50ad2, "__xa_erase" },
	{ 0xf75f4eaa, "refcount_dec_and_mutex_lock" },
	{ 0xd10fe2c6, "device_initialize" },
	{ 0x3b65396d, "fd_install" },
	{ 0x8d22bb58, "iommu_group_alloc" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x6bbc96d1, "iput" },
	{ 0xcb39ef5, "add_wait_queue" },
	{ 0x89485687, "iommu_group_put" },
	{ 0x166b3ef8, "iova_bitmap_alloc" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x9742e4c9, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xf79ca159, "wait_for_completion_interruptible_timeout" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x570b877c, "cdev_device_add" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xad2712ff, "put_device" },
	{ 0xb72b0ae8, "const_pcpu_hot" },
	{ 0x8556423f, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0x69c0c81c, "module_put" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0xe3e423ac, "iommu_group_release_dma_owner" },
	{ 0xd489ef29, "fput" },
	{ 0x94f0e83, "down_write" },
	{ 0x41482d8b, "strndup_user" },
	{ 0xbd0650de, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x511465d6, "device_add" },
	{ 0xc61a4fc9, "xa_load" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0xa44b4173, "class_create" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x12a8353b, "iova_bitmap_for_each" },
	{ 0x6573f300, "ida_free" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x72a8d6f9, "__mutex_init" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xab0e9e58, "device_del" },
	{ 0x2bc95bd4, "memset" },
	{ 0xb2e89a51, "_dev_warn" },
	{ 0x41ed3cec, "eventfd_ctx_remove_wait_queue" },
	{ 0xcb911760, "misc_register" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x463c69fc, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4b705841, "__xa_cmpxchg" },
	{ 0xf8ce584d, "init_pseudo" },
	{ 0x7230beea, "fdget" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xf02b5c29, "__pm_runtime_resume" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x3c453e5f, "xa_destroy" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x8b5417ce, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xcc9d36c, "iommu_group_claim_dma_owner" },
	{ 0x5226c24f, "device_iommu_capable" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0x1589f1da, "simple_release_fs" },
	{ 0x8e334b90, "kill_anon_super" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x97d539b9, "mutex_destroy" },
	{ 0xe911df29, "eventfd_ctx_do_read" },
	{ 0xef154bf6, "iommu_group_add_device" },
	{ 0x9ea59272, "try_wait_for_completion" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x7a10216f, "__kvmalloc_node_noprof" },
	{ 0x4dc0300, "up_read" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0x485e2c78, "__pm_runtime_idle" },
	{ 0x14823578, "cdev_init" },
	{ 0x70d0608c, "eventfd_ctx_fileget" },
	{ 0xdb14c1b3, "kmalloc_caches" },
	{ 0x50c7fc54, "krealloc_noprof" },
	{ 0xbb294bba, "iommu_group_remove_device" },
	{ 0x72a9e0ab, "simple_pin_fs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0x26ef9b8f, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "597706D9A5F8712E5FAC10C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
