#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd5e6b0fd, "inode_init_owner" },
	{ 0x238dfffb, "generic_fillattr" },
	{ 0xc73f377d, "setattr_prepare" },
	{ 0xdf5f74d8, "iget_locked" },
	{ 0x49ed137e, "clear_nlink" },
	{ 0x7924a9a1, "generic_block_bmap" },
	{ 0xbd20e8f1, "d_instantiate" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x23522089, "clear_inode" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x4228e521, "fs_param_is_string" },
	{ 0x8235805b, "memmove" },
	{ 0x5a0293c7, "new_inode" },
	{ 0x5a930383, "init_special_inode" },
	{ 0x4c31ea36, "unregister_filesystem" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xd0ea96ab, "inode_set_flags" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x44d3bf8f, "__blockdev_direct_IO" },
	{ 0x957118, "d_make_root" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x7f8e7bb4, "sb_set_blocksize" },
	{ 0x1321bd6c, "sync_filesystem" },
	{ 0xfb1bcdf1, "d_splice_alias" },
	{ 0x45699ee6, "load_nls_default" },
	{ 0x2e60bace, "memcpy" },
	{ 0xb66e5e18, "ihold" },
	{ 0x175494bf, "inode_dio_wait" },
	{ 0x37a0cba, "kfree" },
	{ 0x4ed389f6, "read_cache_page" },
	{ 0x54040d9a, "cont_write_begin" },
	{ 0x6bbc96d1, "iput" },
	{ 0xc29100cf, "pcpu_hot" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x202f7edf, "generic_file_write_iter" },
	{ 0x756cb6dd, "register_filesystem" },
	{ 0x41814cb8, "dirty_writeback_interval" },
	{ 0x716045d4, "sync_inode_metadata" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x19617cc2, "simple_inode_init_ts" },
	{ 0x8437f3aa, "inode_set_bytes" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xda56ea04, "fs_param_is_u32" },
	{ 0x2bcc93b1, "kill_block_super" },
	{ 0xa450c8e8, "unlock_new_inode" },
	{ 0x70f7896, "_printk" },
	{ 0xd6be89aa, "block_invalidate_folio" },
	{ 0x242762db, "generic_write_end" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xa6ffeac1, "load_nls" },
	{ 0xa3871797, "generic_cont_expand_simple" },
	{ 0xc5070875, "make_kuid" },
	{ 0xdf12ae8d, "try_to_free_buffers" },
	{ 0x18c491d8, "truncate_inode_pages_final" },
	{ 0xf03e633f, "generic_file_mmap" },
	{ 0x738803e6, "strnlen" },
	{ 0xb72b0ae8, "const_pcpu_hot" },
	{ 0xc6cbbc89, "capable" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xda9496b5, "inode_init_once" },
	{ 0xeff2c0b1, "file_write_and_wait_range" },
	{ 0xa8594193, "__kmap_local_page_prot" },
	{ 0x6cbeca3c, "mark_page_accessed" },
	{ 0x265afaa6, "cdrom_read_tocentry" },
	{ 0x70e0db78, "seq_escape_mem" },
	{ 0xa40abd6, "bio_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xd28b8ea4, "inode_nohighmem" },
	{ 0x94f0e83, "down_write" },
	{ 0xbd0650de, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x3540b7e6, "generic_file_read_iter" },
	{ 0x87229456, "truncate_pagecache" },
	{ 0x3f9f479a, "page_symlink" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x74c7bf25, "setattr_copy" },
	{ 0x420eabe4, "mem_section" },
	{ 0x7e20d760, "set_nlink" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0xe93a599f, "kmem_cache_alloc_lru_noprof" },
	{ 0xc3f35d58, "kmem_cache_free" },
	{ 0x6c2e3320, "strncmp" },
	{ 0xc5415112, "security_inode_init_security" },
	{ 0x5f329ef5, "seq_putc" },
	{ 0xcd3f68d0, "from_kgid" },
	{ 0xfafe0614, "mutex_is_locked" },
	{ 0x6bda0bb2, "cdrom_multisession" },
	{ 0xe072fb61, "blkdev_issue_zeroout" },
	{ 0x6742d1ad, "mpage_writepages" },
	{ 0xf1e046cc, "panic" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x40385418, "bio_add_page" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x72a8d6f9, "__mutex_init" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x3db3364, "block_dirty_folio" },
	{ 0x2d01d386, "inode_add_bytes" },
	{ 0xb16341a, "__default_kernel_pte_mask" },
	{ 0x6748bcf7, "from_kuid" },
	{ 0x2bc95bd4, "memset" },
	{ 0x6a3d3a0f, "__insert_inode_hash" },
	{ 0xaf41df89, "buffer_migrate_folio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x24412ee1, "kmem_cache_alloc_noprof" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x3ed233aa, "_atomic_dec_and_lock" },
	{ 0x3903d724, "make_kgid" },
	{ 0xdedd619a, "__kmem_cache_create_args" },
	{ 0x5f7d73df, "from_kgid_munged" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x281ee4b, "truncate_setsize" },
	{ 0x89c28e51, "set_page_dirty" },
	{ 0xb731be5a, "block_read_full_folio" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x130a32b5, "generic_read_dir" },
	{ 0xd49ce819, "page_symlink_inode_operations" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x54703cdd, "init_user_ns" },
	{ 0xf366ee23, "inode_set_ctime_current" },
	{ 0x610016c8, "inc_nlink" },
	{ 0x887032f, "seq_write" },
	{ 0x4f96da9b, "__folio_put" },
	{ 0x8b5417ce, "__kmalloc_cache_noprof" },
	{ 0x1d3ebce6, "get_tree_bdev" },
	{ 0xec527739, "seq_printf" },
	{ 0xd3956e21, "dput" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x60d934cd, "blkdev_issue_flush" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xa81652eb, "__fs_parse" },
	{ 0xe14dfe4b, "filemap_splice_read" },
	{ 0x9689599a, "from_kuid_munged" },
	{ 0xd3fb48a4, "d_parent_ino" },
	{ 0xee399390, "filemap_write_and_wait_range" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xd0d8621b, "strlen" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0x89520565, "__mark_inode_dirty" },
	{ 0xd3b9837f, "generic_file_llseek" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x13cd0829, "bio_alloc_bioset" },
	{ 0x1e743eb4, "unload_nls" },
	{ 0xadffa704, "submit_bio_wait" },
	{ 0xcda967c9, "sb_min_blocksize" },
	{ 0x6323dda2, "drop_nlink" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xdb14c1b3, "kmalloc_caches" },
	{ 0xf9ab7ee4, "inode_set_ctime_to_ts" },
	{ 0xba0cfbda, "iget_failed" },
	{ 0x29578ecd, "fs_bio_set" },
	{ 0x282f97a9, "kmem_cache_destroy" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x26ef9b8f, "module_layout" },
};

MODULE_INFO(depends, "cdrom");


MODULE_INFO(srcversion, "1A08BB2F211352E5EF4E3CB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
