#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(qrtr_endpoint_post, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_register, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_unregister, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_init, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_remove, "_gpl", "");

SYMBOL_CRC(qrtr_endpoint_post, 0x5f6dc422, "_gpl");
SYMBOL_CRC(qrtr_endpoint_register, 0xb98589fe, "_gpl");
SYMBOL_CRC(qrtr_endpoint_unregister, 0xc4a4f43c, "_gpl");
SYMBOL_CRC(qrtr_ns_init, 0xa47e91ba, "_gpl");
SYMBOL_CRC(qrtr_ns_remove, 0x8d25501f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x59c945a0, "skb_free_datagram" },
	{ 0x3d8b4819, "sock_queue_rcv_skb_reason" },
	{ 0xc11e8df8, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x64163caf, "bpf_trace_run4" },
	{ 0x7bb06ba6, "skb_copy_bits" },
	{ 0x4acb51b, "radix_tree_insert" },
	{ 0x3ea8af1a, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xcf76b2c2, "consume_skb" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x44b384b3, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x80816f26, "get_user_ifreq" },
	{ 0x8cd69df1, "__trace_trigger_soft_disabled" },
	{ 0x5fc9d3f0, "radix_tree_lookup" },
	{ 0x2e332034, "_raw_write_lock_bh" },
	{ 0x6c74418e, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x20569d10, "kernel_bind" },
	{ 0xf75f4eaa, "refcount_dec_and_mutex_lock" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x6be67180, "trace_event_raw_init" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc29100cf, "pcpu_hot" },
	{ 0xce56ce8c, "_raw_write_unlock_bh" },
	{ 0xb2bd5028, "__tracepoint_sk_data_ready" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xdb64f249, "__module_get" },
	{ 0x91b2fdc, "kernel_recvmsg" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xb97ded98, "__pskb_copy_fclone" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x15085d13, "sk_error_report" },
	{ 0x7e7049e9, "skb_queue_purge_reason" },
	{ 0x1b5fecd0, "radix_tree_iter_delete" },
	{ 0x128e9245, "trace_event_buffer_commit" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf865d9e1, "proto_unregister" },
	{ 0x74c05f8c, "sock_register" },
	{ 0x98e8b6a, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6a1ce4a4, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xb72b0ae8, "const_pcpu_hot" },
	{ 0xd9511fab, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x69c0c81c, "module_put" },
	{ 0x149909c6, "__xa_alloc" },
	{ 0x91993e5d, "sock_no_shutdown" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x900d9662, "perf_trace_run_bpf_submit" },
	{ 0x8e166b72, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1c8b089a, "radix_tree_next_chunk" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x49bafd58, "sk_skb_reason_drop" },
	{ 0xc61a4fc9, "xa_load" },
	{ 0x7d7dc51, "kernel_getsockname" },
	{ 0x64427686, "do_wait_intr_irq" },
	{ 0x6130ad64, "sk_free" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xe9c254aa, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0x2a164ec6, "skb_push" },
	{ 0x6bbb6017, "sock_no_listen" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0xaad37845, "trace_event_reg" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x4dd16efd, "lock_sock_nested" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x72a8d6f9, "__mutex_init" },
	{ 0x54b0491b, "skb_copy_datagram_iter" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x30c81002, "sk_alloc" },
	{ 0x32ab8c9f, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x160a10e7, "sock_no_mmap" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xdc923ed1, "__netdev_alloc_skb" },
	{ 0xb815fad1, "__xa_insert" },
	{ 0x85aea03b, "xa_erase" },
	{ 0x2f79714e, "bpf_trace_run3" },
	{ 0xaaef4c78, "skb_set_owner_w" },
	{ 0xc61733ca, "trace_event_buffer_reserve" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0xbc5d9f69, "sock_create_kern" },
	{ 0xf5d073e8, "xa_find" },
	{ 0x6af77eb2, "skb_recv_datagram" },
	{ 0xf7b162dd, "sock_alloc_send_pskb" },
	{ 0x8b5417ce, "__kmalloc_cache_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0xa8857036, "xa_store" },
	{ 0xbbfea390, "_copy_from_iter" },
	{ 0xa2f55039, "sock_release" },
	{ 0xf933745, "sock_gettstamp" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x42737b5e, "xa_find_after" },
	{ 0xd0d8621b, "strlen" },
	{ 0xae701f0f, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x87420c62, "kernel_sendmsg" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0xe53234e4, "sock_init_data" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x87809aeb, "put_user_ifreq" },
	{ 0xdb14c1b3, "kmalloc_caches" },
	{ 0x1f662ecb, "release_sock" },
	{ 0x26ef9b8f, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "473C5AB47E04ECEA0106681");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
