#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rds_cong_map_updated, "_gpl", "");
KSYMTAB_FUNC(rds_conn_create, "_gpl", "");
KSYMTAB_FUNC(rds_conn_create_outgoing, "_gpl", "");
KSYMTAB_FUNC(rds_conn_destroy, "_gpl", "");
KSYMTAB_FUNC(rds_for_each_conn_info, "_gpl", "");
KSYMTAB_FUNC(rds_conn_path_drop, "_gpl", "");
KSYMTAB_FUNC(rds_conn_drop, "_gpl", "");
KSYMTAB_FUNC(rds_conn_path_connect_if_down, "_gpl", "");
KSYMTAB_FUNC(rds_conn_connect_if_down, "_gpl", "");
KSYMTAB_FUNC(rds_info_register_func, "_gpl", "");
KSYMTAB_FUNC(rds_info_deregister_func, "_gpl", "");
KSYMTAB_FUNC(rds_info_copy, "_gpl", "");
KSYMTAB_FUNC(rds_message_addref, "_gpl", "");
KSYMTAB_FUNC(rds_message_put, "_gpl", "");
KSYMTAB_FUNC(rds_message_populate_header, "_gpl", "");
KSYMTAB_FUNC(rds_message_add_extension, "_gpl", "");
KSYMTAB_FUNC(rds_message_add_rdma_dest_extension, "_gpl", "");
KSYMTAB_FUNC(rds_message_unmapped, "_gpl", "");
KSYMTAB_FUNC(rds_inc_init, "_gpl", "");
KSYMTAB_FUNC(rds_inc_path_init, "_gpl", "");
KSYMTAB_FUNC(rds_inc_put, "_gpl", "");
KSYMTAB_FUNC(rds_recv_incoming, "_gpl", "");
KSYMTAB_FUNC(rds_send_path_reset, "_gpl", "");
KSYMTAB_FUNC(rds_send_xmit, "_gpl", "");
KSYMTAB_FUNC(rds_rdma_send_complete, "_gpl", "");
KSYMTAB_FUNC(rds_atomic_send_complete, "_gpl", "");
KSYMTAB_FUNC(rds_send_path_drop_acked, "_gpl", "");
KSYMTAB_FUNC(rds_send_drop_acked, "_gpl", "");
KSYMTAB_FUNC(rds_send_ping, "_gpl", "");
KSYMTAB_DATA(rds_stats, "_gpl", "");
KSYMTAB_FUNC(rds_stats_info_copy, "_gpl", "");
KSYMTAB_DATA(rds_wq, "_gpl", "");
KSYMTAB_FUNC(rds_connect_path_complete, "_gpl", "");
KSYMTAB_FUNC(rds_connect_complete, "_gpl", "");
KSYMTAB_FUNC(rds_addr_cmp, "_gpl", "");
KSYMTAB_FUNC(rds_trans_register, "_gpl", "");
KSYMTAB_FUNC(rds_trans_unregister, "_gpl", "");
KSYMTAB_FUNC(rds_page_remainder_alloc, "_gpl", "");

SYMBOL_CRC(rds_cong_map_updated, 0x4e983cdc, "_gpl");
SYMBOL_CRC(rds_conn_create, 0x012ef9b0, "_gpl");
SYMBOL_CRC(rds_conn_create_outgoing, 0xe66d200d, "_gpl");
SYMBOL_CRC(rds_conn_destroy, 0x46230cfc, "_gpl");
SYMBOL_CRC(rds_for_each_conn_info, 0xb3369b37, "_gpl");
SYMBOL_CRC(rds_conn_path_drop, 0xfd90820d, "_gpl");
SYMBOL_CRC(rds_conn_drop, 0x3980cc82, "_gpl");
SYMBOL_CRC(rds_conn_path_connect_if_down, 0x46d61f1e, "_gpl");
SYMBOL_CRC(rds_conn_connect_if_down, 0xaadfda36, "_gpl");
SYMBOL_CRC(rds_info_register_func, 0x04c3927b, "_gpl");
SYMBOL_CRC(rds_info_deregister_func, 0x33d9d6ce, "_gpl");
SYMBOL_CRC(rds_info_copy, 0xc2dab779, "_gpl");
SYMBOL_CRC(rds_message_addref, 0xf7aa9aa4, "_gpl");
SYMBOL_CRC(rds_message_put, 0x270f924e, "_gpl");
SYMBOL_CRC(rds_message_populate_header, 0x585f567b, "_gpl");
SYMBOL_CRC(rds_message_add_extension, 0x2b0d543c, "_gpl");
SYMBOL_CRC(rds_message_add_rdma_dest_extension, 0x582fe5cf, "_gpl");
SYMBOL_CRC(rds_message_unmapped, 0x7b890925, "_gpl");
SYMBOL_CRC(rds_inc_init, 0x454e3625, "_gpl");
SYMBOL_CRC(rds_inc_path_init, 0x62d4f978, "_gpl");
SYMBOL_CRC(rds_inc_put, 0xdf64f41f, "_gpl");
SYMBOL_CRC(rds_recv_incoming, 0x7d6c3433, "_gpl");
SYMBOL_CRC(rds_send_path_reset, 0xf1f8aaa6, "_gpl");
SYMBOL_CRC(rds_send_xmit, 0x1567d681, "_gpl");
SYMBOL_CRC(rds_rdma_send_complete, 0x40c77153, "_gpl");
SYMBOL_CRC(rds_atomic_send_complete, 0x7d7f0f8c, "_gpl");
SYMBOL_CRC(rds_send_path_drop_acked, 0x8cc36316, "_gpl");
SYMBOL_CRC(rds_send_drop_acked, 0x98021d5b, "_gpl");
SYMBOL_CRC(rds_send_ping, 0xbebb8296, "_gpl");
SYMBOL_CRC(rds_stats, 0x36087aa4, "_gpl");
SYMBOL_CRC(rds_stats_info_copy, 0xf4c257e8, "_gpl");
SYMBOL_CRC(rds_wq, 0x00a467af, "_gpl");
SYMBOL_CRC(rds_connect_path_complete, 0xfaa2a947, "_gpl");
SYMBOL_CRC(rds_connect_complete, 0x92973b14, "_gpl");
SYMBOL_CRC(rds_addr_cmp, 0x45a4781e, "_gpl");
SYMBOL_CRC(rds_trans_register, 0x4090547b, "_gpl");
SYMBOL_CRC(rds_trans_unregister, 0x2405c483, "_gpl");
SYMBOL_CRC(rds_page_remainder_alloc, 0x9dcbbbf0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1658b79c, "pin_user_pages_fast" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x97ad56be, "__do_once_done" },
	{ 0x515efaa5, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x738111d2, "unpin_user_pages_dirty_lock" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x2e332034, "_raw_write_lock_bh" },
	{ 0xe78be556, "unpin_user_pages" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x23a36e65, "iov_iter_get_pages2" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0xc29100cf, "pcpu_hot" },
	{ 0xce56ce8c, "_raw_write_unlock_bh" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5a989ffc, "put_cmsg" },
	{ 0xc12a02df, "register_net_sysctl_sz" },
	{ 0xc9f572cb, "_raw_read_unlock_irqrestore" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x6b853d06, "ns_to_kernel_old_timeval" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf865d9e1, "proto_unregister" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4292364c, "schedule" },
	{ 0x74c05f8c, "sock_register" },
	{ 0x44ac072d, "mm_account_pinned_pages" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x738803e6, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xb72b0ae8, "const_pcpu_hot" },
	{ 0x6fec5a41, "__free_pages" },
	{ 0x2f7e17c3, "_raw_read_lock_irqsave" },
	{ 0xd9511fab, "proto_register" },
	{ 0x69c0c81c, "module_put" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0xa8594193, "__kmap_local_page_prot" },
	{ 0x91993e5d, "sock_no_shutdown" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x94f0e83, "down_write" },
	{ 0x8e166b72, "init_net" },
	{ 0xbd0650de, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xf24c4fe1, "proc_doulongvec_ms_jiffies_minmax" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6130ad64, "sk_free" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xe9c254aa, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x420eabe4, "mem_section" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0xc3f35d58, "kmem_cache_free" },
	{ 0x58169218, "vprintk" },
	{ 0x6bbb6017, "sock_no_listen" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0xb6ed1e53, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x1601b8d0, "sock_recv_errqueue" },
	{ 0x86d226cc, "mm_unaccount_pinned_pages" },
	{ 0xab5bcd0, "_raw_read_unlock" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xb7f239b4, "unregister_pernet_device" },
	{ 0x5152e605, "memcmp" },
	{ 0x4dd16efd, "lock_sock_nested" },
	{ 0x197c7975, "copy_page_to_iter" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x72a8d6f9, "__mutex_init" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x30c81002, "sk_alloc" },
	{ 0xb16341a, "__default_kernel_pte_mask" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x32ab8c9f, "sock_no_socketpair" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x221ab1f6, "rht_bucket_nested_insert" },
	{ 0x3b67578, "unpin_user_page" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x24412ee1, "kmem_cache_alloc_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x160a10e7, "sock_no_mmap" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0x31c3f028, "rhashtable_destroy" },
	{ 0xdedd619a, "__kmem_cache_create_args" },
	{ 0x18e5cca0, "_raw_write_unlock_irqrestore" },
	{ 0x463c69fc, "down_read" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x68a328e, "copy_page_from_iter" },
	{ 0x748287ef, "rhashtable_insert_slow" },
	{ 0x7e68c3b8, "sock_i_ino" },
	{ 0x167e7f9d, "__get_user_1" },
	{ 0xc95de951, "rhashtable_init_noprof" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xe875e218, "__rwlock_init" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x4f96da9b, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x8b5417ce, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xbcdd3814, "_raw_read_lock" },
	{ 0xa8861fb1, "__x86_indirect_thunk_eax" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x378bfba2, "alloc_pages_noprof" },
	{ 0xd4d416a6, "proc_dointvec" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x9323396a, "unregister_net_sysctl_table" },
	{ 0x11772c3b, "_raw_write_lock_irqsave" },
	{ 0xd0d8621b, "strlen" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0xbb267503, "param_ops_int" },
	{ 0xae701f0f, "iov_iter_revert" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x4dc0300, "up_read" },
	{ 0xcc5d22d9, "can_do_mlock" },
	{ 0xc2c937a1, "register_pernet_device" },
	{ 0x1acbb218, "iov_iter_npages" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe53234e4, "sock_init_data" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xdb14c1b3, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x7ac1254b, "local_clock" },
	{ 0x50c7fc54, "krealloc_noprof" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x282f97a9, "kmem_cache_destroy" },
	{ 0x1f662ecb, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0x26ef9b8f, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "30D6E06289DF622C355A944");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
