#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(tasdevice_rca_parser, "_gpl", "SND_SOC_TAS2781_FMWLIB");
KSYMTAB_FUNC(tasdevice_select_cfg_blk, "_gpl", "SND_SOC_TAS2781_FMWLIB");
KSYMTAB_FUNC(tas2781_load_calibration, "_gpl", "SND_SOC_TAS2781_FMWLIB");
KSYMTAB_FUNC(tasdevice_dsp_parser, "_gpl", "SND_SOC_TAS2781_FMWLIB");
KSYMTAB_FUNC(tasdevice_calbin_remove, "_gpl", "SND_SOC_TAS2781_FMWLIB");
KSYMTAB_FUNC(tasdevice_config_info_remove, "_gpl", "SND_SOC_TAS2781_FMWLIB");
KSYMTAB_FUNC(tasdevice_select_tuningprm_cfg, "_gpl", "SND_SOC_TAS2781_FMWLIB");
KSYMTAB_FUNC(tasdevice_prmg_load, "_gpl", "SND_SOC_TAS2781_FMWLIB");
KSYMTAB_FUNC(tasdevice_tuning_switch, "_gpl", "SND_SOC_TAS2781_FMWLIB");

SYMBOL_CRC(tasdevice_rca_parser, 0x768f48a3, "_gpl");
SYMBOL_CRC(tasdevice_select_cfg_blk, 0x1a949c7c, "_gpl");
SYMBOL_CRC(tas2781_load_calibration, 0x957998f4, "_gpl");
SYMBOL_CRC(tasdevice_dsp_parser, 0xfa72134b, "_gpl");
SYMBOL_CRC(tasdevice_calbin_remove, 0x40ec23ee, "_gpl");
SYMBOL_CRC(tasdevice_config_info_remove, 0x2c2d92de, "_gpl");
SYMBOL_CRC(tasdevice_select_tuningprm_cfg, 0x1ab9b7d9, "_gpl");
SYMBOL_CRC(tasdevice_prmg_load, 0xfe3a6722, "_gpl");
SYMBOL_CRC(tasdevice_tuning_switch, 0x23c94cc6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x6b114286, "request_firmware" },
	{ 0x10b5af38, "tasdevice_dev_bulk_write" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x9742e4c9, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xeb53178a, "crc8" },
	{ 0x411872ec, "tasdevice_dev_update_bits" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x143823a5, "tasdevice_dev_bulk_read" },
	{ 0x8556423f, "_dev_info" },
	{ 0x8aed66f2, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0x385ef2ff, "tasdevice_dev_read" },
	{ 0x8b5417ce, "__kmalloc_cache_noprof" },
	{ 0xd0d8621b, "strlen" },
	{ 0xec431f17, "tasdevice_dev_write" },
	{ 0xdb14c1b3, "kmalloc_caches" },
	{ 0x26ef9b8f, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-tas2781-comlib,crc8");


MODULE_INFO(srcversion, "C6CF31D82AB91032400D267");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
