#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(sof_lnl_ops, "", "SND_SOC_SOF_INTEL_LNL");
KSYMTAB_FUNC(sof_lnl_ops_init, "", "SND_SOC_SOF_INTEL_LNL");
KSYMTAB_DATA(ptl_chip_info, "", "SND_SOC_SOF_INTEL_LNL");

SYMBOL_CRC(sof_lnl_ops, 0x251dc4ae, "");
SYMBOL_CRC(sof_lnl_ops_init, 0x051a2baa, "");
SYMBOL_CRC(ptl_chip_info, 0xd2870bd8, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4316dcb9, "hda_dsp_probe" },
	{ 0x3fe11db8, "hda_dsp_shutdown" },
	{ 0xfba54a7c, "mtl_ipc_dump" },
	{ 0xbb14121f, "__pci_register_driver" },
	{ 0x90714688, "mtl_dsp_check_ipc_irq" },
	{ 0xbef485c8, "hda_dsp_set_power_state_ipc4" },
	{ 0xd31af7b, "pci_unregister_driver" },
	{ 0x6f02ac4e, "hdac_bus_eml_check_interrupt" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xff8beba0, "mtl_dsp_cl_init" },
	{ 0xe45f3c73, "sof_hda_common_ops" },
	{ 0xdcc7c613, "mtl_enable_interrupts" },
	{ 0x29917df7, "hda_pci_intel_probe" },
	{ 0x51a03d30, "debugfs_create_bool" },
	{ 0x3fc13eed, "sof_pci_remove" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xe876b146, "mtl_dsp_ipc_get_mailbox_offset" },
	{ 0xbd54a43a, "mtl_dsp_pre_fw_run" },
	{ 0xe0310c52, "hda_set_dai_drv_ops" },
	{ 0xc2e395f2, "mtl_disable_ipc_interrupts" },
	{ 0xeb999378, "mtl_dsp_dump" },
	{ 0xe8b477c3, "mtl_ipc_send_msg" },
	{ 0xddb9fe5c, "hdac_bus_eml_enable_offload" },
	{ 0x1d17f69b, "mtl_dsp_core_get" },
	{ 0xb2e89a51, "_dev_warn" },
	{ 0x368c6727, "sof_debug_check_flag" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9ebe2f6c, "mtl_dsp_core_put" },
	{ 0xafd22f5c, "snd_soc_acpi_intel_lnl_machines" },
	{ 0x60d6ec7a, "hda_dsp_runtime_resume" },
	{ 0xd374d4e8, "hda_dsp_remove" },
	{ 0x40c711d9, "sof_pci_shutdown" },
	{ 0x8b5417ce, "__kmalloc_cache_noprof" },
	{ 0xf686e640, "hda_sdw_process_wakeen_common" },
	{ 0x43394b5b, "mtl_dsp_ipc_get_window_offset" },
	{ 0x7d806b50, "hda_dsp_ipc4_load_library" },
	{ 0x509f7b7f, "hda_dsp_resume" },
	{ 0xcbb114d6, "hda_sdw_check_lcount_ext" },
	{ 0x53f83179, "sof_pci_pm" },
	{ 0x8001c2bf, "mtl_ipc_irq_thread" },
	{ 0x64a93fa8, "mtl_power_down_dsp" },
	{ 0xdb14c1b3, "kmalloc_caches" },
	{ 0x4ba5816e, "snd_soc_acpi_intel_lnl_sdw_machines" },
	{ 0x26ef9b8f, "module_layout" },
};

MODULE_INFO(depends, "snd-sof-intel-hda-generic,snd-sof-intel-hda-common,snd-sof-pci-intel-mtl,snd-sof-intel-hda-mlink,snd-sof-pci,snd-sof,snd-soc-acpi-intel-match");

MODULE_ALIAS("pci:v00008086d0000A828sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "274836F7BBF0D132A0D79AB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
